// A Bison parser, made by GNU Bison 3.7.5.

// Skeleton implementation for Bison LALR(1) parsers in C++

// Copyright (C) 2002-2015, 2018-2021 Free Software Foundation, Inc.

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

// As a special exception, you may create a larger work that contains
// part or all of the Bison parser skeleton and distribute that work
// under terms of your choice, so long as that work isn't itself a
// parser generator using the skeleton or a modified version thereof
// as a parser skeleton.  Alternatively, if you modify or redistribute
// the parser skeleton itself, you may (at your option) remove this
// special exception, which will cause the skeleton and the resulting
// Bison output files to be licensed under the GNU General Public
// License without this special exception.

// This special exception was added by the Free Software Foundation in
// version 2.2 of Bison.

// DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
// especially those whose name start with YY_ or yy_.  They are
// private implementation details that can be changed or removed.

// "%code top" blocks.
#line 30 "DynareBison.yy"

class ParsingDriver;

#line 43 "DynareBison.cc"




#include "DynareBison.hh"


// Unqualified %code blocks.
#line 48 "DynareBison.yy"

/* Little hack: we redefine the macro which computes the locations, because
   we need to access the location from within the parsing driver for error
   and warning messages. */
#define YYLLOC_DEFAULT(Current, Rhs, N)                         \
  do {                                                          \
    if (N)                                                      \
      {                                                         \
        (Current).begin = YYRHSLOC(Rhs, 1).begin;               \
        (Current).end   = YYRHSLOC(Rhs, N).end;                 \
      }                                                         \
    else                                                        \
      {                                                         \
        (Current).begin = (Current).end = YYRHSLOC(Rhs, 0).end;	\
      }                                                         \
    driver.location = (Current);                                \
  } while(false)

#include "ParsingDriver.hh"

/* this "connects" the bison parser in the driver to the flex scanner class
 * object. it defines the yylex() function call to pull the next token from the
 * current lexer object of the driver context. */
#undef yylex
#define yylex driver.lexer->lex

#line 79 "DynareBison.cc"


#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> // FIXME: INFRINGES ON USER NAME SPACE.
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif


// Whether we are compiled with exception support.
#ifndef YY_EXCEPTIONS
# if defined __GNUC__ && !defined __EXCEPTIONS
#  define YY_EXCEPTIONS 0
# else
#  define YY_EXCEPTIONS 1
# endif
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K].location)
/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

# ifndef YYLLOC_DEFAULT
#  define YYLLOC_DEFAULT(Current, Rhs, N)                               \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).begin  = YYRHSLOC (Rhs, 1).begin;                   \
          (Current).end    = YYRHSLOC (Rhs, N).end;                     \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).begin = (Current).end = YYRHSLOC (Rhs, 0).end;      \
        }                                                               \
    while (false)
# endif


// Enable debugging if requested.
#if YYDEBUG

// A pseudo ostream that takes yydebug_ into account.
# define YYCDEBUG if (yydebug_) (*yycdebug_)

# define YY_SYMBOL_PRINT(Title, Symbol)         \
  do {                                          \
    if (yydebug_)                               \
    {                                           \
      *yycdebug_ << Title << ' ';               \
      yy_print_ (*yycdebug_, Symbol);           \
      *yycdebug_ << '\n';                       \
    }                                           \
  } while (false)

# define YY_REDUCE_PRINT(Rule)          \
  do {                                  \
    if (yydebug_)                       \
      yy_reduce_print_ (Rule);          \
  } while (false)

# define YY_STACK_PRINT()               \
  do {                                  \
    if (yydebug_)                       \
      yy_stack_print_ ();                \
  } while (false)

#else // !YYDEBUG

# define YYCDEBUG if (false) std::cerr
# define YY_SYMBOL_PRINT(Title, Symbol)  YY_USE (Symbol)
# define YY_REDUCE_PRINT(Rule)           static_cast<void> (0)
# define YY_STACK_PRINT()                static_cast<void> (0)

#endif // !YYDEBUG

#define yyerrok         (yyerrstatus_ = 0)
#define yyclearin       (yyla.clear ())

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYRECOVERING()  (!!yyerrstatus_)

#line 25 "DynareBison.yy"
namespace Dynare {
#line 172 "DynareBison.cc"

  /// Build a parser object.
  parser::parser (ParsingDriver &driver_yyarg)
#if YYDEBUG
    : yydebug_ (false),
      yycdebug_ (&std::cerr),
#else
    :
#endif
      driver (driver_yyarg)
  {}

  parser::~parser ()
  {}

  parser::syntax_error::~syntax_error () YY_NOEXCEPT YY_NOTHROW
  {}

  /*---------------.
  | symbol kinds.  |
  `---------------*/

  // basic_symbol.
  template <typename Base>
  parser::basic_symbol<Base>::basic_symbol (const basic_symbol& that)
    : Base (that)
    , value ()
    , location (that.location)
  {
    switch (this->kind ())
    {
      case symbol_kind::S_prior_distribution: // prior_distribution
      case symbol_kind::S_prior_pdf: // prior_pdf
        value.copy< PriorDistributions > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_change_type_arg: // change_type_arg
        value.copy< SymbolType > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_expression: // expression
      case symbol_kind::S_expression_or_empty: // expression_or_empty
      case symbol_kind::S_equation: // equation
      case symbol_kind::S_hand_side: // hand_side
        value.copy< expr_t > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_occbin_constraints_regime_options_list: // occbin_constraints_regime_options_list
        value.copy< map<string, expr_t> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_calibration_range: // calibration_range
        value.copy< pair<expr_t,expr_t> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_occbin_constraints_regime_option: // occbin_constraints_regime_option
        value.copy< pair<string, expr_t> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_named_var_elem: // named_var_elem
      case symbol_kind::S_subsamples_eq_opt: // subsamples_eq_opt
      case symbol_kind::S_integer_range_w_inf: // integer_range_w_inf
        value.copy< pair<string,string> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_FALSE: // FALSE
      case symbol_kind::S_FLOAT_NUMBER: // FLOAT_NUMBER
      case symbol_kind::S_DATES: // DATES
      case symbol_kind::S_INT_NUMBER: // INT_NUMBER
      case symbol_kind::S_NAME: // NAME
      case symbol_kind::S_QUOTED_STRING: // QUOTED_STRING
      case symbol_kind::S_TEX_NAME: // TEX_NAME
      case symbol_kind::S_TRUE: // TRUE
      case symbol_kind::S_BIND: // BIND
      case symbol_kind::S_RELAX: // RELAX
      case symbol_kind::S_ERROR_BIND: // ERROR_BIND
      case symbol_kind::S_ERROR_RELAX: // ERROR_RELAX
      case symbol_kind::S_ALPHA: // ALPHA
      case symbol_kind::S_BETA: // BETA
      case symbol_kind::S_ABAND: // ABAND
      case symbol_kind::S_NINV: // NINV
      case symbol_kind::S_CMS: // CMS
      case symbol_kind::S_NCMS: // NCMS
      case symbol_kind::S_CNUM: // CNUM
      case symbol_kind::S_GAMMA: // GAMMA
      case symbol_kind::S_INV_GAMMA: // INV_GAMMA
      case symbol_kind::S_INV_GAMMA1: // INV_GAMMA1
      case symbol_kind::S_INV_GAMMA2: // INV_GAMMA2
      case symbol_kind::S_NORMAL: // NORMAL
      case symbol_kind::S_UNIFORM: // UNIFORM
      case symbol_kind::S_EPS: // EPS
      case symbol_kind::S_PDF: // PDF
      case symbol_kind::S_FIG: // FIG
      case symbol_kind::S_DR: // DR
      case symbol_kind::S_NONE: // NONE
      case symbol_kind::S_PRIOR: // PRIOR
      case symbol_kind::S_PRIOR_VARIANCE: // PRIOR_VARIANCE
      case symbol_kind::S_HESSIAN: // HESSIAN
      case symbol_kind::S_IDENTITY_MATRIX: // IDENTITY_MATRIX
      case symbol_kind::S_DIRICHLET: // DIRICHLET
      case symbol_kind::S_DIAGONAL: // DIAGONAL
      case symbol_kind::S_OPTIMAL: // OPTIMAL
      case symbol_kind::S_signed_integer: // signed_integer
      case symbol_kind::S_non_negative_number: // non_negative_number
      case symbol_kind::S_signed_number: // signed_number
      case symbol_kind::S_signed_inf: // signed_inf
      case symbol_kind::S_signed_number_w_inf: // signed_number_w_inf
      case symbol_kind::S_boolean: // boolean
      case symbol_kind::S_date_str: // date_str
      case symbol_kind::S_date_expr: // date_expr
      case symbol_kind::S_name_value_pair: // name_value_pair
      case symbol_kind::S_name_value_pair_list: // name_value_pair_list
      case symbol_kind::S_name_value_pair_with_boolean: // name_value_pair_with_boolean
      case symbol_kind::S_name_value_pair_with_boolean_list: // name_value_pair_with_boolean_list
      case symbol_kind::S_name_value_pair_with_suboptions: // name_value_pair_with_suboptions
      case symbol_kind::S_name_value_pair_with_suboptions_list: // name_value_pair_with_suboptions_list
      case symbol_kind::S_filename: // filename
      case symbol_kind::S_namespace_qualified_symbol: // namespace_qualified_symbol
      case symbol_kind::S_namespace_qualified_filename: // namespace_qualified_filename
      case symbol_kind::S_range: // range
      case symbol_kind::S_integer_range: // integer_range
      case symbol_kind::S_signed_integer_range: // signed_integer_range
      case symbol_kind::S_vec_value_1: // vec_value_1
      case symbol_kind::S_vec_value: // vec_value
      case symbol_kind::S_vec_value_list: // vec_value_list
      case symbol_kind::S_vec_of_vec_value: // vec_of_vec_value
      case symbol_kind::S_vec_value_1_w_inf: // vec_value_1_w_inf
      case symbol_kind::S_vec_value_w_inf: // vec_value_w_inf
      case symbol_kind::S_symbol: // symbol
        value.copy< string > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_occbin_constraints_regime: // occbin_constraints_regime
        value.copy< tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_prior_eq_opt: // prior_eq_opt
      case symbol_kind::S_options_eq_opt: // options_eq_opt
        value.copy< tuple<string,string,string,string> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_matched_moments_list: // matched_moments_list
      case symbol_kind::S_value_list: // value_list
        value.copy< vector<expr_t> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_vec_int_number: // vec_int_number
      case symbol_kind::S_vec_int_elem: // vec_int_elem
      case symbol_kind::S_vec_int_1: // vec_int_1
      case symbol_kind::S_vec_int: // vec_int
        value.copy< vector<int> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_period_list: // period_list
        value.copy< vector<pair<int, int>> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_named_var_1: // named_var_1
      case symbol_kind::S_named_var: // named_var
        value.copy< vector<pair<string,string>> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_SYMBOL_VEC: // SYMBOL_VEC
      case symbol_kind::S_change_type_var_list: // change_type_var_list
      case symbol_kind::S_vec_str_1: // vec_str_1
      case symbol_kind::S_vec_str: // vec_str
        value.copy< vector<string> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_occbin_constraints_regimes_list: // occbin_constraints_regimes_list
        value.copy< vector<tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t>> > (YY_MOVE (that.value));
        break;

      default:
        break;
    }

  }



  template <typename Base>
  parser::symbol_kind_type
  parser::basic_symbol<Base>::type_get () const YY_NOEXCEPT
  {
    return this->kind ();
  }

  template <typename Base>
  bool
  parser::basic_symbol<Base>::empty () const YY_NOEXCEPT
  {
    return this->kind () == symbol_kind::S_YYEMPTY;
  }

  template <typename Base>
  void
  parser::basic_symbol<Base>::move (basic_symbol& s)
  {
    super_type::move (s);
    switch (this->kind ())
    {
      case symbol_kind::S_prior_distribution: // prior_distribution
      case symbol_kind::S_prior_pdf: // prior_pdf
        value.move< PriorDistributions > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_change_type_arg: // change_type_arg
        value.move< SymbolType > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_expression: // expression
      case symbol_kind::S_expression_or_empty: // expression_or_empty
      case symbol_kind::S_equation: // equation
      case symbol_kind::S_hand_side: // hand_side
        value.move< expr_t > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_occbin_constraints_regime_options_list: // occbin_constraints_regime_options_list
        value.move< map<string, expr_t> > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_calibration_range: // calibration_range
        value.move< pair<expr_t,expr_t> > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_occbin_constraints_regime_option: // occbin_constraints_regime_option
        value.move< pair<string, expr_t> > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_named_var_elem: // named_var_elem
      case symbol_kind::S_subsamples_eq_opt: // subsamples_eq_opt
      case symbol_kind::S_integer_range_w_inf: // integer_range_w_inf
        value.move< pair<string,string> > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_FALSE: // FALSE
      case symbol_kind::S_FLOAT_NUMBER: // FLOAT_NUMBER
      case symbol_kind::S_DATES: // DATES
      case symbol_kind::S_INT_NUMBER: // INT_NUMBER
      case symbol_kind::S_NAME: // NAME
      case symbol_kind::S_QUOTED_STRING: // QUOTED_STRING
      case symbol_kind::S_TEX_NAME: // TEX_NAME
      case symbol_kind::S_TRUE: // TRUE
      case symbol_kind::S_BIND: // BIND
      case symbol_kind::S_RELAX: // RELAX
      case symbol_kind::S_ERROR_BIND: // ERROR_BIND
      case symbol_kind::S_ERROR_RELAX: // ERROR_RELAX
      case symbol_kind::S_ALPHA: // ALPHA
      case symbol_kind::S_BETA: // BETA
      case symbol_kind::S_ABAND: // ABAND
      case symbol_kind::S_NINV: // NINV
      case symbol_kind::S_CMS: // CMS
      case symbol_kind::S_NCMS: // NCMS
      case symbol_kind::S_CNUM: // CNUM
      case symbol_kind::S_GAMMA: // GAMMA
      case symbol_kind::S_INV_GAMMA: // INV_GAMMA
      case symbol_kind::S_INV_GAMMA1: // INV_GAMMA1
      case symbol_kind::S_INV_GAMMA2: // INV_GAMMA2
      case symbol_kind::S_NORMAL: // NORMAL
      case symbol_kind::S_UNIFORM: // UNIFORM
      case symbol_kind::S_EPS: // EPS
      case symbol_kind::S_PDF: // PDF
      case symbol_kind::S_FIG: // FIG
      case symbol_kind::S_DR: // DR
      case symbol_kind::S_NONE: // NONE
      case symbol_kind::S_PRIOR: // PRIOR
      case symbol_kind::S_PRIOR_VARIANCE: // PRIOR_VARIANCE
      case symbol_kind::S_HESSIAN: // HESSIAN
      case symbol_kind::S_IDENTITY_MATRIX: // IDENTITY_MATRIX
      case symbol_kind::S_DIRICHLET: // DIRICHLET
      case symbol_kind::S_DIAGONAL: // DIAGONAL
      case symbol_kind::S_OPTIMAL: // OPTIMAL
      case symbol_kind::S_signed_integer: // signed_integer
      case symbol_kind::S_non_negative_number: // non_negative_number
      case symbol_kind::S_signed_number: // signed_number
      case symbol_kind::S_signed_inf: // signed_inf
      case symbol_kind::S_signed_number_w_inf: // signed_number_w_inf
      case symbol_kind::S_boolean: // boolean
      case symbol_kind::S_date_str: // date_str
      case symbol_kind::S_date_expr: // date_expr
      case symbol_kind::S_name_value_pair: // name_value_pair
      case symbol_kind::S_name_value_pair_list: // name_value_pair_list
      case symbol_kind::S_name_value_pair_with_boolean: // name_value_pair_with_boolean
      case symbol_kind::S_name_value_pair_with_boolean_list: // name_value_pair_with_boolean_list
      case symbol_kind::S_name_value_pair_with_suboptions: // name_value_pair_with_suboptions
      case symbol_kind::S_name_value_pair_with_suboptions_list: // name_value_pair_with_suboptions_list
      case symbol_kind::S_filename: // filename
      case symbol_kind::S_namespace_qualified_symbol: // namespace_qualified_symbol
      case symbol_kind::S_namespace_qualified_filename: // namespace_qualified_filename
      case symbol_kind::S_range: // range
      case symbol_kind::S_integer_range: // integer_range
      case symbol_kind::S_signed_integer_range: // signed_integer_range
      case symbol_kind::S_vec_value_1: // vec_value_1
      case symbol_kind::S_vec_value: // vec_value
      case symbol_kind::S_vec_value_list: // vec_value_list
      case symbol_kind::S_vec_of_vec_value: // vec_of_vec_value
      case symbol_kind::S_vec_value_1_w_inf: // vec_value_1_w_inf
      case symbol_kind::S_vec_value_w_inf: // vec_value_w_inf
      case symbol_kind::S_symbol: // symbol
        value.move< string > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_occbin_constraints_regime: // occbin_constraints_regime
        value.move< tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t> > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_prior_eq_opt: // prior_eq_opt
      case symbol_kind::S_options_eq_opt: // options_eq_opt
        value.move< tuple<string,string,string,string> > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_matched_moments_list: // matched_moments_list
      case symbol_kind::S_value_list: // value_list
        value.move< vector<expr_t> > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_vec_int_number: // vec_int_number
      case symbol_kind::S_vec_int_elem: // vec_int_elem
      case symbol_kind::S_vec_int_1: // vec_int_1
      case symbol_kind::S_vec_int: // vec_int
        value.move< vector<int> > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_period_list: // period_list
        value.move< vector<pair<int, int>> > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_named_var_1: // named_var_1
      case symbol_kind::S_named_var: // named_var
        value.move< vector<pair<string,string>> > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_SYMBOL_VEC: // SYMBOL_VEC
      case symbol_kind::S_change_type_var_list: // change_type_var_list
      case symbol_kind::S_vec_str_1: // vec_str_1
      case symbol_kind::S_vec_str: // vec_str
        value.move< vector<string> > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_occbin_constraints_regimes_list: // occbin_constraints_regimes_list
        value.move< vector<tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t>> > (YY_MOVE (s.value));
        break;

      default:
        break;
    }

    location = YY_MOVE (s.location);
  }

  // by_kind.
  parser::by_kind::by_kind ()
    : kind_ (symbol_kind::S_YYEMPTY)
  {}

#if 201103L <= YY_CPLUSPLUS
  parser::by_kind::by_kind (by_kind&& that)
    : kind_ (that.kind_)
  {
    that.clear ();
  }
#endif

  parser::by_kind::by_kind (const by_kind& that)
    : kind_ (that.kind_)
  {}

  parser::by_kind::by_kind (token_kind_type t)
    : kind_ (yytranslate_ (t))
  {}

  void
  parser::by_kind::clear () YY_NOEXCEPT
  {
    kind_ = symbol_kind::S_YYEMPTY;
  }

  void
  parser::by_kind::move (by_kind& that)
  {
    kind_ = that.kind_;
    that.clear ();
  }

  parser::symbol_kind_type
  parser::by_kind::kind () const YY_NOEXCEPT
  {
    return kind_;
  }

  parser::symbol_kind_type
  parser::by_kind::type_get () const YY_NOEXCEPT
  {
    return this->kind ();
  }


  // by_state.
  parser::by_state::by_state () YY_NOEXCEPT
    : state (empty_state)
  {}

  parser::by_state::by_state (const by_state& that) YY_NOEXCEPT
    : state (that.state)
  {}

  void
  parser::by_state::clear () YY_NOEXCEPT
  {
    state = empty_state;
  }

  void
  parser::by_state::move (by_state& that)
  {
    state = that.state;
    that.clear ();
  }

  parser::by_state::by_state (state_type s) YY_NOEXCEPT
    : state (s)
  {}

  parser::symbol_kind_type
  parser::by_state::kind () const YY_NOEXCEPT
  {
    if (state == empty_state)
      return symbol_kind::S_YYEMPTY;
    else
      return YY_CAST (symbol_kind_type, yystos_[+state]);
  }

  parser::stack_symbol_type::stack_symbol_type ()
  {}

  parser::stack_symbol_type::stack_symbol_type (YY_RVREF (stack_symbol_type) that)
    : super_type (YY_MOVE (that.state), YY_MOVE (that.location))
  {
    switch (that.kind ())
    {
      case symbol_kind::S_prior_distribution: // prior_distribution
      case symbol_kind::S_prior_pdf: // prior_pdf
        value.YY_MOVE_OR_COPY< PriorDistributions > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_change_type_arg: // change_type_arg
        value.YY_MOVE_OR_COPY< SymbolType > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_expression: // expression
      case symbol_kind::S_expression_or_empty: // expression_or_empty
      case symbol_kind::S_equation: // equation
      case symbol_kind::S_hand_side: // hand_side
        value.YY_MOVE_OR_COPY< expr_t > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_occbin_constraints_regime_options_list: // occbin_constraints_regime_options_list
        value.YY_MOVE_OR_COPY< map<string, expr_t> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_calibration_range: // calibration_range
        value.YY_MOVE_OR_COPY< pair<expr_t,expr_t> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_occbin_constraints_regime_option: // occbin_constraints_regime_option
        value.YY_MOVE_OR_COPY< pair<string, expr_t> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_named_var_elem: // named_var_elem
      case symbol_kind::S_subsamples_eq_opt: // subsamples_eq_opt
      case symbol_kind::S_integer_range_w_inf: // integer_range_w_inf
        value.YY_MOVE_OR_COPY< pair<string,string> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_FALSE: // FALSE
      case symbol_kind::S_FLOAT_NUMBER: // FLOAT_NUMBER
      case symbol_kind::S_DATES: // DATES
      case symbol_kind::S_INT_NUMBER: // INT_NUMBER
      case symbol_kind::S_NAME: // NAME
      case symbol_kind::S_QUOTED_STRING: // QUOTED_STRING
      case symbol_kind::S_TEX_NAME: // TEX_NAME
      case symbol_kind::S_TRUE: // TRUE
      case symbol_kind::S_BIND: // BIND
      case symbol_kind::S_RELAX: // RELAX
      case symbol_kind::S_ERROR_BIND: // ERROR_BIND
      case symbol_kind::S_ERROR_RELAX: // ERROR_RELAX
      case symbol_kind::S_ALPHA: // ALPHA
      case symbol_kind::S_BETA: // BETA
      case symbol_kind::S_ABAND: // ABAND
      case symbol_kind::S_NINV: // NINV
      case symbol_kind::S_CMS: // CMS
      case symbol_kind::S_NCMS: // NCMS
      case symbol_kind::S_CNUM: // CNUM
      case symbol_kind::S_GAMMA: // GAMMA
      case symbol_kind::S_INV_GAMMA: // INV_GAMMA
      case symbol_kind::S_INV_GAMMA1: // INV_GAMMA1
      case symbol_kind::S_INV_GAMMA2: // INV_GAMMA2
      case symbol_kind::S_NORMAL: // NORMAL
      case symbol_kind::S_UNIFORM: // UNIFORM
      case symbol_kind::S_EPS: // EPS
      case symbol_kind::S_PDF: // PDF
      case symbol_kind::S_FIG: // FIG
      case symbol_kind::S_DR: // DR
      case symbol_kind::S_NONE: // NONE
      case symbol_kind::S_PRIOR: // PRIOR
      case symbol_kind::S_PRIOR_VARIANCE: // PRIOR_VARIANCE
      case symbol_kind::S_HESSIAN: // HESSIAN
      case symbol_kind::S_IDENTITY_MATRIX: // IDENTITY_MATRIX
      case symbol_kind::S_DIRICHLET: // DIRICHLET
      case symbol_kind::S_DIAGONAL: // DIAGONAL
      case symbol_kind::S_OPTIMAL: // OPTIMAL
      case symbol_kind::S_signed_integer: // signed_integer
      case symbol_kind::S_non_negative_number: // non_negative_number
      case symbol_kind::S_signed_number: // signed_number
      case symbol_kind::S_signed_inf: // signed_inf
      case symbol_kind::S_signed_number_w_inf: // signed_number_w_inf
      case symbol_kind::S_boolean: // boolean
      case symbol_kind::S_date_str: // date_str
      case symbol_kind::S_date_expr: // date_expr
      case symbol_kind::S_name_value_pair: // name_value_pair
      case symbol_kind::S_name_value_pair_list: // name_value_pair_list
      case symbol_kind::S_name_value_pair_with_boolean: // name_value_pair_with_boolean
      case symbol_kind::S_name_value_pair_with_boolean_list: // name_value_pair_with_boolean_list
      case symbol_kind::S_name_value_pair_with_suboptions: // name_value_pair_with_suboptions
      case symbol_kind::S_name_value_pair_with_suboptions_list: // name_value_pair_with_suboptions_list
      case symbol_kind::S_filename: // filename
      case symbol_kind::S_namespace_qualified_symbol: // namespace_qualified_symbol
      case symbol_kind::S_namespace_qualified_filename: // namespace_qualified_filename
      case symbol_kind::S_range: // range
      case symbol_kind::S_integer_range: // integer_range
      case symbol_kind::S_signed_integer_range: // signed_integer_range
      case symbol_kind::S_vec_value_1: // vec_value_1
      case symbol_kind::S_vec_value: // vec_value
      case symbol_kind::S_vec_value_list: // vec_value_list
      case symbol_kind::S_vec_of_vec_value: // vec_of_vec_value
      case symbol_kind::S_vec_value_1_w_inf: // vec_value_1_w_inf
      case symbol_kind::S_vec_value_w_inf: // vec_value_w_inf
      case symbol_kind::S_symbol: // symbol
        value.YY_MOVE_OR_COPY< string > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_occbin_constraints_regime: // occbin_constraints_regime
        value.YY_MOVE_OR_COPY< tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_prior_eq_opt: // prior_eq_opt
      case symbol_kind::S_options_eq_opt: // options_eq_opt
        value.YY_MOVE_OR_COPY< tuple<string,string,string,string> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_matched_moments_list: // matched_moments_list
      case symbol_kind::S_value_list: // value_list
        value.YY_MOVE_OR_COPY< vector<expr_t> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_vec_int_number: // vec_int_number
      case symbol_kind::S_vec_int_elem: // vec_int_elem
      case symbol_kind::S_vec_int_1: // vec_int_1
      case symbol_kind::S_vec_int: // vec_int
        value.YY_MOVE_OR_COPY< vector<int> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_period_list: // period_list
        value.YY_MOVE_OR_COPY< vector<pair<int, int>> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_named_var_1: // named_var_1
      case symbol_kind::S_named_var: // named_var
        value.YY_MOVE_OR_COPY< vector<pair<string,string>> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_SYMBOL_VEC: // SYMBOL_VEC
      case symbol_kind::S_change_type_var_list: // change_type_var_list
      case symbol_kind::S_vec_str_1: // vec_str_1
      case symbol_kind::S_vec_str: // vec_str
        value.YY_MOVE_OR_COPY< vector<string> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_occbin_constraints_regimes_list: // occbin_constraints_regimes_list
        value.YY_MOVE_OR_COPY< vector<tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t>> > (YY_MOVE (that.value));
        break;

      default:
        break;
    }

#if 201103L <= YY_CPLUSPLUS
    // that is emptied.
    that.state = empty_state;
#endif
  }

  parser::stack_symbol_type::stack_symbol_type (state_type s, YY_MOVE_REF (symbol_type) that)
    : super_type (s, YY_MOVE (that.location))
  {
    switch (that.kind ())
    {
      case symbol_kind::S_prior_distribution: // prior_distribution
      case symbol_kind::S_prior_pdf: // prior_pdf
        value.move< PriorDistributions > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_change_type_arg: // change_type_arg
        value.move< SymbolType > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_expression: // expression
      case symbol_kind::S_expression_or_empty: // expression_or_empty
      case symbol_kind::S_equation: // equation
      case symbol_kind::S_hand_side: // hand_side
        value.move< expr_t > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_occbin_constraints_regime_options_list: // occbin_constraints_regime_options_list
        value.move< map<string, expr_t> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_calibration_range: // calibration_range
        value.move< pair<expr_t,expr_t> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_occbin_constraints_regime_option: // occbin_constraints_regime_option
        value.move< pair<string, expr_t> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_named_var_elem: // named_var_elem
      case symbol_kind::S_subsamples_eq_opt: // subsamples_eq_opt
      case symbol_kind::S_integer_range_w_inf: // integer_range_w_inf
        value.move< pair<string,string> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_FALSE: // FALSE
      case symbol_kind::S_FLOAT_NUMBER: // FLOAT_NUMBER
      case symbol_kind::S_DATES: // DATES
      case symbol_kind::S_INT_NUMBER: // INT_NUMBER
      case symbol_kind::S_NAME: // NAME
      case symbol_kind::S_QUOTED_STRING: // QUOTED_STRING
      case symbol_kind::S_TEX_NAME: // TEX_NAME
      case symbol_kind::S_TRUE: // TRUE
      case symbol_kind::S_BIND: // BIND
      case symbol_kind::S_RELAX: // RELAX
      case symbol_kind::S_ERROR_BIND: // ERROR_BIND
      case symbol_kind::S_ERROR_RELAX: // ERROR_RELAX
      case symbol_kind::S_ALPHA: // ALPHA
      case symbol_kind::S_BETA: // BETA
      case symbol_kind::S_ABAND: // ABAND
      case symbol_kind::S_NINV: // NINV
      case symbol_kind::S_CMS: // CMS
      case symbol_kind::S_NCMS: // NCMS
      case symbol_kind::S_CNUM: // CNUM
      case symbol_kind::S_GAMMA: // GAMMA
      case symbol_kind::S_INV_GAMMA: // INV_GAMMA
      case symbol_kind::S_INV_GAMMA1: // INV_GAMMA1
      case symbol_kind::S_INV_GAMMA2: // INV_GAMMA2
      case symbol_kind::S_NORMAL: // NORMAL
      case symbol_kind::S_UNIFORM: // UNIFORM
      case symbol_kind::S_EPS: // EPS
      case symbol_kind::S_PDF: // PDF
      case symbol_kind::S_FIG: // FIG
      case symbol_kind::S_DR: // DR
      case symbol_kind::S_NONE: // NONE
      case symbol_kind::S_PRIOR: // PRIOR
      case symbol_kind::S_PRIOR_VARIANCE: // PRIOR_VARIANCE
      case symbol_kind::S_HESSIAN: // HESSIAN
      case symbol_kind::S_IDENTITY_MATRIX: // IDENTITY_MATRIX
      case symbol_kind::S_DIRICHLET: // DIRICHLET
      case symbol_kind::S_DIAGONAL: // DIAGONAL
      case symbol_kind::S_OPTIMAL: // OPTIMAL
      case symbol_kind::S_signed_integer: // signed_integer
      case symbol_kind::S_non_negative_number: // non_negative_number
      case symbol_kind::S_signed_number: // signed_number
      case symbol_kind::S_signed_inf: // signed_inf
      case symbol_kind::S_signed_number_w_inf: // signed_number_w_inf
      case symbol_kind::S_boolean: // boolean
      case symbol_kind::S_date_str: // date_str
      case symbol_kind::S_date_expr: // date_expr
      case symbol_kind::S_name_value_pair: // name_value_pair
      case symbol_kind::S_name_value_pair_list: // name_value_pair_list
      case symbol_kind::S_name_value_pair_with_boolean: // name_value_pair_with_boolean
      case symbol_kind::S_name_value_pair_with_boolean_list: // name_value_pair_with_boolean_list
      case symbol_kind::S_name_value_pair_with_suboptions: // name_value_pair_with_suboptions
      case symbol_kind::S_name_value_pair_with_suboptions_list: // name_value_pair_with_suboptions_list
      case symbol_kind::S_filename: // filename
      case symbol_kind::S_namespace_qualified_symbol: // namespace_qualified_symbol
      case symbol_kind::S_namespace_qualified_filename: // namespace_qualified_filename
      case symbol_kind::S_range: // range
      case symbol_kind::S_integer_range: // integer_range
      case symbol_kind::S_signed_integer_range: // signed_integer_range
      case symbol_kind::S_vec_value_1: // vec_value_1
      case symbol_kind::S_vec_value: // vec_value
      case symbol_kind::S_vec_value_list: // vec_value_list
      case symbol_kind::S_vec_of_vec_value: // vec_of_vec_value
      case symbol_kind::S_vec_value_1_w_inf: // vec_value_1_w_inf
      case symbol_kind::S_vec_value_w_inf: // vec_value_w_inf
      case symbol_kind::S_symbol: // symbol
        value.move< string > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_occbin_constraints_regime: // occbin_constraints_regime
        value.move< tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_prior_eq_opt: // prior_eq_opt
      case symbol_kind::S_options_eq_opt: // options_eq_opt
        value.move< tuple<string,string,string,string> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_matched_moments_list: // matched_moments_list
      case symbol_kind::S_value_list: // value_list
        value.move< vector<expr_t> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_vec_int_number: // vec_int_number
      case symbol_kind::S_vec_int_elem: // vec_int_elem
      case symbol_kind::S_vec_int_1: // vec_int_1
      case symbol_kind::S_vec_int: // vec_int
        value.move< vector<int> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_period_list: // period_list
        value.move< vector<pair<int, int>> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_named_var_1: // named_var_1
      case symbol_kind::S_named_var: // named_var
        value.move< vector<pair<string,string>> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_SYMBOL_VEC: // SYMBOL_VEC
      case symbol_kind::S_change_type_var_list: // change_type_var_list
      case symbol_kind::S_vec_str_1: // vec_str_1
      case symbol_kind::S_vec_str: // vec_str
        value.move< vector<string> > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_occbin_constraints_regimes_list: // occbin_constraints_regimes_list
        value.move< vector<tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t>> > (YY_MOVE (that.value));
        break;

      default:
        break;
    }

    // that is emptied.
    that.kind_ = symbol_kind::S_YYEMPTY;
  }

#if YY_CPLUSPLUS < 201103L
  parser::stack_symbol_type&
  parser::stack_symbol_type::operator= (const stack_symbol_type& that)
  {
    state = that.state;
    switch (that.kind ())
    {
      case symbol_kind::S_prior_distribution: // prior_distribution
      case symbol_kind::S_prior_pdf: // prior_pdf
        value.copy< PriorDistributions > (that.value);
        break;

      case symbol_kind::S_change_type_arg: // change_type_arg
        value.copy< SymbolType > (that.value);
        break;

      case symbol_kind::S_expression: // expression
      case symbol_kind::S_expression_or_empty: // expression_or_empty
      case symbol_kind::S_equation: // equation
      case symbol_kind::S_hand_side: // hand_side
        value.copy< expr_t > (that.value);
        break;

      case symbol_kind::S_occbin_constraints_regime_options_list: // occbin_constraints_regime_options_list
        value.copy< map<string, expr_t> > (that.value);
        break;

      case symbol_kind::S_calibration_range: // calibration_range
        value.copy< pair<expr_t,expr_t> > (that.value);
        break;

      case symbol_kind::S_occbin_constraints_regime_option: // occbin_constraints_regime_option
        value.copy< pair<string, expr_t> > (that.value);
        break;

      case symbol_kind::S_named_var_elem: // named_var_elem
      case symbol_kind::S_subsamples_eq_opt: // subsamples_eq_opt
      case symbol_kind::S_integer_range_w_inf: // integer_range_w_inf
        value.copy< pair<string,string> > (that.value);
        break;

      case symbol_kind::S_FALSE: // FALSE
      case symbol_kind::S_FLOAT_NUMBER: // FLOAT_NUMBER
      case symbol_kind::S_DATES: // DATES
      case symbol_kind::S_INT_NUMBER: // INT_NUMBER
      case symbol_kind::S_NAME: // NAME
      case symbol_kind::S_QUOTED_STRING: // QUOTED_STRING
      case symbol_kind::S_TEX_NAME: // TEX_NAME
      case symbol_kind::S_TRUE: // TRUE
      case symbol_kind::S_BIND: // BIND
      case symbol_kind::S_RELAX: // RELAX
      case symbol_kind::S_ERROR_BIND: // ERROR_BIND
      case symbol_kind::S_ERROR_RELAX: // ERROR_RELAX
      case symbol_kind::S_ALPHA: // ALPHA
      case symbol_kind::S_BETA: // BETA
      case symbol_kind::S_ABAND: // ABAND
      case symbol_kind::S_NINV: // NINV
      case symbol_kind::S_CMS: // CMS
      case symbol_kind::S_NCMS: // NCMS
      case symbol_kind::S_CNUM: // CNUM
      case symbol_kind::S_GAMMA: // GAMMA
      case symbol_kind::S_INV_GAMMA: // INV_GAMMA
      case symbol_kind::S_INV_GAMMA1: // INV_GAMMA1
      case symbol_kind::S_INV_GAMMA2: // INV_GAMMA2
      case symbol_kind::S_NORMAL: // NORMAL
      case symbol_kind::S_UNIFORM: // UNIFORM
      case symbol_kind::S_EPS: // EPS
      case symbol_kind::S_PDF: // PDF
      case symbol_kind::S_FIG: // FIG
      case symbol_kind::S_DR: // DR
      case symbol_kind::S_NONE: // NONE
      case symbol_kind::S_PRIOR: // PRIOR
      case symbol_kind::S_PRIOR_VARIANCE: // PRIOR_VARIANCE
      case symbol_kind::S_HESSIAN: // HESSIAN
      case symbol_kind::S_IDENTITY_MATRIX: // IDENTITY_MATRIX
      case symbol_kind::S_DIRICHLET: // DIRICHLET
      case symbol_kind::S_DIAGONAL: // DIAGONAL
      case symbol_kind::S_OPTIMAL: // OPTIMAL
      case symbol_kind::S_signed_integer: // signed_integer
      case symbol_kind::S_non_negative_number: // non_negative_number
      case symbol_kind::S_signed_number: // signed_number
      case symbol_kind::S_signed_inf: // signed_inf
      case symbol_kind::S_signed_number_w_inf: // signed_number_w_inf
      case symbol_kind::S_boolean: // boolean
      case symbol_kind::S_date_str: // date_str
      case symbol_kind::S_date_expr: // date_expr
      case symbol_kind::S_name_value_pair: // name_value_pair
      case symbol_kind::S_name_value_pair_list: // name_value_pair_list
      case symbol_kind::S_name_value_pair_with_boolean: // name_value_pair_with_boolean
      case symbol_kind::S_name_value_pair_with_boolean_list: // name_value_pair_with_boolean_list
      case symbol_kind::S_name_value_pair_with_suboptions: // name_value_pair_with_suboptions
      case symbol_kind::S_name_value_pair_with_suboptions_list: // name_value_pair_with_suboptions_list
      case symbol_kind::S_filename: // filename
      case symbol_kind::S_namespace_qualified_symbol: // namespace_qualified_symbol
      case symbol_kind::S_namespace_qualified_filename: // namespace_qualified_filename
      case symbol_kind::S_range: // range
      case symbol_kind::S_integer_range: // integer_range
      case symbol_kind::S_signed_integer_range: // signed_integer_range
      case symbol_kind::S_vec_value_1: // vec_value_1
      case symbol_kind::S_vec_value: // vec_value
      case symbol_kind::S_vec_value_list: // vec_value_list
      case symbol_kind::S_vec_of_vec_value: // vec_of_vec_value
      case symbol_kind::S_vec_value_1_w_inf: // vec_value_1_w_inf
      case symbol_kind::S_vec_value_w_inf: // vec_value_w_inf
      case symbol_kind::S_symbol: // symbol
        value.copy< string > (that.value);
        break;

      case symbol_kind::S_occbin_constraints_regime: // occbin_constraints_regime
        value.copy< tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t> > (that.value);
        break;

      case symbol_kind::S_prior_eq_opt: // prior_eq_opt
      case symbol_kind::S_options_eq_opt: // options_eq_opt
        value.copy< tuple<string,string,string,string> > (that.value);
        break;

      case symbol_kind::S_matched_moments_list: // matched_moments_list
      case symbol_kind::S_value_list: // value_list
        value.copy< vector<expr_t> > (that.value);
        break;

      case symbol_kind::S_vec_int_number: // vec_int_number
      case symbol_kind::S_vec_int_elem: // vec_int_elem
      case symbol_kind::S_vec_int_1: // vec_int_1
      case symbol_kind::S_vec_int: // vec_int
        value.copy< vector<int> > (that.value);
        break;

      case symbol_kind::S_period_list: // period_list
        value.copy< vector<pair<int, int>> > (that.value);
        break;

      case symbol_kind::S_named_var_1: // named_var_1
      case symbol_kind::S_named_var: // named_var
        value.copy< vector<pair<string,string>> > (that.value);
        break;

      case symbol_kind::S_SYMBOL_VEC: // SYMBOL_VEC
      case symbol_kind::S_change_type_var_list: // change_type_var_list
      case symbol_kind::S_vec_str_1: // vec_str_1
      case symbol_kind::S_vec_str: // vec_str
        value.copy< vector<string> > (that.value);
        break;

      case symbol_kind::S_occbin_constraints_regimes_list: // occbin_constraints_regimes_list
        value.copy< vector<tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t>> > (that.value);
        break;

      default:
        break;
    }

    location = that.location;
    return *this;
  }

  parser::stack_symbol_type&
  parser::stack_symbol_type::operator= (stack_symbol_type& that)
  {
    state = that.state;
    switch (that.kind ())
    {
      case symbol_kind::S_prior_distribution: // prior_distribution
      case symbol_kind::S_prior_pdf: // prior_pdf
        value.move< PriorDistributions > (that.value);
        break;

      case symbol_kind::S_change_type_arg: // change_type_arg
        value.move< SymbolType > (that.value);
        break;

      case symbol_kind::S_expression: // expression
      case symbol_kind::S_expression_or_empty: // expression_or_empty
      case symbol_kind::S_equation: // equation
      case symbol_kind::S_hand_side: // hand_side
        value.move< expr_t > (that.value);
        break;

      case symbol_kind::S_occbin_constraints_regime_options_list: // occbin_constraints_regime_options_list
        value.move< map<string, expr_t> > (that.value);
        break;

      case symbol_kind::S_calibration_range: // calibration_range
        value.move< pair<expr_t,expr_t> > (that.value);
        break;

      case symbol_kind::S_occbin_constraints_regime_option: // occbin_constraints_regime_option
        value.move< pair<string, expr_t> > (that.value);
        break;

      case symbol_kind::S_named_var_elem: // named_var_elem
      case symbol_kind::S_subsamples_eq_opt: // subsamples_eq_opt
      case symbol_kind::S_integer_range_w_inf: // integer_range_w_inf
        value.move< pair<string,string> > (that.value);
        break;

      case symbol_kind::S_FALSE: // FALSE
      case symbol_kind::S_FLOAT_NUMBER: // FLOAT_NUMBER
      case symbol_kind::S_DATES: // DATES
      case symbol_kind::S_INT_NUMBER: // INT_NUMBER
      case symbol_kind::S_NAME: // NAME
      case symbol_kind::S_QUOTED_STRING: // QUOTED_STRING
      case symbol_kind::S_TEX_NAME: // TEX_NAME
      case symbol_kind::S_TRUE: // TRUE
      case symbol_kind::S_BIND: // BIND
      case symbol_kind::S_RELAX: // RELAX
      case symbol_kind::S_ERROR_BIND: // ERROR_BIND
      case symbol_kind::S_ERROR_RELAX: // ERROR_RELAX
      case symbol_kind::S_ALPHA: // ALPHA
      case symbol_kind::S_BETA: // BETA
      case symbol_kind::S_ABAND: // ABAND
      case symbol_kind::S_NINV: // NINV
      case symbol_kind::S_CMS: // CMS
      case symbol_kind::S_NCMS: // NCMS
      case symbol_kind::S_CNUM: // CNUM
      case symbol_kind::S_GAMMA: // GAMMA
      case symbol_kind::S_INV_GAMMA: // INV_GAMMA
      case symbol_kind::S_INV_GAMMA1: // INV_GAMMA1
      case symbol_kind::S_INV_GAMMA2: // INV_GAMMA2
      case symbol_kind::S_NORMAL: // NORMAL
      case symbol_kind::S_UNIFORM: // UNIFORM
      case symbol_kind::S_EPS: // EPS
      case symbol_kind::S_PDF: // PDF
      case symbol_kind::S_FIG: // FIG
      case symbol_kind::S_DR: // DR
      case symbol_kind::S_NONE: // NONE
      case symbol_kind::S_PRIOR: // PRIOR
      case symbol_kind::S_PRIOR_VARIANCE: // PRIOR_VARIANCE
      case symbol_kind::S_HESSIAN: // HESSIAN
      case symbol_kind::S_IDENTITY_MATRIX: // IDENTITY_MATRIX
      case symbol_kind::S_DIRICHLET: // DIRICHLET
      case symbol_kind::S_DIAGONAL: // DIAGONAL
      case symbol_kind::S_OPTIMAL: // OPTIMAL
      case symbol_kind::S_signed_integer: // signed_integer
      case symbol_kind::S_non_negative_number: // non_negative_number
      case symbol_kind::S_signed_number: // signed_number
      case symbol_kind::S_signed_inf: // signed_inf
      case symbol_kind::S_signed_number_w_inf: // signed_number_w_inf
      case symbol_kind::S_boolean: // boolean
      case symbol_kind::S_date_str: // date_str
      case symbol_kind::S_date_expr: // date_expr
      case symbol_kind::S_name_value_pair: // name_value_pair
      case symbol_kind::S_name_value_pair_list: // name_value_pair_list
      case symbol_kind::S_name_value_pair_with_boolean: // name_value_pair_with_boolean
      case symbol_kind::S_name_value_pair_with_boolean_list: // name_value_pair_with_boolean_list
      case symbol_kind::S_name_value_pair_with_suboptions: // name_value_pair_with_suboptions
      case symbol_kind::S_name_value_pair_with_suboptions_list: // name_value_pair_with_suboptions_list
      case symbol_kind::S_filename: // filename
      case symbol_kind::S_namespace_qualified_symbol: // namespace_qualified_symbol
      case symbol_kind::S_namespace_qualified_filename: // namespace_qualified_filename
      case symbol_kind::S_range: // range
      case symbol_kind::S_integer_range: // integer_range
      case symbol_kind::S_signed_integer_range: // signed_integer_range
      case symbol_kind::S_vec_value_1: // vec_value_1
      case symbol_kind::S_vec_value: // vec_value
      case symbol_kind::S_vec_value_list: // vec_value_list
      case symbol_kind::S_vec_of_vec_value: // vec_of_vec_value
      case symbol_kind::S_vec_value_1_w_inf: // vec_value_1_w_inf
      case symbol_kind::S_vec_value_w_inf: // vec_value_w_inf
      case symbol_kind::S_symbol: // symbol
        value.move< string > (that.value);
        break;

      case symbol_kind::S_occbin_constraints_regime: // occbin_constraints_regime
        value.move< tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t> > (that.value);
        break;

      case symbol_kind::S_prior_eq_opt: // prior_eq_opt
      case symbol_kind::S_options_eq_opt: // options_eq_opt
        value.move< tuple<string,string,string,string> > (that.value);
        break;

      case symbol_kind::S_matched_moments_list: // matched_moments_list
      case symbol_kind::S_value_list: // value_list
        value.move< vector<expr_t> > (that.value);
        break;

      case symbol_kind::S_vec_int_number: // vec_int_number
      case symbol_kind::S_vec_int_elem: // vec_int_elem
      case symbol_kind::S_vec_int_1: // vec_int_1
      case symbol_kind::S_vec_int: // vec_int
        value.move< vector<int> > (that.value);
        break;

      case symbol_kind::S_period_list: // period_list
        value.move< vector<pair<int, int>> > (that.value);
        break;

      case symbol_kind::S_named_var_1: // named_var_1
      case symbol_kind::S_named_var: // named_var
        value.move< vector<pair<string,string>> > (that.value);
        break;

      case symbol_kind::S_SYMBOL_VEC: // SYMBOL_VEC
      case symbol_kind::S_change_type_var_list: // change_type_var_list
      case symbol_kind::S_vec_str_1: // vec_str_1
      case symbol_kind::S_vec_str: // vec_str
        value.move< vector<string> > (that.value);
        break;

      case symbol_kind::S_occbin_constraints_regimes_list: // occbin_constraints_regimes_list
        value.move< vector<tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t>> > (that.value);
        break;

      default:
        break;
    }

    location = that.location;
    // that is emptied.
    that.state = empty_state;
    return *this;
  }
#endif

  template <typename Base>
  void
  parser::yy_destroy_ (const char* yymsg, basic_symbol<Base>& yysym) const
  {
    if (yymsg)
      YY_SYMBOL_PRINT (yymsg, yysym);
  }

#if YYDEBUG
  template <typename Base>
  void
  parser::yy_print_ (std::ostream& yyo, const basic_symbol<Base>& yysym) const
  {
    std::ostream& yyoutput = yyo;
    YY_USE (yyoutput);
    if (yysym.empty ())
      yyo << "empty symbol";
    else
      {
        symbol_kind_type yykind = yysym.kind ();
        yyo << (yykind < YYNTOKENS ? "token" : "nterm")
            << ' ' << yysym.name () << " ("
            << yysym.location << ": ";
        YY_USE (yykind);
        yyo << ')';
      }
  }
#endif

  void
  parser::yypush_ (const char* m, YY_MOVE_REF (stack_symbol_type) sym)
  {
    if (m)
      YY_SYMBOL_PRINT (m, sym);
    yystack_.push (YY_MOVE (sym));
  }

  void
  parser::yypush_ (const char* m, state_type s, YY_MOVE_REF (symbol_type) sym)
  {
#if 201103L <= YY_CPLUSPLUS
    yypush_ (m, stack_symbol_type (s, std::move (sym)));
#else
    stack_symbol_type ss (s, sym);
    yypush_ (m, ss);
#endif
  }

  void
  parser::yypop_ (int n)
  {
    yystack_.pop (n);
  }

#if YYDEBUG
  std::ostream&
  parser::debug_stream () const
  {
    return *yycdebug_;
  }

  void
  parser::set_debug_stream (std::ostream& o)
  {
    yycdebug_ = &o;
  }


  parser::debug_level_type
  parser::debug_level () const
  {
    return yydebug_;
  }

  void
  parser::set_debug_level (debug_level_type l)
  {
    yydebug_ = l;
  }
#endif // YYDEBUG

  parser::state_type
  parser::yy_lr_goto_state_ (state_type yystate, int yysym)
  {
    int yyr = yypgoto_[yysym - YYNTOKENS] + yystate;
    if (0 <= yyr && yyr <= yylast_ && yycheck_[yyr] == yystate)
      return yytable_[yyr];
    else
      return yydefgoto_[yysym - YYNTOKENS];
  }

  bool
  parser::yy_pact_value_is_default_ (int yyvalue)
  {
    return yyvalue == yypact_ninf_;
  }

  bool
  parser::yy_table_value_is_error_ (int yyvalue)
  {
    return yyvalue == yytable_ninf_;
  }

  int
  parser::operator() ()
  {
    return parse ();
  }

  int
  parser::parse ()
  {
    int yyn;
    /// Length of the RHS of the rule being reduced.
    int yylen = 0;

    // Error handling.
    int yynerrs_ = 0;
    int yyerrstatus_ = 0;

    /// The lookahead symbol.
    symbol_type yyla;

    /// The locations where the error started and ended.
    stack_symbol_type yyerror_range[3];

    /// The return value of parse ().
    int yyresult;

#if YY_EXCEPTIONS
    try
#endif // YY_EXCEPTIONS
      {
    YYCDEBUG << "Starting parse\n";


    // User initialization code.
#line 43 "DynareBison.yy"
{
  // Initialize the locations' filenames to the filename maintained by the lexer
  yyla.location.begin.filename = yyla.location.end.filename = &(driver.lexer->filename);
}

#line 1380 "DynareBison.cc"


    /* Initialize the stack.  The initial state will be set in
       yynewstate, since the latter expects the semantical and the
       location values to have been already stored, initialize these
       stacks with a primary value.  */
    yystack_.clear ();
    yypush_ (YY_NULLPTR, 0, YY_MOVE (yyla));

  /*-----------------------------------------------.
  | yynewstate -- push a new symbol on the stack.  |
  `-----------------------------------------------*/
  yynewstate:
    YYCDEBUG << "Entering state " << int (yystack_[0].state) << '\n';
    YY_STACK_PRINT ();

    // Accept?
    if (yystack_[0].state == yyfinal_)
      YYACCEPT;

    goto yybackup;


  /*-----------.
  | yybackup.  |
  `-----------*/
  yybackup:
    // Try to take a decision without lookahead.
    yyn = yypact_[+yystack_[0].state];
    if (yy_pact_value_is_default_ (yyn))
      goto yydefault;

    // Read a lookahead token.
    if (yyla.empty ())
      {
        YYCDEBUG << "Reading a token\n";
#if YY_EXCEPTIONS
        try
#endif // YY_EXCEPTIONS
          {
            yyla.kind_ = yytranslate_ (yylex (&yyla.value, &yyla.location, driver));
          }
#if YY_EXCEPTIONS
        catch (const syntax_error& yyexc)
          {
            YYCDEBUG << "Caught exception: " << yyexc.what() << '\n';
            error (yyexc);
            goto yyerrlab1;
          }
#endif // YY_EXCEPTIONS
      }
    YY_SYMBOL_PRINT ("Next token is", yyla);

    if (yyla.kind () == symbol_kind::S_YYerror)
    {
      // The scanner already issued an error message, process directly
      // to error recovery.  But do not keep the error token as
      // lookahead, it is too special and may lead us to an endless
      // loop in error recovery. */
      yyla.kind_ = symbol_kind::S_YYUNDEF;
      goto yyerrlab1;
    }

    /* If the proper action on seeing token YYLA.TYPE is to reduce or
       to detect an error, take that action.  */
    yyn += yyla.kind ();
    if (yyn < 0 || yylast_ < yyn || yycheck_[yyn] != yyla.kind ())
      {
        goto yydefault;
      }

    // Reduce or error.
    yyn = yytable_[yyn];
    if (yyn <= 0)
      {
        if (yy_table_value_is_error_ (yyn))
          goto yyerrlab;
        yyn = -yyn;
        goto yyreduce;
      }

    // Count tokens shifted since error; after three, turn off error status.
    if (yyerrstatus_)
      --yyerrstatus_;

    // Shift the lookahead token.
    yypush_ ("Shifting", state_type (yyn), YY_MOVE (yyla));
    goto yynewstate;


  /*-----------------------------------------------------------.
  | yydefault -- do the default action for the current state.  |
  `-----------------------------------------------------------*/
  yydefault:
    yyn = yydefact_[+yystack_[0].state];
    if (yyn == 0)
      goto yyerrlab;
    goto yyreduce;


  /*-----------------------------.
  | yyreduce -- do a reduction.  |
  `-----------------------------*/
  yyreduce:
    yylen = yyr2_[yyn];
    {
      stack_symbol_type yylhs;
      yylhs.state = yy_lr_goto_state_ (yystack_[yylen].state, yyr1_[yyn]);
      /* Variants are always initialized to an empty instance of the
         correct type. The default '$$ = $1' action is NOT applied
         when using variants.  */
      switch (yyr1_[yyn])
    {
      case symbol_kind::S_prior_distribution: // prior_distribution
      case symbol_kind::S_prior_pdf: // prior_pdf
        yylhs.value.emplace< PriorDistributions > ();
        break;

      case symbol_kind::S_change_type_arg: // change_type_arg
        yylhs.value.emplace< SymbolType > ();
        break;

      case symbol_kind::S_expression: // expression
      case symbol_kind::S_expression_or_empty: // expression_or_empty
      case symbol_kind::S_equation: // equation
      case symbol_kind::S_hand_side: // hand_side
        yylhs.value.emplace< expr_t > ();
        break;

      case symbol_kind::S_occbin_constraints_regime_options_list: // occbin_constraints_regime_options_list
        yylhs.value.emplace< map<string, expr_t> > ();
        break;

      case symbol_kind::S_calibration_range: // calibration_range
        yylhs.value.emplace< pair<expr_t,expr_t> > ();
        break;

      case symbol_kind::S_occbin_constraints_regime_option: // occbin_constraints_regime_option
        yylhs.value.emplace< pair<string, expr_t> > ();
        break;

      case symbol_kind::S_named_var_elem: // named_var_elem
      case symbol_kind::S_subsamples_eq_opt: // subsamples_eq_opt
      case symbol_kind::S_integer_range_w_inf: // integer_range_w_inf
        yylhs.value.emplace< pair<string,string> > ();
        break;

      case symbol_kind::S_FALSE: // FALSE
      case symbol_kind::S_FLOAT_NUMBER: // FLOAT_NUMBER
      case symbol_kind::S_DATES: // DATES
      case symbol_kind::S_INT_NUMBER: // INT_NUMBER
      case symbol_kind::S_NAME: // NAME
      case symbol_kind::S_QUOTED_STRING: // QUOTED_STRING
      case symbol_kind::S_TEX_NAME: // TEX_NAME
      case symbol_kind::S_TRUE: // TRUE
      case symbol_kind::S_BIND: // BIND
      case symbol_kind::S_RELAX: // RELAX
      case symbol_kind::S_ERROR_BIND: // ERROR_BIND
      case symbol_kind::S_ERROR_RELAX: // ERROR_RELAX
      case symbol_kind::S_ALPHA: // ALPHA
      case symbol_kind::S_BETA: // BETA
      case symbol_kind::S_ABAND: // ABAND
      case symbol_kind::S_NINV: // NINV
      case symbol_kind::S_CMS: // CMS
      case symbol_kind::S_NCMS: // NCMS
      case symbol_kind::S_CNUM: // CNUM
      case symbol_kind::S_GAMMA: // GAMMA
      case symbol_kind::S_INV_GAMMA: // INV_GAMMA
      case symbol_kind::S_INV_GAMMA1: // INV_GAMMA1
      case symbol_kind::S_INV_GAMMA2: // INV_GAMMA2
      case symbol_kind::S_NORMAL: // NORMAL
      case symbol_kind::S_UNIFORM: // UNIFORM
      case symbol_kind::S_EPS: // EPS
      case symbol_kind::S_PDF: // PDF
      case symbol_kind::S_FIG: // FIG
      case symbol_kind::S_DR: // DR
      case symbol_kind::S_NONE: // NONE
      case symbol_kind::S_PRIOR: // PRIOR
      case symbol_kind::S_PRIOR_VARIANCE: // PRIOR_VARIANCE
      case symbol_kind::S_HESSIAN: // HESSIAN
      case symbol_kind::S_IDENTITY_MATRIX: // IDENTITY_MATRIX
      case symbol_kind::S_DIRICHLET: // DIRICHLET
      case symbol_kind::S_DIAGONAL: // DIAGONAL
      case symbol_kind::S_OPTIMAL: // OPTIMAL
      case symbol_kind::S_signed_integer: // signed_integer
      case symbol_kind::S_non_negative_number: // non_negative_number
      case symbol_kind::S_signed_number: // signed_number
      case symbol_kind::S_signed_inf: // signed_inf
      case symbol_kind::S_signed_number_w_inf: // signed_number_w_inf
      case symbol_kind::S_boolean: // boolean
      case symbol_kind::S_date_str: // date_str
      case symbol_kind::S_date_expr: // date_expr
      case symbol_kind::S_name_value_pair: // name_value_pair
      case symbol_kind::S_name_value_pair_list: // name_value_pair_list
      case symbol_kind::S_name_value_pair_with_boolean: // name_value_pair_with_boolean
      case symbol_kind::S_name_value_pair_with_boolean_list: // name_value_pair_with_boolean_list
      case symbol_kind::S_name_value_pair_with_suboptions: // name_value_pair_with_suboptions
      case symbol_kind::S_name_value_pair_with_suboptions_list: // name_value_pair_with_suboptions_list
      case symbol_kind::S_filename: // filename
      case symbol_kind::S_namespace_qualified_symbol: // namespace_qualified_symbol
      case symbol_kind::S_namespace_qualified_filename: // namespace_qualified_filename
      case symbol_kind::S_range: // range
      case symbol_kind::S_integer_range: // integer_range
      case symbol_kind::S_signed_integer_range: // signed_integer_range
      case symbol_kind::S_vec_value_1: // vec_value_1
      case symbol_kind::S_vec_value: // vec_value
      case symbol_kind::S_vec_value_list: // vec_value_list
      case symbol_kind::S_vec_of_vec_value: // vec_of_vec_value
      case symbol_kind::S_vec_value_1_w_inf: // vec_value_1_w_inf
      case symbol_kind::S_vec_value_w_inf: // vec_value_w_inf
      case symbol_kind::S_symbol: // symbol
        yylhs.value.emplace< string > ();
        break;

      case symbol_kind::S_occbin_constraints_regime: // occbin_constraints_regime
        yylhs.value.emplace< tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t> > ();
        break;

      case symbol_kind::S_prior_eq_opt: // prior_eq_opt
      case symbol_kind::S_options_eq_opt: // options_eq_opt
        yylhs.value.emplace< tuple<string,string,string,string> > ();
        break;

      case symbol_kind::S_matched_moments_list: // matched_moments_list
      case symbol_kind::S_value_list: // value_list
        yylhs.value.emplace< vector<expr_t> > ();
        break;

      case symbol_kind::S_vec_int_number: // vec_int_number
      case symbol_kind::S_vec_int_elem: // vec_int_elem
      case symbol_kind::S_vec_int_1: // vec_int_1
      case symbol_kind::S_vec_int: // vec_int
        yylhs.value.emplace< vector<int> > ();
        break;

      case symbol_kind::S_period_list: // period_list
        yylhs.value.emplace< vector<pair<int, int>> > ();
        break;

      case symbol_kind::S_named_var_1: // named_var_1
      case symbol_kind::S_named_var: // named_var
        yylhs.value.emplace< vector<pair<string,string>> > ();
        break;

      case symbol_kind::S_SYMBOL_VEC: // SYMBOL_VEC
      case symbol_kind::S_change_type_var_list: // change_type_var_list
      case symbol_kind::S_vec_str_1: // vec_str_1
      case symbol_kind::S_vec_str: // vec_str
        yylhs.value.emplace< vector<string> > ();
        break;

      case symbol_kind::S_occbin_constraints_regimes_list: // occbin_constraints_regimes_list
        yylhs.value.emplace< vector<tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t>> > ();
        break;

      default:
        break;
    }


      // Default location.
      {
        stack_type::slice range (yystack_, yylen);
        YYLLOC_DEFAULT (yylhs.location, range, yylen);
        yyerror_range[1].location = yylhs.location;
      }

      // Perform the reduction.
      YY_REDUCE_PRINT (yyn);
#if YY_EXCEPTIONS
      try
#endif // YY_EXCEPTIONS
        {
          switch (yyn)
            {
  case 125: // dsample: DSAMPLE INT_NUMBER ';'
#line 349 "DynareBison.yy"
          { driver.dsample(yystack_[1].value.as < string > ()); }
#line 1659 "DynareBison.cc"
    break;

  case 126: // dsample: DSAMPLE INT_NUMBER INT_NUMBER ';'
#line 351 "DynareBison.yy"
          { driver.dsample(yystack_[2].value.as < string > (), yystack_[1].value.as < string > ()); }
#line 1665 "DynareBison.cc"
    break;

  case 127: // rplot: RPLOT symbol_list ';'
#line 354 "DynareBison.yy"
                              { driver.rplot(); }
#line 1671 "DynareBison.cc"
    break;

  case 128: // $@1: %empty
#line 356 "DynareBison.yy"
                                              { driver.begin_trend(); }
#line 1677 "DynareBison.cc"
    break;

  case 129: // trend_var: TREND_VAR '(' GROWTH_FACTOR EQUAL $@1 hand_side ')' trend_var_list ';'
#line 357 "DynareBison.yy"
            { driver.end_trend_var(yystack_[3].value.as < expr_t > ()); }
#line 1683 "DynareBison.cc"
    break;

  case 130: // trend_var_list: trend_var_list symbol
#line 361 "DynareBison.yy"
                 { driver.declare_trend_var(false, yystack_[0].value.as < string > ()); }
#line 1689 "DynareBison.cc"
    break;

  case 131: // trend_var_list: trend_var_list COMMA symbol
#line 363 "DynareBison.yy"
                 { driver.declare_trend_var(false, yystack_[0].value.as < string > ()); }
#line 1695 "DynareBison.cc"
    break;

  case 132: // trend_var_list: symbol
#line 365 "DynareBison.yy"
                 { driver.declare_trend_var(false, yystack_[0].value.as < string > ()); }
#line 1701 "DynareBison.cc"
    break;

  case 133: // trend_var_list: trend_var_list symbol TEX_NAME
#line 367 "DynareBison.yy"
                 { driver.declare_trend_var(false, yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 1707 "DynareBison.cc"
    break;

  case 134: // trend_var_list: trend_var_list COMMA symbol TEX_NAME
#line 369 "DynareBison.yy"
                 { driver.declare_trend_var(false, yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 1713 "DynareBison.cc"
    break;

  case 135: // trend_var_list: symbol TEX_NAME
#line 371 "DynareBison.yy"
                 { driver.declare_trend_var(false, yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 1719 "DynareBison.cc"
    break;

  case 136: // $@2: %empty
#line 374 "DynareBison.yy"
                                                          { driver.begin_trend(); }
#line 1725 "DynareBison.cc"
    break;

  case 137: // log_trend_var: LOG_TREND_VAR '(' LOG_GROWTH_FACTOR EQUAL $@2 hand_side ')' log_trend_var_list ';'
#line 375 "DynareBison.yy"
                { driver.end_trend_var(yystack_[3].value.as < expr_t > ()); }
#line 1731 "DynareBison.cc"
    break;

  case 138: // log_trend_var_list: log_trend_var_list symbol
#line 379 "DynareBison.yy"
                     { driver.declare_trend_var(true, yystack_[0].value.as < string > ()); }
#line 1737 "DynareBison.cc"
    break;

  case 139: // log_trend_var_list: log_trend_var_list COMMA symbol
#line 381 "DynareBison.yy"
                     { driver.declare_trend_var(true, yystack_[0].value.as < string > ()); }
#line 1743 "DynareBison.cc"
    break;

  case 140: // log_trend_var_list: symbol
#line 383 "DynareBison.yy"
                     { driver.declare_trend_var(true, yystack_[0].value.as < string > ()); }
#line 1749 "DynareBison.cc"
    break;

  case 141: // log_trend_var_list: log_trend_var_list symbol TEX_NAME
#line 385 "DynareBison.yy"
                     { driver.declare_trend_var(true, yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 1755 "DynareBison.cc"
    break;

  case 142: // log_trend_var_list: log_trend_var_list COMMA symbol TEX_NAME
#line 387 "DynareBison.yy"
                     { driver.declare_trend_var(true, yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 1761 "DynareBison.cc"
    break;

  case 143: // log_trend_var_list: symbol TEX_NAME
#line 389 "DynareBison.yy"
                     { driver.declare_trend_var(true, yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 1767 "DynareBison.cc"
    break;

  case 145: // $@3: %empty
#line 393 "DynareBison.yy"
                             { driver.begin_trend(); }
#line 1773 "DynareBison.cc"
    break;

  case 146: // var: VAR '(' DEFLATOR EQUAL $@3 hand_side ')' nonstationary_var_list ';'
#line 394 "DynareBison.yy"
      { driver.end_nonstationary_var(false, yystack_[3].value.as < expr_t > ()); }
#line 1779 "DynareBison.cc"
    break;

  case 147: // $@4: %empty
#line 395 "DynareBison.yy"
                                 { driver.begin_trend(); }
#line 1785 "DynareBison.cc"
    break;

  case 148: // var: VAR '(' LOG_DEFLATOR EQUAL $@4 hand_side ')' nonstationary_var_list ';'
#line 396 "DynareBison.yy"
      { driver.end_nonstationary_var(true, yystack_[3].value.as < expr_t > ()); }
#line 1791 "DynareBison.cc"
    break;

  case 149: // var_model: VAR_MODEL '(' var_model_options_list ')' ';'
#line 399 "DynareBison.yy"
                                                         { driver.var_model(); }
#line 1797 "DynareBison.cc"
    break;

  case 155: // trend_component_model: TREND_COMPONENT_MODEL '(' trend_component_model_options_list ')' ';'
#line 411 "DynareBison.yy"
                                                                                              { driver.trend_component_model(); }
#line 1803 "DynareBison.cc"
    break;

  case 161: // $@5: %empty
#line 423 "DynareBison.yy"
                          { driver.begin_pac_model(); }
#line 1809 "DynareBison.cc"
    break;

  case 162: // pac_model: PAC_MODEL '(' $@5 pac_model_options_list ')' ';'
#line 423 "DynareBison.yy"
                                                                                       { driver.pac_model(); }
#line 1815 "DynareBison.cc"
    break;

  case 169: // var_expectation_model: VAR_EXPECTATION_MODEL '(' var_expectation_model_options_list ')' ';'
#line 436 "DynareBison.yy"
                        { driver.var_expectation_model(); }
#line 1821 "DynareBison.cc"
    break;

  case 172: // var_expectation_model_option: VARIABLE EQUAL symbol
#line 445 "DynareBison.yy"
                               { driver.option_str("variable", yystack_[0].value.as < string > ()); }
#line 1827 "DynareBison.cc"
    break;

  case 173: // $@6: %empty
#line 446 "DynareBison.yy"
                                                { driver.begin_model(); }
#line 1833 "DynareBison.cc"
    break;

  case 174: // var_expectation_model_option: EXPRESSION EQUAL $@6 hand_side
#line 447 "DynareBison.yy"
                               {
                                 driver.var_expectation_model_expression = yystack_[0].value.as < expr_t > ();
                                 driver.reset_data_tree();
                               }
#line 1842 "DynareBison.cc"
    break;

  case 175: // var_expectation_model_option: AUXILIARY_MODEL_NAME EQUAL symbol
#line 452 "DynareBison.yy"
                               { driver.option_str("auxiliary_model_name", yystack_[0].value.as < string > ()); }
#line 1848 "DynareBison.cc"
    break;

  case 176: // var_expectation_model_option: HORIZON EQUAL INT_NUMBER
#line 454 "DynareBison.yy"
                               { driver.option_num("horizon", yystack_[0].value.as < string > ()); }
#line 1854 "DynareBison.cc"
    break;

  case 177: // var_expectation_model_option: HORIZON EQUAL integer_range_w_inf
#line 456 "DynareBison.yy"
                               { driver.option_num("horizon", "[ " + yystack_[0].value.as < pair<string,string> > ().first + ' ' + yystack_[0].value.as < pair<string,string> > ().second + " ]"); }
#line 1860 "DynareBison.cc"
    break;

  case 178: // var_expectation_model_option: MODEL_NAME EQUAL symbol
#line 458 "DynareBison.yy"
                               { driver.option_str("model_name", yystack_[0].value.as < string > ()); }
#line 1866 "DynareBison.cc"
    break;

  case 179: // var_expectation_model_option: DISCOUNT EQUAL expression
#line 460 "DynareBison.yy"
                               { driver.var_expectation_model_discount = yystack_[0].value.as < expr_t > (); }
#line 1872 "DynareBison.cc"
    break;

  case 180: // var_expectation_model_option: TIME_SHIFT EQUAL signed_integer
#line 462 "DynareBison.yy"
                               { driver.option_num("time_shift", yystack_[0].value.as < string > ()); }
#line 1878 "DynareBison.cc"
    break;

  case 181: // nonstationary_var_list: nonstationary_var_list symbol
#line 466 "DynareBison.yy"
                         { driver.declare_nonstationary_var(yystack_[0].value.as < string > ()); }
#line 1884 "DynareBison.cc"
    break;

  case 182: // nonstationary_var_list: nonstationary_var_list COMMA symbol
#line 468 "DynareBison.yy"
                         { driver.declare_nonstationary_var(yystack_[0].value.as < string > ()); }
#line 1890 "DynareBison.cc"
    break;

  case 183: // nonstationary_var_list: symbol
#line 470 "DynareBison.yy"
                         { driver.declare_nonstationary_var(yystack_[0].value.as < string > ()); }
#line 1896 "DynareBison.cc"
    break;

  case 184: // nonstationary_var_list: nonstationary_var_list symbol named_var
#line 472 "DynareBison.yy"
                         { driver.declare_nonstationary_var(yystack_[1].value.as < string > (), "", yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 1902 "DynareBison.cc"
    break;

  case 185: // nonstationary_var_list: nonstationary_var_list COMMA symbol named_var
#line 474 "DynareBison.yy"
                         { driver.declare_nonstationary_var(yystack_[1].value.as < string > (), "", yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 1908 "DynareBison.cc"
    break;

  case 186: // nonstationary_var_list: symbol named_var
#line 476 "DynareBison.yy"
                         { driver.declare_nonstationary_var(yystack_[1].value.as < string > (), "", yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 1914 "DynareBison.cc"
    break;

  case 187: // nonstationary_var_list: nonstationary_var_list symbol TEX_NAME
#line 478 "DynareBison.yy"
                         { driver.declare_nonstationary_var(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 1920 "DynareBison.cc"
    break;

  case 188: // nonstationary_var_list: nonstationary_var_list COMMA symbol TEX_NAME
#line 480 "DynareBison.yy"
                         { driver.declare_nonstationary_var(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 1926 "DynareBison.cc"
    break;

  case 189: // nonstationary_var_list: symbol TEX_NAME
#line 482 "DynareBison.yy"
                         { driver.declare_nonstationary_var(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 1932 "DynareBison.cc"
    break;

  case 190: // nonstationary_var_list: nonstationary_var_list symbol TEX_NAME named_var
#line 484 "DynareBison.yy"
                         { driver.declare_nonstationary_var(yystack_[2].value.as < string > (), yystack_[1].value.as < string > (), yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 1938 "DynareBison.cc"
    break;

  case 191: // nonstationary_var_list: nonstationary_var_list COMMA symbol TEX_NAME named_var
#line 486 "DynareBison.yy"
                         { driver.declare_nonstationary_var(yystack_[2].value.as < string > (), yystack_[1].value.as < string > (), yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 1944 "DynareBison.cc"
    break;

  case 192: // nonstationary_var_list: symbol TEX_NAME named_var
#line 488 "DynareBison.yy"
                         { driver.declare_nonstationary_var(yystack_[2].value.as < string > (), yystack_[1].value.as < string > (), yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 1950 "DynareBison.cc"
    break;

  case 198: // named_var_elem: symbol EQUAL QUOTED_STRING
#line 504 "DynareBison.yy"
                 { yylhs.value.as < pair<string,string> > () = { yystack_[2].value.as < string > (), yystack_[0].value.as < string > () }; }
#line 1956 "DynareBison.cc"
    break;

  case 199: // named_var_1: '(' named_var_elem
#line 507 "DynareBison.yy"
              { yylhs.value.as < vector<pair<string,string>> > () = { yystack_[0].value.as < pair<string,string> > () }; }
#line 1962 "DynareBison.cc"
    break;

  case 200: // named_var_1: '(' COMMA named_var_elem
#line 509 "DynareBison.yy"
              { yylhs.value.as < vector<pair<string,string>> > () = { yystack_[0].value.as < pair<string,string> > () }; }
#line 1968 "DynareBison.cc"
    break;

  case 201: // named_var_1: named_var_1 named_var_elem
#line 511 "DynareBison.yy"
              {
                yylhs.value.as < vector<pair<string,string>> > () = yystack_[1].value.as < vector<pair<string,string>> > ();
                yylhs.value.as < vector<pair<string,string>> > ().push_back(yystack_[0].value.as < pair<string,string> > ());
              }
#line 1977 "DynareBison.cc"
    break;

  case 202: // named_var_1: named_var_1 COMMA named_var_elem
#line 516 "DynareBison.yy"
              {
                yylhs.value.as < vector<pair<string,string>> > () = yystack_[2].value.as < vector<pair<string,string>> > ();
                yylhs.value.as < vector<pair<string,string>> > ().push_back(yystack_[0].value.as < pair<string,string> > ());
              }
#line 1986 "DynareBison.cc"
    break;

  case 203: // named_var: named_var_1 ')'
#line 522 "DynareBison.yy"
            { yylhs.value.as < vector<pair<string,string>> > () = yystack_[1].value.as < vector<pair<string,string>> > (); }
#line 1992 "DynareBison.cc"
    break;

  case 204: // named_var: named_var_1 COMMA ')'
#line 523 "DynareBison.yy"
            { yylhs.value.as < vector<pair<string,string>> > () = yystack_[2].value.as < vector<pair<string,string>> > (); }
#line 1998 "DynareBison.cc"
    break;

  case 205: // var_list: var_list symbol
#line 527 "DynareBison.yy"
           { driver.declare_endogenous(yystack_[0].value.as < string > ()); }
#line 2004 "DynareBison.cc"
    break;

  case 206: // var_list: var_list COMMA symbol
#line 529 "DynareBison.yy"
           { driver.declare_endogenous(yystack_[0].value.as < string > ()); }
#line 2010 "DynareBison.cc"
    break;

  case 207: // var_list: symbol
#line 531 "DynareBison.yy"
           { driver.declare_endogenous(yystack_[0].value.as < string > ()); }
#line 2016 "DynareBison.cc"
    break;

  case 208: // var_list: var_list symbol named_var
#line 533 "DynareBison.yy"
           { driver.declare_endogenous(yystack_[1].value.as < string > (), "", yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2022 "DynareBison.cc"
    break;

  case 209: // var_list: var_list COMMA symbol named_var
#line 535 "DynareBison.yy"
           { driver.declare_endogenous(yystack_[1].value.as < string > (), "", yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2028 "DynareBison.cc"
    break;

  case 210: // var_list: symbol named_var
#line 537 "DynareBison.yy"
           { driver.declare_endogenous(yystack_[1].value.as < string > (), "", yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2034 "DynareBison.cc"
    break;

  case 211: // var_list: var_list symbol TEX_NAME
#line 539 "DynareBison.yy"
           { driver.declare_endogenous(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 2040 "DynareBison.cc"
    break;

  case 212: // var_list: var_list COMMA symbol TEX_NAME
#line 541 "DynareBison.yy"
           { driver.declare_endogenous(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 2046 "DynareBison.cc"
    break;

  case 213: // var_list: symbol TEX_NAME
#line 543 "DynareBison.yy"
           { driver.declare_endogenous(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 2052 "DynareBison.cc"
    break;

  case 214: // var_list: var_list symbol TEX_NAME named_var
#line 545 "DynareBison.yy"
           { driver.declare_endogenous(yystack_[2].value.as < string > (), yystack_[1].value.as < string > (), yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2058 "DynareBison.cc"
    break;

  case 215: // var_list: var_list COMMA symbol TEX_NAME named_var
#line 547 "DynareBison.yy"
           { driver.declare_endogenous(yystack_[2].value.as < string > (), yystack_[1].value.as < string > (), yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2064 "DynareBison.cc"
    break;

  case 216: // var_list: symbol TEX_NAME named_var
#line 549 "DynareBison.yy"
           { driver.declare_endogenous(yystack_[2].value.as < string > (), yystack_[1].value.as < string > (), yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2070 "DynareBison.cc"
    break;

  case 217: // varexo_list: varexo_list symbol
#line 553 "DynareBison.yy"
              { driver.declare_exogenous(yystack_[0].value.as < string > ()); }
#line 2076 "DynareBison.cc"
    break;

  case 218: // varexo_list: varexo_list COMMA symbol
#line 555 "DynareBison.yy"
              { driver.declare_exogenous(yystack_[0].value.as < string > ()); }
#line 2082 "DynareBison.cc"
    break;

  case 219: // varexo_list: symbol
#line 557 "DynareBison.yy"
              { driver.declare_exogenous(yystack_[0].value.as < string > ()); }
#line 2088 "DynareBison.cc"
    break;

  case 220: // varexo_list: varexo_list symbol named_var
#line 559 "DynareBison.yy"
              { driver.declare_exogenous(yystack_[1].value.as < string > (), "", yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2094 "DynareBison.cc"
    break;

  case 221: // varexo_list: varexo_list COMMA symbol named_var
#line 561 "DynareBison.yy"
              { driver.declare_exogenous(yystack_[1].value.as < string > (), "", yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2100 "DynareBison.cc"
    break;

  case 222: // varexo_list: symbol named_var
#line 563 "DynareBison.yy"
              { driver.declare_exogenous(yystack_[1].value.as < string > (), "", yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2106 "DynareBison.cc"
    break;

  case 223: // varexo_list: varexo_list symbol TEX_NAME
#line 565 "DynareBison.yy"
              { driver.declare_exogenous(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 2112 "DynareBison.cc"
    break;

  case 224: // varexo_list: varexo_list COMMA symbol TEX_NAME
#line 567 "DynareBison.yy"
              { driver.declare_exogenous(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 2118 "DynareBison.cc"
    break;

  case 225: // varexo_list: symbol TEX_NAME
#line 569 "DynareBison.yy"
              { driver.declare_exogenous(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 2124 "DynareBison.cc"
    break;

  case 226: // varexo_list: varexo_list symbol TEX_NAME named_var
#line 571 "DynareBison.yy"
              { driver.declare_exogenous(yystack_[2].value.as < string > (), yystack_[1].value.as < string > (), yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2130 "DynareBison.cc"
    break;

  case 227: // varexo_list: varexo_list COMMA symbol TEX_NAME named_var
#line 573 "DynareBison.yy"
              { driver.declare_exogenous(yystack_[2].value.as < string > (), yystack_[1].value.as < string > (), yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2136 "DynareBison.cc"
    break;

  case 228: // varexo_list: symbol TEX_NAME named_var
#line 575 "DynareBison.yy"
              { driver.declare_exogenous(yystack_[2].value.as < string > (), yystack_[1].value.as < string > (), yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2142 "DynareBison.cc"
    break;

  case 229: // varexo_det_list: varexo_det_list symbol
#line 579 "DynareBison.yy"
                  { driver.declare_exogenous_det(yystack_[0].value.as < string > ()); }
#line 2148 "DynareBison.cc"
    break;

  case 230: // varexo_det_list: varexo_det_list COMMA symbol
#line 581 "DynareBison.yy"
                  { driver.declare_exogenous_det(yystack_[0].value.as < string > ()); }
#line 2154 "DynareBison.cc"
    break;

  case 231: // varexo_det_list: symbol
#line 583 "DynareBison.yy"
                  { driver.declare_exogenous_det(yystack_[0].value.as < string > ()); }
#line 2160 "DynareBison.cc"
    break;

  case 232: // varexo_det_list: varexo_det_list symbol named_var
#line 585 "DynareBison.yy"
                  { driver.declare_exogenous_det(yystack_[1].value.as < string > (), "", yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2166 "DynareBison.cc"
    break;

  case 233: // varexo_det_list: varexo_det_list COMMA symbol named_var
#line 587 "DynareBison.yy"
                  { driver.declare_exogenous_det(yystack_[1].value.as < string > (), "", yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2172 "DynareBison.cc"
    break;

  case 234: // varexo_det_list: symbol named_var
#line 589 "DynareBison.yy"
                  { driver.declare_exogenous_det(yystack_[1].value.as < string > (), "", yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2178 "DynareBison.cc"
    break;

  case 235: // varexo_det_list: varexo_det_list symbol TEX_NAME
#line 591 "DynareBison.yy"
                  { driver.declare_exogenous_det(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 2184 "DynareBison.cc"
    break;

  case 236: // varexo_det_list: varexo_det_list COMMA symbol TEX_NAME
#line 593 "DynareBison.yy"
                  { driver.declare_exogenous_det(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 2190 "DynareBison.cc"
    break;

  case 237: // varexo_det_list: symbol TEX_NAME
#line 595 "DynareBison.yy"
                   { driver.declare_exogenous_det(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 2196 "DynareBison.cc"
    break;

  case 238: // varexo_det_list: varexo_det_list symbol TEX_NAME named_var
#line 597 "DynareBison.yy"
                  { driver.declare_exogenous_det(yystack_[2].value.as < string > (), yystack_[1].value.as < string > (), yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2202 "DynareBison.cc"
    break;

  case 239: // varexo_det_list: varexo_det_list COMMA symbol TEX_NAME named_var
#line 599 "DynareBison.yy"
                  { driver.declare_exogenous_det(yystack_[2].value.as < string > (), yystack_[1].value.as < string > (), yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2208 "DynareBison.cc"
    break;

  case 240: // varexo_det_list: symbol TEX_NAME named_var
#line 601 "DynareBison.yy"
                   { driver.declare_exogenous_det(yystack_[2].value.as < string > (), yystack_[1].value.as < string > (), yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2214 "DynareBison.cc"
    break;

  case 241: // parameter_list: parameter_list symbol
#line 605 "DynareBison.yy"
                 { driver.declare_parameter(yystack_[0].value.as < string > ()); }
#line 2220 "DynareBison.cc"
    break;

  case 242: // parameter_list: parameter_list COMMA symbol
#line 607 "DynareBison.yy"
                 { driver.declare_parameter(yystack_[0].value.as < string > ()); }
#line 2226 "DynareBison.cc"
    break;

  case 243: // parameter_list: symbol
#line 609 "DynareBison.yy"
                 { driver.declare_parameter(yystack_[0].value.as < string > ()); }
#line 2232 "DynareBison.cc"
    break;

  case 244: // parameter_list: parameter_list symbol named_var
#line 611 "DynareBison.yy"
                 { driver.declare_parameter(yystack_[1].value.as < string > (), "", yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2238 "DynareBison.cc"
    break;

  case 245: // parameter_list: parameter_list COMMA symbol named_var
#line 613 "DynareBison.yy"
                 { driver.declare_parameter(yystack_[1].value.as < string > (), "", yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2244 "DynareBison.cc"
    break;

  case 246: // parameter_list: symbol named_var
#line 615 "DynareBison.yy"
                 { driver.declare_parameter(yystack_[1].value.as < string > (), "", yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2250 "DynareBison.cc"
    break;

  case 247: // parameter_list: parameter_list symbol TEX_NAME
#line 617 "DynareBison.yy"
                 { driver.declare_parameter(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 2256 "DynareBison.cc"
    break;

  case 248: // parameter_list: parameter_list COMMA symbol TEX_NAME
#line 619 "DynareBison.yy"
                 { driver.declare_parameter(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 2262 "DynareBison.cc"
    break;

  case 249: // parameter_list: symbol TEX_NAME
#line 621 "DynareBison.yy"
                 { driver.declare_parameter(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 2268 "DynareBison.cc"
    break;

  case 250: // parameter_list: parameter_list symbol TEX_NAME named_var
#line 623 "DynareBison.yy"
                 { driver.declare_parameter(yystack_[2].value.as < string > (), yystack_[1].value.as < string > (), yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2274 "DynareBison.cc"
    break;

  case 251: // parameter_list: parameter_list COMMA symbol TEX_NAME named_var
#line 625 "DynareBison.yy"
                 { driver.declare_parameter(yystack_[2].value.as < string > (), yystack_[1].value.as < string > (), yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2280 "DynareBison.cc"
    break;

  case 252: // parameter_list: symbol TEX_NAME named_var
#line 627 "DynareBison.yy"
                 { driver.declare_parameter(yystack_[2].value.as < string > (), yystack_[1].value.as < string > (), yystack_[0].value.as < vector<pair<string,string>> > ()); }
#line 2286 "DynareBison.cc"
    break;

  case 253: // predetermined_variables_list: predetermined_variables_list symbol
#line 631 "DynareBison.yy"
                               { driver.add_predetermined_variable(yystack_[0].value.as < string > ()); }
#line 2292 "DynareBison.cc"
    break;

  case 254: // predetermined_variables_list: predetermined_variables_list COMMA symbol
#line 633 "DynareBison.yy"
                               { driver.add_predetermined_variable(yystack_[0].value.as < string > ()); }
#line 2298 "DynareBison.cc"
    break;

  case 255: // predetermined_variables_list: symbol
#line 635 "DynareBison.yy"
                               { driver.add_predetermined_variable(yystack_[0].value.as < string > ()); }
#line 2304 "DynareBison.cc"
    break;

  case 256: // model_local_variable_list: model_local_variable_list symbol
#line 639 "DynareBison.yy"
                            { driver.declare_model_local_variable(yystack_[0].value.as < string > ()); }
#line 2310 "DynareBison.cc"
    break;

  case 257: // model_local_variable_list: model_local_variable_list COMMA symbol
#line 641 "DynareBison.yy"
                            { driver.declare_model_local_variable(yystack_[0].value.as < string > ()); }
#line 2316 "DynareBison.cc"
    break;

  case 258: // model_local_variable_list: symbol
#line 643 "DynareBison.yy"
                            { driver.declare_model_local_variable(yystack_[0].value.as < string > ()); }
#line 2322 "DynareBison.cc"
    break;

  case 259: // model_local_variable_list: model_local_variable_list symbol TEX_NAME
#line 645 "DynareBison.yy"
                            { driver.declare_model_local_variable(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 2328 "DynareBison.cc"
    break;

  case 260: // model_local_variable_list: model_local_variable_list COMMA symbol TEX_NAME
#line 647 "DynareBison.yy"
                            { driver.declare_model_local_variable(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 2334 "DynareBison.cc"
    break;

  case 261: // model_local_variable_list: symbol TEX_NAME
#line 649 "DynareBison.yy"
                            { driver.declare_model_local_variable(yystack_[1].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 2340 "DynareBison.cc"
    break;

  case 262: // change_type: CHANGE_TYPE '(' change_type_arg ')' change_type_var_list ';'
#line 653 "DynareBison.yy"
              { driver.change_type(yystack_[3].value.as < SymbolType > (), yystack_[1].value.as < vector<string> > ()); }
#line 2346 "DynareBison.cc"
    break;

  case 263: // change_type_arg: PARAMETERS
#line 657 "DynareBison.yy"
                  { yylhs.value.as < SymbolType > () = SymbolType::parameter; }
#line 2352 "DynareBison.cc"
    break;

  case 264: // change_type_arg: VAR
#line 659 "DynareBison.yy"
                  { yylhs.value.as < SymbolType > () = SymbolType::endogenous; }
#line 2358 "DynareBison.cc"
    break;

  case 265: // change_type_arg: VAREXO
#line 661 "DynareBison.yy"
                  { yylhs.value.as < SymbolType > () = SymbolType::exogenous; }
#line 2364 "DynareBison.cc"
    break;

  case 266: // change_type_arg: VAREXO_DET
#line 663 "DynareBison.yy"
                  { yylhs.value.as < SymbolType > () = SymbolType::exogenousDet; }
#line 2370 "DynareBison.cc"
    break;

  case 267: // change_type_var_list: symbol
#line 667 "DynareBison.yy"
                       { yylhs.value.as < vector<string> > () = { yystack_[0].value.as < string > () }; }
#line 2376 "DynareBison.cc"
    break;

  case 268: // change_type_var_list: change_type_var_list symbol
#line 669 "DynareBison.yy"
                       {
                         yylhs.value.as < vector<string> > () = yystack_[1].value.as < vector<string> > ();
                         yylhs.value.as < vector<string> > ().push_back(yystack_[0].value.as < string > ());
                       }
#line 2385 "DynareBison.cc"
    break;

  case 269: // change_type_var_list: change_type_var_list COMMA symbol
#line 674 "DynareBison.yy"
                       {
                         yylhs.value.as < vector<string> > () = yystack_[2].value.as < vector<string> > ();
                         yylhs.value.as < vector<string> > ().push_back(yystack_[0].value.as < string > ());
                       }
#line 2394 "DynareBison.cc"
    break;

  case 270: // periods: PERIODS INT_NUMBER ';'
#line 681 "DynareBison.yy"
          { driver.periods(yystack_[1].value.as < string > ()); }
#line 2400 "DynareBison.cc"
    break;

  case 271: // periods: PERIODS EQUAL INT_NUMBER ';'
#line 683 "DynareBison.yy"
          { driver.periods(yystack_[1].value.as < string > ()); }
#line 2406 "DynareBison.cc"
    break;

  case 272: // init_param: symbol EQUAL expression ';'
#line 686 "DynareBison.yy"
                                         { driver.init_param(yystack_[3].value.as < string > (), yystack_[1].value.as < expr_t > ()); }
#line 2412 "DynareBison.cc"
    break;

  case 273: // expression: '(' expression ')'
#line 689 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = yystack_[1].value.as < expr_t > ();}
#line 2418 "DynareBison.cc"
    break;

  case 274: // expression: namespace_qualified_symbol
#line 691 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_expression_variable(yystack_[0].value.as < string > ()); }
#line 2424 "DynareBison.cc"
    break;

  case 275: // expression: non_negative_number
#line 693 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_non_negative_constant(yystack_[0].value.as < string > ()); }
#line 2430 "DynareBison.cc"
    break;

  case 276: // expression: expression PLUS expression
#line 695 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_plus(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 2436 "DynareBison.cc"
    break;

  case 277: // expression: expression MINUS expression
#line 697 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_minus(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 2442 "DynareBison.cc"
    break;

  case 278: // expression: expression DIVIDE expression
#line 699 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_divide(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 2448 "DynareBison.cc"
    break;

  case 279: // expression: expression TIMES expression
#line 701 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_times(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 2454 "DynareBison.cc"
    break;

  case 280: // expression: expression POWER expression
#line 703 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_power(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 2460 "DynareBison.cc"
    break;

  case 281: // expression: expression LESS expression
#line 705 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_less(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 2466 "DynareBison.cc"
    break;

  case 282: // expression: expression GREATER expression
#line 707 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_greater(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 2472 "DynareBison.cc"
    break;

  case 283: // expression: expression LESS_EQUAL expression
#line 709 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_less_equal(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 2478 "DynareBison.cc"
    break;

  case 284: // expression: expression GREATER_EQUAL expression
#line 711 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_greater_equal(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 2484 "DynareBison.cc"
    break;

  case 285: // expression: expression EQUAL_EQUAL expression
#line 713 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_equal_equal(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 2490 "DynareBison.cc"
    break;

  case 286: // expression: expression EXCLAMATION_EQUAL expression
#line 715 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_different(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 2496 "DynareBison.cc"
    break;

  case 287: // expression: MINUS expression
#line 717 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_uminus(yystack_[0].value.as < expr_t > ()); }
#line 2502 "DynareBison.cc"
    break;

  case 288: // expression: PLUS expression
#line 719 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = yystack_[0].value.as < expr_t > (); }
#line 2508 "DynareBison.cc"
    break;

  case 289: // expression: EXP '(' expression ')'
#line 721 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_exp(yystack_[1].value.as < expr_t > ()); }
#line 2514 "DynareBison.cc"
    break;

  case 290: // expression: LOG '(' expression ')'
#line 723 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_log(yystack_[1].value.as < expr_t > ()); }
#line 2520 "DynareBison.cc"
    break;

  case 291: // expression: LN '(' expression ')'
#line 725 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_log(yystack_[1].value.as < expr_t > ()); }
#line 2526 "DynareBison.cc"
    break;

  case 292: // expression: LOG10 '(' expression ')'
#line 727 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_log10(yystack_[1].value.as < expr_t > ()); }
#line 2532 "DynareBison.cc"
    break;

  case 293: // expression: SIN '(' expression ')'
#line 729 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_sin(yystack_[1].value.as < expr_t > ()); }
#line 2538 "DynareBison.cc"
    break;

  case 294: // expression: COS '(' expression ')'
#line 731 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_cos(yystack_[1].value.as < expr_t > ()); }
#line 2544 "DynareBison.cc"
    break;

  case 295: // expression: TAN '(' expression ')'
#line 733 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_tan(yystack_[1].value.as < expr_t > ()); }
#line 2550 "DynareBison.cc"
    break;

  case 296: // expression: ASIN '(' expression ')'
#line 735 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_asin(yystack_[1].value.as < expr_t > ()); }
#line 2556 "DynareBison.cc"
    break;

  case 297: // expression: ACOS '(' expression ')'
#line 737 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_acos(yystack_[1].value.as < expr_t > ()); }
#line 2562 "DynareBison.cc"
    break;

  case 298: // expression: ATAN '(' expression ')'
#line 739 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_atan(yystack_[1].value.as < expr_t > ()); }
#line 2568 "DynareBison.cc"
    break;

  case 299: // expression: SQRT '(' expression ')'
#line 741 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_sqrt(yystack_[1].value.as < expr_t > ()); }
#line 2574 "DynareBison.cc"
    break;

  case 300: // expression: CBRT '(' expression ')'
#line 743 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_cbrt(yystack_[1].value.as < expr_t > ()); }
#line 2580 "DynareBison.cc"
    break;

  case 301: // expression: ABS '(' expression ')'
#line 745 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_abs(yystack_[1].value.as < expr_t > ()); }
#line 2586 "DynareBison.cc"
    break;

  case 302: // expression: SIGN '(' expression ')'
#line 747 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_sign(yystack_[1].value.as < expr_t > ()); }
#line 2592 "DynareBison.cc"
    break;

  case 303: // expression: MAX '(' expression COMMA expression ')'
#line 749 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_max(yystack_[3].value.as < expr_t > (), yystack_[1].value.as < expr_t > ()); }
#line 2598 "DynareBison.cc"
    break;

  case 304: // expression: MIN '(' expression COMMA expression ')'
#line 751 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_min(yystack_[3].value.as < expr_t > (), yystack_[1].value.as < expr_t > ()); }
#line 2604 "DynareBison.cc"
    break;

  case 305: // $@7: %empty
#line 752 "DynareBison.yy"
                                        { driver.push_external_function_arg_vector_onto_stack(); }
#line 2610 "DynareBison.cc"
    break;

  case 306: // expression: namespace_qualified_symbol $@7 '(' comma_expression ')'
#line 753 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_model_var_or_external_function(yystack_[4].value.as < string > (), false); }
#line 2616 "DynareBison.cc"
    break;

  case 307: // expression: NORMCDF '(' expression COMMA expression COMMA expression ')'
#line 755 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_normcdf(yystack_[5].value.as < expr_t > (), yystack_[3].value.as < expr_t > (), yystack_[1].value.as < expr_t > ()); }
#line 2622 "DynareBison.cc"
    break;

  case 308: // expression: NORMCDF '(' expression ')'
#line 757 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_normcdf(yystack_[1].value.as < expr_t > ()); }
#line 2628 "DynareBison.cc"
    break;

  case 309: // expression: NORMPDF '(' expression COMMA expression COMMA expression ')'
#line 759 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_normpdf(yystack_[5].value.as < expr_t > (), yystack_[3].value.as < expr_t > (), yystack_[1].value.as < expr_t > ()); }
#line 2634 "DynareBison.cc"
    break;

  case 310: // expression: NORMPDF '(' expression ')'
#line 761 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_normpdf(yystack_[1].value.as < expr_t > ()); }
#line 2640 "DynareBison.cc"
    break;

  case 311: // expression: ERF '(' expression ')'
#line 763 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_erf(yystack_[1].value.as < expr_t > ()); }
#line 2646 "DynareBison.cc"
    break;

  case 312: // expression: NAN_CONSTANT
#line 765 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_nan_constant(); }
#line 2652 "DynareBison.cc"
    break;

  case 313: // expression: INF_CONSTANT
#line 767 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_inf_constant(); }
#line 2658 "DynareBison.cc"
    break;

  case 314: // comma_expression: expression
#line 771 "DynareBison.yy"
                   { driver.add_external_function_arg(yystack_[0].value.as < expr_t > ()); }
#line 2664 "DynareBison.cc"
    break;

  case 315: // comma_expression: comma_expression COMMA expression
#line 773 "DynareBison.yy"
                   { driver.add_external_function_arg(yystack_[0].value.as < expr_t > ()); }
#line 2670 "DynareBison.cc"
    break;

  case 316: // expression_or_empty: %empty
#line 777 "DynareBison.yy"
                      { yylhs.value.as < expr_t > () = driver.add_nan_constant(); }
#line 2676 "DynareBison.cc"
    break;

  case 317: // expression_or_empty: expression
#line 778 "DynareBison.yy"
                      { yylhs.value.as < expr_t > () = yystack_[0].value.as < expr_t > (); }
#line 2682 "DynareBison.cc"
    break;

  case 318: // initval: INITVAL ';' initval_list END ';'
#line 782 "DynareBison.yy"
          { driver.end_initval(false); }
#line 2688 "DynareBison.cc"
    break;

  case 319: // initval: INITVAL '(' ALL_VALUES_REQUIRED ')' ';' initval_list END ';'
#line 784 "DynareBison.yy"
          { driver.end_initval(true); }
#line 2694 "DynareBison.cc"
    break;

  case 320: // histval_file: HISTVAL_FILE '(' h_options_list ')' ';'
#line 788 "DynareBison.yy"
              { driver.histval_file();}
#line 2700 "DynareBison.cc"
    break;

  case 321: // initval_file: INITVAL_FILE '(' h_options_list ')' ';'
#line 791 "DynareBison.yy"
              { driver.initval_file();}
#line 2706 "DynareBison.cc"
    break;

  case 334: // endval: ENDVAL ';' initval_list END ';'
#line 810 "DynareBison.yy"
         { driver.end_endval(false); }
#line 2712 "DynareBison.cc"
    break;

  case 335: // endval: ENDVAL '(' ALL_VALUES_REQUIRED ')' ';' initval_list END ';'
#line 812 "DynareBison.yy"
         { driver.end_endval(true); }
#line 2718 "DynareBison.cc"
    break;

  case 338: // initval_elem: symbol EQUAL expression ';'
#line 819 "DynareBison.yy"
                                           { driver.init_val(yystack_[3].value.as < string > (), yystack_[1].value.as < expr_t > ()); }
#line 2724 "DynareBison.cc"
    break;

  case 339: // histval: HISTVAL ';' histval_list END ';'
#line 822 "DynareBison.yy"
          { driver.end_histval(false); }
#line 2730 "DynareBison.cc"
    break;

  case 340: // histval: HISTVAL '(' ALL_VALUES_REQUIRED ')' ';' histval_list END ';'
#line 824 "DynareBison.yy"
          { driver.end_histval(true); }
#line 2736 "DynareBison.cc"
    break;

  case 343: // histval_elem: symbol '(' signed_integer ')' EQUAL expression ';'
#line 831 "DynareBison.yy"
                                                                  { driver.hist_val(yystack_[6].value.as < string > (), yystack_[4].value.as < string > (), yystack_[1].value.as < expr_t > ()); }
#line 2742 "DynareBison.cc"
    break;

  case 344: // $@8: %empty
#line 833 "DynareBison.yy"
                        { driver.begin_epilogue(); }
#line 2748 "DynareBison.cc"
    break;

  case 345: // epilogue: EPILOGUE ';' $@8 epilogue_equation_list END ';'
#line 834 "DynareBison.yy"
                                          { driver.end_epilogue(); }
#line 2754 "DynareBison.cc"
    break;

  case 348: // $@9: %empty
#line 841 "DynareBison.yy"
                         { driver.add_epilogue_variable(yystack_[0].value.as < string > ()); }
#line 2760 "DynareBison.cc"
    break;

  case 349: // epilogue_equation: NAME $@9 EQUAL expression ';'
#line 842 "DynareBison.yy"
                    { driver.add_epilogue_equal(yystack_[4].value.as < string > (), yystack_[1].value.as < expr_t > ()); }
#line 2766 "DynareBison.cc"
    break;

  case 350: // compilation_setup: COMPILATION_SETUP '(' compilation_setup_options_list ')' ';'
#line 845 "DynareBison.yy"
                                                                                 { }
#line 2772 "DynareBison.cc"
    break;

  case 353: // compilation_setup_option: SUBSTITUTE_FLAGS EQUAL QUOTED_STRING
#line 852 "DynareBison.yy"
                           { driver.compilation_setup_substitute_flags(yystack_[0].value.as < string > ()); }
#line 2778 "DynareBison.cc"
    break;

  case 354: // compilation_setup_option: ADD_FLAGS EQUAL QUOTED_STRING
#line 854 "DynareBison.yy"
                           { driver.compilation_setup_add_flags(yystack_[0].value.as < string > ()); }
#line 2784 "DynareBison.cc"
    break;

  case 355: // compilation_setup_option: SUBSTITUTE_LIBS EQUAL QUOTED_STRING
#line 856 "DynareBison.yy"
                           { driver.compilation_setup_substitute_libs(yystack_[0].value.as < string > ()); }
#line 2790 "DynareBison.cc"
    break;

  case 356: // compilation_setup_option: ADD_LIBS EQUAL QUOTED_STRING
#line 858 "DynareBison.yy"
                           { driver.compilation_setup_add_libs(yystack_[0].value.as < string > ()); }
#line 2796 "DynareBison.cc"
    break;

  case 357: // compilation_setup_option: COMPILER EQUAL QUOTED_STRING
#line 860 "DynareBison.yy"
                           { driver.compilation_setup_compiler(yystack_[0].value.as < string > ()); }
#line 2802 "DynareBison.cc"
    break;

  case 358: // $@10: %empty
#line 863 "DynareBison.yy"
                                      { driver.begin_matched_moments(); }
#line 2808 "DynareBison.cc"
    break;

  case 359: // matched_moments: MATCHED_MOMENTS ';' $@10 matched_moments_list END ';'
#line 864 "DynareBison.yy"
                                               { driver.end_matched_moments(yystack_[2].value.as < vector<expr_t> > ()); }
#line 2814 "DynareBison.cc"
    break;

  case 360: // matched_moments_list: hand_side ';'
#line 868 "DynareBison.yy"
                       { yylhs.value.as < vector<expr_t> > () = { yystack_[1].value.as < expr_t > () }; }
#line 2820 "DynareBison.cc"
    break;

  case 361: // matched_moments_list: matched_moments_list hand_side ';'
#line 870 "DynareBison.yy"
                       {
                         yylhs.value.as < vector<expr_t> > () = yystack_[2].value.as < vector<expr_t> > ();
                         yylhs.value.as < vector<expr_t> > ().push_back(yystack_[1].value.as < expr_t > ());
                       }
#line 2829 "DynareBison.cc"
    break;

  case 362: // $@11: %empty
#line 876 "DynareBison.yy"
                                            { driver.begin_occbin_constraints(); }
#line 2835 "DynareBison.cc"
    break;

  case 363: // occbin_constraints: OCCBIN_CONSTRAINTS ';' $@11 occbin_constraints_regimes_list END ';'
#line 877 "DynareBison.yy"
                                                             { driver.end_occbin_constraints(yystack_[2].value.as < vector<tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t>> > ()); }
#line 2841 "DynareBison.cc"
    break;

  case 364: // occbin_constraints_regimes_list: occbin_constraints_regime
#line 882 "DynareBison.yy"
                                  { yylhs.value.as < vector<tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t>> > () = { yystack_[0].value.as < tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t> > () }; }
#line 2847 "DynareBison.cc"
    break;

  case 365: // occbin_constraints_regimes_list: occbin_constraints_regimes_list occbin_constraints_regime
#line 884 "DynareBison.yy"
                                  {
                                    yylhs.value.as < vector<tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t>> > () = yystack_[1].value.as < vector<tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t>> > ();
                                    yylhs.value.as < vector<tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t>> > ().push_back(yystack_[0].value.as < tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t> > ());
                                  }
#line 2856 "DynareBison.cc"
    break;

  case 366: // occbin_constraints_regime: NAME QUOTED_STRING ';' occbin_constraints_regime_options_list
#line 891 "DynareBison.yy"
                            {
                              BinaryOpNode *bind = dynamic_cast<BinaryOpNode *>(yystack_[0].value.as < map<string, expr_t> > ()["bind"]);
                              if (bind && !(bind->op_code == BinaryOpcode::less
                                            || bind->op_code == BinaryOpcode::greater
                                            || bind->op_code == BinaryOpcode::lessEqual
                                            || bind->op_code == BinaryOpcode::greaterEqual))
                                driver.error("The 'bind' expression must be an inequality constraint");
                              BinaryOpNode *relax = dynamic_cast<BinaryOpNode *>(yystack_[0].value.as < map<string, expr_t> > ()["relax"]);
                              if (relax && !(relax->op_code == BinaryOpcode::less
                                             || relax->op_code == BinaryOpcode::greater
                                             || relax->op_code == BinaryOpcode::lessEqual
                                             || relax->op_code == BinaryOpcode::greaterEqual))
                                driver.error("The 'relax' expression must be an inequality constraint");
                              yylhs.value.as < tuple<string, BinaryOpNode *, BinaryOpNode *, expr_t, expr_t> > () = { yystack_[2].value.as < string > (), bind, relax, yystack_[0].value.as < map<string, expr_t> > ()["error_bind"], yystack_[0].value.as < map<string, expr_t> > ()["error_relax"] };
                            }
#line 2876 "DynareBison.cc"
    break;

  case 367: // occbin_constraints_regime_options_list: occbin_constraints_regime_option
#line 909 "DynareBison.yy"
                                         { yylhs.value.as < map<string, expr_t> > () = { yystack_[0].value.as < pair<string, expr_t> > () }; }
#line 2882 "DynareBison.cc"
    break;

  case 368: // occbin_constraints_regime_options_list: occbin_constraints_regime_options_list occbin_constraints_regime_option
#line 911 "DynareBison.yy"
                                         {
                                           yylhs.value.as < map<string, expr_t> > () = yystack_[1].value.as < map<string, expr_t> > ();
                                           auto [it, success] = yylhs.value.as < map<string, expr_t> > ().insert(yystack_[0].value.as < pair<string, expr_t> > ());
                                           if (!success)
                                             driver.error("The '" + yystack_[0].value.as < pair<string, expr_t> > ().first + "' clause is declared multiple times");
                                         }
#line 2893 "DynareBison.cc"
    break;

  case 369: // occbin_constraints_regime_option: BIND hand_side ';'
#line 920 "DynareBison.yy"
                                   { yylhs.value.as < pair<string, expr_t> > () = { "bind", yystack_[1].value.as < expr_t > () }; }
#line 2899 "DynareBison.cc"
    break;

  case 370: // occbin_constraints_regime_option: RELAX hand_side ';'
#line 922 "DynareBison.yy"
                                   { yylhs.value.as < pair<string, expr_t> > () = { "relax", yystack_[1].value.as < expr_t > () }; }
#line 2905 "DynareBison.cc"
    break;

  case 371: // occbin_constraints_regime_option: ERROR_BIND hand_side ';'
#line 924 "DynareBison.yy"
                                   { yylhs.value.as < pair<string, expr_t> > () = { "error_bind", yystack_[1].value.as < expr_t > () }; }
#line 2911 "DynareBison.cc"
    break;

  case 372: // occbin_constraints_regime_option: ERROR_RELAX hand_side ';'
#line 926 "DynareBison.yy"
                                   { yylhs.value.as < pair<string, expr_t> > () = { "error_relax", yystack_[1].value.as < expr_t > () }; }
#line 2917 "DynareBison.cc"
    break;

  case 373: // model_options: BLOCK
#line 929 "DynareBison.yy"
                      { driver.block(); }
#line 2923 "DynareBison.cc"
    break;

  case 376: // model_options: BYTECODE
#line 932 "DynareBison.yy"
                         { driver.bytecode(); }
#line 2929 "DynareBison.cc"
    break;

  case 377: // model_options: USE_DLL
#line 933 "DynareBison.yy"
                        { driver.use_dll(); }
#line 2935 "DynareBison.cc"
    break;

  case 378: // model_options: NO_STATIC
#line 934 "DynareBison.yy"
                          { driver.no_static();}
#line 2941 "DynareBison.cc"
    break;

  case 379: // model_options: DIFFERENTIATE_FORWARD_VARS
#line 935 "DynareBison.yy"
                                           { driver.differentiate_forward_vars_all(); }
#line 2947 "DynareBison.cc"
    break;

  case 380: // model_options: DIFFERENTIATE_FORWARD_VARS EQUAL '(' symbol_list ')'
#line 936 "DynareBison.yy"
                                                                     { driver.differentiate_forward_vars_some(); }
#line 2953 "DynareBison.cc"
    break;

  case 383: // model_options: BALANCED_GROWTH_TEST_TOL EQUAL non_negative_number
#line 939 "DynareBison.yy"
                                                                   { driver.balanced_growth_test_tol(yystack_[0].value.as < string > ()); }
#line 2959 "DynareBison.cc"
    break;

  case 386: // $@12: %empty
#line 946 "DynareBison.yy"
                  { driver.begin_model(); }
#line 2965 "DynareBison.cc"
    break;

  case 387: // model: MODEL ';' $@12 equation_list END ';'
#line 947 "DynareBison.yy"
                              { driver.end_model(); }
#line 2971 "DynareBison.cc"
    break;

  case 388: // $@13: %empty
#line 948 "DynareBison.yy"
                                             { driver.begin_model(); }
#line 2977 "DynareBison.cc"
    break;

  case 389: // model: MODEL '(' model_options_list ')' ';' $@13 equation_list END ';'
#line 949 "DynareBison.yy"
                              { driver.end_model(); }
#line 2983 "DynareBison.cc"
    break;

  case 394: // equation: hand_side EQUAL hand_side ';'
#line 959 "DynareBison.yy"
           { yylhs.value.as < expr_t > () = driver.add_model_equal(yystack_[3].value.as < expr_t > (), yystack_[1].value.as < expr_t > ()); }
#line 2989 "DynareBison.cc"
    break;

  case 395: // equation: hand_side ';'
#line 961 "DynareBison.yy"
           { yylhs.value.as < expr_t > () = driver.add_model_equal_with_zero_rhs(yystack_[1].value.as < expr_t > ()); }
#line 2995 "DynareBison.cc"
    break;

  case 396: // equation: '[' tags_list ']' hand_side EQUAL hand_side ';'
#line 963 "DynareBison.yy"
           { yylhs.value.as < expr_t > () = driver.add_model_equal(yystack_[3].value.as < expr_t > (), yystack_[1].value.as < expr_t > ()); }
#line 3001 "DynareBison.cc"
    break;

  case 397: // equation: '[' tags_list ']' hand_side ';'
#line 965 "DynareBison.yy"
           { yylhs.value.as < expr_t > () = driver.add_model_equal_with_zero_rhs(yystack_[1].value.as < expr_t > ()); }
#line 3007 "DynareBison.cc"
    break;

  case 400: // tag_pair: symbol EQUAL QUOTED_STRING
#line 973 "DynareBison.yy"
           { driver.add_equation_tags(yystack_[2].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 3013 "DynareBison.cc"
    break;

  case 401: // tag_pair: symbol
#line 975 "DynareBison.yy"
           { driver.add_equation_tags(yystack_[0].value.as < string > (), ""); }
#line 3019 "DynareBison.cc"
    break;

  case 402: // hand_side: '(' hand_side ')'
#line 979 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = yystack_[1].value.as < expr_t > ();}
#line 3025 "DynareBison.cc"
    break;

  case 403: // hand_side: namespace_qualified_symbol
#line 981 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_model_variable(yystack_[0].value.as < string > ()); }
#line 3031 "DynareBison.cc"
    break;

  case 404: // hand_side: symbol PIPE_E
#line 983 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.declare_or_change_type(SymbolType::endogenous, yystack_[1].value.as < string > ()); }
#line 3037 "DynareBison.cc"
    break;

  case 405: // hand_side: symbol PIPE_X
#line 985 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.declare_or_change_type(SymbolType::exogenous, yystack_[1].value.as < string > ()); }
#line 3043 "DynareBison.cc"
    break;

  case 406: // hand_side: symbol PIPE_P
#line 987 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.declare_or_change_type(SymbolType::parameter, yystack_[1].value.as < string > ()); }
#line 3049 "DynareBison.cc"
    break;

  case 407: // hand_side: non_negative_number
#line 989 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_non_negative_constant(yystack_[0].value.as < string > ()); }
#line 3055 "DynareBison.cc"
    break;

  case 408: // hand_side: hand_side PLUS hand_side
#line 991 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_plus(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 3061 "DynareBison.cc"
    break;

  case 409: // hand_side: hand_side MINUS hand_side
#line 993 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_minus(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 3067 "DynareBison.cc"
    break;

  case 410: // hand_side: hand_side DIVIDE hand_side
#line 995 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_divide(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 3073 "DynareBison.cc"
    break;

  case 411: // hand_side: hand_side TIMES hand_side
#line 997 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_times(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 3079 "DynareBison.cc"
    break;

  case 412: // hand_side: hand_side LESS hand_side
#line 999 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_less(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 3085 "DynareBison.cc"
    break;

  case 413: // hand_side: hand_side GREATER hand_side
#line 1001 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_greater(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 3091 "DynareBison.cc"
    break;

  case 414: // hand_side: hand_side LESS_EQUAL hand_side
#line 1003 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_less_equal(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 3097 "DynareBison.cc"
    break;

  case 415: // hand_side: hand_side GREATER_EQUAL hand_side
#line 1005 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_greater_equal(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 3103 "DynareBison.cc"
    break;

  case 416: // hand_side: hand_side EQUAL_EQUAL hand_side
#line 1007 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_equal_equal(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 3109 "DynareBison.cc"
    break;

  case 417: // hand_side: hand_side EXCLAMATION_EQUAL hand_side
#line 1009 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_different(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 3115 "DynareBison.cc"
    break;

  case 418: // hand_side: hand_side POWER hand_side
#line 1011 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_power(yystack_[2].value.as < expr_t > (), yystack_[0].value.as < expr_t > ()); }
#line 3121 "DynareBison.cc"
    break;

  case 419: // hand_side: EXPECTATION '(' signed_integer ')' '(' hand_side ')'
#line 1013 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_expectation(yystack_[4].value.as < string > (), yystack_[1].value.as < expr_t > ()); }
#line 3127 "DynareBison.cc"
    break;

  case 420: // hand_side: VAR_EXPECTATION '(' symbol ')'
#line 1015 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_var_expectation(yystack_[1].value.as < string > ()); }
#line 3133 "DynareBison.cc"
    break;

  case 421: // hand_side: PAC_EXPECTATION '(' symbol ')'
#line 1017 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_pac_expectation(yystack_[1].value.as < string > ()); }
#line 3139 "DynareBison.cc"
    break;

  case 422: // hand_side: MINUS hand_side
#line 1019 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_uminus(yystack_[0].value.as < expr_t > ()); }
#line 3145 "DynareBison.cc"
    break;

  case 423: // hand_side: PLUS hand_side
#line 1021 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = yystack_[0].value.as < expr_t > (); }
#line 3151 "DynareBison.cc"
    break;

  case 424: // hand_side: EXP '(' hand_side ')'
#line 1023 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_exp(yystack_[1].value.as < expr_t > ()); }
#line 3157 "DynareBison.cc"
    break;

  case 425: // hand_side: DIFF '(' hand_side ')'
#line 1025 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_diff(yystack_[1].value.as < expr_t > ()); }
#line 3163 "DynareBison.cc"
    break;

  case 426: // hand_side: ADL '(' hand_side COMMA QUOTED_STRING ')'
#line 1027 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_adl(yystack_[3].value.as < expr_t > (), yystack_[1].value.as < string > (), "1"); }
#line 3169 "DynareBison.cc"
    break;

  case 427: // hand_side: ADL '(' hand_side COMMA QUOTED_STRING COMMA INT_NUMBER ')'
#line 1029 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_adl(yystack_[5].value.as < expr_t > (), yystack_[3].value.as < string > (), yystack_[1].value.as < string > ()); }
#line 3175 "DynareBison.cc"
    break;

  case 428: // hand_side: ADL '(' hand_side COMMA QUOTED_STRING COMMA vec_int ')'
#line 1031 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_adl(yystack_[5].value.as < expr_t > (), yystack_[3].value.as < string > (), yystack_[1].value.as < vector<int> > ()); }
#line 3181 "DynareBison.cc"
    break;

  case 429: // hand_side: LOG '(' hand_side ')'
#line 1033 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_log(yystack_[1].value.as < expr_t > ()); }
#line 3187 "DynareBison.cc"
    break;

  case 430: // hand_side: LN '(' hand_side ')'
#line 1035 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_log(yystack_[1].value.as < expr_t > ()); }
#line 3193 "DynareBison.cc"
    break;

  case 431: // hand_side: LOG10 '(' hand_side ')'
#line 1037 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_log10(yystack_[1].value.as < expr_t > ()); }
#line 3199 "DynareBison.cc"
    break;

  case 432: // hand_side: SIN '(' hand_side ')'
#line 1039 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_sin(yystack_[1].value.as < expr_t > ()); }
#line 3205 "DynareBison.cc"
    break;

  case 433: // hand_side: COS '(' hand_side ')'
#line 1041 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_cos(yystack_[1].value.as < expr_t > ()); }
#line 3211 "DynareBison.cc"
    break;

  case 434: // hand_side: TAN '(' hand_side ')'
#line 1043 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_tan(yystack_[1].value.as < expr_t > ()); }
#line 3217 "DynareBison.cc"
    break;

  case 435: // hand_side: ASIN '(' hand_side ')'
#line 1045 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_asin(yystack_[1].value.as < expr_t > ()); }
#line 3223 "DynareBison.cc"
    break;

  case 436: // hand_side: ACOS '(' hand_side ')'
#line 1047 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_acos(yystack_[1].value.as < expr_t > ()); }
#line 3229 "DynareBison.cc"
    break;

  case 437: // hand_side: ATAN '(' hand_side ')'
#line 1049 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_atan(yystack_[1].value.as < expr_t > ()); }
#line 3235 "DynareBison.cc"
    break;

  case 438: // hand_side: SQRT '(' hand_side ')'
#line 1051 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_sqrt(yystack_[1].value.as < expr_t > ()); }
#line 3241 "DynareBison.cc"
    break;

  case 439: // hand_side: CBRT '(' hand_side ')'
#line 1053 "DynareBison.yy"
             { yylhs.value.as < expr_t > () = driver.add_cbrt(yystack_[1].value.as < expr_t > ()); }
#line 3247 "DynareBison.cc"
    break;

  case 440: // hand_side: ABS '(' hand_side ')'
#line 1055 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_abs(yystack_[1].value.as < expr_t > ()); }
#line 3253 "DynareBison.cc"
    break;

  case 441: // hand_side: SIGN '(' hand_side ')'
#line 1057 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_sign(yystack_[1].value.as < expr_t > ()); }
#line 3259 "DynareBison.cc"
    break;

  case 442: // hand_side: MAX '(' hand_side COMMA hand_side ')'
#line 1059 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_max(yystack_[3].value.as < expr_t > (), yystack_[1].value.as < expr_t > ()); }
#line 3265 "DynareBison.cc"
    break;

  case 443: // hand_side: MIN '(' hand_side COMMA hand_side ')'
#line 1061 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_min(yystack_[3].value.as < expr_t > (), yystack_[1].value.as < expr_t > ()); }
#line 3271 "DynareBison.cc"
    break;

  case 444: // $@14: %empty
#line 1062 "DynareBison.yy"
                                       { driver.push_external_function_arg_vector_onto_stack(); }
#line 3277 "DynareBison.cc"
    break;

  case 445: // hand_side: namespace_qualified_symbol $@14 '(' comma_hand_side ')'
#line 1063 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_model_var_or_external_function(yystack_[4].value.as < string > (), true); }
#line 3283 "DynareBison.cc"
    break;

  case 446: // hand_side: NORMCDF '(' hand_side COMMA hand_side COMMA hand_side ')'
#line 1065 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_normcdf(yystack_[5].value.as < expr_t > (), yystack_[3].value.as < expr_t > (), yystack_[1].value.as < expr_t > ()); }
#line 3289 "DynareBison.cc"
    break;

  case 447: // hand_side: NORMCDF '(' hand_side ')'
#line 1067 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_normcdf(yystack_[1].value.as < expr_t > ()); }
#line 3295 "DynareBison.cc"
    break;

  case 448: // hand_side: NORMPDF '(' hand_side COMMA hand_side COMMA hand_side ')'
#line 1069 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_normpdf(yystack_[5].value.as < expr_t > (), yystack_[3].value.as < expr_t > (), yystack_[1].value.as < expr_t > ()); }
#line 3301 "DynareBison.cc"
    break;

  case 449: // hand_side: NORMPDF '(' hand_side ')'
#line 1071 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_normpdf(yystack_[1].value.as < expr_t > ()); }
#line 3307 "DynareBison.cc"
    break;

  case 450: // hand_side: ERF '(' hand_side ')'
#line 1073 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_erf(yystack_[1].value.as < expr_t > ()); }
#line 3313 "DynareBison.cc"
    break;

  case 451: // hand_side: STEADY_STATE '(' hand_side ')'
#line 1075 "DynareBison.yy"
            { yylhs.value.as < expr_t > () = driver.add_steady_state(yystack_[1].value.as < expr_t > ()); }
#line 3319 "DynareBison.cc"
    break;

  case 452: // comma_hand_side: hand_side
#line 1079 "DynareBison.yy"
                  { driver.add_external_function_arg(yystack_[0].value.as < expr_t > ()); }
#line 3325 "DynareBison.cc"
    break;

  case 453: // comma_hand_side: comma_hand_side COMMA hand_side
#line 1081 "DynareBison.yy"
                  { driver.add_external_function_arg(yystack_[0].value.as < expr_t > ()); }
#line 3331 "DynareBison.cc"
    break;

  case 454: // pound_expression: '#' symbol EQUAL hand_side ';'
#line 1085 "DynareBison.yy"
                  { driver.declare_and_init_model_local_variable(yystack_[3].value.as < string > (), yystack_[1].value.as < expr_t > ()); }
#line 3337 "DynareBison.cc"
    break;

  case 455: // shocks: SHOCKS ';' shock_list END ';'
#line 1087 "DynareBison.yy"
                                       { driver.end_shocks(false); }
#line 3343 "DynareBison.cc"
    break;

  case 456: // shocks: SHOCKS '(' OVERWRITE ')' ';' shock_list END ';'
#line 1088 "DynareBison.yy"
                                                         { driver.end_shocks(true); }
#line 3349 "DynareBison.cc"
    break;

  case 457: // shocks: SHOCKS '(' OVERWRITE ')' ';' END ';'
#line 1089 "DynareBison.yy"
                                               { driver.end_shocks(true); }
#line 3355 "DynareBison.cc"
    break;

  case 458: // shocks: SHOCKS '(' SURPRISE ')' ';' surprise_shock_list END ';'
#line 1090 "DynareBison.yy"
                                                                 { driver.end_shocks_surprise(false); }
#line 3361 "DynareBison.cc"
    break;

  case 459: // shocks: SHOCKS '(' SURPRISE COMMA OVERWRITE ')' ';' surprise_shock_list END ';'
#line 1091 "DynareBison.yy"
                                                                                 { driver.end_shocks_surprise(true); }
#line 3367 "DynareBison.cc"
    break;

  case 460: // shocks: SHOCKS '(' OVERWRITE COMMA SURPRISE ')' ';' surprise_shock_list END ';'
#line 1092 "DynareBison.yy"
                                                                                 { driver.end_shocks_surprise(true); }
#line 3373 "DynareBison.cc"
    break;

  case 464: // shock_elem: VAR symbol ';' STDERR expression ';'
#line 1101 "DynareBison.yy"
             { driver.add_stderr_shock(yystack_[4].value.as < string > (), yystack_[1].value.as < expr_t > ()); }
#line 3379 "DynareBison.cc"
    break;

  case 465: // shock_elem: VAR symbol EQUAL expression ';'
#line 1103 "DynareBison.yy"
             { driver.add_var_shock(yystack_[3].value.as < string > (), yystack_[1].value.as < expr_t > ()); }
#line 3385 "DynareBison.cc"
    break;

  case 466: // shock_elem: VAR symbol COMMA symbol EQUAL expression ';'
#line 1105 "DynareBison.yy"
             { driver.add_covar_shock(yystack_[5].value.as < string > (), yystack_[3].value.as < string > (), yystack_[1].value.as < expr_t > ()); }
#line 3391 "DynareBison.cc"
    break;

  case 467: // shock_elem: CORR symbol COMMA symbol EQUAL expression ';'
#line 1107 "DynareBison.yy"
             { driver.add_correl_shock(yystack_[5].value.as < string > (), yystack_[3].value.as < string > (), yystack_[1].value.as < expr_t > ()); }
#line 3397 "DynareBison.cc"
    break;

  case 468: // det_shock_elem: VAR symbol ';' PERIODS period_list ';' VALUES value_list ';'
#line 1111 "DynareBison.yy"
                 { driver.add_det_shock(yystack_[7].value.as < string > (), yystack_[4].value.as < vector<pair<int, int>> > (), yystack_[1].value.as < vector<expr_t> > (), false); }
#line 3403 "DynareBison.cc"
    break;

  case 471: // heteroskedastic_shocks: HETEROSKEDASTIC_SHOCKS ';' heteroskedastic_shock_list END ';'
#line 1119 "DynareBison.yy"
                         { driver.end_heteroskedastic_shocks(false); }
#line 3409 "DynareBison.cc"
    break;

  case 472: // heteroskedastic_shocks: HETEROSKEDASTIC_SHOCKS '(' OVERWRITE ')' ';' heteroskedastic_shock_list END ';'
#line 1121 "DynareBison.yy"
                         { driver.end_heteroskedastic_shocks(true); }
#line 3415 "DynareBison.cc"
    break;

  case 473: // heteroskedastic_shocks: HETEROSKEDASTIC_SHOCKS '(' OVERWRITE ')' ';' END ';'
#line 1123 "DynareBison.yy"
                         { driver.end_heteroskedastic_shocks(true); }
#line 3421 "DynareBison.cc"
    break;

  case 476: // heteroskedastic_shock_elem: VAR symbol ';' PERIODS period_list ';' VALUES value_list ';'
#line 1131 "DynareBison.yy"
                             { driver.add_heteroskedastic_shock(yystack_[7].value.as < string > (), yystack_[4].value.as < vector<pair<int, int>> > (), yystack_[1].value.as < vector<expr_t> > (), false); }
#line 3427 "DynareBison.cc"
    break;

  case 477: // heteroskedastic_shock_elem: VAR symbol ';' PERIODS period_list ';' SCALES value_list ';'
#line 1133 "DynareBison.yy"
                             { driver.add_heteroskedastic_shock(yystack_[7].value.as < string > (), yystack_[4].value.as < vector<pair<int, int>> > (), yystack_[1].value.as < vector<expr_t> > (), true); }
#line 3433 "DynareBison.cc"
    break;

  case 478: // $@15: %empty
#line 1136 "DynareBison.yy"
                                          {driver.begin_svar_identification();}
#line 3439 "DynareBison.cc"
    break;

  case 479: // svar_identification: SVAR_IDENTIFICATION $@15 ';' svar_identification_list END ';'
#line 1137 "DynareBison.yy"
                      { driver.end_svar_identification(); }
#line 3445 "DynareBison.cc"
    break;

  case 482: // svar_identification_elem: EXCLUSION LAG INT_NUMBER ';' svar_equation_list
#line 1145 "DynareBison.yy"
                           { driver.combine_lag_and_restriction(yystack_[2].value.as < string > ()); }
#line 3451 "DynareBison.cc"
    break;

  case 483: // svar_identification_elem: EXCLUSION CONSTANTS ';'
#line 1147 "DynareBison.yy"
                           { driver.add_constants_exclusion(); }
#line 3457 "DynareBison.cc"
    break;

  case 484: // $@16: %empty
#line 1149 "DynareBison.yy"
                         { driver.add_restriction_equation_nbr(yystack_[1].value.as < string > ());}
#line 3463 "DynareBison.cc"
    break;

  case 485: // $@17: %empty
#line 1151 "DynareBison.yy"
                                {driver.add_restriction_equal();}
#line 3469 "DynareBison.cc"
    break;

  case 487: // svar_identification_elem: UPPER_CHOLESKY ';'
#line 1154 "DynareBison.yy"
                           { driver.add_upper_cholesky(); }
#line 3475 "DynareBison.cc"
    break;

  case 488: // svar_identification_elem: LOWER_CHOLESKY ';'
#line 1156 "DynareBison.yy"
                           { driver.add_lower_cholesky(); }
#line 3481 "DynareBison.cc"
    break;

  case 489: // svar_equation_list: svar_equation_list EQUATION INT_NUMBER COMMA svar_var_list ';'
#line 1160 "DynareBison.yy"
                     { driver.add_restriction_in_equation(yystack_[3].value.as < string > ()); }
#line 3487 "DynareBison.cc"
    break;

  case 490: // svar_equation_list: EQUATION INT_NUMBER COMMA svar_var_list ';'
#line 1162 "DynareBison.yy"
                     { driver.add_restriction_in_equation(yystack_[3].value.as < string > ()); }
#line 3493 "DynareBison.cc"
    break;

  case 491: // svar_var_list: svar_var_list COMMA symbol
#line 1166 "DynareBison.yy"
                { driver.add_in_svar_restriction_symbols(yystack_[0].value.as < string > ()); }
#line 3499 "DynareBison.cc"
    break;

  case 492: // svar_var_list: symbol
#line 1168 "DynareBison.yy"
                { driver.add_in_svar_restriction_symbols(yystack_[0].value.as < string > ()); }
#line 3505 "DynareBison.cc"
    break;

  case 493: // restriction_expression: expression
#line 1171 "DynareBison.yy"
                                    {driver.check_restriction_expression_constant(yystack_[0].value.as < expr_t > ());}
#line 3511 "DynareBison.cc"
    break;

  case 497: // restriction_elem_expression: COEFF '(' symbol COMMA INT_NUMBER ')'
#line 1180 "DynareBison.yy"
                                 { driver.add_positive_restriction_element(yystack_[3].value.as < string > (),yystack_[1].value.as < string > ());}
#line 3517 "DynareBison.cc"
    break;

  case 498: // restriction_elem_expression: PLUS COEFF '(' symbol COMMA INT_NUMBER ')'
#line 1182 "DynareBison.yy"
                                 { driver.add_positive_restriction_element(yystack_[3].value.as < string > (),yystack_[1].value.as < string > ());}
#line 3523 "DynareBison.cc"
    break;

  case 499: // restriction_elem_expression: MINUS COEFF '(' symbol COMMA INT_NUMBER ')'
#line 1184 "DynareBison.yy"
                                 { driver.add_negative_restriction_element(yystack_[3].value.as < string > (),yystack_[1].value.as < string > ());}
#line 3529 "DynareBison.cc"
    break;

  case 500: // restriction_elem_expression: expression TIMES COEFF '(' symbol COMMA INT_NUMBER ')'
#line 1186 "DynareBison.yy"
                                 { driver.add_positive_restriction_element(yystack_[7].value.as < expr_t > (),yystack_[3].value.as < string > (),yystack_[1].value.as < string > ());}
#line 3535 "DynareBison.cc"
    break;

  case 501: // svar_global_identification_check: SVAR_GLOBAL_IDENTIFICATION_CHECK ';'
#line 1190 "DynareBison.yy"
                                  { driver.add_svar_global_identification_check(); }
#line 3541 "DynareBison.cc"
    break;

  case 502: // markov_switching: MARKOV_SWITCHING '(' ms_options_list ')' ';'
#line 1194 "DynareBison.yy"
                   { driver.markov_switching(); }
#line 3547 "DynareBison.cc"
    break;

  case 511: // svar: SVAR '(' svar_options_list ')' ';'
#line 1210 "DynareBison.yy"
       { driver.svar(); }
#line 3553 "DynareBison.cc"
    break;

  case 518: // mshocks: MSHOCKS ';' mshock_list END ';'
#line 1223 "DynareBison.yy"
                                          { driver.end_mshocks(false); }
#line 3559 "DynareBison.cc"
    break;

  case 519: // mshocks: MSHOCKS '(' OVERWRITE ')' ';' mshock_list END ';'
#line 1224 "DynareBison.yy"
                                                            { driver.end_mshocks(true); }
#line 3565 "DynareBison.cc"
    break;

  case 522: // period_list: period_list COMMA INT_NUMBER
#line 1232 "DynareBison.yy"
              {
                yylhs.value.as < vector<pair<int, int>> > () = yystack_[2].value.as < vector<pair<int, int>> > ();
                int p = stoi(yystack_[0].value.as < string > ());
                yylhs.value.as < vector<pair<int, int>> > ().push_back({ p, p });
              }
#line 3575 "DynareBison.cc"
    break;

  case 523: // period_list: period_list INT_NUMBER
#line 1238 "DynareBison.yy"
              {
                yylhs.value.as < vector<pair<int, int>> > () = yystack_[1].value.as < vector<pair<int, int>> > ();
                int p = stoi(yystack_[0].value.as < string > ());
                yylhs.value.as < vector<pair<int, int>> > ().push_back({ p, p });
              }
#line 3585 "DynareBison.cc"
    break;

  case 524: // period_list: period_list COMMA INT_NUMBER ':' INT_NUMBER
#line 1244 "DynareBison.yy"
              {
                yylhs.value.as < vector<pair<int, int>> > () = yystack_[4].value.as < vector<pair<int, int>> > ();
                int p1 = stoi(yystack_[2].value.as < string > ()), p2 = stoi(yystack_[0].value.as < string > ());
                if (p1 > p2)
                  driver.error("Can't have first period index greater than second index in range specification");
                yylhs.value.as < vector<pair<int, int>> > ().push_back({ p1, p2 });
              }
#line 3597 "DynareBison.cc"
    break;

  case 525: // period_list: period_list INT_NUMBER ':' INT_NUMBER
#line 1252 "DynareBison.yy"
              {
                yylhs.value.as < vector<pair<int, int>> > () = yystack_[3].value.as < vector<pair<int, int>> > ();
                int p1 = stoi(yystack_[2].value.as < string > ()), p2 = stoi(yystack_[0].value.as < string > ());
                if (p1 > p2)
                  driver.error("Can't have first period index greater than second index in range specification");
                yylhs.value.as < vector<pair<int, int>> > ().push_back({ p1, p2 });
              }
#line 3609 "DynareBison.cc"
    break;

  case 526: // period_list: INT_NUMBER ':' INT_NUMBER
#line 1260 "DynareBison.yy"
              {
                int p1 = stoi(yystack_[2].value.as < string > ()), p2 = stoi(yystack_[0].value.as < string > ());
                if (p1 > p2)
                  driver.error("Can't have first period index greater than second index in range specification");
                yylhs.value.as < vector<pair<int, int>> > () = { { p1, p2 } };
              }
#line 3620 "DynareBison.cc"
    break;

  case 527: // period_list: INT_NUMBER
#line 1267 "DynareBison.yy"
              {
                int p = stoi(yystack_[0].value.as < string > ());
                yylhs.value.as < vector<pair<int, int>> > () = { { p, p } };
              }
#line 3629 "DynareBison.cc"
    break;

  case 528: // sigma_e: SIGMA_E EQUAL '[' triangular_matrix ']' ';'
#line 1273 "DynareBison.yy"
                                                      { driver.do_sigma_e(); }
#line 3635 "DynareBison.cc"
    break;

  case 529: // value_list: value_list COMMA '(' expression ')'
#line 1276 "DynareBison.yy"
             {
               yylhs.value.as < vector<expr_t> > () = yystack_[4].value.as < vector<expr_t> > ();
               yylhs.value.as < vector<expr_t> > ().push_back(yystack_[1].value.as < expr_t > ());
             }
#line 3644 "DynareBison.cc"
    break;

  case 530: // value_list: value_list '(' expression ')'
#line 1281 "DynareBison.yy"
             {
               yylhs.value.as < vector<expr_t> > () = yystack_[3].value.as < vector<expr_t> > ();
               yylhs.value.as < vector<expr_t> > ().push_back(yystack_[1].value.as < expr_t > ());
             }
#line 3653 "DynareBison.cc"
    break;

  case 531: // value_list: '(' expression ')'
#line 1286 "DynareBison.yy"
             { yylhs.value.as < vector<expr_t> > () = { yystack_[1].value.as < expr_t > () }; }
#line 3659 "DynareBison.cc"
    break;

  case 532: // value_list: value_list COMMA signed_number
#line 1288 "DynareBison.yy"
             {
               yylhs.value.as < vector<expr_t> > () = yystack_[2].value.as < vector<expr_t> > ();
               yylhs.value.as < vector<expr_t> > ().push_back(yystack_[0].value.as < string > ().at(0) == '-' ?
                            driver.add_uminus(driver.add_non_negative_constant(yystack_[0].value.as < string > ().substr(1))) :
                            driver.add_non_negative_constant(yystack_[0].value.as < string > ()));
             }
#line 3670 "DynareBison.cc"
    break;

  case 533: // value_list: value_list signed_number
#line 1295 "DynareBison.yy"
             {
               yylhs.value.as < vector<expr_t> > () = yystack_[1].value.as < vector<expr_t> > ();
               yylhs.value.as < vector<expr_t> > ().push_back(yystack_[0].value.as < string > ().at(0) == '-' ?
                            driver.add_uminus(driver.add_non_negative_constant(yystack_[0].value.as < string > ().substr(1))) :
                            driver.add_non_negative_constant(yystack_[0].value.as < string > ()));
             }
#line 3681 "DynareBison.cc"
    break;

  case 534: // value_list: signed_number
#line 1302 "DynareBison.yy"
             {
               yylhs.value.as < vector<expr_t> > () = { yystack_[0].value.as < string > ().at(0) == '-' ?
                      driver.add_uminus(driver.add_non_negative_constant(yystack_[0].value.as < string > ().substr(1))) :
                      driver.add_non_negative_constant(yystack_[0].value.as < string > ()) };
             }
#line 3691 "DynareBison.cc"
    break;

  case 535: // triangular_matrix: triangular_matrix ';' triangular_row
#line 1310 "DynareBison.yy"
                    { driver.end_of_row(); }
#line 3697 "DynareBison.cc"
    break;

  case 536: // triangular_matrix: triangular_row
#line 1312 "DynareBison.yy"
                    { driver.end_of_row(); }
#line 3703 "DynareBison.cc"
    break;

  case 537: // triangular_row: triangular_row COMMA '(' expression ')'
#line 1316 "DynareBison.yy"
                 { driver.add_to_row(yystack_[1].value.as < expr_t > ()); }
#line 3709 "DynareBison.cc"
    break;

  case 538: // triangular_row: triangular_row COMMA signed_number
#line 1318 "DynareBison.yy"
                 { driver.add_to_row_const(yystack_[0].value.as < string > ()); }
#line 3715 "DynareBison.cc"
    break;

  case 539: // triangular_row: triangular_row '(' expression ')'
#line 1320 "DynareBison.yy"
                 { driver.add_to_row(yystack_[1].value.as < expr_t > ()); }
#line 3721 "DynareBison.cc"
    break;

  case 540: // triangular_row: triangular_row signed_number
#line 1322 "DynareBison.yy"
                 { driver.add_to_row_const(yystack_[0].value.as < string > ()); }
#line 3727 "DynareBison.cc"
    break;

  case 541: // triangular_row: '(' expression ')'
#line 1324 "DynareBison.yy"
                 { driver.add_to_row(yystack_[1].value.as < expr_t > ()); }
#line 3733 "DynareBison.cc"
    break;

  case 542: // triangular_row: signed_number
#line 1326 "DynareBison.yy"
                 { driver.add_to_row_const(yystack_[0].value.as < string > ()); }
#line 3739 "DynareBison.cc"
    break;

  case 543: // steady: STEADY ';'
#line 1330 "DynareBison.yy"
         { driver.steady(); }
#line 3745 "DynareBison.cc"
    break;

  case 544: // steady: STEADY '(' steady_options_list ')' ';'
#line 1332 "DynareBison.yy"
         { driver.steady(); }
#line 3751 "DynareBison.cc"
    break;

  case 555: // check: CHECK ';'
#line 1350 "DynareBison.yy"
        { driver.check(); }
#line 3757 "DynareBison.cc"
    break;

  case 556: // check: CHECK '(' check_options_list ')' ';'
#line 1352 "DynareBison.yy"
        { driver.check(); }
#line 3763 "DynareBison.cc"
    break;

  case 561: // model_info: MODEL_INFO ';'
#line 1364 "DynareBison.yy"
             { driver.model_info(); }
#line 3769 "DynareBison.cc"
    break;

  case 562: // model_info: MODEL_INFO '(' model_info_options_list ')' ';'
#line 1366 "DynareBison.yy"
              { driver.model_info(); }
#line 3775 "DynareBison.cc"
    break;

  case 567: // perfect_foresight_setup: PERFECT_FORESIGHT_SETUP ';'
#line 1378 "DynareBison.yy"
                          { driver.perfect_foresight_setup(); }
#line 3781 "DynareBison.cc"
    break;

  case 568: // perfect_foresight_setup: PERFECT_FORESIGHT_SETUP '(' perfect_foresight_setup_options_list ')' ';'
#line 1380 "DynareBison.yy"
                          { driver.perfect_foresight_setup(); }
#line 3787 "DynareBison.cc"
    break;

  case 573: // perfect_foresight_solver: PERFECT_FORESIGHT_SOLVER ';'
#line 1392 "DynareBison.yy"
                          { driver.perfect_foresight_solver(); }
#line 3793 "DynareBison.cc"
    break;

  case 574: // perfect_foresight_solver: PERFECT_FORESIGHT_SOLVER '(' perfect_foresight_solver_options_list ')' ';'
#line 1394 "DynareBison.yy"
                          { driver.perfect_foresight_solver(); }
#line 3799 "DynareBison.cc"
    break;

  case 591: // perfect_foresight_with_expectation_errors_setup: PERFECT_FORESIGHT_WITH_EXPECTATION_ERRORS_SETUP ';'
#line 1418 "DynareBison.yy"
                                                  { driver.perfect_foresight_with_expectation_errors_setup(); }
#line 3805 "DynareBison.cc"
    break;

  case 592: // perfect_foresight_with_expectation_errors_setup: PERFECT_FORESIGHT_WITH_EXPECTATION_ERRORS_SETUP '(' perfect_foresight_with_expectation_errors_setup_options_list ')' ';'
#line 1420 "DynareBison.yy"
                                                  { driver.perfect_foresight_with_expectation_errors_setup(); }
#line 3811 "DynareBison.cc"
    break;

  case 597: // perfect_foresight_with_expectation_errors_solver: PERFECT_FORESIGHT_WITH_EXPECTATION_ERRORS_SOLVER ';'
#line 1432 "DynareBison.yy"
                                                  { driver.perfect_foresight_with_expectation_errors_solver(); }
#line 3817 "DynareBison.cc"
    break;

  case 598: // perfect_foresight_with_expectation_errors_solver: PERFECT_FORESIGHT_WITH_EXPECTATION_ERRORS_SOLVER '(' perfect_foresight_with_expectation_errors_solver_options_list ')' ';'
#line 1434 "DynareBison.yy"
                                                  { driver.perfect_foresight_with_expectation_errors_solver(); }
#line 3823 "DynareBison.cc"
    break;

  case 603: // method_of_moments: METHOD_OF_MOMENTS ';'
#line 1446 "DynareBison.yy"
                    { driver.method_of_moments(); }
#line 3829 "DynareBison.cc"
    break;

  case 604: // method_of_moments: METHOD_OF_MOMENTS '(' method_of_moments_options_list ')' ';'
#line 1448 "DynareBison.yy"
                    { driver.method_of_moments(); }
#line 3835 "DynareBison.cc"
    break;

  case 662: // prior_function: PRIOR_FUNCTION '(' prior_posterior_function_options_list ')' ';'
#line 1513 "DynareBison.yy"
                { driver.prior_posterior_function(true); }
#line 3841 "DynareBison.cc"
    break;

  case 663: // posterior_function: POSTERIOR_FUNCTION '(' prior_posterior_function_options_list ')' ';'
#line 1517 "DynareBison.yy"
                    { driver.prior_posterior_function(false); }
#line 3847 "DynareBison.cc"
    break;

  case 668: // simul: SIMUL ';'
#line 1529 "DynareBison.yy"
        { driver.simul(); }
#line 3853 "DynareBison.cc"
    break;

  case 669: // simul: SIMUL '(' simul_options_list ')' ';'
#line 1531 "DynareBison.yy"
        { driver.simul(); }
#line 3859 "DynareBison.cc"
    break;

  case 674: // external_function: EXTERNAL_FUNCTION '(' external_function_options_list ')' ';'
#line 1543 "DynareBison.yy"
                    { driver.external_function(); }
#line 3865 "DynareBison.cc"
    break;

  case 681: // stoch_simul: STOCH_SIMUL ';'
#line 1557 "DynareBison.yy"
              { driver.stoch_simul(); }
#line 3871 "DynareBison.cc"
    break;

  case 682: // stoch_simul: STOCH_SIMUL '(' stoch_simul_options_list ')' ';'
#line 1559 "DynareBison.yy"
              { driver.stoch_simul(); }
#line 3877 "DynareBison.cc"
    break;

  case 683: // stoch_simul: STOCH_SIMUL symbol_list ';'
#line 1561 "DynareBison.yy"
              { driver.stoch_simul(); }
#line 3883 "DynareBison.cc"
    break;

  case 684: // stoch_simul: STOCH_SIMUL '(' stoch_simul_options_list ')' symbol_list ';'
#line 1563 "DynareBison.yy"
              { driver.stoch_simul(); }
#line 3889 "DynareBison.cc"
    break;

  case 743: // symbol_list: symbol_list symbol
#line 1631 "DynareBison.yy"
               { driver.add_in_symbol_list(yystack_[0].value.as < string > ()); }
#line 3895 "DynareBison.cc"
    break;

  case 744: // symbol_list: symbol_list COMMA symbol
#line 1633 "DynareBison.yy"
               { driver.add_in_symbol_list(yystack_[0].value.as < string > ()); }
#line 3901 "DynareBison.cc"
    break;

  case 745: // symbol_list: symbol
#line 1635 "DynareBison.yy"
               { driver.add_in_symbol_list(yystack_[0].value.as < string > ()); }
#line 3907 "DynareBison.cc"
    break;

  case 747: // symbol_list_ext: ':'
#line 1640 "DynareBison.yy"
                  { driver.add_in_symbol_list(":"); }
#line 3913 "DynareBison.cc"
    break;

  case 748: // signed_integer: PLUS INT_NUMBER
#line 1644 "DynareBison.yy"
                 { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 3919 "DynareBison.cc"
    break;

  case 749: // signed_integer: MINUS INT_NUMBER
#line 1646 "DynareBison.yy"
                 {
                   yylhs.value.as < string > () = yystack_[0].value.as < string > ();
                   yylhs.value.as < string > ().insert(0, "-");
                 }
#line 3928 "DynareBison.cc"
    break;

  case 750: // signed_integer: INT_NUMBER
#line 1650 "DynareBison.yy"
                 { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 3934 "DynareBison.cc"
    break;

  case 751: // non_negative_number: INT_NUMBER
#line 1653 "DynareBison.yy"
                      { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 3940 "DynareBison.cc"
    break;

  case 752: // non_negative_number: FLOAT_NUMBER
#line 1654 "DynareBison.yy"
                      { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 3946 "DynareBison.cc"
    break;

  case 753: // signed_number: PLUS non_negative_number
#line 1658 "DynareBison.yy"
               { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 3952 "DynareBison.cc"
    break;

  case 754: // signed_number: MINUS non_negative_number
#line 1660 "DynareBison.yy"
               {
                 yylhs.value.as < string > () = yystack_[0].value.as < string > ();
                 yylhs.value.as < string > ().insert(0, "-");
               }
#line 3961 "DynareBison.cc"
    break;

  case 755: // signed_number: non_negative_number
#line 1664 "DynareBison.yy"
                { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 3967 "DynareBison.cc"
    break;

  case 756: // signed_inf: PLUS INF_CONSTANT
#line 1668 "DynareBison.yy"
             { yylhs.value.as < string > () = "Inf"; }
#line 3973 "DynareBison.cc"
    break;

  case 757: // signed_inf: MINUS INF_CONSTANT
#line 1670 "DynareBison.yy"
             { yylhs.value.as < string > () = "-Inf"; }
#line 3979 "DynareBison.cc"
    break;

  case 758: // signed_inf: INF_CONSTANT
#line 1672 "DynareBison.yy"
             { yylhs.value.as < string > () = "Inf"; }
#line 3985 "DynareBison.cc"
    break;

  case 759: // signed_number_w_inf: signed_inf
#line 1675 "DynareBison.yy"
                      { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 3991 "DynareBison.cc"
    break;

  case 760: // signed_number_w_inf: signed_number
#line 1676 "DynareBison.yy"
                      { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 3997 "DynareBison.cc"
    break;

  case 761: // boolean: TRUE
#line 1679 "DynareBison.yy"
          { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 4003 "DynareBison.cc"
    break;

  case 762: // boolean: FALSE
#line 1680 "DynareBison.yy"
          { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 4009 "DynareBison.cc"
    break;

  case 763: // estimated_params: ESTIMATED_PARAMS ';' estimated_list END ';'
#line 1683 "DynareBison.yy"
                                                               { driver.estimated_params(); }
#line 4015 "DynareBison.cc"
    break;

  case 764: // estimated_list: estimated_list estimated_elem
#line 1686 "DynareBison.yy"
                 { driver.add_estimated_params_element(); }
#line 4021 "DynareBison.cc"
    break;

  case 765: // estimated_list: estimated_elem
#line 1688 "DynareBison.yy"
                 { driver.add_estimated_params_element(); }
#line 4027 "DynareBison.cc"
    break;

  case 768: // estimated_elem1: STDERR symbol
#line 1695 "DynareBison.yy"
                  {
                    driver.estim_params.type = 1;
                    driver.estim_params.name = yystack_[0].value.as < string > ();
                  }
#line 4036 "DynareBison.cc"
    break;

  case 769: // estimated_elem1: symbol
#line 1700 "DynareBison.yy"
                  {
                    driver.estim_params.type = 2;
                    driver.estim_params.name = yystack_[0].value.as < string > ();
                  }
#line 4045 "DynareBison.cc"
    break;

  case 770: // estimated_elem1: CORR symbol COMMA symbol
#line 1705 "DynareBison.yy"
                  {
                    driver.estim_params.type = 3;
                    driver.estim_params.name = yystack_[2].value.as < string > ();
                    driver.estim_params.name2 = yystack_[0].value.as < string > ();
                  }
#line 4055 "DynareBison.cc"
    break;

  case 771: // estimated_elem1: DSGE_PRIOR_WEIGHT
#line 1711 "DynareBison.yy"
                  {
                    driver.estim_params.type = 2;
                    driver.estim_params.name = "dsge_prior_weight";
                  }
#line 4064 "DynareBison.cc"
    break;

  case 772: // estimated_elem2: prior_pdf COMMA estimated_elem3
#line 1718 "DynareBison.yy"
                  {
                    driver.estim_params.prior = yystack_[2].value.as < PriorDistributions > ();
                  }
#line 4072 "DynareBison.cc"
    break;

  case 773: // estimated_elem2: expression_or_empty COMMA prior_pdf COMMA estimated_elem3
#line 1722 "DynareBison.yy"
                  {
                    driver.estim_params.init_val = yystack_[4].value.as < expr_t > ();
                    driver.estim_params.prior = yystack_[2].value.as < PriorDistributions > ();
                  }
#line 4081 "DynareBison.cc"
    break;

  case 774: // estimated_elem2: expression_or_empty COMMA expression_or_empty COMMA expression_or_empty COMMA prior_pdf COMMA estimated_elem3
#line 1727 "DynareBison.yy"
                  {
                    driver.estim_params.init_val = yystack_[8].value.as < expr_t > ();
                    driver.estim_params.low_bound = yystack_[6].value.as < expr_t > ();
                    driver.estim_params.up_bound = yystack_[4].value.as < expr_t > ();
                    driver.estim_params.prior = yystack_[2].value.as < PriorDistributions > ();
                  }
#line 4092 "DynareBison.cc"
    break;

  case 775: // estimated_elem2: expression
#line 1734 "DynareBison.yy"
                  {
                    driver.estim_params.init_val = yystack_[0].value.as < expr_t > ();
                  }
#line 4100 "DynareBison.cc"
    break;

  case 776: // estimated_elem2: expression_or_empty COMMA expression_or_empty COMMA expression_or_empty
#line 1738 "DynareBison.yy"
                  {
                    driver.estim_params.init_val = yystack_[4].value.as < expr_t > ();
                    driver.estim_params.low_bound = yystack_[2].value.as < expr_t > ();
                    driver.estim_params.up_bound = yystack_[0].value.as < expr_t > ();
                  }
#line 4110 "DynareBison.cc"
    break;

  case 777: // estimated_elem3: expression_or_empty COMMA expression_or_empty
#line 1746 "DynareBison.yy"
                  {
                    driver.estim_params.mean = yystack_[2].value.as < expr_t > ();
                    driver.estim_params.std = yystack_[0].value.as < expr_t > ();
                  }
#line 4119 "DynareBison.cc"
    break;

  case 778: // estimated_elem3: expression_or_empty COMMA expression_or_empty COMMA expression_or_empty
#line 1751 "DynareBison.yy"
                  {
                    driver.estim_params.mean = yystack_[4].value.as < expr_t > ();
                    driver.estim_params.std = yystack_[2].value.as < expr_t > ();
                    driver.estim_params.p3 = yystack_[0].value.as < expr_t > ();
                  }
#line 4129 "DynareBison.cc"
    break;

  case 779: // estimated_elem3: expression_or_empty COMMA expression_or_empty COMMA expression_or_empty COMMA expression_or_empty
#line 1757 "DynareBison.yy"
                  {
                    driver.estim_params.mean = yystack_[6].value.as < expr_t > ();
                    driver.estim_params.std = yystack_[4].value.as < expr_t > ();
                    driver.estim_params.p3 = yystack_[2].value.as < expr_t > ();
                    driver.estim_params.p4 = yystack_[0].value.as < expr_t > ();
                  }
#line 4140 "DynareBison.cc"
    break;

  case 780: // estimated_elem3: expression_or_empty COMMA expression_or_empty COMMA expression_or_empty COMMA expression_or_empty COMMA expression
#line 1764 "DynareBison.yy"
                  {
                    driver.estim_params.mean = yystack_[8].value.as < expr_t > ();
                    driver.estim_params.std = yystack_[6].value.as < expr_t > ();
                    driver.estim_params.p3 = yystack_[4].value.as < expr_t > ();
                    driver.estim_params.p4 = yystack_[2].value.as < expr_t > ();
                    driver.estim_params.jscale = yystack_[0].value.as < expr_t > ();
                  }
#line 4152 "DynareBison.cc"
    break;

  case 781: // estimated_params_init: ESTIMATED_PARAMS_INIT ';' estimated_init_list END ';'
#line 1774 "DynareBison.yy"
                        { driver.estimated_params_init(); }
#line 4158 "DynareBison.cc"
    break;

  case 782: // estimated_params_init: ESTIMATED_PARAMS_INIT '(' USE_CALIBRATION ')' ';' END ';'
#line 1776 "DynareBison.yy"
                        { driver.estimated_params_init(true); }
#line 4164 "DynareBison.cc"
    break;

  case 783: // estimated_params_init: ESTIMATED_PARAMS_INIT '(' USE_CALIBRATION ')' ';' estimated_init_list END ';'
#line 1778 "DynareBison.yy"
                        { driver.estimated_params_init(true); }
#line 4170 "DynareBison.cc"
    break;

  case 784: // estimated_init_list: estimated_init_list estimated_init_elem
#line 1782 "DynareBison.yy"
                      { driver.add_estimated_params_element(); }
#line 4176 "DynareBison.cc"
    break;

  case 785: // estimated_init_list: estimated_init_elem
#line 1784 "DynareBison.yy"
                      { driver.add_estimated_params_element(); }
#line 4182 "DynareBison.cc"
    break;

  case 786: // estimated_init_elem: STDERR symbol COMMA expression ';'
#line 1788 "DynareBison.yy"
                      {
                        driver.estim_params.type = 1;
                        driver.estim_params.name = yystack_[3].value.as < string > ();
                        driver.estim_params.init_val = yystack_[1].value.as < expr_t > ();
                      }
#line 4192 "DynareBison.cc"
    break;

  case 787: // estimated_init_elem: CORR symbol COMMA symbol COMMA expression ';'
#line 1794 "DynareBison.yy"
                      {
                        driver.estim_params.type = 3;
                        driver.estim_params.name = yystack_[5].value.as < string > ();
                        driver.estim_params.name2 = yystack_[3].value.as < string > ();
                        driver.estim_params.init_val = yystack_[1].value.as < expr_t > ();
                      }
#line 4203 "DynareBison.cc"
    break;

  case 788: // estimated_init_elem: symbol COMMA expression ';'
#line 1801 "DynareBison.yy"
                      {
                        driver.estim_params.type = 2;
                        driver.estim_params.name = yystack_[3].value.as < string > ();
                        driver.estim_params.init_val = yystack_[1].value.as < expr_t > ();
                      }
#line 4213 "DynareBison.cc"
    break;

  case 789: // estimated_params_bounds: ESTIMATED_PARAMS_BOUNDS ';' estimated_bounds_list END ';'
#line 1809 "DynareBison.yy"
                          { driver.estimated_params_bounds(); }
#line 4219 "DynareBison.cc"
    break;

  case 790: // estimated_bounds_list: estimated_bounds_list estimated_bounds_elem
#line 1812 "DynareBison.yy"
                        { driver.add_estimated_params_element(); }
#line 4225 "DynareBison.cc"
    break;

  case 791: // estimated_bounds_list: estimated_bounds_elem
#line 1814 "DynareBison.yy"
                        { driver.add_estimated_params_element(); }
#line 4231 "DynareBison.cc"
    break;

  case 792: // estimated_bounds_elem: STDERR symbol COMMA expression COMMA expression ';'
#line 1818 "DynareBison.yy"
                        {
                          driver.estim_params.type = 1;
                          driver.estim_params.name = yystack_[5].value.as < string > ();
                          driver.estim_params.low_bound = yystack_[3].value.as < expr_t > ();
                          driver.estim_params.up_bound = yystack_[1].value.as < expr_t > ();
                        }
#line 4242 "DynareBison.cc"
    break;

  case 793: // estimated_bounds_elem: CORR symbol COMMA symbol COMMA expression COMMA expression ';'
#line 1825 "DynareBison.yy"
                        {
                          driver.estim_params.type = 3;
                          driver.estim_params.name = yystack_[7].value.as < string > ();
                          driver.estim_params.name2 = yystack_[5].value.as < string > ();
                          driver.estim_params.low_bound = yystack_[3].value.as < expr_t > ();
                          driver.estim_params.up_bound = yystack_[1].value.as < expr_t > ();
                        }
#line 4254 "DynareBison.cc"
    break;

  case 794: // estimated_bounds_elem: symbol COMMA expression COMMA expression ';'
#line 1833 "DynareBison.yy"
                        {
                          driver.estim_params.type = 2;
                          driver.estim_params.name = yystack_[5].value.as < string > ();
                          driver.estim_params.low_bound = yystack_[3].value.as < expr_t > ();
                          driver.estim_params.up_bound = yystack_[1].value.as < expr_t > ();
                        }
#line 4265 "DynareBison.cc"
    break;

  case 795: // osr_params_bounds: OSR_PARAMS_BOUNDS ';' osr_bounds_list END ';'
#line 1842 "DynareBison.yy"
                    { driver.osr_params_bounds(); }
#line 4271 "DynareBison.cc"
    break;

  case 796: // osr_bounds_list: osr_bounds_list osr_bounds_elem
#line 1845 "DynareBison.yy"
                  { driver.add_osr_params_element(); }
#line 4277 "DynareBison.cc"
    break;

  case 797: // osr_bounds_list: osr_bounds_elem
#line 1847 "DynareBison.yy"
                  { driver.add_osr_params_element(); }
#line 4283 "DynareBison.cc"
    break;

  case 798: // osr_bounds_elem: symbol COMMA expression COMMA expression ';'
#line 1851 "DynareBison.yy"
                  {
                    driver.osr_params.name = yystack_[5].value.as < string > ();
                    driver.osr_params.low_bound = yystack_[3].value.as < expr_t > ();
                    driver.osr_params.up_bound = yystack_[1].value.as < expr_t > ();
                  }
#line 4293 "DynareBison.cc"
    break;

  case 799: // prior_distribution: BETA
#line 1859 "DynareBison.yy"
                     { yylhs.value.as < PriorDistributions > () = PriorDistributions::beta; }
#line 4299 "DynareBison.cc"
    break;

  case 800: // prior_distribution: GAMMA
#line 1861 "DynareBison.yy"
                     { yylhs.value.as < PriorDistributions > () = PriorDistributions::gamma; }
#line 4305 "DynareBison.cc"
    break;

  case 801: // prior_distribution: NORMAL
#line 1863 "DynareBison.yy"
                     { yylhs.value.as < PriorDistributions > () = PriorDistributions::normal; }
#line 4311 "DynareBison.cc"
    break;

  case 802: // prior_distribution: INV_GAMMA
#line 1865 "DynareBison.yy"
                     { yylhs.value.as < PriorDistributions > () = PriorDistributions::invGamma; }
#line 4317 "DynareBison.cc"
    break;

  case 803: // prior_distribution: INV_GAMMA1
#line 1867 "DynareBison.yy"
                     { yylhs.value.as < PriorDistributions > () = PriorDistributions::invGamma1; }
#line 4323 "DynareBison.cc"
    break;

  case 804: // prior_distribution: UNIFORM
#line 1869 "DynareBison.yy"
                     { yylhs.value.as < PriorDistributions > () = PriorDistributions::uniform; }
#line 4329 "DynareBison.cc"
    break;

  case 805: // prior_distribution: INV_GAMMA2
#line 1871 "DynareBison.yy"
                     { yylhs.value.as < PriorDistributions > () = PriorDistributions::invGamma2; }
#line 4335 "DynareBison.cc"
    break;

  case 806: // prior_distribution: DIRICHLET
#line 1873 "DynareBison.yy"
                     { yylhs.value.as < PriorDistributions > () = PriorDistributions::dirichlet; }
#line 4341 "DynareBison.cc"
    break;

  case 807: // prior_distribution: WEIBULL
#line 1875 "DynareBison.yy"
                     { yylhs.value.as < PriorDistributions > () = PriorDistributions::weibull; }
#line 4347 "DynareBison.cc"
    break;

  case 808: // prior_pdf: BETA_PDF
#line 1879 "DynareBison.yy"
            { yylhs.value.as < PriorDistributions > () = PriorDistributions::beta; }
#line 4353 "DynareBison.cc"
    break;

  case 809: // prior_pdf: GAMMA_PDF
#line 1881 "DynareBison.yy"
            { yylhs.value.as < PriorDistributions > () = PriorDistributions::gamma; }
#line 4359 "DynareBison.cc"
    break;

  case 810: // prior_pdf: NORMAL_PDF
#line 1883 "DynareBison.yy"
            { yylhs.value.as < PriorDistributions > () = PriorDistributions::normal; }
#line 4365 "DynareBison.cc"
    break;

  case 811: // prior_pdf: INV_GAMMA_PDF
#line 1885 "DynareBison.yy"
            { yylhs.value.as < PriorDistributions > () = PriorDistributions::invGamma; }
#line 4371 "DynareBison.cc"
    break;

  case 812: // prior_pdf: INV_GAMMA1_PDF
#line 1887 "DynareBison.yy"
            { yylhs.value.as < PriorDistributions > () = PriorDistributions::invGamma1; }
#line 4377 "DynareBison.cc"
    break;

  case 813: // prior_pdf: UNIFORM_PDF
#line 1889 "DynareBison.yy"
            { yylhs.value.as < PriorDistributions > () = PriorDistributions::uniform; }
#line 4383 "DynareBison.cc"
    break;

  case 814: // prior_pdf: INV_GAMMA2_PDF
#line 1891 "DynareBison.yy"
            { yylhs.value.as < PriorDistributions > () = PriorDistributions::invGamma2; }
#line 4389 "DynareBison.cc"
    break;

  case 815: // prior_pdf: WEIBULL_PDF
#line 1893 "DynareBison.yy"
            { yylhs.value.as < PriorDistributions > () = PriorDistributions::weibull; }
#line 4395 "DynareBison.cc"
    break;

  case 816: // date_str: DATES
#line 1896 "DynareBison.yy"
           { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 4401 "DynareBison.cc"
    break;

  case 817: // date_expr: date_str
#line 1898 "DynareBison.yy"
            { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 4407 "DynareBison.cc"
    break;

  case 818: // date_expr: date_expr PLUS INT_NUMBER
#line 1900 "DynareBison.yy"
            { yylhs.value.as < string > () = yystack_[2].value.as < string > () + '+' + yystack_[0].value.as < string > (); }
#line 4413 "DynareBison.cc"
    break;

  case 819: // set_time: SET_TIME '(' date_expr ')' ';'
#line 1904 "DynareBison.yy"
           { driver.set_time(yystack_[2].value.as < string > ()); }
#line 4419 "DynareBison.cc"
    break;

  case 820: // data: DATA '(' data_options_list ')' ';'
#line 1908 "DynareBison.yy"
       { driver.estimation_data(); }
#line 4425 "DynareBison.cc"
    break;

  case 830: // subsamples: subsamples_eq_opt '(' subsamples_name_list ')' ';'
#line 1925 "DynareBison.yy"
             { driver.set_subsamples(yystack_[4].value.as < pair<string,string> > ().first, yystack_[4].value.as < pair<string,string> > ().second); }
#line 4431 "DynareBison.cc"
    break;

  case 831: // subsamples_eq: subsamples_eq_opt EQUAL subsamples_eq_opt ';'
#line 1929 "DynareBison.yy"
                { driver.copy_subsamples(yystack_[3].value.as < pair<string,string> > ().first, yystack_[3].value.as < pair<string,string> > ().second, yystack_[1].value.as < pair<string,string> > ().first, yystack_[1].value.as < pair<string,string> > ().second); }
#line 4437 "DynareBison.cc"
    break;

  case 832: // subsamples_eq_opt: symbol '.' SUBSAMPLES
#line 1933 "DynareBison.yy"
                    { yylhs.value.as < pair<string,string> > () = { yystack_[2].value.as < string > (), "" }; }
#line 4443 "DynareBison.cc"
    break;

  case 833: // subsamples_eq_opt: STD '(' symbol ')' '.' SUBSAMPLES
#line 1935 "DynareBison.yy"
                    { yylhs.value.as < pair<string,string> > () = { yystack_[3].value.as < string > (), "" }; }
#line 4449 "DynareBison.cc"
    break;

  case 834: // subsamples_eq_opt: CORR '(' symbol COMMA symbol ')' '.' SUBSAMPLES
#line 1937 "DynareBison.yy"
                    { yylhs.value.as < pair<string,string> > () = { yystack_[5].value.as < string > (), yystack_[3].value.as < string > () }; }
#line 4455 "DynareBison.cc"
    break;

  case 837: // $@18: %empty
#line 1944 "DynareBison.yy"
                         { driver.set_prior_variance(); driver.prior_shape = PriorDistributions::noShape; }
#line 4461 "DynareBison.cc"
    break;

  case 838: // prior: symbol '.' PRIOR $@18 '(' prior_options_list ')' ';'
#line 1945 "DynareBison.yy"
        { driver.set_prior(yystack_[7].value.as < string > (), ""); }
#line 4467 "DynareBison.cc"
    break;

  case 839: // $@19: %empty
#line 1946 "DynareBison.yy"
                                    { driver.set_prior_variance(); driver.prior_shape = PriorDistributions::noShape; }
#line 4473 "DynareBison.cc"
    break;

  case 840: // prior: symbol '.' symbol '.' PRIOR $@19 '(' prior_options_list ')' ';'
#line 1947 "DynareBison.yy"
        { driver.set_prior(yystack_[9].value.as < string > (), yystack_[7].value.as < string > ()); }
#line 4479 "DynareBison.cc"
    break;

  case 841: // $@20: %empty
#line 1948 "DynareBison.yy"
                             { driver.set_prior_variance(); driver.prior_shape = PriorDistributions::noShape; }
#line 4485 "DynareBison.cc"
    break;

  case 842: // prior: SYMBOL_VEC '.' PRIOR $@20 '(' joint_prior_options_list ')' ';'
#line 1949 "DynareBison.yy"
        { driver.set_joint_prior(yystack_[7].value.as < vector<string> > ()); }
#line 4491 "DynareBison.cc"
    break;

  case 843: // $@21: %empty
#line 1950 "DynareBison.yy"
                                     { driver.set_prior_variance(); driver.prior_shape = PriorDistributions::noShape; }
#line 4497 "DynareBison.cc"
    break;

  case 844: // prior: STD '(' symbol ')' '.' PRIOR $@21 '(' prior_options_list ')' ';'
#line 1951 "DynareBison.yy"
        { driver.set_std_prior(yystack_[8].value.as < string > (), ""); }
#line 4503 "DynareBison.cc"
    break;

  case 845: // $@22: %empty
#line 1952 "DynareBison.yy"
                                                { driver.set_prior_variance(); driver.prior_shape = PriorDistributions::noShape; }
#line 4509 "DynareBison.cc"
    break;

  case 846: // prior: STD '(' symbol ')' '.' symbol '.' PRIOR $@22 '(' prior_options_list ')' ';'
#line 1953 "DynareBison.yy"
        { driver.set_std_prior(yystack_[10].value.as < string > (), yystack_[7].value.as < string > ()); }
#line 4515 "DynareBison.cc"
    break;

  case 847: // $@23: %empty
#line 1954 "DynareBison.yy"
                                                   { driver.set_prior_variance(); driver.prior_shape = PriorDistributions::noShape; }
#line 4521 "DynareBison.cc"
    break;

  case 848: // prior: CORR '(' symbol COMMA symbol ')' '.' PRIOR $@23 '(' prior_options_list ')' ';'
#line 1955 "DynareBison.yy"
        { driver.set_corr_prior(yystack_[10].value.as < string > (), yystack_[8].value.as < string > (), ""); }
#line 4527 "DynareBison.cc"
    break;

  case 849: // $@24: %empty
#line 1956 "DynareBison.yy"
                                                              { driver.set_prior_variance(); driver.prior_shape = PriorDistributions::noShape; }
#line 4533 "DynareBison.cc"
    break;

  case 850: // prior: CORR '(' symbol COMMA symbol ')' '.' symbol '.' PRIOR $@24 '(' prior_options_list ')' ';'
#line 1957 "DynareBison.yy"
        { driver.set_corr_prior(yystack_[12].value.as < string > (), yystack_[10].value.as < string > (), yystack_[7].value.as < string > ()); }
#line 4539 "DynareBison.cc"
    break;

  case 875: // prior_eq: prior_eq_opt EQUAL prior_eq_opt ';'
#line 1993 "DynareBison.yy"
           { driver.copy_prior(get<0>(yystack_[3].value.as < tuple<string,string,string,string> > ()), get<1>(yystack_[3].value.as < tuple<string,string,string,string> > ()), get<2>(yystack_[3].value.as < tuple<string,string,string,string> > ()), get<3>(yystack_[3].value.as < tuple<string,string,string,string> > ()),
                               get<0>(yystack_[1].value.as < tuple<string,string,string,string> > ()), get<1>(yystack_[1].value.as < tuple<string,string,string,string> > ()), get<2>(yystack_[1].value.as < tuple<string,string,string,string> > ()), get<3>(yystack_[1].value.as < tuple<string,string,string,string> > ())); }
#line 4546 "DynareBison.cc"
    break;

  case 876: // prior_eq_opt: symbol '.' PRIOR
#line 1998 "DynareBison.yy"
               { yylhs.value.as < tuple<string,string,string,string> > () = { "par", yystack_[2].value.as < string > (), "", "" }; }
#line 4552 "DynareBison.cc"
    break;

  case 877: // prior_eq_opt: symbol '.' symbol '.' PRIOR
#line 2000 "DynareBison.yy"
               { yylhs.value.as < tuple<string,string,string,string> > () = { "par", yystack_[4].value.as < string > (), "", yystack_[2].value.as < string > () }; }
#line 4558 "DynareBison.cc"
    break;

  case 878: // prior_eq_opt: STD '(' symbol ')' '.' PRIOR
#line 2002 "DynareBison.yy"
               { yylhs.value.as < tuple<string,string,string,string> > () = { "std", yystack_[3].value.as < string > (), "", "" }; }
#line 4564 "DynareBison.cc"
    break;

  case 879: // prior_eq_opt: STD '(' symbol ')' '.' symbol '.' PRIOR
#line 2004 "DynareBison.yy"
               { yylhs.value.as < tuple<string,string,string,string> > () = { "std", yystack_[5].value.as < string > (), "", yystack_[2].value.as < string > () }; }
#line 4570 "DynareBison.cc"
    break;

  case 880: // prior_eq_opt: CORR '(' symbol COMMA symbol ')' '.' PRIOR
#line 2006 "DynareBison.yy"
               { yylhs.value.as < tuple<string,string,string,string> > () = { "corr", yystack_[5].value.as < string > (), yystack_[3].value.as < string > (), "" }; }
#line 4576 "DynareBison.cc"
    break;

  case 881: // prior_eq_opt: CORR '(' symbol COMMA symbol ')' '.' symbol '.' PRIOR
#line 2008 "DynareBison.yy"
               { yylhs.value.as < tuple<string,string,string,string> > () = { "corr", yystack_[7].value.as < string > (), yystack_[5].value.as < string > (), yystack_[2].value.as < string > () }; }
#line 4582 "DynareBison.cc"
    break;

  case 882: // options: symbol '.' OPTIONS '(' options_options_list ')' ';'
#line 2012 "DynareBison.yy"
          { driver.set_options(yystack_[6].value.as < string > (), ""); }
#line 4588 "DynareBison.cc"
    break;

  case 883: // options: symbol '.' symbol '.' OPTIONS '(' options_options_list ')' ';'
#line 2014 "DynareBison.yy"
          { driver.set_options(yystack_[8].value.as < string > (), yystack_[6].value.as < string > ()); }
#line 4594 "DynareBison.cc"
    break;

  case 884: // options: STD '(' symbol ')' '.' OPTIONS '(' options_options_list ')' ';'
#line 2016 "DynareBison.yy"
          { driver.set_std_options(yystack_[7].value.as < string > (), ""); }
#line 4600 "DynareBison.cc"
    break;

  case 885: // options: STD '(' symbol ')' '.' symbol '.' OPTIONS '(' options_options_list ')' ';'
#line 2018 "DynareBison.yy"
          { driver.set_std_options(yystack_[9].value.as < string > (), yystack_[6].value.as < string > ()); }
#line 4606 "DynareBison.cc"
    break;

  case 886: // options: CORR '(' symbol COMMA symbol ')' '.' OPTIONS '(' options_options_list ')' ';'
#line 2020 "DynareBison.yy"
          { driver.set_corr_options(yystack_[9].value.as < string > (), yystack_[7].value.as < string > (), ""); }
#line 4612 "DynareBison.cc"
    break;

  case 887: // options: CORR '(' symbol COMMA symbol ')' '.' symbol '.' OPTIONS '(' options_options_list ')' ';'
#line 2022 "DynareBison.yy"
          { driver.set_corr_options(yystack_[11].value.as < string > (), yystack_[9].value.as < string > (), yystack_[6].value.as < string > ()); }
#line 4618 "DynareBison.cc"
    break;

  case 893: // options_eq: options_eq_opt EQUAL options_eq_opt ';'
#line 2035 "DynareBison.yy"
             { driver.copy_prior(get<0>(yystack_[3].value.as < tuple<string,string,string,string> > ()), get<1>(yystack_[3].value.as < tuple<string,string,string,string> > ()), get<2>(yystack_[3].value.as < tuple<string,string,string,string> > ()), get<3>(yystack_[3].value.as < tuple<string,string,string,string> > ()),
                                 get<0>(yystack_[1].value.as < tuple<string,string,string,string> > ()), get<1>(yystack_[1].value.as < tuple<string,string,string,string> > ()), get<2>(yystack_[1].value.as < tuple<string,string,string,string> > ()), get<3>(yystack_[1].value.as < tuple<string,string,string,string> > ())); }
#line 4625 "DynareBison.cc"
    break;

  case 894: // options_eq_opt: symbol '.' OPTIONS
#line 2040 "DynareBison.yy"
                 { yylhs.value.as < tuple<string,string,string,string> > () = { "par", yystack_[2].value.as < string > (), "", "" }; }
#line 4631 "DynareBison.cc"
    break;

  case 895: // options_eq_opt: symbol '.' symbol '.' OPTIONS
#line 2042 "DynareBison.yy"
                 { yylhs.value.as < tuple<string,string,string,string> > () = { "par", yystack_[4].value.as < string > (), "", yystack_[2].value.as < string > () }; }
#line 4637 "DynareBison.cc"
    break;

  case 896: // options_eq_opt: STD '(' symbol ')' '.' OPTIONS
#line 2044 "DynareBison.yy"
                 { yylhs.value.as < tuple<string,string,string,string> > () = { "std", yystack_[3].value.as < string > (), "", "" }; }
#line 4643 "DynareBison.cc"
    break;

  case 897: // options_eq_opt: STD '(' symbol ')' '.' symbol '.' OPTIONS
#line 2046 "DynareBison.yy"
                 { yylhs.value.as < tuple<string,string,string,string> > () = { "std", yystack_[5].value.as < string > (), "", yystack_[2].value.as < string > () }; }
#line 4649 "DynareBison.cc"
    break;

  case 898: // options_eq_opt: CORR '(' symbol COMMA symbol ')' '.' OPTIONS
#line 2048 "DynareBison.yy"
                 { yylhs.value.as < tuple<string,string,string,string> > () = { "corr", yystack_[5].value.as < string > (), yystack_[3].value.as < string > (), "" }; }
#line 4655 "DynareBison.cc"
    break;

  case 899: // options_eq_opt: CORR '(' symbol COMMA symbol ')' '.' symbol '.' OPTIONS
#line 2050 "DynareBison.yy"
                 { yylhs.value.as < tuple<string,string,string,string> > () = { "corr", yystack_[7].value.as < string > (), yystack_[5].value.as < string > (), yystack_[2].value.as < string > () }; }
#line 4661 "DynareBison.cc"
    break;

  case 900: // estimation: ESTIMATION ';'
#line 2054 "DynareBison.yy"
             { driver.run_estimation(); }
#line 4667 "DynareBison.cc"
    break;

  case 901: // estimation: ESTIMATION '(' estimation_options_list ')' ';'
#line 2056 "DynareBison.yy"
             { driver.run_estimation(); }
#line 4673 "DynareBison.cc"
    break;

  case 902: // estimation: ESTIMATION symbol_list ';'
#line 2058 "DynareBison.yy"
             { driver.run_estimation(); }
#line 4679 "DynareBison.cc"
    break;

  case 903: // estimation: ESTIMATION '(' estimation_options_list ')' symbol_list ';'
#line 2060 "DynareBison.yy"
             { driver.run_estimation(); }
#line 4685 "DynareBison.cc"
    break;

  case 1035: // name_value_pair: QUOTED_STRING COMMA QUOTED_STRING
#line 2199 "DynareBison.yy"
                  { yylhs.value.as < string > () = "''" + yystack_[2].value.as < string > () + "'',''" + yystack_[0].value.as < string > () + "''"; }
#line 4691 "DynareBison.cc"
    break;

  case 1036: // name_value_pair: QUOTED_STRING COMMA signed_number
#line 2201 "DynareBison.yy"
                  { yylhs.value.as < string > () = "''" + yystack_[2].value.as < string > () + "''," + yystack_[0].value.as < string > (); }
#line 4697 "DynareBison.cc"
    break;

  case 1037: // name_value_pair_list: name_value_pair
#line 2204 "DynareBison.yy"
                       { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 4703 "DynareBison.cc"
    break;

  case 1038: // name_value_pair_list: name_value_pair_list COMMA name_value_pair
#line 2206 "DynareBison.yy"
                       { yylhs.value.as < string > () = yystack_[2].value.as < string > () + ',' + yystack_[0].value.as < string > (); }
#line 4709 "DynareBison.cc"
    break;

  case 1039: // name_value_pair_with_boolean: name_value_pair
#line 2209 "DynareBison.yy"
                               { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 4715 "DynareBison.cc"
    break;

  case 1040: // name_value_pair_with_boolean: QUOTED_STRING COMMA boolean
#line 2211 "DynareBison.yy"
                               { yylhs.value.as < string > () = "''" + yystack_[2].value.as < string > () + "''," + yystack_[0].value.as < string > (); }
#line 4721 "DynareBison.cc"
    break;

  case 1041: // name_value_pair_with_boolean_list: name_value_pair_with_boolean
#line 2214 "DynareBison.yy"
                                    { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 4727 "DynareBison.cc"
    break;

  case 1042: // name_value_pair_with_boolean_list: name_value_pair_with_boolean_list COMMA name_value_pair_with_boolean
#line 2216 "DynareBison.yy"
                                    { yylhs.value.as < string > () = yystack_[2].value.as < string > () + ',' + yystack_[0].value.as < string > (); }
#line 4733 "DynareBison.cc"
    break;

  case 1043: // name_value_pair_with_suboptions: name_value_pair
#line 2220 "DynareBison.yy"
                                  { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 4739 "DynareBison.cc"
    break;

  case 1044: // name_value_pair_with_suboptions: QUOTED_STRING COMMA vec_str
#line 2222 "DynareBison.yy"
                                  {
                                    yylhs.value.as < string > () = "''" + yystack_[2].value.as < string > () + "'',{";
                                    for (auto &it : yystack_[0].value.as < vector<string> > ())
                                      {
                                        if (&it != &(yystack_[0].value.as < vector<string> > ()).front())
                                          yylhs.value.as < string > () += ",";
                                        yylhs.value.as < string > () += "''" + it + "''";
                                      }
                                    yylhs.value.as < string > () += '}';
                                  }
#line 4754 "DynareBison.cc"
    break;

  case 1045: // name_value_pair_with_suboptions: QUOTED_STRING COMMA '(' name_value_pair_list ')'
#line 2233 "DynareBison.yy"
                                  { yylhs.value.as < string > () = "''" + yystack_[4].value.as < string > () + "'',''(" + yystack_[1].value.as < string > () + ")''"; }
#line 4760 "DynareBison.cc"
    break;

  case 1046: // name_value_pair_with_suboptions_list: name_value_pair_with_suboptions
#line 2236 "DynareBison.yy"
                                       { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 4766 "DynareBison.cc"
    break;

  case 1047: // name_value_pair_with_suboptions_list: name_value_pair_with_suboptions_list COMMA name_value_pair_with_suboptions
#line 2238 "DynareBison.yy"
                                       { yylhs.value.as < string > () = yystack_[2].value.as < string > () + ',' + yystack_[0].value.as < string > (); }
#line 4772 "DynareBison.cc"
    break;

  case 1048: // $@25: %empty
#line 2241 "DynareBison.yy"
                { driver.check_varobs(); }
#line 4778 "DynareBison.cc"
    break;

  case 1050: // varobs_list: varobs_list symbol
#line 2244 "DynareBison.yy"
              { driver.add_varobs(yystack_[0].value.as < string > ()); }
#line 4784 "DynareBison.cc"
    break;

  case 1051: // varobs_list: varobs_list COMMA symbol
#line 2246 "DynareBison.yy"
              { driver.add_varobs(yystack_[0].value.as < string > ()); }
#line 4790 "DynareBison.cc"
    break;

  case 1052: // varobs_list: symbol
#line 2248 "DynareBison.yy"
              { driver.add_varobs(yystack_[0].value.as < string > ()); }
#line 4796 "DynareBison.cc"
    break;

  case 1053: // $@26: %empty
#line 2251 "DynareBison.yy"
                    { driver.check_varexobs(); }
#line 4802 "DynareBison.cc"
    break;

  case 1055: // varexobs_list: varexobs_list symbol
#line 2254 "DynareBison.yy"
              { driver.add_varexobs(yystack_[0].value.as < string > ()); }
#line 4808 "DynareBison.cc"
    break;

  case 1056: // varexobs_list: varexobs_list COMMA symbol
#line 2256 "DynareBison.yy"
              { driver.add_varexobs(yystack_[0].value.as < string > ()); }
#line 4814 "DynareBison.cc"
    break;

  case 1057: // varexobs_list: symbol
#line 2258 "DynareBison.yy"
              { driver.add_varexobs(yystack_[0].value.as < string > ()); }
#line 4820 "DynareBison.cc"
    break;

  case 1058: // deterministic_trends: DETERMINISTIC_TRENDS ';' trend_list END ';'
#line 2261 "DynareBison.yy"
                                                                   { driver.set_deterministic_trends(); }
#line 4826 "DynareBison.cc"
    break;

  case 1059: // observation_trends: OBSERVATION_TRENDS ';' trend_list END ';'
#line 2262 "DynareBison.yy"
                                                               { driver.set_trends(); }
#line 4832 "DynareBison.cc"
    break;

  case 1062: // trend_element: symbol '(' expression ')' ';'
#line 2268 "DynareBison.yy"
                                               { driver.set_trend_element(yystack_[4].value.as < string > (), yystack_[2].value.as < expr_t > ()); }
#line 4838 "DynareBison.cc"
    break;

  case 1063: // filter_initial_state: FILTER_INITIAL_STATE ';' filter_initial_state_list END ';'
#line 2270 "DynareBison.yy"
                                                                                  { driver.set_filter_initial_state(); }
#line 4844 "DynareBison.cc"
    break;

  case 1066: // filter_initial_state_element: symbol '(' signed_integer ')' EQUAL expression ';'
#line 2276 "DynareBison.yy"
                                                                                  { driver.set_filter_initial_state_element(yystack_[6].value.as < string > (), yystack_[4].value.as < string > (), yystack_[1].value.as < expr_t > ()); }
#line 4850 "DynareBison.cc"
    break;

  case 1067: // unit_root_vars: UNIT_ROOT_VARS symbol_list ';'
#line 2278 "DynareBison.yy"
                                                { driver.set_unit_root_vars(); }
#line 4856 "DynareBison.cc"
    break;

  case 1068: // optim_weights: OPTIM_WEIGHTS ';' optim_weights_list END ';'
#line 2280 "DynareBison.yy"
                                                             { driver.optim_weights(); }
#line 4862 "DynareBison.cc"
    break;

  case 1069: // optim_weights_list: optim_weights_list symbol expression ';'
#line 2283 "DynareBison.yy"
                     { driver.set_optim_weights(yystack_[2].value.as < string > (), yystack_[1].value.as < expr_t > ()); }
#line 4868 "DynareBison.cc"
    break;

  case 1070: // optim_weights_list: optim_weights_list symbol COMMA symbol expression ';'
#line 2285 "DynareBison.yy"
                     { driver.set_optim_weights(yystack_[4].value.as < string > (), yystack_[2].value.as < string > (), yystack_[1].value.as < expr_t > ()); }
#line 4874 "DynareBison.cc"
    break;

  case 1071: // optim_weights_list: symbol expression ';'
#line 2287 "DynareBison.yy"
                     { driver.set_optim_weights(yystack_[2].value.as < string > (), yystack_[1].value.as < expr_t > ()); }
#line 4880 "DynareBison.cc"
    break;

  case 1072: // optim_weights_list: symbol COMMA symbol expression ';'
#line 2289 "DynareBison.yy"
                     { driver.set_optim_weights(yystack_[4].value.as < string > (), yystack_[2].value.as < string > (), yystack_[1].value.as < expr_t > ()); }
#line 4886 "DynareBison.cc"
    break;

  case 1073: // osr_params: OSR_PARAMS symbol_list ';'
#line 2292 "DynareBison.yy"
                                        { driver.set_osr_params(); }
#line 4892 "DynareBison.cc"
    break;

  case 1083: // osr: OSR ';'
#line 2309 "DynareBison.yy"
      { driver.run_osr(); }
#line 4898 "DynareBison.cc"
    break;

  case 1084: // osr: OSR '(' osr_options_list ')' ';'
#line 2311 "DynareBison.yy"
      { driver.run_osr(); }
#line 4904 "DynareBison.cc"
    break;

  case 1085: // osr: OSR symbol_list ';'
#line 2313 "DynareBison.yy"
      { driver.run_osr(); }
#line 4910 "DynareBison.cc"
    break;

  case 1086: // osr: OSR '(' osr_options_list ')' symbol_list ';'
#line 2315 "DynareBison.yy"
      {driver.run_osr(); }
#line 4916 "DynareBison.cc"
    break;

  case 1087: // dynatype: DYNATYPE '(' filename ')' ';'
#line 2319 "DynareBison.yy"
           { driver.run_dynatype(yystack_[2].value.as < string > ()); }
#line 4922 "DynareBison.cc"
    break;

  case 1088: // dynatype: DYNATYPE '(' filename ')' symbol_list ';'
#line 2321 "DynareBison.yy"
           { driver.run_dynatype(yystack_[3].value.as < string > ()); }
#line 4928 "DynareBison.cc"
    break;

  case 1089: // dynasave: DYNASAVE '(' filename ')' ';'
#line 2325 "DynareBison.yy"
           { driver.run_dynasave(yystack_[2].value.as < string > ()); }
#line 4934 "DynareBison.cc"
    break;

  case 1090: // dynasave: DYNASAVE '(' filename ')' symbol_list ';'
#line 2327 "DynareBison.yy"
           { driver.run_dynasave(yystack_[3].value.as < string > ()); }
#line 4940 "DynareBison.cc"
    break;

  case 1091: // load_params_and_steady_state: LOAD_PARAMS_AND_STEADY_STATE '(' filename ')' ';'
#line 2331 "DynareBison.yy"
                               { driver.run_load_params_and_steady_state(yystack_[2].value.as < string > ()); }
#line 4946 "DynareBison.cc"
    break;

  case 1092: // save_params_and_steady_state: SAVE_PARAMS_AND_STEADY_STATE '(' filename ')' ';'
#line 2335 "DynareBison.yy"
                               { driver.run_save_params_and_steady_state(yystack_[2].value.as < string > ()); }
#line 4952 "DynareBison.cc"
    break;

  case 1093: // identification: IDENTIFICATION ';'
#line 2339 "DynareBison.yy"
                 { driver.run_identification(); }
#line 4958 "DynareBison.cc"
    break;

  case 1094: // identification: IDENTIFICATION '(' identification_options_list ')' ';'
#line 2341 "DynareBison.yy"
                 { driver.run_identification(); }
#line 4964 "DynareBison.cc"
    break;

  case 1133: // model_comparison: MODEL_COMPARISON mc_filename_list ';'
#line 2387 "DynareBison.yy"
                   { driver.run_model_comparison(); }
#line 4970 "DynareBison.cc"
    break;

  case 1134: // model_comparison: MODEL_COMPARISON '(' o_marginal_density ')' mc_filename_list ';'
#line 2389 "DynareBison.yy"
                   { driver.run_model_comparison(); }
#line 4976 "DynareBison.cc"
    break;

  case 1135: // filename: symbol
#line 2392 "DynareBison.yy"
           { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 4982 "DynareBison.cc"
    break;

  case 1136: // filename: QUOTED_STRING
#line 2393 "DynareBison.yy"
           { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 4988 "DynareBison.cc"
    break;

  case 1137: // namespace_qualified_symbol: symbol
#line 2396 "DynareBison.yy"
                             { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 4994 "DynareBison.cc"
    break;

  case 1138: // namespace_qualified_symbol: namespace_qualified_symbol '.' symbol
#line 2398 "DynareBison.yy"
                             { yylhs.value.as < string > () = yystack_[2].value.as < string > () + "." + yystack_[0].value.as < string > (); }
#line 5000 "DynareBison.cc"
    break;

  case 1139: // namespace_qualified_filename: namespace_qualified_symbol
#line 2401 "DynareBison.yy"
                               { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 5006 "DynareBison.cc"
    break;

  case 1140: // namespace_qualified_filename: QUOTED_STRING
#line 2402 "DynareBison.yy"
                               { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 5012 "DynareBison.cc"
    break;

  case 1141: // parallel_local_filename_list: filename
#line 2406 "DynareBison.yy"
                               { driver.add_parallel_local_file(yystack_[0].value.as < string > ()); }
#line 5018 "DynareBison.cc"
    break;

  case 1142: // parallel_local_filename_list: parallel_local_filename_list COMMA filename
#line 2408 "DynareBison.yy"
                               { driver.add_parallel_local_file(yystack_[0].value.as < string > ()); }
#line 5024 "DynareBison.cc"
    break;

  case 1143: // mc_filename_list: filename
#line 2412 "DynareBison.yy"
                   { driver.add_mc_filename(yystack_[0].value.as < string > ()); }
#line 5030 "DynareBison.cc"
    break;

  case 1144: // mc_filename_list: filename '(' non_negative_number ')'
#line 2414 "DynareBison.yy"
                   { driver.add_mc_filename(yystack_[3].value.as < string > (), yystack_[1].value.as < string > ()); }
#line 5036 "DynareBison.cc"
    break;

  case 1145: // mc_filename_list: mc_filename_list filename
#line 2416 "DynareBison.yy"
                   { driver.add_mc_filename(yystack_[0].value.as < string > ()); }
#line 5042 "DynareBison.cc"
    break;

  case 1146: // mc_filename_list: mc_filename_list filename '(' non_negative_number ')'
#line 2418 "DynareBison.yy"
                   { driver.add_mc_filename(yystack_[3].value.as < string > (), yystack_[1].value.as < string > ()); }
#line 5048 "DynareBison.cc"
    break;

  case 1147: // mc_filename_list: mc_filename_list COMMA filename
#line 2420 "DynareBison.yy"
                   { driver.add_mc_filename(yystack_[0].value.as < string > ()); }
#line 5054 "DynareBison.cc"
    break;

  case 1148: // mc_filename_list: mc_filename_list COMMA filename '(' non_negative_number ')'
#line 2422 "DynareBison.yy"
                   { driver.add_mc_filename(yystack_[3].value.as < string > (), yystack_[1].value.as < string > ()); }
#line 5060 "DynareBison.cc"
    break;

  case 1149: // $@27: %empty
#line 2425 "DynareBison.yy"
                                      { driver.begin_planner_objective(); }
#line 5066 "DynareBison.cc"
    break;

  case 1150: // $@28: %empty
#line 2426 "DynareBison.yy"
                              { driver.end_planner_objective(yystack_[0].value.as < expr_t > ()); }
#line 5072 "DynareBison.cc"
    break;

  case 1152: // ramsey_model: RAMSEY_MODEL ';'
#line 2429 "DynareBison.yy"
                { driver.ramsey_model(); }
#line 5078 "DynareBison.cc"
    break;

  case 1153: // ramsey_model: RAMSEY_MODEL '(' ramsey_model_options_list ')' ';'
#line 2431 "DynareBison.yy"
                { driver.ramsey_model(); }
#line 5084 "DynareBison.cc"
    break;

  case 1154: // ramsey_policy: RAMSEY_POLICY ';'
#line 2435 "DynareBison.yy"
                { driver.ramsey_policy(); }
#line 5090 "DynareBison.cc"
    break;

  case 1155: // ramsey_policy: RAMSEY_POLICY '(' ramsey_policy_options_list ')' ';'
#line 2437 "DynareBison.yy"
                { driver.ramsey_policy(); }
#line 5096 "DynareBison.cc"
    break;

  case 1156: // ramsey_policy: RAMSEY_POLICY symbol_list ';'
#line 2439 "DynareBison.yy"
                { driver.ramsey_policy(); }
#line 5102 "DynareBison.cc"
    break;

  case 1157: // ramsey_policy: RAMSEY_POLICY '(' ramsey_policy_options_list ')' symbol_list ';'
#line 2441 "DynareBison.yy"
                { driver.ramsey_policy(); }
#line 5108 "DynareBison.cc"
    break;

  case 1158: // ramsey_constraints: RAMSEY_CONSTRAINTS ';' ramsey_constraints_list END ';'
#line 2445 "DynareBison.yy"
                     { driver.add_ramsey_constraints_statement(); }
#line 5114 "DynareBison.cc"
    break;

  case 1161: // ramsey_constraint: NAME LESS expression ';'
#line 2453 "DynareBison.yy"
                    { driver.ramsey_constraint_add_less(yystack_[3].value.as < string > (),yystack_[1].value.as < expr_t > ()); }
#line 5120 "DynareBison.cc"
    break;

  case 1162: // ramsey_constraint: NAME GREATER expression ';'
#line 2455 "DynareBison.yy"
                    { driver.ramsey_constraint_add_greater(yystack_[3].value.as < string > (),yystack_[1].value.as < expr_t > ()); }
#line 5126 "DynareBison.cc"
    break;

  case 1163: // ramsey_constraint: NAME LESS_EQUAL expression ';'
#line 2457 "DynareBison.yy"
                    { driver.ramsey_constraint_add_less_equal(yystack_[3].value.as < string > (),yystack_[1].value.as < expr_t > ()); }
#line 5132 "DynareBison.cc"
    break;

  case 1164: // ramsey_constraint: NAME GREATER_EQUAL expression ';'
#line 2459 "DynareBison.yy"
                    { driver.ramsey_constraint_add_greater_equal(yystack_[3].value.as < string > (),yystack_[1].value.as < expr_t > ()); }
#line 5138 "DynareBison.cc"
    break;

  case 1165: // evaluate_planner_objective: EVALUATE_PLANNER_OBJECTIVE ';'
#line 2463 "DynareBison.yy"
                             { driver.evaluate_planner_objective(); }
#line 5144 "DynareBison.cc"
    break;

  case 1166: // occbin_setup: OCCBIN_SETUP ';'
#line 2467 "DynareBison.yy"
               { driver.occbin_setup(); }
#line 5150 "DynareBison.cc"
    break;

  case 1167: // occbin_setup: OCCBIN_SETUP '(' occbin_setup_options_list ')' ';'
#line 2469 "DynareBison.yy"
               { driver.occbin_setup(); }
#line 5156 "DynareBison.cc"
    break;

  case 1193: // occbin_solver: OCCBIN_SOLVER ';'
#line 2501 "DynareBison.yy"
                { driver.occbin_solver(); }
#line 5162 "DynareBison.cc"
    break;

  case 1194: // occbin_solver: OCCBIN_SOLVER '(' occbin_solver_options_list ')' ';'
#line 2503 "DynareBison.yy"
                { driver.occbin_solver(); }
#line 5168 "DynareBison.cc"
    break;

  case 1195: // occbin_solver: OCCBIN_SOLVER '(' occbin_solver_options_list ')' symbol_list ';'
#line 2505 "DynareBison.yy"
                { driver.occbin_solver(); }
#line 5174 "DynareBison.cc"
    break;

  case 1204: // occbin_write_regimes: OCCBIN_WRITE_REGIMES ';'
#line 2520 "DynareBison.yy"
                       { driver.occbin_write_regimes(); }
#line 5180 "DynareBison.cc"
    break;

  case 1205: // occbin_write_regimes: OCCBIN_WRITE_REGIMES '(' occbin_write_regimes_options_list ')' ';'
#line 2522 "DynareBison.yy"
                       { driver.occbin_write_regimes(); }
#line 5186 "DynareBison.cc"
    break;

  case 1212: // occbin_graph: OCCBIN_GRAPH ';'
#line 2535 "DynareBison.yy"
               { driver.occbin_graph(); }
#line 5192 "DynareBison.cc"
    break;

  case 1213: // occbin_graph: OCCBIN_GRAPH '(' occbin_graph_options_list ')' ';'
#line 2537 "DynareBison.yy"
               { driver.occbin_graph(); }
#line 5198 "DynareBison.cc"
    break;

  case 1214: // occbin_graph: OCCBIN_GRAPH symbol_list ';'
#line 2539 "DynareBison.yy"
               { driver.occbin_graph(); }
#line 5204 "DynareBison.cc"
    break;

  case 1215: // occbin_graph: OCCBIN_GRAPH '(' occbin_graph_options_list ')' symbol_list ';'
#line 2541 "DynareBison.yy"
               { driver.occbin_graph(); }
#line 5210 "DynareBison.cc"
    break;

  case 1219: // discretionary_policy: DISCRETIONARY_POLICY ';'
#line 2551 "DynareBison.yy"
                       { driver.discretionary_policy(); }
#line 5216 "DynareBison.cc"
    break;

  case 1220: // discretionary_policy: DISCRETIONARY_POLICY '(' discretionary_policy_options_list ')' ';'
#line 2553 "DynareBison.yy"
                       { driver.discretionary_policy(); }
#line 5222 "DynareBison.cc"
    break;

  case 1221: // discretionary_policy: DISCRETIONARY_POLICY symbol_list ';'
#line 2555 "DynareBison.yy"
                       { driver.discretionary_policy(); }
#line 5228 "DynareBison.cc"
    break;

  case 1222: // discretionary_policy: DISCRETIONARY_POLICY '(' discretionary_policy_options_list ')' symbol_list ';'
#line 2557 "DynareBison.yy"
                       { driver.discretionary_policy(); }
#line 5234 "DynareBison.cc"
    break;

  case 1238: // write_latex_dynamic_model: WRITE_LATEX_DYNAMIC_MODEL ';'
#line 2588 "DynareBison.yy"
                            { driver.write_latex_dynamic_model(false); }
#line 5240 "DynareBison.cc"
    break;

  case 1239: // write_latex_dynamic_model: WRITE_LATEX_DYNAMIC_MODEL '(' WRITE_EQUATION_TAGS ')' ';'
#line 2590 "DynareBison.yy"
                            { driver.write_latex_dynamic_model(true); }
#line 5246 "DynareBison.cc"
    break;

  case 1240: // write_latex_static_model: WRITE_LATEX_STATIC_MODEL ';'
#line 2594 "DynareBison.yy"
                           { driver.write_latex_static_model(false); }
#line 5252 "DynareBison.cc"
    break;

  case 1241: // write_latex_static_model: WRITE_LATEX_STATIC_MODEL '(' WRITE_EQUATION_TAGS ')' ';'
#line 2596 "DynareBison.yy"
                            { driver.write_latex_static_model(true); }
#line 5258 "DynareBison.cc"
    break;

  case 1242: // write_latex_original_model: WRITE_LATEX_ORIGINAL_MODEL ';'
#line 2600 "DynareBison.yy"
                           { driver.write_latex_original_model(false); }
#line 5264 "DynareBison.cc"
    break;

  case 1243: // write_latex_original_model: WRITE_LATEX_ORIGINAL_MODEL '(' WRITE_EQUATION_TAGS ')' ';'
#line 2602 "DynareBison.yy"
                            { driver.write_latex_original_model(true); }
#line 5270 "DynareBison.cc"
    break;

  case 1244: // write_latex_steady_state_model: WRITE_LATEX_STEADY_STATE_MODEL ';'
#line 2606 "DynareBison.yy"
                                 { driver.write_latex_steady_state_model(); }
#line 5276 "DynareBison.cc"
    break;

  case 1245: // shock_decomposition: SHOCK_DECOMPOSITION ';'
#line 2610 "DynareBison.yy"
                      {driver.shock_decomposition(); }
#line 5282 "DynareBison.cc"
    break;

  case 1246: // shock_decomposition: SHOCK_DECOMPOSITION '(' shock_decomposition_options_list ')' ';'
#line 2612 "DynareBison.yy"
                      { driver.shock_decomposition(); }
#line 5288 "DynareBison.cc"
    break;

  case 1247: // shock_decomposition: SHOCK_DECOMPOSITION symbol_list ';'
#line 2614 "DynareBison.yy"
                      { driver.shock_decomposition(); }
#line 5294 "DynareBison.cc"
    break;

  case 1248: // shock_decomposition: SHOCK_DECOMPOSITION '(' shock_decomposition_options_list ')' symbol_list ';'
#line 2616 "DynareBison.yy"
                      { driver.shock_decomposition(); }
#line 5300 "DynareBison.cc"
    break;

  case 1249: // realtime_shock_decomposition: REALTIME_SHOCK_DECOMPOSITION ';'
#line 2620 "DynareBison.yy"
                               {driver.realtime_shock_decomposition(); }
#line 5306 "DynareBison.cc"
    break;

  case 1250: // realtime_shock_decomposition: REALTIME_SHOCK_DECOMPOSITION '(' realtime_shock_decomposition_options_list ')' ';'
#line 2622 "DynareBison.yy"
                               { driver.realtime_shock_decomposition(); }
#line 5312 "DynareBison.cc"
    break;

  case 1251: // realtime_shock_decomposition: REALTIME_SHOCK_DECOMPOSITION symbol_list ';'
#line 2624 "DynareBison.yy"
                               { driver.realtime_shock_decomposition(); }
#line 5318 "DynareBison.cc"
    break;

  case 1252: // realtime_shock_decomposition: REALTIME_SHOCK_DECOMPOSITION '(' realtime_shock_decomposition_options_list ')' symbol_list ';'
#line 2626 "DynareBison.yy"
                               { driver.realtime_shock_decomposition(); }
#line 5324 "DynareBison.cc"
    break;

  case 1253: // plot_shock_decomposition: PLOT_SHOCK_DECOMPOSITION ';'
#line 2630 "DynareBison.yy"
                           {driver.plot_shock_decomposition(); }
#line 5330 "DynareBison.cc"
    break;

  case 1254: // plot_shock_decomposition: PLOT_SHOCK_DECOMPOSITION '(' plot_shock_decomposition_options_list ')' ';'
#line 2632 "DynareBison.yy"
                           { driver.plot_shock_decomposition(); }
#line 5336 "DynareBison.cc"
    break;

  case 1255: // plot_shock_decomposition: PLOT_SHOCK_DECOMPOSITION symbol_list ';'
#line 2634 "DynareBison.yy"
                           { driver.plot_shock_decomposition(); }
#line 5342 "DynareBison.cc"
    break;

  case 1256: // plot_shock_decomposition: PLOT_SHOCK_DECOMPOSITION '(' plot_shock_decomposition_options_list ')' symbol_list ';'
#line 2636 "DynareBison.yy"
                           { driver.plot_shock_decomposition(); }
#line 5348 "DynareBison.cc"
    break;

  case 1257: // initial_condition_decomposition: INITIAL_CONDITION_DECOMPOSITION ';'
#line 2640 "DynareBison.yy"
                                  {driver.initial_condition_decomposition(); }
#line 5354 "DynareBison.cc"
    break;

  case 1258: // initial_condition_decomposition: INITIAL_CONDITION_DECOMPOSITION '(' initial_condition_decomposition_options_list ')' ';'
#line 2642 "DynareBison.yy"
                                  { driver.initial_condition_decomposition(); }
#line 5360 "DynareBison.cc"
    break;

  case 1259: // initial_condition_decomposition: INITIAL_CONDITION_DECOMPOSITION symbol_list ';'
#line 2644 "DynareBison.yy"
                                  { driver.initial_condition_decomposition(); }
#line 5366 "DynareBison.cc"
    break;

  case 1260: // initial_condition_decomposition: INITIAL_CONDITION_DECOMPOSITION '(' initial_condition_decomposition_options_list ')' symbol_list ';'
#line 2646 "DynareBison.yy"
                                  { driver.initial_condition_decomposition(); }
#line 5372 "DynareBison.cc"
    break;

  case 1261: // squeeze_shock_decomposition: SQUEEZE_SHOCK_DECOMPOSITION ';'
#line 2650 "DynareBison.yy"
                              { driver.squeeze_shock_decomposition(); }
#line 5378 "DynareBison.cc"
    break;

  case 1262: // squeeze_shock_decomposition: SQUEEZE_SHOCK_DECOMPOSITION symbol_list ';'
#line 2652 "DynareBison.yy"
                              { driver.squeeze_shock_decomposition(); }
#line 5384 "DynareBison.cc"
    break;

  case 1282: // bvar_density: BVAR_DENSITY INT_NUMBER ';'
#line 2681 "DynareBison.yy"
               { driver.bvar_density(yystack_[1].value.as < string > ()); }
#line 5390 "DynareBison.cc"
    break;

  case 1283: // bvar_density: BVAR_DENSITY '(' bvar_density_options_list ')' INT_NUMBER ';'
#line 2683 "DynareBison.yy"
               { driver.bvar_density(yystack_[1].value.as < string > ()); }
#line 5396 "DynareBison.cc"
    break;

  case 1290: // bvar_forecast: BVAR_FORECAST INT_NUMBER ';'
#line 2697 "DynareBison.yy"
                { driver.bvar_forecast(yystack_[1].value.as < string > ()); }
#line 5402 "DynareBison.cc"
    break;

  case 1291: // bvar_forecast: BVAR_FORECAST '(' bvar_forecast_options_list ')' INT_NUMBER ';'
#line 2699 "DynareBison.yy"
                { driver.bvar_forecast(yystack_[1].value.as < string > ()); }
#line 5408 "DynareBison.cc"
    break;

  case 1342: // sbvar: SBVAR ';'
#line 2757 "DynareBison.yy"
        { driver.sbvar(); }
#line 5414 "DynareBison.cc"
    break;

  case 1343: // sbvar: SBVAR '(' sbvar_options_list ')' ';'
#line 2759 "DynareBison.yy"
        { driver.sbvar(); }
#line 5420 "DynareBison.cc"
    break;

  case 1360: // ms_variance_decomposition: MS_VARIANCE_DECOMPOSITION ';'
#line 2783 "DynareBison.yy"
                            { driver.ms_variance_decomposition(); }
#line 5426 "DynareBison.cc"
    break;

  case 1361: // ms_variance_decomposition: MS_VARIANCE_DECOMPOSITION '(' ms_variance_decomposition_options_list ')' ';'
#line 2785 "DynareBison.yy"
                            { driver.ms_variance_decomposition(); }
#line 5432 "DynareBison.cc"
    break;

  case 1378: // ms_forecast: MS_FORECAST ';'
#line 2809 "DynareBison.yy"
              { driver.ms_forecast(); }
#line 5438 "DynareBison.cc"
    break;

  case 1379: // ms_forecast: MS_FORECAST '(' ms_forecast_options_list ')' ';'
#line 2811 "DynareBison.yy"
              { driver.ms_forecast(); }
#line 5444 "DynareBison.cc"
    break;

  case 1396: // ms_irf: MS_IRF ';'
#line 2835 "DynareBison.yy"
         { driver.ms_irf(); }
#line 5450 "DynareBison.cc"
    break;

  case 1397: // ms_irf: MS_IRF '(' ms_irf_options_list ')' ';'
#line 2837 "DynareBison.yy"
         { driver.ms_irf(); }
#line 5456 "DynareBison.cc"
    break;

  case 1398: // ms_irf: MS_IRF symbol_list ';'
#line 2839 "DynareBison.yy"
         { driver.ms_irf(); }
#line 5462 "DynareBison.cc"
    break;

  case 1399: // ms_irf: MS_IRF '(' ms_irf_options_list ')' symbol_list ';'
#line 2841 "DynareBison.yy"
         { driver.ms_irf(); }
#line 5468 "DynareBison.cc"
    break;

  case 1406: // ms_compute_probabilities: MS_COMPUTE_PROBABILITIES ';'
#line 2855 "DynareBison.yy"
                           { driver.ms_compute_probabilities(); }
#line 5474 "DynareBison.cc"
    break;

  case 1407: // ms_compute_probabilities: MS_COMPUTE_PROBABILITIES '(' ms_compute_probabilities_options_list ')' ';'
#line 2857 "DynareBison.yy"
                           { driver.ms_compute_probabilities(); }
#line 5480 "DynareBison.cc"
    break;

  case 1418: // ms_compute_mdd: MS_COMPUTE_MDD ';'
#line 2875 "DynareBison.yy"
                 { driver.ms_compute_mdd(); }
#line 5486 "DynareBison.cc"
    break;

  case 1419: // ms_compute_mdd: MS_COMPUTE_MDD '(' ms_compute_mdd_options_list ')' ';'
#line 2877 "DynareBison.yy"
                 { driver.ms_compute_mdd(); }
#line 5492 "DynareBison.cc"
    break;

  case 1429: // ms_simulation: MS_SIMULATION ';'
#line 2894 "DynareBison.yy"
                { driver.ms_simulation(); }
#line 5498 "DynareBison.cc"
    break;

  case 1430: // ms_simulation: MS_SIMULATION '(' ms_simulation_options_list ')' ';'
#line 2896 "DynareBison.yy"
                { driver.ms_simulation(); }
#line 5504 "DynareBison.cc"
    break;

  case 1468: // ms_estimation: MS_ESTIMATION ';'
#line 2941 "DynareBison.yy"
                { driver.ms_estimation(); }
#line 5510 "DynareBison.cc"
    break;

  case 1469: // ms_estimation: MS_ESTIMATION '(' ms_estimation_options_list ')' ';'
#line 2943 "DynareBison.yy"
                { driver.ms_estimation(); }
#line 5516 "DynareBison.cc"
    break;

  case 1470: // dynare_sensitivity: DYNARE_SENSITIVITY ';'
#line 2947 "DynareBison.yy"
                     { driver.dynare_sensitivity(); }
#line 5522 "DynareBison.cc"
    break;

  case 1471: // dynare_sensitivity: DYNARE_SENSITIVITY '(' dynare_sensitivity_options_list ')' ';'
#line 2949 "DynareBison.yy"
                     { driver.dynare_sensitivity(); }
#line 5528 "DynareBison.cc"
    break;

  case 1596: // homotopy_setup: HOMOTOPY_SETUP ';' homotopy_list END ';'
#line 3097 "DynareBison.yy"
               { driver.end_homotopy();}
#line 5534 "DynareBison.cc"
    break;

  case 1599: // homotopy_item: symbol COMMA expression COMMA expression ';'
#line 3104 "DynareBison.yy"
                { driver.homotopy_val(yystack_[5].value.as < string > (), yystack_[3].value.as < expr_t > (), yystack_[1].value.as < expr_t > ());}
#line 5540 "DynareBison.cc"
    break;

  case 1600: // homotopy_item: symbol COMMA expression ';'
#line 3106 "DynareBison.yy"
                { driver.homotopy_val(yystack_[3].value.as < string > (), nullptr, yystack_[1].value.as < expr_t > ());}
#line 5546 "DynareBison.cc"
    break;

  case 1601: // forecast: FORECAST ';'
#line 3109 "DynareBison.yy"
                       {driver.forecast();}
#line 5552 "DynareBison.cc"
    break;

  case 1602: // forecast: FORECAST '(' forecast_options ')' ';'
#line 3110 "DynareBison.yy"
                                                  {driver.forecast();}
#line 5558 "DynareBison.cc"
    break;

  case 1603: // forecast: FORECAST symbol_list ';'
#line 3111 "DynareBison.yy"
                                     {driver.forecast();}
#line 5564 "DynareBison.cc"
    break;

  case 1604: // forecast: FORECAST '(' forecast_options ')' symbol_list ';'
#line 3112 "DynareBison.yy"
                                                              {driver.forecast();}
#line 5570 "DynareBison.cc"
    break;

  case 1612: // conditional_forecast: CONDITIONAL_FORECAST '(' conditional_forecast_options ')' ';'
#line 3127 "DynareBison.yy"
                       { driver.conditional_forecast(); }
#line 5576 "DynareBison.cc"
    break;

  case 1620: // plot_conditional_forecast: PLOT_CONDITIONAL_FORECAST symbol_list ';'
#line 3142 "DynareBison.yy"
                            { driver.plot_conditional_forecast(); }
#line 5582 "DynareBison.cc"
    break;

  case 1621: // plot_conditional_forecast: PLOT_CONDITIONAL_FORECAST '(' PERIODS EQUAL INT_NUMBER ')' symbol_list ';'
#line 3144 "DynareBison.yy"
                            { driver.plot_conditional_forecast(yystack_[3].value.as < string > ()); }
#line 5588 "DynareBison.cc"
    break;

  case 1622: // conditional_forecast_paths: CONDITIONAL_FORECAST_PATHS ';' conditional_forecast_paths_shock_list END ';'
#line 3148 "DynareBison.yy"
                             { driver.conditional_forecast_paths(); }
#line 5594 "DynareBison.cc"
    break;

  case 1625: // conditional_forecast_paths_shock_elem: VAR symbol ';' PERIODS period_list ';' VALUES value_list ';'
#line 3156 "DynareBison.yy"
                                        { driver.add_det_shock(yystack_[7].value.as < string > (), yystack_[4].value.as < vector<pair<int, int>> > (), yystack_[1].value.as < vector<expr_t> > (), true); }
#line 5600 "DynareBison.cc"
    break;

  case 1626: // $@29: %empty
#line 3159 "DynareBison.yy"
                                            { driver.begin_steady_state_model(); }
#line 5606 "DynareBison.cc"
    break;

  case 1627: // steady_state_model: STEADY_STATE_MODEL ';' $@29 steady_state_equation_list END ';'
#line 3160 "DynareBison.yy"
                                                        { driver.reset_data_tree(); }
#line 5612 "DynareBison.cc"
    break;

  case 1630: // steady_state_equation: symbol EQUAL expression ';'
#line 3168 "DynareBison.yy"
                        { driver.add_steady_state_model_equal(yystack_[3].value.as < string > (), yystack_[1].value.as < expr_t > ()); }
#line 5618 "DynareBison.cc"
    break;

  case 1631: // steady_state_equation: '[' symbol_list ']' EQUAL expression ';'
#line 3170 "DynareBison.yy"
                        { driver.add_steady_state_model_equal_multiple(yystack_[1].value.as < expr_t > ()); }
#line 5624 "DynareBison.cc"
    break;

  case 1632: // calib_smoother: CALIB_SMOOTHER ';'
#line 3174 "DynareBison.yy"
                 { driver.calib_smoother(); }
#line 5630 "DynareBison.cc"
    break;

  case 1633: // calib_smoother: CALIB_SMOOTHER '(' calib_smoother_options_list ')' ';'
#line 3176 "DynareBison.yy"
                 { driver.calib_smoother(); }
#line 5636 "DynareBison.cc"
    break;

  case 1634: // calib_smoother: CALIB_SMOOTHER symbol_list ';'
#line 3178 "DynareBison.yy"
                 { driver.calib_smoother(); }
#line 5642 "DynareBison.cc"
    break;

  case 1635: // calib_smoother: CALIB_SMOOTHER '(' calib_smoother_options_list ')' symbol_list ';'
#line 3180 "DynareBison.yy"
                 { driver.calib_smoother(); }
#line 5648 "DynareBison.cc"
    break;

  case 1654: // generate_irfs: GENERATE_IRFS ';' END ';'
#line 3206 "DynareBison.yy"
                { driver.end_generate_irfs(); }
#line 5654 "DynareBison.cc"
    break;

  case 1655: // generate_irfs: GENERATE_IRFS ';' generate_irfs_element_list END ';'
#line 3208 "DynareBison.yy"
                { driver.end_generate_irfs(); }
#line 5660 "DynareBison.cc"
    break;

  case 1656: // generate_irfs: GENERATE_IRFS '(' generate_irfs_options_list ')' ';' END ';'
#line 3210 "DynareBison.yy"
                { driver.end_generate_irfs(); }
#line 5666 "DynareBison.cc"
    break;

  case 1657: // generate_irfs: GENERATE_IRFS '(' generate_irfs_options_list ')' ';' generate_irfs_element_list END ';'
#line 3212 "DynareBison.yy"
                { driver.end_generate_irfs(); }
#line 5672 "DynareBison.cc"
    break;

  case 1664: // generate_irfs_element: NAME COMMA generate_irfs_exog_element_list ';'
#line 3228 "DynareBison.yy"
                        { driver.add_generate_irfs_element(yystack_[3].value.as < string > ()); }
#line 5678 "DynareBison.cc"
    break;

  case 1665: // generate_irfs_exog_element_list: generate_irfs_exog_element_list COMMA symbol EQUAL signed_number
#line 3232 "DynareBison.yy"
                                  { driver.add_generate_irfs_exog_element(yystack_[2].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 5684 "DynareBison.cc"
    break;

  case 1666: // generate_irfs_exog_element_list: symbol EQUAL signed_number
#line 3234 "DynareBison.yy"
                                  { driver.add_generate_irfs_exog_element(yystack_[2].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 5690 "DynareBison.cc"
    break;

  case 1667: // extended_path: EXTENDED_PATH ';'
#line 3238 "DynareBison.yy"
                { driver.extended_path(); }
#line 5696 "DynareBison.cc"
    break;

  case 1668: // extended_path: EXTENDED_PATH '(' extended_path_options_list ')' ';'
#line 3240 "DynareBison.yy"
                { driver.extended_path(); }
#line 5702 "DynareBison.cc"
    break;

  case 1676: // model_diagnostics: MODEL_DIAGNOSTICS ';'
#line 3255 "DynareBison.yy"
                    { driver.model_diagnostics(); }
#line 5708 "DynareBison.cc"
    break;

  case 1677: // calibration_range: '[' expression COMMA expression ']'
#line 3259 "DynareBison.yy"
                    { yylhs.value.as < pair<expr_t,expr_t> > () = { yystack_[3].value.as < expr_t > (), yystack_[1].value.as < expr_t > () }; }
#line 5714 "DynareBison.cc"
    break;

  case 1678: // calibration_range: PLUS
#line 3261 "DynareBison.yy"
                    { yylhs.value.as < pair<expr_t,expr_t> > () = { driver.add_non_negative_constant("0"), driver.add_inf_constant() }; }
#line 5720 "DynareBison.cc"
    break;

  case 1679: // calibration_range: MINUS
#line 3263 "DynareBison.yy"
                    { yylhs.value.as < pair<expr_t,expr_t> > () = { driver.add_uminus(driver.add_inf_constant()), driver.add_non_negative_constant("0") }; }
#line 5726 "DynareBison.cc"
    break;

  case 1680: // moment_calibration: MOMENT_CALIBRATION ';' moment_calibration_list END ';'
#line 3267 "DynareBison.yy"
                     { driver.end_moment_calibration(); }
#line 5732 "DynareBison.cc"
    break;

  case 1683: // moment_calibration_item: symbol COMMA symbol COMMA calibration_range ';'
#line 3275 "DynareBison.yy"
                          { driver.add_moment_calibration_item(yystack_[5].value.as < string > (), yystack_[3].value.as < string > (), "0", yystack_[1].value.as < pair<expr_t,expr_t> > ()); }
#line 5738 "DynareBison.cc"
    break;

  case 1684: // moment_calibration_item: symbol COMMA symbol '(' signed_integer ')' COMMA calibration_range ';'
#line 3277 "DynareBison.yy"
                          { driver.add_moment_calibration_item(yystack_[8].value.as < string > (), yystack_[6].value.as < string > (), yystack_[4].value.as < string > (), yystack_[1].value.as < pair<expr_t,expr_t> > ()); }
#line 5744 "DynareBison.cc"
    break;

  case 1685: // moment_calibration_item: symbol COMMA symbol '(' signed_integer_range ')' COMMA calibration_range ';'
#line 3279 "DynareBison.yy"
                          { driver.add_moment_calibration_item(yystack_[8].value.as < string > (), yystack_[6].value.as < string > (), yystack_[4].value.as < string > (), yystack_[1].value.as < pair<expr_t,expr_t> > ()); }
#line 5750 "DynareBison.cc"
    break;

  case 1686: // irf_calibration: IRF_CALIBRATION ';' irf_calibration_list END ';'
#line 3283 "DynareBison.yy"
                  { driver.end_irf_calibration(); }
#line 5756 "DynareBison.cc"
    break;

  case 1687: // irf_calibration: IRF_CALIBRATION '(' o_relative_irf ')' ';' irf_calibration_list END ';'
#line 3285 "DynareBison.yy"
                  { driver.end_irf_calibration(); }
#line 5762 "DynareBison.cc"
    break;

  case 1690: // irf_calibration_item: symbol COMMA symbol COMMA calibration_range ';'
#line 3293 "DynareBison.yy"
                       { driver.add_irf_calibration_item(yystack_[5].value.as < string > (), "1", yystack_[3].value.as < string > (), yystack_[1].value.as < pair<expr_t,expr_t> > ()); }
#line 5768 "DynareBison.cc"
    break;

  case 1691: // irf_calibration_item: symbol '(' INT_NUMBER ')' COMMA symbol COMMA calibration_range ';'
#line 3295 "DynareBison.yy"
                       { driver.add_irf_calibration_item(yystack_[8].value.as < string > (), yystack_[6].value.as < string > (), yystack_[3].value.as < string > (), yystack_[1].value.as < pair<expr_t,expr_t> > ()); }
#line 5774 "DynareBison.cc"
    break;

  case 1692: // irf_calibration_item: symbol '(' integer_range ')' COMMA symbol COMMA calibration_range ';'
#line 3297 "DynareBison.yy"
                       { driver.add_irf_calibration_item(yystack_[8].value.as < string > (), yystack_[6].value.as < string > (), yystack_[3].value.as < string > (), yystack_[1].value.as < pair<expr_t,expr_t> > ()); }
#line 5780 "DynareBison.cc"
    break;

  case 1693: // smoother2histval: SMOOTHER2HISTVAL ';'
#line 3301 "DynareBison.yy"
                   { driver.smoother2histval(); }
#line 5786 "DynareBison.cc"
    break;

  case 1694: // smoother2histval: SMOOTHER2HISTVAL '(' smoother2histval_options_list ')' ';'
#line 3303 "DynareBison.yy"
                   { driver.smoother2histval(); }
#line 5792 "DynareBison.cc"
    break;

  case 1702: // shock_groups: SHOCK_GROUPS ';' shock_group_list END ';'
#line 3318 "DynareBison.yy"
               { driver.end_shock_groups("default"); }
#line 5798 "DynareBison.cc"
    break;

  case 1703: // shock_groups: SHOCK_GROUPS '(' NAME EQUAL symbol ')' ';' shock_group_list END ';'
#line 3320 "DynareBison.yy"
               {driver.end_shock_groups(yystack_[5].value.as < string > ());}
#line 5804 "DynareBison.cc"
    break;

  case 1706: // shock_group_element: symbol EQUAL shock_name_list ';'
#line 3327 "DynareBison.yy"
                                                       { driver.add_shock_group(yystack_[3].value.as < string > ()); }
#line 5810 "DynareBison.cc"
    break;

  case 1707: // shock_group_element: QUOTED_STRING EQUAL shock_name_list ';'
#line 3328 "DynareBison.yy"
                                                              { driver.add_shock_group(yystack_[3].value.as < string > ()); }
#line 5816 "DynareBison.cc"
    break;

  case 1708: // shock_name_list: shock_name_list COMMA symbol
#line 3331 "DynareBison.yy"
                                               {driver.add_shock_group_element(yystack_[0].value.as < string > ());}
#line 5822 "DynareBison.cc"
    break;

  case 1709: // shock_name_list: shock_name_list symbol
#line 3332 "DynareBison.yy"
                                         {driver.add_shock_group_element(yystack_[0].value.as < string > ());}
#line 5828 "DynareBison.cc"
    break;

  case 1710: // shock_name_list: symbol
#line 3333 "DynareBison.yy"
                         {driver.add_shock_group_element(yystack_[0].value.as < string > ());}
#line 5834 "DynareBison.cc"
    break;

  case 1711: // init2shocks: INIT2SHOCKS ';' init2shocks_list END ';'
#line 3337 "DynareBison.yy"
              { driver.end_init2shocks("default"); }
#line 5840 "DynareBison.cc"
    break;

  case 1712: // init2shocks: INIT2SHOCKS '(' NAME EQUAL symbol ')' ';' init2shocks_list END ';'
#line 3339 "DynareBison.yy"
              {driver.end_init2shocks(yystack_[5].value.as < string > ());}
#line 5846 "DynareBison.cc"
    break;

  case 1715: // init2shocks_element: symbol symbol ';'
#line 3346 "DynareBison.yy"
                                        { driver.add_init2shocks(yystack_[2].value.as < string > (), yystack_[1].value.as < string > ()); }
#line 5852 "DynareBison.cc"
    break;

  case 1716: // init2shocks_element: symbol COMMA symbol ';'
#line 3347 "DynareBison.yy"
                                              { driver.add_init2shocks(yystack_[3].value.as < string > (), yystack_[1].value.as < string > ()); }
#line 5858 "DynareBison.cc"
    break;

  case 1717: // o_dr_algo: DR_ALGO EQUAL INT_NUMBER
#line 3350 "DynareBison.yy"
                                     {
                                       if (yystack_[0].value.as < string > () == "0")
                                         driver.warning("dr_algo option is now deprecated, and may be removed in a future version of Dynare");
                                       else
                                         driver.error("dr_algo=1 option is no longer supported");
                                     }
#line 5869 "DynareBison.cc"
    break;

  case 1718: // o_solve_algo: SOLVE_ALGO EQUAL INT_NUMBER
#line 3356 "DynareBison.yy"
                                           { driver.option_num("solve_algo", yystack_[0].value.as < string > ()); }
#line 5875 "DynareBison.cc"
    break;

  case 1719: // o_simul_algo: SIMUL_ALGO EQUAL INT_NUMBER
#line 3357 "DynareBison.yy"
                                           {
                                             if (yystack_[0].value.as < string > () == "0")
                                               driver.warning("simul_algo option is now deprecated, and may be removed in a future version of Dynare");
                                             else
                                               driver.error("simul_algo=1 option is no longer supported");
                                           }
#line 5886 "DynareBison.cc"
    break;

  case 1720: // o_stack_solve_algo: STACK_SOLVE_ALGO EQUAL INT_NUMBER
#line 3363 "DynareBison.yy"
                                                       { driver.option_num("stack_solve_algo", yystack_[0].value.as < string > ()); }
#line 5892 "DynareBison.cc"
    break;

  case 1721: // o_robust_lin_solve: ROBUST_LIN_SOLVE
#line 3364 "DynareBison.yy"
                                      { driver.option_num("simul.robust_lin_solve", "true"); }
#line 5898 "DynareBison.cc"
    break;

  case 1722: // o_endogenous_terminal_period: ENDOGENOUS_TERMINAL_PERIOD
#line 3365 "DynareBison.yy"
                                                          { driver.option_num("endogenous_terminal_period", "true"); }
#line 5904 "DynareBison.cc"
    break;

  case 1723: // o_linear: LINEAR
#line 3366 "DynareBison.yy"
                  { driver.linear(); }
#line 5910 "DynareBison.cc"
    break;

  case 1724: // o_order: ORDER EQUAL INT_NUMBER
#line 3367 "DynareBison.yy"
                                 { driver.option_num("order", yystack_[0].value.as < string > ()); }
#line 5916 "DynareBison.cc"
    break;

  case 1725: // o_replic: REPLIC EQUAL INT_NUMBER
#line 3368 "DynareBison.yy"
                                   { driver.option_num("replic", yystack_[0].value.as < string > ()); }
#line 5922 "DynareBison.cc"
    break;

  case 1726: // o_drop: DROP EQUAL INT_NUMBER
#line 3369 "DynareBison.yy"
                               { driver.option_num("drop", yystack_[0].value.as < string > ()); }
#line 5928 "DynareBison.cc"
    break;

  case 1727: // o_ar: AR EQUAL INT_NUMBER
#line 3370 "DynareBison.yy"
                           { driver.option_num("ar", yystack_[0].value.as < string > ()); }
#line 5934 "DynareBison.cc"
    break;

  case 1728: // o_nocorr: NOCORR
#line 3371 "DynareBison.yy"
                  { driver.option_num("nocorr", "true"); }
#line 5940 "DynareBison.cc"
    break;

  case 1729: // o_nofunctions: NOFUNCTIONS
#line 3372 "DynareBison.yy"
                            { driver.option_num("nofunctions", "true"); }
#line 5946 "DynareBison.cc"
    break;

  case 1730: // o_nomoments: NOMOMENTS
#line 3373 "DynareBison.yy"
                        { driver.option_num("nomoments", "true"); }
#line 5952 "DynareBison.cc"
    break;

  case 1731: // o_irf: IRF EQUAL INT_NUMBER
#line 3374 "DynareBison.yy"
                             { driver.option_num("irf", yystack_[0].value.as < string > ()); }
#line 5958 "DynareBison.cc"
    break;

  case 1732: // o_irf_shocks: IRF_SHOCKS EQUAL '(' symbol_list ')'
#line 3375 "DynareBison.yy"
                                                    { driver.option_symbol_list("irf_shocks"); }
#line 5964 "DynareBison.cc"
    break;

  case 1733: // o_hp_filter: HP_FILTER EQUAL non_negative_number
#line 3376 "DynareBison.yy"
                                                  { driver.option_num("hp_filter", yystack_[0].value.as < string > ()); }
#line 5970 "DynareBison.cc"
    break;

  case 1734: // o_hp_ngrid: HP_NGRID EQUAL INT_NUMBER
#line 3377 "DynareBison.yy"
                                       {
                                         driver.warning("The 'hp_ngrid' option is deprecated. It has been superseded by the 'filtered_theoretical_moments_grid' option.");
                                         driver.option_num("filtered_theoretical_moments_grid", yystack_[0].value.as < string > ());
                                       }
#line 5979 "DynareBison.cc"
    break;

  case 1735: // o_filtered_theoretical_moments_grid: FILTERED_THEORETICAL_MOMENTS_GRID EQUAL INT_NUMBER
#line 3381 "DynareBison.yy"
                                                                                         { driver.option_num("filtered_theoretical_moments_grid", yystack_[0].value.as < string > ()); }
#line 5985 "DynareBison.cc"
    break;

  case 1736: // o_one_sided_hp_filter: ONE_SIDED_HP_FILTER EQUAL non_negative_number
#line 3382 "DynareBison.yy"
                                                                      { driver.option_num("one_sided_hp_filter", yystack_[0].value.as < string > ()); }
#line 5991 "DynareBison.cc"
    break;

  case 1737: // o_periods: PERIODS EQUAL INT_NUMBER
#line 3383 "DynareBison.yy"
                                     { driver.option_num("periods", yystack_[0].value.as < string > ()); }
#line 5997 "DynareBison.cc"
    break;

  case 1738: // o_solver_periods: SOLVER_PERIODS EQUAL INT_NUMBER
#line 3384 "DynareBison.yy"
                                                   { driver.option_num("ep.periods", yystack_[0].value.as < string > ()); }
#line 6003 "DynareBison.cc"
    break;

  case 1739: // o_extended_path_order: ORDER EQUAL INT_NUMBER
#line 3385 "DynareBison.yy"
                                               { driver.option_num("ep.stochastic.order", yystack_[0].value.as < string > ()); }
#line 6009 "DynareBison.cc"
    break;

  case 1740: // o_hybrid: HYBRID
#line 3386 "DynareBison.yy"
                  { driver.option_num("ep.stochastic.hybrid_order", "2"); }
#line 6015 "DynareBison.cc"
    break;

  case 1741: // o_steady_maxit: MAXIT EQUAL INT_NUMBER
#line 3387 "DynareBison.yy"
                                        { driver.option_num("steady.maxit", yystack_[0].value.as < string > ()); }
#line 6021 "DynareBison.cc"
    break;

  case 1742: // o_simul_maxit: MAXIT EQUAL INT_NUMBER
#line 3388 "DynareBison.yy"
                                       { driver.option_num("simul.maxit", yystack_[0].value.as < string > ()); }
#line 6027 "DynareBison.cc"
    break;

  case 1743: // o_bandpass_filter: BANDPASS_FILTER
#line 3389 "DynareBison.yy"
                                    { driver.option_num("bandpass.indicator", "true"); }
#line 6033 "DynareBison.cc"
    break;

  case 1744: // o_bandpass_filter: BANDPASS_FILTER EQUAL vec_int
#line 3391 "DynareBison.yy"
                    {
                      driver.option_num("bandpass.indicator", "true");
                      driver.option_vec_int("bandpass.passband", yystack_[0].value.as < vector<int> > ());
                    }
#line 6042 "DynareBison.cc"
    break;

  case 1745: // o_dp_maxit: MAXIT EQUAL INT_NUMBER
#line 3396 "DynareBison.yy"
                                    { driver.option_num("dp.maxit", yystack_[0].value.as < string > ()); }
#line 6048 "DynareBison.cc"
    break;

  case 1746: // o_osr_maxit: MAXIT EQUAL INT_NUMBER
#line 3397 "DynareBison.yy"
                                     { driver.option_num("osr.maxit", yystack_[0].value.as < string > ()); }
#line 6054 "DynareBison.cc"
    break;

  case 1747: // o_osr_tolf: TOLF EQUAL non_negative_number
#line 3398 "DynareBison.yy"
                                            { driver.option_num("osr.tolf", yystack_[0].value.as < string > ()); }
#line 6060 "DynareBison.cc"
    break;

  case 1748: // o_pf_tolf: TOLF EQUAL non_negative_number
#line 3399 "DynareBison.yy"
                                           { driver.option_num("dynatol.f", yystack_[0].value.as < string > ()); }
#line 6066 "DynareBison.cc"
    break;

  case 1749: // o_pf_tolx: TOLX EQUAL non_negative_number
#line 3400 "DynareBison.yy"
                                           { driver.option_num("dynatol.x", yystack_[0].value.as < string > ()); }
#line 6072 "DynareBison.cc"
    break;

  case 1750: // o_steady_tolf: TOLF EQUAL non_negative_number
#line 3401 "DynareBison.yy"
                                               { driver.option_num("solve_tolf", yystack_[0].value.as < string > ()); }
#line 6078 "DynareBison.cc"
    break;

  case 1751: // o_opt_algo: OPT_ALGO EQUAL INT_NUMBER
#line 3402 "DynareBison.yy"
                                       { driver.option_num("osr.opt_algo", yystack_[0].value.as < string > ()); }
#line 6084 "DynareBison.cc"
    break;

  case 1752: // o_opt_algo: OPT_ALGO EQUAL filename
#line 3403 "DynareBison.yy"
                                     { driver.option_str("osr.opt_algo", yystack_[0].value.as < string > ()); }
#line 6090 "DynareBison.cc"
    break;

  case 1753: // o_cutoff: CUTOFF EQUAL non_negative_number
#line 3405 "DynareBison.yy"
                                            { driver.cutoff(yystack_[0].value.as < string > ()); }
#line 6096 "DynareBison.cc"
    break;

  case 1754: // o_markowitz: MARKOWITZ EQUAL non_negative_number
#line 3406 "DynareBison.yy"
                                                  { driver.option_num("markowitz", yystack_[0].value.as < string > ()); }
#line 6102 "DynareBison.cc"
    break;

  case 1755: // o_minimal_solving_periods: MINIMAL_SOLVING_PERIODS EQUAL non_negative_number
#line 3407 "DynareBison.yy"
                                                                              { driver.option_num("minimal_solving_periods", yystack_[0].value.as < string > ()); }
#line 6108 "DynareBison.cc"
    break;

  case 1756: // o_mfs: MFS EQUAL INT_NUMBER
#line 3408 "DynareBison.yy"
                             { driver.mfs(yystack_[0].value.as < string > ()); }
#line 6114 "DynareBison.cc"
    break;

  case 1758: // o_simul_replic: SIMUL_REPLIC EQUAL INT_NUMBER
#line 3410 "DynareBison.yy"
                                               { driver.option_num("simul_replic", yystack_[0].value.as < string > ()); }
#line 6120 "DynareBison.cc"
    break;

  case 1759: // o_simul_seed: SIMUL_SEED EQUAL INT_NUMBER
#line 3411 "DynareBison.yy"
                                           { driver.error("'simul_seed' option is no longer supported; use 'set_dynare_seed' command instead"); }
#line 6126 "DynareBison.cc"
    break;

  case 1760: // o_qz_criterium: QZ_CRITERIUM EQUAL non_negative_number
#line 3412 "DynareBison.yy"
                                                        { driver.option_num("qz_criterium", yystack_[0].value.as < string > ()); }
#line 6132 "DynareBison.cc"
    break;

  case 1761: // o_qz_zero_threshold: QZ_ZERO_THRESHOLD EQUAL non_negative_number
#line 3413 "DynareBison.yy"
                                                                  { driver.option_num("qz_zero_threshold", yystack_[0].value.as < string > ()); }
#line 6138 "DynareBison.cc"
    break;

  case 1762: // o_file: FILE EQUAL filename
#line 3414 "DynareBison.yy"
                             { driver.option_str("file", yystack_[0].value.as < string > ()); }
#line 6144 "DynareBison.cc"
    break;

  case 1763: // o_pac_name: MODEL_NAME EQUAL symbol
#line 3415 "DynareBison.yy"
                                     { driver.option_str("pac.model_name", yystack_[0].value.as < string > ()); }
#line 6150 "DynareBison.cc"
    break;

  case 1764: // o_pac_aux_model_name: AUXILIARY_MODEL_NAME EQUAL symbol
#line 3416 "DynareBison.yy"
                                                         { driver.option_str("pac.aux_model_name", yystack_[0].value.as < string > ()); }
#line 6156 "DynareBison.cc"
    break;

  case 1765: // o_pac_discount: DISCOUNT EQUAL symbol
#line 3417 "DynareBison.yy"
                                       { driver.option_str("pac.discount", yystack_[0].value.as < string > ()); }
#line 6162 "DynareBison.cc"
    break;

  case 1766: // $@30: %empty
#line 3418 "DynareBison.yy"
                      { driver.begin_pac_growth(); }
#line 6168 "DynareBison.cc"
    break;

  case 1767: // o_pac_growth: GROWTH $@30 EQUAL hand_side
#line 3418 "DynareBison.yy"
                                                                     { driver.set_pac_growth(yystack_[0].value.as < expr_t > ()); }
#line 6174 "DynareBison.cc"
    break;

  case 1768: // o_var_name: MODEL_NAME EQUAL symbol
#line 3419 "DynareBison.yy"
                                     { driver.option_str("var.model_name", yystack_[0].value.as < string > ()); }
#line 6180 "DynareBison.cc"
    break;

  case 1769: // o_series: SERIES EQUAL symbol
#line 3420 "DynareBison.yy"
                               { driver.option_str("series", yystack_[0].value.as < string > ()); }
#line 6186 "DynareBison.cc"
    break;

  case 1770: // o_datafile: DATAFILE EQUAL filename
#line 3421 "DynareBison.yy"
                                     { driver.option_str("datafile", yystack_[0].value.as < string > ()); }
#line 6192 "DynareBison.cc"
    break;

  case 1771: // o_filename: FILENAME EQUAL filename
#line 3422 "DynareBison.yy"
                                     { driver.option_str("filename", yystack_[0].value.as < string > ()); }
#line 6198 "DynareBison.cc"
    break;

  case 1772: // o_var_eq_tags: EQTAGS EQUAL vec_str
#line 3423 "DynareBison.yy"
                                     { driver.option_vec_str("var.eqtags", yystack_[0].value.as < vector<string> > ()); }
#line 6204 "DynareBison.cc"
    break;

  case 1773: // o_var_structural: STRUCTURAL
#line 3424 "DynareBison.yy"
                              { driver.option_num("var.structural", "true"); }
#line 6210 "DynareBison.cc"
    break;

  case 1774: // o_dirname: DIRNAME EQUAL filename
#line 3425 "DynareBison.yy"
                                   { driver.option_str("dirname", yystack_[0].value.as < string > ()); }
#line 6216 "DynareBison.cc"
    break;

  case 1775: // o_huge_number: HUGE_NUMBER EQUAL non_negative_number
#line 3426 "DynareBison.yy"
                                                      { driver.option_num("huge_number", yystack_[0].value.as < string > ()); }
#line 6222 "DynareBison.cc"
    break;

  case 1776: // o_nobs: NOBS EQUAL vec_int
#line 3428 "DynareBison.yy"
         { driver.option_vec_int("nobs", yystack_[0].value.as < vector<int> > ()); }
#line 6228 "DynareBison.cc"
    break;

  case 1777: // o_nobs: NOBS EQUAL vec_int_number
#line 3430 "DynareBison.yy"
         { driver.option_vec_int("nobs", yystack_[0].value.as < vector<int> > ()); }
#line 6234 "DynareBison.cc"
    break;

  case 1778: // o_trend_component_model_name: MODEL_NAME EQUAL symbol
#line 3432 "DynareBison.yy"
                                                       { driver.option_str("trend_component.name", yystack_[0].value.as < string > ()); }
#line 6240 "DynareBison.cc"
    break;

  case 1779: // o_trend_component_model_targets: TARGETS EQUAL vec_str
#line 3433 "DynareBison.yy"
                                                        { driver.option_vec_str("trend_component.targets", yystack_[0].value.as < vector<string> > ()); }
#line 6246 "DynareBison.cc"
    break;

  case 1780: // o_trend_component_model_eq_tags: EQTAGS EQUAL vec_str
#line 3434 "DynareBison.yy"
                                                       { driver.option_vec_str("trend_component.eqtags", yystack_[0].value.as < vector<string> > ()); }
#line 6252 "DynareBison.cc"
    break;

  case 1781: // o_conditional_variance_decomposition: CONDITIONAL_VARIANCE_DECOMPOSITION EQUAL vec_int
#line 3436 "DynareBison.yy"
                                       { driver.option_vec_int("conditional_variance_decomposition", yystack_[0].value.as < vector<int> > ()); }
#line 6258 "DynareBison.cc"
    break;

  case 1782: // o_conditional_variance_decomposition: CONDITIONAL_VARIANCE_DECOMPOSITION EQUAL vec_int_number
#line 3438 "DynareBison.yy"
                                       { driver.option_vec_int("conditional_variance_decomposition", yystack_[0].value.as < vector<int> > ()); }
#line 6264 "DynareBison.cc"
    break;

  case 1783: // o_est_first_obs: FIRST_OBS EQUAL vec_int
#line 3441 "DynareBison.yy"
                  { driver.option_vec_int("first_obs", yystack_[0].value.as < vector<int> > ()); }
#line 6270 "DynareBison.cc"
    break;

  case 1784: // o_est_first_obs: FIRST_OBS EQUAL vec_int_number
#line 3443 "DynareBison.yy"
                  { driver.option_vec_int("first_obs", yystack_[0].value.as < vector<int> > ()); }
#line 6276 "DynareBison.cc"
    break;

  case 1785: // o_posterior_sampling_method: POSTERIOR_SAMPLING_METHOD EQUAL QUOTED_STRING
#line 3446 "DynareBison.yy"
                              { driver.option_str("posterior_sampler_options.posterior_sampling_method", yystack_[0].value.as < string > ()); }
#line 6282 "DynareBison.cc"
    break;

  case 1786: // o_first_obs: FIRST_OBS EQUAL INT_NUMBER
#line 3447 "DynareBison.yy"
                                         { driver.option_num("first_obs", yystack_[0].value.as < string > ()); }
#line 6288 "DynareBison.cc"
    break;

  case 1787: // o_data_first_obs: FIRST_OBS EQUAL date_expr
#line 3448 "DynareBison.yy"
                                             { driver.option_date("firstobs", yystack_[0].value.as < string > ()); }
#line 6294 "DynareBison.cc"
    break;

  case 1788: // o_first_simulation_period: FIRST_SIMULATION_PERIOD EQUAL INT_NUMBER
#line 3449 "DynareBison.yy"
                                                                     { driver.option_num("first_simulation_period", yystack_[0].value.as < string > ()); }
#line 6300 "DynareBison.cc"
    break;

  case 1789: // o_date_first_simulation_period: FIRST_SIMULATION_PERIOD EQUAL date_expr
#line 3450 "DynareBison.yy"
                                                                         { driver.option_date("firstsimulationperiod", yystack_[0].value.as < string > ()); }
#line 6306 "DynareBison.cc"
    break;

  case 1790: // o_last_obs: LAST_OBS EQUAL INT_NUMBER
#line 3451 "DynareBison.yy"
                                       { driver.option_num("last_obs", yystack_[0].value.as < string > ()); }
#line 6312 "DynareBison.cc"
    break;

  case 1791: // o_data_last_obs: LAST_OBS EQUAL date_expr
#line 3452 "DynareBison.yy"
                                           { driver.option_date("lastobs", yystack_[0].value.as < string > ()); }
#line 6318 "DynareBison.cc"
    break;

  case 1792: // o_keep_kalman_algo_if_singularity_is_detected: KEEP_KALMAN_ALGO_IF_SINGULARITY_IS_DETECTED
#line 3453 "DynareBison.yy"
                                                                                            { driver.option_num("kalman.keep_kalman_algo_if_singularity_is_detected", "true"); }
#line 6324 "DynareBison.cc"
    break;

  case 1793: // o_data_nobs: NOBS EQUAL INT_NUMBER
#line 3454 "DynareBison.yy"
                                    { driver.option_num("nobs", yystack_[0].value.as < string > ()); }
#line 6330 "DynareBison.cc"
    break;

  case 1794: // o_shift: SHIFT EQUAL signed_number
#line 3455 "DynareBison.yy"
                                    { driver.option_num("shift", yystack_[0].value.as < string > ()); }
#line 6336 "DynareBison.cc"
    break;

  case 1795: // o_shape: SHAPE EQUAL prior_distribution
#line 3456 "DynareBison.yy"
                                         { driver.prior_shape = yystack_[0].value.as < PriorDistributions > (); }
#line 6342 "DynareBison.cc"
    break;

  case 1796: // o_mode: MODE EQUAL signed_number
#line 3457 "DynareBison.yy"
                                  { driver.option_num("mode", yystack_[0].value.as < string > ()); }
#line 6348 "DynareBison.cc"
    break;

  case 1797: // o_mean: MEAN EQUAL signed_number
#line 3458 "DynareBison.yy"
                                  { driver.option_num("mean", yystack_[0].value.as < string > ()); }
#line 6354 "DynareBison.cc"
    break;

  case 1798: // o_mean_vec: MEAN EQUAL vec_value
#line 3459 "DynareBison.yy"
                                  { driver.option_num("mean", yystack_[0].value.as < string > ()); }
#line 6360 "DynareBison.cc"
    break;

  case 1799: // o_truncate: TRUNCATE EQUAL vec_value
#line 3460 "DynareBison.yy"
                                      { driver.option_num("truncate", yystack_[0].value.as < string > ()); }
#line 6366 "DynareBison.cc"
    break;

  case 1800: // o_stdev: STDEV EQUAL non_negative_number
#line 3461 "DynareBison.yy"
                                          { driver.option_num("stdev", yystack_[0].value.as < string > ()); }
#line 6372 "DynareBison.cc"
    break;

  case 1801: // o_jscale: JSCALE EQUAL non_negative_number
#line 3462 "DynareBison.yy"
                                            { driver.option_num("jscale", yystack_[0].value.as < string > ()); }
#line 6378 "DynareBison.cc"
    break;

  case 1802: // o_init: INIT EQUAL signed_number
#line 3463 "DynareBison.yy"
                                  { driver.option_num("init", yystack_[0].value.as < string > ()); }
#line 6384 "DynareBison.cc"
    break;

  case 1803: // o_bounds: BOUNDS EQUAL vec_value_w_inf
#line 3464 "DynareBison.yy"
                                        { driver.option_num("bounds", yystack_[0].value.as < string > ()); }
#line 6390 "DynareBison.cc"
    break;

  case 1804: // o_domain: DOMAINN EQUAL vec_value
#line 3465 "DynareBison.yy"
                                   { driver.option_num("domain", yystack_[0].value.as < string > ()); }
#line 6396 "DynareBison.cc"
    break;

  case 1805: // o_interval: INTERVAL EQUAL vec_value
#line 3466 "DynareBison.yy"
                                      { driver.option_num("interval", yystack_[0].value.as < string > ()); }
#line 6402 "DynareBison.cc"
    break;

  case 1806: // o_variance: VARIANCE EQUAL expression
#line 3467 "DynareBison.yy"
                                       { driver.set_prior_variance(yystack_[0].value.as < expr_t > ()); }
#line 6408 "DynareBison.cc"
    break;

  case 1807: // o_variance_mat: VARIANCE EQUAL vec_of_vec_value
#line 3468 "DynareBison.yy"
                                                 { driver.option_num("variance",yystack_[0].value.as < string > ()); }
#line 6414 "DynareBison.cc"
    break;

  case 1808: // o_prefilter: PREFILTER EQUAL INT_NUMBER
#line 3469 "DynareBison.yy"
                                         { driver.option_num("prefilter", yystack_[0].value.as < string > ()); }
#line 6420 "DynareBison.cc"
    break;

  case 1809: // o_presample: PRESAMPLE EQUAL INT_NUMBER
#line 3470 "DynareBison.yy"
                                         { driver.option_num("presample", yystack_[0].value.as < string > ()); }
#line 6426 "DynareBison.cc"
    break;

  case 1810: // o_lik_algo: LIK_ALGO EQUAL INT_NUMBER
#line 3471 "DynareBison.yy"
                                       { driver.option_num("lik_algo", yystack_[0].value.as < string > ()); }
#line 6432 "DynareBison.cc"
    break;

  case 1811: // o_lik_init: LIK_INIT EQUAL INT_NUMBER
#line 3472 "DynareBison.yy"
                                       { driver.option_num("lik_init", yystack_[0].value.as < string > ()); }
#line 6438 "DynareBison.cc"
    break;

  case 1812: // o_nograph: NOGRAPH
#line 3474 "DynareBison.yy"
            { driver.option_num("nograph", "true"); }
#line 6444 "DynareBison.cc"
    break;

  case 1813: // o_nograph: GRAPH
#line 3476 "DynareBison.yy"
            { driver.option_num("nograph", "false"); }
#line 6450 "DynareBison.cc"
    break;

  case 1814: // o_posterior_nograph: POSTERIOR_NOGRAPH
#line 3479 "DynareBison.yy"
            { driver.option_num("no_graph.posterior", "true"); }
#line 6456 "DynareBison.cc"
    break;

  case 1815: // o_posterior_nograph: POSTERIOR_GRAPH
#line 3481 "DynareBison.yy"
            { driver.option_num("no_graph.posterior", "false"); }
#line 6462 "DynareBison.cc"
    break;

  case 1816: // o_psd_nograph: NOGRAPH
#line 3483 "DynareBison.yy"
                        { driver.option_num("no_graph.plot_shock_decomposition", "true"); }
#line 6468 "DynareBison.cc"
    break;

  case 1817: // o_shock_decomposition_nograph: NOGRAPH
#line 3484 "DynareBison.yy"
                                        { driver.option_num("no_graph.shock_decomposition", "true"); }
#line 6474 "DynareBison.cc"
    break;

  case 1818: // o_init_state: INIT_STATE EQUAL INT_NUMBER
#line 3485 "DynareBison.yy"
                                           { driver.option_num("shock_decomp.init_state", yystack_[0].value.as < string > ()); }
#line 6480 "DynareBison.cc"
    break;

  case 1819: // o_forecast_type: FORECAST EQUAL UNCONDITIONAL
#line 3487 "DynareBison.yy"
                  { driver.option_str("shock_decomp.forecast_type", "unconditional"); }
#line 6486 "DynareBison.cc"
    break;

  case 1820: // o_forecast_type: FORECAST EQUAL CONDITIONAL
#line 3489 "DynareBison.yy"
                  { driver.option_str("shock_decomp.forecast_type", "conditional"); }
#line 6492 "DynareBison.cc"
    break;

  case 1821: // o_shock_decomposition_presample: PRESAMPLE EQUAL INT_NUMBER
#line 3490 "DynareBison.yy"
                                                             { driver.option_num("shock_decomp.presample", yystack_[0].value.as < string > ()); }
#line 6498 "DynareBison.cc"
    break;

  case 1822: // o_shock_decomposition_forecast: FORECAST EQUAL INT_NUMBER
#line 3491 "DynareBison.yy"
                                                           { driver.option_num("shock_decomp.forecast", yystack_[0].value.as < string > ()); }
#line 6504 "DynareBison.cc"
    break;

  case 1823: // o_save_realtime: SAVE_REALTIME EQUAL vec_int
#line 3492 "DynareBison.yy"
                                              { driver.option_vec_int("shock_decomp.save_realtime", yystack_[0].value.as < vector<int> > ()); }
#line 6510 "DynareBison.cc"
    break;

  case 1824: // o_fast_realtime: FAST_REALTIME EQUAL vec_int
#line 3494 "DynareBison.yy"
                  { driver.option_vec_int("shock_decomp.fast_realtime", yystack_[0].value.as < vector<int> > ()); }
#line 6516 "DynareBison.cc"
    break;

  case 1825: // o_fast_realtime: FAST_REALTIME EQUAL vec_int_number
#line 3496 "DynareBison.yy"
                  { driver.option_vec_int("shock_decomp.fast_realtime", yystack_[0].value.as < vector<int> > ()); }
#line 6522 "DynareBison.cc"
    break;

  case 1826: // o_nodisplay: NODISPLAY
#line 3498 "DynareBison.yy"
                        { driver.option_num("nodisplay", "true"); }
#line 6528 "DynareBison.cc"
    break;

  case 1827: // o_icd_nodisplay: NODISPLAY
#line 3499 "DynareBison.yy"
                            { driver.option_num("initial_condition_decomp.nodisplay", "true"); }
#line 6534 "DynareBison.cc"
    break;

  case 1828: // o_psd_nodisplay: NODISPLAY
#line 3500 "DynareBison.yy"
                            { driver.option_num("plot_shock_decomp.nodisplay", "true"); }
#line 6540 "DynareBison.cc"
    break;

  case 1829: // o_psd_init2shocks: INIT2SHOCKS
#line 3501 "DynareBison.yy"
                                { driver.option_str("plot_shock_decomp.init2shocks", "default"); }
#line 6546 "DynareBison.cc"
    break;

  case 1830: // o_psd_init2shocks: INIT2SHOCKS EQUAL symbol
#line 3502 "DynareBison.yy"
                                             { driver.option_str("plot_shock_decomp.init2shocks", yystack_[0].value.as < string > ()); }
#line 6552 "DynareBison.cc"
    break;

  case 1831: // o_icd_max_nrows: MAX_NROWS EQUAL INT_NUMBER
#line 3504 "DynareBison.yy"
                                             { driver.option_num("initial_condition_decomp.max_nrows", yystack_[0].value.as < string > ()); }
#line 6558 "DynareBison.cc"
    break;

  case 1832: // o_psd_max_nrows: MAX_NROWS EQUAL INT_NUMBER
#line 3505 "DynareBison.yy"
                                             { driver.option_num("plot_shock_decomp.max_nrows", yystack_[0].value.as < string > ()); }
#line 6564 "DynareBison.cc"
    break;

  case 1833: // o_graph_format: GRAPH_FORMAT EQUAL allowed_graph_formats
#line 3507 "DynareBison.yy"
                 { driver.process_graph_format_option(); }
#line 6570 "DynareBison.cc"
    break;

  case 1834: // o_graph_format: GRAPH_FORMAT EQUAL '(' list_allowed_graph_formats ')'
#line 3509 "DynareBison.yy"
                 { driver.process_graph_format_option(); }
#line 6576 "DynareBison.cc"
    break;

  case 1835: // o_icd_graph_format: GRAPH_FORMAT EQUAL allowed_graph_formats
#line 3512 "DynareBison.yy"
                     { driver.initial_condition_decomp_process_graph_format_option(); }
#line 6582 "DynareBison.cc"
    break;

  case 1836: // o_icd_graph_format: GRAPH_FORMAT EQUAL '(' list_allowed_graph_formats ')'
#line 3514 "DynareBison.yy"
                     { driver.initial_condition_decomp_process_graph_format_option(); }
#line 6588 "DynareBison.cc"
    break;

  case 1837: // o_psd_graph_format: GRAPH_FORMAT EQUAL allowed_graph_formats
#line 3517 "DynareBison.yy"
                     { driver.plot_shock_decomp_process_graph_format_option(); }
#line 6594 "DynareBison.cc"
    break;

  case 1838: // o_psd_graph_format: GRAPH_FORMAT EQUAL '(' list_allowed_graph_formats ')'
#line 3519 "DynareBison.yy"
                     { driver.plot_shock_decomp_process_graph_format_option(); }
#line 6600 "DynareBison.cc"
    break;

  case 1839: // o_shock_decomposition_with_epilogue: WITH_EPILOGUE
#line 3521 "DynareBison.yy"
                                                    { driver.option_num("shock_decomp.with_epilogue", "true"); }
#line 6606 "DynareBison.cc"
    break;

  case 1840: // o_icd_with_epilogue: WITH_EPILOGUE
#line 3522 "DynareBison.yy"
                                    { driver.option_num("initial_condition_decomp.with_epilogue", "true"); }
#line 6612 "DynareBison.cc"
    break;

  case 1841: // allowed_graph_formats: EPS
#line 3524 "DynareBison.yy"
                        { driver.add_graph_format("eps"); }
#line 6618 "DynareBison.cc"
    break;

  case 1842: // allowed_graph_formats: FIG
#line 3526 "DynareBison.yy"
                        { driver.add_graph_format("fig"); }
#line 6624 "DynareBison.cc"
    break;

  case 1843: // allowed_graph_formats: PDF
#line 3528 "DynareBison.yy"
                        { driver.add_graph_format("pdf"); }
#line 6630 "DynareBison.cc"
    break;

  case 1844: // allowed_graph_formats: NONE
#line 3530 "DynareBison.yy"
                        { driver.add_graph_format("none"); }
#line 6636 "DynareBison.cc"
    break;

  case 1847: // o_subsample_name: symbol EQUAL date_expr ':' date_expr
#line 3537 "DynareBison.yy"
                   { driver.set_subsample_name_equal_to_date_range(yystack_[4].value.as < string > (), yystack_[2].value.as < string > (), yystack_[0].value.as < string > ()); }
#line 6642 "DynareBison.cc"
    break;

  case 1848: // o_bvar_conf_sig: CONF_SIG EQUAL non_negative_number
#line 3539 "DynareBison.yy"
                                                     { driver.option_num("bvar.conf_sig", yystack_[0].value.as < string > ()); }
#line 6648 "DynareBison.cc"
    break;

  case 1849: // o_forecasts_conf_sig: CONF_SIG EQUAL non_negative_number
#line 3540 "DynareBison.yy"
                                                          { driver.option_num("forecasts.conf_sig", yystack_[0].value.as < string > ()); }
#line 6654 "DynareBison.cc"
    break;

  case 1850: // o_conditional_forecast_conf_sig: CONF_SIG EQUAL non_negative_number
#line 3541 "DynareBison.yy"
                                                                     { driver.option_num("conditional_forecast.conf_sig", yystack_[0].value.as < string > ()); }
#line 6660 "DynareBison.cc"
    break;

  case 1851: // o_mh_conf_sig: MH_CONF_SIG EQUAL non_negative_number
#line 3542 "DynareBison.yy"
                                                      { driver.option_num("mh_conf_sig", yystack_[0].value.as < string > ()); }
#line 6666 "DynareBison.cc"
    break;

  case 1852: // o_mh_replic: MH_REPLIC EQUAL INT_NUMBER
#line 3543 "DynareBison.yy"
                                         { driver.option_num("mh_replic", yystack_[0].value.as < string > ()); }
#line 6672 "DynareBison.cc"
    break;

  case 1853: // o_posterior_max_subsample_draws: POSTERIOR_MAX_SUBSAMPLE_DRAWS EQUAL INT_NUMBER
#line 3544 "DynareBison.yy"
                                                                                 { driver.option_num("posterior_max_subsample_draws", yystack_[0].value.as < string > ()); }
#line 6678 "DynareBison.cc"
    break;

  case 1854: // o_mh_drop: MH_DROP EQUAL non_negative_number
#line 3545 "DynareBison.yy"
                                              { driver.option_num("mh_drop", yystack_[0].value.as < string > ()); }
#line 6684 "DynareBison.cc"
    break;

  case 1855: // o_mh_jscale: MH_JSCALE EQUAL non_negative_number
#line 3546 "DynareBison.yy"
                                                  { driver.option_num("mh_jscale", yystack_[0].value.as < string > ()); }
#line 6690 "DynareBison.cc"
    break;

  case 1856: // o_mh_tune_jscale: MH_TUNE_JSCALE EQUAL non_negative_number
#line 3548 "DynareBison.yy"
                 { driver.option_num("mh_tune_jscale.target", yystack_[0].value.as < string > ()); driver.option_num("mh_tune_jscale.status", "true");}
#line 6696 "DynareBison.cc"
    break;

  case 1857: // o_mh_tune_jscale: MH_TUNE_JSCALE
#line 3549 "DynareBison.yy"
                                  {driver.option_num("mh_tune_jscale.status", "true");}
#line 6702 "DynareBison.cc"
    break;

  case 1858: // o_mh_tune_guess: MH_TUNE_GUESS EQUAL non_negative_number
#line 3550 "DynareBison.yy"
                                                          { driver.option_num("mh_tune_jscale.guess", yystack_[0].value.as < string > ()); }
#line 6708 "DynareBison.cc"
    break;

  case 1859: // o_optim: OPTIM EQUAL '(' name_value_pair_with_boolean_list ')'
#line 3551 "DynareBison.yy"
                                                                 { driver.option_str("optim_opt", yystack_[1].value.as < string > ()); }
#line 6714 "DynareBison.cc"
    break;

  case 1860: // o_posterior_sampler_options: POSTERIOR_SAMPLER_OPTIONS EQUAL '(' name_value_pair_with_suboptions_list ')'
#line 3552 "DynareBison.yy"
                                                                                                           { driver.option_str("posterior_sampler_options.sampling_opt", yystack_[1].value.as < string > ()); }
#line 6720 "DynareBison.cc"
    break;

  case 1861: // o_proposal_distribution: PROPOSAL_DISTRIBUTION EQUAL symbol
#line 3553 "DynareBison.yy"
                                                             { driver.option_str("posterior_sampler_options.posterior_sampling_method.proposal_distribution", yystack_[0].value.as < string > ()); }
#line 6726 "DynareBison.cc"
    break;

  case 1862: // o_no_posterior_kernel_density: NO_POSTERIOR_KERNEL_DENSITY
#line 3555 "DynareBison.yy"
                             { driver.option_num("estimation.moments_posterior_density.indicator", "false"); }
#line 6732 "DynareBison.cc"
    break;

  case 1863: // o_mh_init_scale: MH_INIT_SCALE EQUAL non_negative_number
#line 3557 "DynareBison.yy"
                                                          { driver.option_num("mh_init_scale", yystack_[0].value.as < string > ()); }
#line 6738 "DynareBison.cc"
    break;

  case 1864: // o_mode_file: MODE_FILE EQUAL filename
#line 3558 "DynareBison.yy"
                                       { driver.option_str("mode_file", yystack_[0].value.as < string > ()); }
#line 6744 "DynareBison.cc"
    break;

  case 1865: // o_mode_compute: MODE_COMPUTE EQUAL INT_NUMBER
#line 3559 "DynareBison.yy"
                                               { driver.option_num("mode_compute", yystack_[0].value.as < string > ()); }
#line 6750 "DynareBison.cc"
    break;

  case 1866: // o_mode_compute: MODE_COMPUTE EQUAL symbol
#line 3560 "DynareBison.yy"
                                           { driver.option_str("mode_compute", yystack_[0].value.as < string > ()); }
#line 6756 "DynareBison.cc"
    break;

  case 1867: // o_mode_check: MODE_CHECK
#line 3561 "DynareBison.yy"
                          { driver.option_num("mode_check.status", "true"); }
#line 6762 "DynareBison.cc"
    break;

  case 1868: // o_mode_check_neighbourhood_size: MODE_CHECK_NEIGHBOURHOOD_SIZE EQUAL signed_number_w_inf
#line 3562 "DynareBison.yy"
                                                                                          { driver.option_num("mode_check.neighbourhood_size", yystack_[0].value.as < string > ()); }
#line 6768 "DynareBison.cc"
    break;

  case 1869: // o_mode_check_number_of_points: MODE_CHECK_NUMBER_OF_POINTS EQUAL INT_NUMBER
#line 3563 "DynareBison.yy"
                                                                             { driver.option_num("mode_check.number_of_points", yystack_[0].value.as < string > ()); }
#line 6774 "DynareBison.cc"
    break;

  case 1870: // o_mode_check_symmetric_plots: MODE_CHECK_SYMMETRIC_PLOTS EQUAL INT_NUMBER
#line 3564 "DynareBison.yy"
                                                                           { driver.option_num("mode_check.symmetric_plots", yystack_[0].value.as < string > ()); }
#line 6780 "DynareBison.cc"
    break;

  case 1871: // o_prior_trunc: PRIOR_TRUNC EQUAL non_negative_number
#line 3565 "DynareBison.yy"
                                                      { driver.option_num("prior_trunc", yystack_[0].value.as < string > ()); }
#line 6786 "DynareBison.cc"
    break;

  case 1872: // o_mh_posterior_mode_estimation: MH_POSTERIOR_MODE_ESTIMATION
#line 3566 "DynareBison.yy"
                                                              { driver.option_num("mh_posterior_mode_estimation", "true"); }
#line 6792 "DynareBison.cc"
    break;

  case 1873: // o_mh_nblocks: MH_NBLOCKS EQUAL INT_NUMBER
#line 3567 "DynareBison.yy"
                                           { driver.option_num("mh_nblck", yystack_[0].value.as < string > ()); }
#line 6798 "DynareBison.cc"
    break;

  case 1874: // o_load_mh_file: LOAD_MH_FILE
#line 3568 "DynareBison.yy"
                              { driver.option_num("load_mh_file", "true"); }
#line 6804 "DynareBison.cc"
    break;

  case 1875: // o_load_results_after_load_mh: LOAD_RESULTS_AFTER_LOAD_MH
#line 3569 "DynareBison.yy"
                                                          { driver.option_num("load_results_after_load_mh", "true"); }
#line 6810 "DynareBison.cc"
    break;

  case 1876: // o_loglinear: LOGLINEAR
#line 3570 "DynareBison.yy"
                        { driver.option_num("loglinear", "true"); }
#line 6816 "DynareBison.cc"
    break;

  case 1877: // o_linear_approximation: LINEAR_APPROXIMATION
#line 3571 "DynareBison.yy"
                                              { driver.option_num("linear_approximation", "true"); }
#line 6822 "DynareBison.cc"
    break;

  case 1878: // o_logdata: LOGDATA
#line 3572 "DynareBison.yy"
                    { driver.option_num("logdata", "true"); }
#line 6828 "DynareBison.cc"
    break;

  case 1879: // o_nodiagnostic: NODIAGNOSTIC
#line 3573 "DynareBison.yy"
                              { driver.option_num("nodiagnostic", "true"); }
#line 6834 "DynareBison.cc"
    break;

  case 1880: // o_bayesian_irf: BAYESIAN_IRF
#line 3574 "DynareBison.yy"
                              { driver.option_num("bayesian_irf", "true"); }
#line 6840 "DynareBison.cc"
    break;

  case 1881: // o_dsge_var: DSGE_VAR EQUAL non_negative_number
#line 3576 "DynareBison.yy"
             { driver.option_num("dsge_var", yystack_[0].value.as < string > ()); }
#line 6846 "DynareBison.cc"
    break;

  case 1882: // o_dsge_var: DSGE_VAR EQUAL INF_CONSTANT
#line 3578 "DynareBison.yy"
             { driver.option_num("dsge_var", "Inf"); }
#line 6852 "DynareBison.cc"
    break;

  case 1883: // o_dsge_var: DSGE_VAR
#line 3580 "DynareBison.yy"
             { driver.option_str("dsge_var", "NaN"); }
#line 6858 "DynareBison.cc"
    break;

  case 1884: // o_dsge_varlag: DSGE_VARLAG EQUAL INT_NUMBER
#line 3582 "DynareBison.yy"
                                             { driver.option_num("dsge_varlag", yystack_[0].value.as < string > ()); }
#line 6864 "DynareBison.cc"
    break;

  case 1885: // o_tex: TEX
#line 3583 "DynareBison.yy"
            { driver.option_num("TeX", "true"); }
#line 6870 "DynareBison.cc"
    break;

  case 1886: // o_forecast: FORECAST EQUAL INT_NUMBER
#line 3584 "DynareBison.yy"
                                       { driver.option_num("forecast", yystack_[0].value.as < string > ()); }
#line 6876 "DynareBison.cc"
    break;

  case 1887: // o_smoother: SMOOTHER
#line 3585 "DynareBison.yy"
                      { driver.option_num("smoother", "true"); }
#line 6882 "DynareBison.cc"
    break;

  case 1888: // o_moments_varendo: MOMENTS_VARENDO
#line 3586 "DynareBison.yy"
                                    { driver.option_num("moments_varendo", "true"); }
#line 6888 "DynareBison.cc"
    break;

  case 1889: // o_contemporaneous_correlation: CONTEMPORANEOUS_CORRELATION
#line 3587 "DynareBison.yy"
                                                            { driver.option_num("contemporaneous_correlation", "true"); }
#line 6894 "DynareBison.cc"
    break;

  case 1890: // o_filtered_vars: FILTERED_VARS
#line 3588 "DynareBison.yy"
                                { driver.option_num("filtered_vars", "true"); }
#line 6900 "DynareBison.cc"
    break;

  case 1891: // o_relative_irf: RELATIVE_IRF
#line 3589 "DynareBison.yy"
                              { driver.option_num("relative_irf", "true"); }
#line 6906 "DynareBison.cc"
    break;

  case 1892: // o_fast_kalman_filter: FAST_KALMAN_FILTER
#line 3590 "DynareBison.yy"
                                           { driver.option_num("fast_kalman_filter", "true"); }
#line 6912 "DynareBison.cc"
    break;

  case 1893: // o_kalman_algo: KALMAN_ALGO EQUAL INT_NUMBER
#line 3591 "DynareBison.yy"
                                             { driver.option_num("kalman_algo", yystack_[0].value.as < string > ()); }
#line 6918 "DynareBison.cc"
    break;

  case 1894: // o_kalman_tol: KALMAN_TOL EQUAL non_negative_number
#line 3592 "DynareBison.yy"
                                                    { driver.option_num("kalman_tol", yystack_[0].value.as < string > ()); }
#line 6924 "DynareBison.cc"
    break;

  case 1895: // o_diffuse_kalman_tol: DIFFUSE_KALMAN_TOL EQUAL non_negative_number
#line 3593 "DynareBison.yy"
                                                                    { driver.option_num("diffuse_kalman_tol", yystack_[0].value.as < string > ()); }
#line 6930 "DynareBison.cc"
    break;

  case 1896: // o_schur_vec_tol: SCHUR_VEC_TOL EQUAL non_negative_number
#line 3594 "DynareBison.yy"
                                                          { driver.option_num("schur_vec_tol", yystack_[0].value.as < string > ()); }
#line 6936 "DynareBison.cc"
    break;

  case 1897: // o_marginal_density: MARGINAL_DENSITY EQUAL LAPLACE
#line 3596 "DynareBison.yy"
                     { driver.option_str("mc_marginal_density", "laplace"); }
#line 6942 "DynareBison.cc"
    break;

  case 1898: // o_marginal_density: MARGINAL_DENSITY EQUAL MODIFIEDHARMONICMEAN
#line 3598 "DynareBison.yy"
                     { driver.option_str("mc_marginal_density", "modifiedharmonicmean"); }
#line 6948 "DynareBison.cc"
    break;

  case 1899: // o_print: PRINT
#line 3600 "DynareBison.yy"
                { driver.option_num("noprint", "false"); }
#line 6954 "DynareBison.cc"
    break;

  case 1900: // o_noprint: NOPRINT
#line 3601 "DynareBison.yy"
                    { driver.option_num("noprint", "true"); }
#line 6960 "DynareBison.cc"
    break;

  case 1901: // o_xls_sheet: XLS_SHEET EQUAL symbol
#line 3602 "DynareBison.yy"
                                     { driver.option_str("xls_sheet", yystack_[0].value.as < string > ()); }
#line 6966 "DynareBison.cc"
    break;

  case 1902: // o_xls_sheet: XLS_SHEET EQUAL QUOTED_STRING
#line 3603 "DynareBison.yy"
                                            { driver.option_str("xls_sheet", yystack_[0].value.as < string > ()); }
#line 6972 "DynareBison.cc"
    break;

  case 1903: // o_xls_range: XLS_RANGE EQUAL range
#line 3605 "DynareBison.yy"
                                    { driver.option_str("xls_range", yystack_[0].value.as < string > ()); }
#line 6978 "DynareBison.cc"
    break;

  case 1904: // o_filter_step_ahead: FILTER_STEP_AHEAD EQUAL vec_int
#line 3606 "DynareBison.yy"
                                                      { driver.option_vec_int("filter_step_ahead", yystack_[0].value.as < vector<int> > ()); }
#line 6984 "DynareBison.cc"
    break;

  case 1905: // o_taper_steps: TAPER_STEPS EQUAL vec_int
#line 3607 "DynareBison.yy"
                                          { driver.option_vec_int("convergence.geweke.taper_steps", yystack_[0].value.as < vector<int> > ()); }
#line 6990 "DynareBison.cc"
    break;

  case 1906: // o_geweke_interval: GEWEKE_INTERVAL EQUAL vec_value
#line 3608 "DynareBison.yy"
                                                    { driver.option_num("convergence.geweke.geweke_interval",yystack_[0].value.as < string > ()); }
#line 6996 "DynareBison.cc"
    break;

  case 1907: // o_raftery_lewis_diagnostics: RAFTERY_LEWIS_DIAGNOSTICS
#line 3609 "DynareBison.yy"
                                                        { driver.option_num("convergence.rafterylewis.indicator", "true"); }
#line 7002 "DynareBison.cc"
    break;

  case 1908: // o_raftery_lewis_qrs: RAFTERY_LEWIS_QRS EQUAL vec_value
#line 3610 "DynareBison.yy"
                                                        { driver.option_num("convergence.rafterylewis.qrs",yystack_[0].value.as < string > ()); }
#line 7008 "DynareBison.cc"
    break;

  case 1909: // o_constant: CONSTANT
#line 3611 "DynareBison.yy"
                      { driver.option_num("noconstant", "false"); }
#line 7014 "DynareBison.cc"
    break;

  case 1910: // o_noconstant: NOCONSTANT
#line 3612 "DynareBison.yy"
                          { driver.option_num("noconstant", "true"); }
#line 7020 "DynareBison.cc"
    break;

  case 1911: // o_mh_recover: MH_RECOVER
#line 3613 "DynareBison.yy"
                          { driver.option_num("mh_recover", "true"); }
#line 7026 "DynareBison.cc"
    break;

  case 1912: // o_mh_initialize_from_previous_mcmc: MH_INITIALIZE_FROM_PREVIOUS_MCMC
#line 3614 "DynareBison.yy"
                                                                      { driver.option_num("mh_initialize_from_previous_mcmc.status", "true"); }
#line 7032 "DynareBison.cc"
    break;

  case 1913: // o_mh_initialize_from_previous_mcmc_directory: MH_INITIALIZE_FROM_PREVIOUS_MCMC_DIRECTORY EQUAL filename
#line 3615 "DynareBison.yy"
                                                                                                         { driver.option_str("mh_initialize_from_previous_mcmc.directory", yystack_[0].value.as < string > ()); }
#line 7038 "DynareBison.cc"
    break;

  case 1914: // o_mh_initialize_from_previous_mcmc_record: MH_INITIALIZE_FROM_PREVIOUS_MCMC_RECORD EQUAL filename
#line 3616 "DynareBison.yy"
                                                                                                   { driver.option_str("mh_initialize_from_previous_mcmc.record", yystack_[0].value.as < string > ()); }
#line 7044 "DynareBison.cc"
    break;

  case 1915: // o_mh_initialize_from_previous_mcmc_prior: MH_INITIALIZE_FROM_PREVIOUS_MCMC_PRIOR EQUAL filename
#line 3617 "DynareBison.yy"
                                                                                                 { driver.option_str("mh_initialize_from_previous_mcmc.prior", yystack_[0].value.as < string > ()); }
#line 7050 "DynareBison.cc"
    break;

  case 1916: // o_diffuse_filter: DIFFUSE_FILTER
#line 3618 "DynareBison.yy"
                                 {driver.option_num("diffuse_filter", "true"); }
#line 7056 "DynareBison.cc"
    break;

  case 1917: // o_plot_priors: PLOT_PRIORS EQUAL INT_NUMBER
#line 3619 "DynareBison.yy"
                                            {driver.option_num("plot_priors", yystack_[0].value.as < string > ()); }
#line 7062 "DynareBison.cc"
    break;

  case 1918: // o_aim_solver: AIM_SOLVER
#line 3620 "DynareBison.yy"
                         {driver.option_num("aim_solver", "true"); }
#line 7068 "DynareBison.cc"
    break;

  case 1919: // o_partial_information: PARTIAL_INFORMATION
#line 3621 "DynareBison.yy"
                                            {driver.option_num("partial_information", "true"); }
#line 7074 "DynareBison.cc"
    break;

  case 1920: // o_sub_draws: SUB_DRAWS EQUAL INT_NUMBER
#line 3622 "DynareBison.yy"
                                        {driver.option_num("sub_draws",yystack_[0].value.as < string > ());}
#line 7080 "DynareBison.cc"
    break;

  case 1921: // o_planner_discount: PLANNER_DISCOUNT EQUAL expression
#line 3623 "DynareBison.yy"
                                                       { driver.set_planner_discount(yystack_[0].value.as < expr_t > ()); }
#line 7086 "DynareBison.cc"
    break;

  case 1922: // o_planner_discount_latex_name: PLANNER_DISCOUNT_LATEX_NAME EQUAL TEX_NAME
#line 3624 "DynareBison.yy"
                                                                           { driver.set_planner_discount_latex_name(yystack_[0].value.as < string > ()); }
#line 7092 "DynareBison.cc"
    break;

  case 1923: // o_sylvester: SYLVESTER EQUAL FIXED_POINT
#line 3625 "DynareBison.yy"
                                          {driver.option_num("sylvester_fp", "true"); }
#line 7098 "DynareBison.cc"
    break;

  case 1924: // o_sylvester: SYLVESTER EQUAL DEFAULT
#line 3626 "DynareBison.yy"
                                         {driver.option_num("sylvester_fp", "false"); }
#line 7104 "DynareBison.cc"
    break;

  case 1925: // o_sylvester_fixed_point_tol: SYLVESTER_FIXED_POINT_TOL EQUAL non_negative_number
#line 3627 "DynareBison.yy"
                                                                                  {driver.option_num("sylvester_fixed_point_tol",yystack_[0].value.as < string > ());}
#line 7110 "DynareBison.cc"
    break;

  case 1926: // o_lyapunov: LYAPUNOV EQUAL FIXED_POINT
#line 3628 "DynareBison.yy"
                                        {driver.option_num("lyapunov_fp", "true"); }
#line 7116 "DynareBison.cc"
    break;

  case 1927: // o_lyapunov: LYAPUNOV EQUAL DOUBLING
#line 3629 "DynareBison.yy"
                                        {driver.option_num("lyapunov_db", "true"); }
#line 7122 "DynareBison.cc"
    break;

  case 1928: // o_lyapunov: LYAPUNOV EQUAL SQUARE_ROOT_SOLVER
#line 3630 "DynareBison.yy"
                                                  {driver.option_num("lyapunov_srs", "true"); }
#line 7128 "DynareBison.cc"
    break;

  case 1929: // o_lyapunov: LYAPUNOV EQUAL DEFAULT
#line 3631 "DynareBison.yy"
                                       {driver.option_num("lyapunov_fp", "false"); driver.option_num("lyapunov_db", "false"); driver.option_num("lyapunov_srs", "false");}
#line 7134 "DynareBison.cc"
    break;

  case 1930: // o_lyapunov_complex_threshold: LYAPUNOV_COMPLEX_THRESHOLD EQUAL non_negative_number
#line 3632 "DynareBison.yy"
                                                                                    {driver.option_num("lyapunov_complex_threshold",yystack_[0].value.as < string > ());}
#line 7140 "DynareBison.cc"
    break;

  case 1931: // o_lyapunov_fixed_point_tol: LYAPUNOV_FIXED_POINT_TOL EQUAL non_negative_number
#line 3633 "DynareBison.yy"
                                                                                {driver.option_num("lyapunov_fixed_point_tol",yystack_[0].value.as < string > ());}
#line 7146 "DynareBison.cc"
    break;

  case 1932: // o_lyapunov_doubling_tol: LYAPUNOV_DOUBLING_TOL EQUAL non_negative_number
#line 3634 "DynareBison.yy"
                                                                          {driver.option_num("lyapunov_doubling_tol",yystack_[0].value.as < string > ());}
#line 7152 "DynareBison.cc"
    break;

  case 1933: // o_dr: DR EQUAL CYCLE_REDUCTION
#line 3635 "DynareBison.yy"
                                {driver.option_num("dr_cycle_reduction", "true"); }
#line 7158 "DynareBison.cc"
    break;

  case 1934: // o_dr: DR EQUAL LOGARITHMIC_REDUCTION
#line 3636 "DynareBison.yy"
                                        {driver.option_num("dr_logarithmic_reduction", "true"); }
#line 7164 "DynareBison.cc"
    break;

  case 1935: // o_dr: DR EQUAL DEFAULT
#line 3637 "DynareBison.yy"
                          {driver.option_num("dr_cycle_reduction", "false"); driver.option_num("dr_logarithmic_reduction", "false");}
#line 7170 "DynareBison.cc"
    break;

  case 1936: // o_dr_cycle_reduction_tol: DR_CYCLE_REDUCTION_TOL EQUAL non_negative_number
#line 3638 "DynareBison.yy"
                                                                            {driver.option_num("dr_cycle_reduction_tol",yystack_[0].value.as < string > ());}
#line 7176 "DynareBison.cc"
    break;

  case 1937: // o_dr_logarithmic_reduction_tol: DR_LOGARITHMIC_REDUCTION_TOL EQUAL non_negative_number
#line 3639 "DynareBison.yy"
                                                                                        {driver.option_num("dr_logarithmic_reduction_tol",yystack_[0].value.as < string > ());}
#line 7182 "DynareBison.cc"
    break;

  case 1938: // o_dr_logarithmic_reduction_maxiter: DR_LOGARITHMIC_REDUCTION_MAXITER EQUAL INT_NUMBER
#line 3640 "DynareBison.yy"
                                                                                       {driver.option_num("dr_logarithmic_reduction_maxiter",yystack_[0].value.as < string > ());}
#line 7188 "DynareBison.cc"
    break;

  case 1939: // o_psd_detail_plot: DETAIL_PLOT
#line 3641 "DynareBison.yy"
                                { driver.option_num("plot_shock_decomp.detail_plot", "true"); }
#line 7194 "DynareBison.cc"
    break;

  case 1940: // o_icd_detail_plot: DETAIL_PLOT
#line 3642 "DynareBison.yy"
                                { driver.option_num("initial_condition_decomp.detail_plot", "true"); }
#line 7200 "DynareBison.cc"
    break;

  case 1941: // o_psd_interactive: INTERACTIVE
#line 3643 "DynareBison.yy"
                                { driver.option_num("plot_shock_decomp.interactive", "true"); }
#line 7206 "DynareBison.cc"
    break;

  case 1942: // o_psd_screen_shocks: SCREEN_SHOCKS
#line 3644 "DynareBison.yy"
                                    { driver.option_num("plot_shock_decomp.screen_shocks", "true"); }
#line 7212 "DynareBison.cc"
    break;

  case 1943: // o_psd_steadystate: STEADYSTATE
#line 3645 "DynareBison.yy"
                                { driver.option_num("plot_shock_decomp.steadystate", "true"); }
#line 7218 "DynareBison.cc"
    break;

  case 1944: // o_icd_steadystate: STEADYSTATE
#line 3646 "DynareBison.yy"
                                { driver.option_num("initial_condition_decomp.steadystate", "true"); }
#line 7224 "DynareBison.cc"
    break;

  case 1945: // o_icd_fig_name: FIG_NAME EQUAL filename
#line 3647 "DynareBison.yy"
                                         { driver.option_str("initial_condition_decomp.fig_name", yystack_[0].value.as < string > ()); }
#line 7230 "DynareBison.cc"
    break;

  case 1946: // o_psd_fig_name: FIG_NAME EQUAL filename
#line 3648 "DynareBison.yy"
                                         { driver.option_str("plot_shock_decomp.fig_name", yystack_[0].value.as < string > ()); }
#line 7236 "DynareBison.cc"
    break;

  case 1947: // o_psd_type: TYPE EQUAL QOQ
#line 3650 "DynareBison.yy"
             { driver.option_str("plot_shock_decomp.type", "qoq"); }
#line 7242 "DynareBison.cc"
    break;

  case 1948: // o_psd_type: TYPE EQUAL YOY
#line 3652 "DynareBison.yy"
             { driver.option_str("plot_shock_decomp.type", "yoy"); }
#line 7248 "DynareBison.cc"
    break;

  case 1949: // o_psd_type: TYPE EQUAL AOA
#line 3654 "DynareBison.yy"
             { driver.option_str("plot_shock_decomp.type", "aoa"); }
#line 7254 "DynareBison.cc"
    break;

  case 1950: // o_icd_type: TYPE EQUAL QOQ
#line 3657 "DynareBison.yy"
             { driver.option_str("initial_condition_decomp.type", "qoq"); }
#line 7260 "DynareBison.cc"
    break;

  case 1951: // o_icd_type: TYPE EQUAL YOY
#line 3659 "DynareBison.yy"
             { driver.option_str("initial_condition_decomp.type", "yoy"); }
#line 7266 "DynareBison.cc"
    break;

  case 1952: // o_icd_type: TYPE EQUAL AOA
#line 3661 "DynareBison.yy"
             { driver.option_str("initial_condition_decomp.type", "aoa"); }
#line 7272 "DynareBison.cc"
    break;

  case 1953: // o_icd_plot_init_date: PLOT_INIT_DATE EQUAL date_expr
#line 3663 "DynareBison.yy"
                                                      { driver.option_date("initial_condition_decomp.plot_init_date", yystack_[0].value.as < string > ()); }
#line 7278 "DynareBison.cc"
    break;

  case 1954: // o_icd_plot_end_date: PLOT_END_DATE EQUAL date_expr
#line 3664 "DynareBison.yy"
                                                    { driver.option_date("initial_condition_decomp.plot_end_date", yystack_[0].value.as < string > ()); }
#line 7284 "DynareBison.cc"
    break;

  case 1955: // o_psd_plot_init_date: PLOT_INIT_DATE EQUAL date_expr
#line 3665 "DynareBison.yy"
                                                      { driver.option_date("plot_shock_decomp.plot_init_date", yystack_[0].value.as < string > ()); }
#line 7290 "DynareBison.cc"
    break;

  case 1956: // o_psd_plot_end_date: PLOT_END_DATE EQUAL date_expr
#line 3666 "DynareBison.yy"
                                                    { driver.option_date("plot_shock_decomp.plot_end_date", yystack_[0].value.as < string > ()); }
#line 7296 "DynareBison.cc"
    break;

  case 1957: // o_icd_write_xls: WRITE_XLS
#line 3667 "DynareBison.yy"
                            { driver.option_num("initial_condition_decomp.write_xls", "true"); }
#line 7302 "DynareBison.cc"
    break;

  case 1958: // o_psd_write_xls: WRITE_XLS
#line 3668 "DynareBison.yy"
                            { driver.option_num("plot_shock_decomp.write_xls", "true"); }
#line 7308 "DynareBison.cc"
    break;

  case 1959: // o_psd_realtime: REALTIME EQUAL INT_NUMBER
#line 3669 "DynareBison.yy"
                                           { driver.option_num("plot_shock_decomp.realtime", yystack_[0].value.as < string > ()); }
#line 7314 "DynareBison.cc"
    break;

  case 1960: // o_psd_vintage: VINTAGE EQUAL INT_NUMBER
#line 3670 "DynareBison.yy"
                                         { driver.option_num("plot_shock_decomp.vintage", yystack_[0].value.as < string > ()); }
#line 7320 "DynareBison.cc"
    break;

  case 1961: // o_psd_diff: DIFF
#line 3671 "DynareBison.yy"
                  { driver.option_num("plot_shock_decomp.diff", "true"); }
#line 7326 "DynareBison.cc"
    break;

  case 1962: // o_icd_diff: DIFF
#line 3672 "DynareBison.yy"
                  { driver.option_num("initial_condition_decomp.diff", "true"); }
#line 7332 "DynareBison.cc"
    break;

  case 1963: // o_psd_flip: FLIP
#line 3673 "DynareBison.yy"
                  { driver.option_num("plot_shock_decomp.flip", "true"); }
#line 7338 "DynareBison.cc"
    break;

  case 1964: // o_icd_flip: FLIP
#line 3674 "DynareBison.yy"
                  { driver.option_num("initial_condition_decomp.flip", "true"); }
#line 7344 "DynareBison.cc"
    break;

  case 1965: // o_bvar_prior_tau: BVAR_PRIOR_TAU EQUAL signed_number
#line 3675 "DynareBison.yy"
                                                      { driver.option_num("bvar_prior_tau", yystack_[0].value.as < string > ()); }
#line 7350 "DynareBison.cc"
    break;

  case 1966: // o_bvar_prior_decay: BVAR_PRIOR_DECAY EQUAL non_negative_number
#line 3676 "DynareBison.yy"
                                                                { driver.option_num("bvar_prior_decay", yystack_[0].value.as < string > ()); }
#line 7356 "DynareBison.cc"
    break;

  case 1967: // o_bvar_prior_lambda: BVAR_PRIOR_LAMBDA EQUAL signed_number
#line 3677 "DynareBison.yy"
                                                            { driver.option_num("bvar_prior_lambda", yystack_[0].value.as < string > ()); }
#line 7362 "DynareBison.cc"
    break;

  case 1968: // o_bvar_prior_mu: BVAR_PRIOR_MU EQUAL non_negative_number
#line 3678 "DynareBison.yy"
                                                          { driver.option_num("bvar_prior_mu", yystack_[0].value.as < string > ()); }
#line 7368 "DynareBison.cc"
    break;

  case 1969: // o_bvar_prior_omega: BVAR_PRIOR_OMEGA EQUAL INT_NUMBER
#line 3679 "DynareBison.yy"
                                                       { driver.option_num("bvar_prior_omega", yystack_[0].value.as < string > ()); }
#line 7374 "DynareBison.cc"
    break;

  case 1970: // o_bvar_prior_flat: BVAR_PRIOR_FLAT
#line 3680 "DynareBison.yy"
                                    { driver.option_num("bvar_prior_flat", "true"); }
#line 7380 "DynareBison.cc"
    break;

  case 1971: // o_bvar_prior_train: BVAR_PRIOR_TRAIN EQUAL INT_NUMBER
#line 3681 "DynareBison.yy"
                                                       { driver.option_num("bvar_prior_train", yystack_[0].value.as < string > ()); }
#line 7386 "DynareBison.cc"
    break;

  case 1972: // o_bvar_replic: BVAR_REPLIC EQUAL INT_NUMBER
#line 3682 "DynareBison.yy"
                                             { driver.option_num("bvar_replic", yystack_[0].value.as < string > ()); }
#line 7392 "DynareBison.cc"
    break;

  case 1973: // o_stderr_multiples: STDERR_MULTIPLES
#line 3683 "DynareBison.yy"
                                      { driver.option_num("irf_opt.stderr_multiples", "true"); }
#line 7398 "DynareBison.cc"
    break;

  case 1974: // o_diagonal_only: DIAGONAL_ONLY
#line 3684 "DynareBison.yy"
                                { driver.option_num("irf_opt.diagonal_only", "true"); }
#line 7404 "DynareBison.cc"
    break;

  case 1975: // o_number_of_particles: NUMBER_OF_PARTICLES EQUAL INT_NUMBER
#line 3685 "DynareBison.yy"
                                                             { driver.option_num("particle.number_of_particles", yystack_[0].value.as < string > ()); }
#line 7410 "DynareBison.cc"
    break;

  case 1976: // o_particle_filter_options: PARTICLE_FILTER_OPTIONS EQUAL '(' name_value_pair_with_boolean_list ')'
#line 3686 "DynareBison.yy"
                                                                                                    { driver.option_str("particle.particle_filter_options", yystack_[1].value.as < string > ()); }
#line 7416 "DynareBison.cc"
    break;

  case 1978: // o_resampling: RESAMPLING EQUAL NONE
#line 3688 "DynareBison.yy"
                                      {driver.option_num("particle.resampling.status.systematic", "false"); driver.option_num("particle.resampling.status.none", "true"); }
#line 7422 "DynareBison.cc"
    break;

  case 1979: // o_resampling: RESAMPLING EQUAL GENERIC
#line 3689 "DynareBison.yy"
                                         {driver.option_num("particle.resampling.status.systematic", "false"); driver.option_num("particle.resampling.status.generic", "true"); }
#line 7428 "DynareBison.cc"
    break;

  case 1980: // o_resampling_threshold: RESAMPLING_THRESHOLD EQUAL non_negative_number
#line 3690 "DynareBison.yy"
                                                                        { driver.option_num("particle.resampling.threshold", yystack_[0].value.as < string > ()); }
#line 7434 "DynareBison.cc"
    break;

  case 1981: // o_resampling_method: RESAMPLING_METHOD EQUAL KITAGAWA
#line 3691 "DynareBison.yy"
                                                       {driver.option_num("particle.resampling.method.kitagawa", "true"); driver.option_num("particle.resampling.method.smooth", "false"); driver.option_num("particle.resampling.smethod.stratified", "false"); }
#line 7440 "DynareBison.cc"
    break;

  case 1982: // o_resampling_method: RESAMPLING_METHOD EQUAL SMOOTH
#line 3692 "DynareBison.yy"
                                               {driver.option_num("particle.resampling.method.kitagawa", "false"); driver.option_num("particle.resampling.method.smooth", "true"); driver.option_num("particle.resampling.smethod.stratified", "false"); }
#line 7446 "DynareBison.cc"
    break;

  case 1983: // o_resampling_method: RESAMPLING_METHOD EQUAL STRATIFIED
#line 3693 "DynareBison.yy"
                                                   {driver.option_num("particle.resampling.method.kitagawa", "false"); driver.option_num("particle.resampling.method.smooth", "false"); driver.option_num("particle.resampling.method.stratified", "true"); }
#line 7452 "DynareBison.cc"
    break;

  case 1984: // o_cpf_weights: CPF_WEIGHTS EQUAL AMISANOTRISTANI
#line 3694 "DynareBison.yy"
                                                  {driver.option_num("particle.cpf_weights_method.amisanotristani", "true"); driver.option_num("particle.cpf_weights_method.murrayjonesparslow", "false"); }
#line 7458 "DynareBison.cc"
    break;

  case 1985: // o_cpf_weights: CPF_WEIGHTS EQUAL MURRAYJONESPARSLOW
#line 3695 "DynareBison.yy"
                                                     {driver.option_num("particle.cpf_weights_method.amisanotristani", "false"); driver.option_num("particle.cpf_weights_method.murrayjonesparslow", "true"); }
#line 7464 "DynareBison.cc"
    break;

  case 1986: // o_filter_algorithm: FILTER_ALGORITHM EQUAL symbol
#line 3696 "DynareBison.yy"
                                                   { driver.option_str("particle.filter_algorithm", yystack_[0].value.as < string > ()); }
#line 7470 "DynareBison.cc"
    break;

  case 1987: // o_nonlinear_filter_initialization: NONLINEAR_FILTER_INITIALIZATION EQUAL INT_NUMBER
#line 3697 "DynareBison.yy"
                                                                                     { driver.option_num("particle.initialization", yystack_[0].value.as < string > ()); }
#line 7476 "DynareBison.cc"
    break;

  case 1988: // o_proposal_approximation: PROPOSAL_APPROXIMATION EQUAL CUBATURE
#line 3698 "DynareBison.yy"
                                                                 {driver.option_num("particle.proposal_approximation.cubature", "true"); driver.option_num("particle.proposal_approximation.unscented", "false"); driver.option_num("particle.proposal_approximation.montecarlo", "false");}
#line 7482 "DynareBison.cc"
    break;

  case 1989: // o_proposal_approximation: PROPOSAL_APPROXIMATION EQUAL UNSCENTED
#line 3699 "DynareBison.yy"
                                                         {driver.option_num("particle.proposal_approximation.cubature", "false"); driver.option_num("particle.proposal_approximation.unscented", "true"); driver.option_num("particle.proposal_approximation.montecarlo", "false");}
#line 7488 "DynareBison.cc"
    break;

  case 1990: // o_proposal_approximation: PROPOSAL_APPROXIMATION EQUAL MONTECARLO
#line 3700 "DynareBison.yy"
                                                          {driver.option_num("particle.proposal_approximation.cubature", "false"); driver.option_num("particle.proposal_approximation.unscented", "false"); driver.option_num("particle.proposal_approximation.montecarlo", "true");}
#line 7494 "DynareBison.cc"
    break;

  case 1991: // o_distribution_approximation: DISTRIBUTION_APPROXIMATION EQUAL CUBATURE
#line 3701 "DynareBison.yy"
                                                                         {driver.option_num("particle.distribution_approximation.cubature", "true"); driver.option_num("particle.distribution_approximation.unscented", "false"); driver.option_num("particle.distribution_approximation.montecarlo", "false");}
#line 7500 "DynareBison.cc"
    break;

  case 1992: // o_distribution_approximation: DISTRIBUTION_APPROXIMATION EQUAL UNSCENTED
#line 3702 "DynareBison.yy"
                                                             {driver.option_num("particle.distribution_approximation.cubature", "false"); driver.option_num("particle.distribution_approximation.unscented", "true"); driver.option_num("particle.distribution_approximation.montecarlo", "false");}
#line 7506 "DynareBison.cc"
    break;

  case 1993: // o_distribution_approximation: DISTRIBUTION_APPROXIMATION EQUAL MONTECARLO
#line 3703 "DynareBison.yy"
                                                              {driver.option_num("particle.distribution_approximation.cubature", "false"); driver.option_num("particle.distribution_approximation.unscented", "false"); driver.option_num("particle.distribution_approximation.montecarlo", "true");}
#line 7512 "DynareBison.cc"
    break;

  case 1994: // o_gsa_identification: IDENTIFICATION EQUAL INT_NUMBER
#line 3704 "DynareBison.yy"
                                                       { driver.option_num("identification", yystack_[0].value.as < string > ()); }
#line 7518 "DynareBison.cc"
    break;

  case 1995: // o_gsa_morris: MORRIS EQUAL INT_NUMBER
#line 3705 "DynareBison.yy"
                                       { driver.option_num("morris", yystack_[0].value.as < string > ()); }
#line 7524 "DynareBison.cc"
    break;

  case 1996: // o_gsa_stab: STAB EQUAL INT_NUMBER
#line 3706 "DynareBison.yy"
                                    { driver.option_num("stab", yystack_[0].value.as < string > ()); }
#line 7530 "DynareBison.cc"
    break;

  case 1997: // o_gsa_redform: REDFORM EQUAL INT_NUMBER
#line 3707 "DynareBison.yy"
                                          { driver.option_num("redform", yystack_[0].value.as < string > ()); }
#line 7536 "DynareBison.cc"
    break;

  case 1998: // o_gsa_pprior: PPRIOR EQUAL INT_NUMBER
#line 3708 "DynareBison.yy"
                                        { driver.option_num("pprior", yystack_[0].value.as < string > ()); }
#line 7542 "DynareBison.cc"
    break;

  case 1999: // o_gsa_prior_range: PRIOR_RANGE EQUAL INT_NUMBER
#line 3709 "DynareBison.yy"
                                                  { driver.option_num("prior_range", yystack_[0].value.as < string > ()); }
#line 7548 "DynareBison.cc"
    break;

  case 2000: // o_gsa_ppost: PPOST EQUAL INT_NUMBER
#line 3710 "DynareBison.yy"
                                      { driver.option_num("ppost", yystack_[0].value.as < string > ()); }
#line 7554 "DynareBison.cc"
    break;

  case 2001: // o_gsa_ilptau: ILPTAU EQUAL INT_NUMBER
#line 3711 "DynareBison.yy"
                                       { driver.option_num("ilptau", yystack_[0].value.as < string > ()); }
#line 7560 "DynareBison.cc"
    break;

  case 2002: // o_gsa_morris_nliv: MORRIS_NLIV EQUAL INT_NUMBER
#line 3712 "DynareBison.yy"
                                                 { driver.option_num("morris_nliv", yystack_[0].value.as < string > ()); }
#line 7566 "DynareBison.cc"
    break;

  case 2003: // o_gsa_morris_ntra: MORRIS_NTRA EQUAL INT_NUMBER
#line 3713 "DynareBison.yy"
                                                 { driver.option_num("morris_ntra", yystack_[0].value.as < string > ()); }
#line 7572 "DynareBison.cc"
    break;

  case 2004: // o_gsa_nsam: NSAM EQUAL INT_NUMBER
#line 3714 "DynareBison.yy"
                                   { driver.option_num("Nsam", yystack_[0].value.as < string > ()); }
#line 7578 "DynareBison.cc"
    break;

  case 2005: // o_gsa_load_redform: LOAD_REDFORM EQUAL INT_NUMBER
#line 3715 "DynareBison.yy"
                                                   { driver.option_num("load_redform", yystack_[0].value.as < string > ()); }
#line 7584 "DynareBison.cc"
    break;

  case 2006: // o_gsa_load_rmse: LOAD_RMSE EQUAL INT_NUMBER
#line 3716 "DynareBison.yy"
                                             { driver.option_num("load_rmse", yystack_[0].value.as < string > ()); }
#line 7590 "DynareBison.cc"
    break;

  case 2007: // o_gsa_load_stab: LOAD_STAB EQUAL INT_NUMBER
#line 3717 "DynareBison.yy"
                                             { driver.option_num("load_stab", yystack_[0].value.as < string > ()); }
#line 7596 "DynareBison.cc"
    break;

  case 2008: // o_gsa_alpha2_stab: ALPHA2_STAB EQUAL non_negative_number
#line 3718 "DynareBison.yy"
                                                          { driver.option_num("alpha2_stab", yystack_[0].value.as < string > ()); }
#line 7602 "DynareBison.cc"
    break;

  case 2009: // o_gsa_logtrans_redform: LOGTRANS_REDFORM EQUAL INT_NUMBER
#line 3719 "DynareBison.yy"
                                                           { driver.option_num("logtrans_redform", yystack_[0].value.as < string > ()); }
#line 7608 "DynareBison.cc"
    break;

  case 2010: // o_gsa_threshold_redform: THRESHOLD_REDFORM EQUAL vec_value_w_inf
#line 3720 "DynareBison.yy"
                                                                  { driver.option_num("threshold_redform",yystack_[0].value.as < string > ()); }
#line 7614 "DynareBison.cc"
    break;

  case 2011: // o_gsa_ksstat_redform: KSSTAT_REDFORM EQUAL non_negative_number
#line 3721 "DynareBison.yy"
                                                                { driver.option_num("ksstat_redform", yystack_[0].value.as < string > ()); }
#line 7620 "DynareBison.cc"
    break;

  case 2012: // o_gsa_alpha2_redform: ALPHA2_REDFORM EQUAL non_negative_number
#line 3722 "DynareBison.yy"
                                                                { driver.option_num("alpha2_redform", yystack_[0].value.as < string > ()); }
#line 7626 "DynareBison.cc"
    break;

  case 2013: // o_gsa_namendo: NAMENDO EQUAL '(' symbol_list_ext ')'
#line 3723 "DynareBison.yy"
                                                      { driver.option_symbol_list("namendo"); }
#line 7632 "DynareBison.cc"
    break;

  case 2014: // o_gsa_namlagendo: NAMLAGENDO EQUAL '(' symbol_list_ext ')'
#line 3724 "DynareBison.yy"
                                                            { driver.option_symbol_list("namlagendo"); }
#line 7638 "DynareBison.cc"
    break;

  case 2015: // o_gsa_namexo: NAMEXO EQUAL '(' symbol_list_ext ')'
#line 3725 "DynareBison.yy"
                                                    { driver.option_symbol_list("namexo"); }
#line 7644 "DynareBison.cc"
    break;

  case 2016: // o_gsa_rmse: RMSE EQUAL INT_NUMBER
#line 3726 "DynareBison.yy"
                                   { driver.option_num("rmse", yystack_[0].value.as < string > ()); }
#line 7650 "DynareBison.cc"
    break;

  case 2017: // o_gsa_lik_only: LIK_ONLY EQUAL INT_NUMBER
#line 3727 "DynareBison.yy"
                                           { driver.option_num("lik_only", yystack_[0].value.as < string > ()); }
#line 7656 "DynareBison.cc"
    break;

  case 2018: // o_gsa_var_rmse: VAR_RMSE EQUAL '(' symbol_list_ext ')'
#line 3728 "DynareBison.yy"
                                                        { driver.option_symbol_list("var_rmse"); }
#line 7662 "DynareBison.cc"
    break;

  case 2019: // o_gsa_pfilt_rmse: PFILT_RMSE EQUAL non_negative_number
#line 3729 "DynareBison.yy"
                                                        { driver.option_num("pfilt_rmse", yystack_[0].value.as < string > ()); }
#line 7668 "DynareBison.cc"
    break;

  case 2020: // o_gsa_istart_rmse: ISTART_RMSE EQUAL INT_NUMBER
#line 3730 "DynareBison.yy"
                                                 { driver.option_num("istart_rmse", yystack_[0].value.as < string > ()); }
#line 7674 "DynareBison.cc"
    break;

  case 2021: // o_gsa_alpha_rmse: ALPHA_RMSE EQUAL non_negative_number
#line 3731 "DynareBison.yy"
                                                        { driver.option_num("alpha_rmse", yystack_[0].value.as < string > ()); }
#line 7680 "DynareBison.cc"
    break;

  case 2022: // o_gsa_alpha2_rmse: ALPHA2_RMSE EQUAL non_negative_number
#line 3732 "DynareBison.yy"
                                                          { driver.option_num("alpha2_rmse", yystack_[0].value.as < string > ()); }
#line 7686 "DynareBison.cc"
    break;

  case 2023: // o_gsa_sample_file: GSA_SAMPLE_FILE EQUAL INT_NUMBER
#line 3734 "DynareBison.yy"
                    { driver.option_num("gsa_sample_file", yystack_[0].value.as < string > ()); }
#line 7692 "DynareBison.cc"
    break;

  case 2024: // o_gsa_sample_file: GSA_SAMPLE_FILE EQUAL filename
#line 3736 "DynareBison.yy"
                    { driver.option_str("gsa_sample_file", yystack_[0].value.as < string > ()); }
#line 7698 "DynareBison.cc"
    break;

  case 2025: // o_gsa_neighborhood_width: NEIGHBORHOOD_WIDTH EQUAL non_negative_number
#line 3738 "DynareBison.yy"
                                                                        { driver.option_num("neighborhood_width", yystack_[0].value.as < string > ()); }
#line 7704 "DynareBison.cc"
    break;

  case 2026: // o_gsa_pvalue_ks: PVALUE_KS EQUAL non_negative_number
#line 3739 "DynareBison.yy"
                                                       { driver.option_num("pvalue_ks", yystack_[0].value.as < string > ()); }
#line 7710 "DynareBison.cc"
    break;

  case 2027: // o_gsa_pvalue_corr: PVALUE_CORR EQUAL non_negative_number
#line 3740 "DynareBison.yy"
                                                           { driver.option_num("pvalue_corr", yystack_[0].value.as < string > ()); }
#line 7716 "DynareBison.cc"
    break;

  case 2028: // o_load_ident_files: LOAD_IDENT_FILES EQUAL INT_NUMBER
#line 3741 "DynareBison.yy"
                                                       { driver.option_num("load_ident_files", yystack_[0].value.as < string > ()); }
#line 7722 "DynareBison.cc"
    break;

  case 2029: // o_useautocorr: USEAUTOCORR EQUAL INT_NUMBER
#line 3742 "DynareBison.yy"
                                             { driver.option_num("useautocorr", yystack_[0].value.as < string > ()); }
#line 7728 "DynareBison.cc"
    break;

  case 2030: // o_prior_mc: PRIOR_MC EQUAL INT_NUMBER
#line 3743 "DynareBison.yy"
                                       { driver.option_num("prior_mc", yystack_[0].value.as < string > ()); }
#line 7734 "DynareBison.cc"
    break;

  case 2031: // o_advanced: ADVANCED EQUAL signed_integer
#line 3744 "DynareBison.yy"
                                           { driver.option_num("advanced", yystack_[0].value.as < string > ()); }
#line 7740 "DynareBison.cc"
    break;

  case 2032: // o_max_dim_cova_group: MAX_DIM_COVA_GROUP EQUAL INT_NUMBER
#line 3745 "DynareBison.yy"
                                                           { driver.option_num("max_dim_cova_group", yystack_[0].value.as < string > ()); }
#line 7746 "DynareBison.cc"
    break;

  case 2033: // o_homotopy_mode: HOMOTOPY_MODE EQUAL INT_NUMBER
#line 3747 "DynareBison.yy"
                                                 {driver.option_num("homotopy_mode",yystack_[0].value.as < string > ()); }
#line 7752 "DynareBison.cc"
    break;

  case 2034: // o_homotopy_steps: HOMOTOPY_STEPS EQUAL INT_NUMBER
#line 3748 "DynareBison.yy"
                                                   {driver.option_num("homotopy_steps",yystack_[0].value.as < string > ()); }
#line 7758 "DynareBison.cc"
    break;

  case 2035: // o_homotopy_force_continue: HOMOTOPY_FORCE_CONTINUE EQUAL INT_NUMBER
#line 3749 "DynareBison.yy"
                                                                    { driver.option_num("homotopy_force_continue",yystack_[0].value.as < string > ()); }
#line 7764 "DynareBison.cc"
    break;

  case 2036: // o_nocheck: NOCHECK
#line 3750 "DynareBison.yy"
                    {driver.option_num("steadystate.nocheck","true"); }
#line 7770 "DynareBison.cc"
    break;

  case 2037: // o_controlled_varexo: CONTROLLED_VAREXO EQUAL '(' symbol_list ')'
#line 3752 "DynareBison.yy"
                                                                  { driver.option_symbol_list("controlled_varexo"); }
#line 7776 "DynareBison.cc"
    break;

  case 2038: // o_parameter_set: PARAMETER_SET EQUAL PRIOR_MODE
#line 3754 "DynareBison.yy"
                  { driver.option_str("parameter_set", "prior_mode"); }
#line 7782 "DynareBison.cc"
    break;

  case 2039: // o_parameter_set: PARAMETER_SET EQUAL PRIOR_MEAN
#line 3756 "DynareBison.yy"
                  { driver.option_str("parameter_set", "prior_mean"); }
#line 7788 "DynareBison.cc"
    break;

  case 2040: // o_parameter_set: PARAMETER_SET EQUAL POSTERIOR_MEAN
#line 3758 "DynareBison.yy"
                  { driver.option_str("parameter_set", "posterior_mean"); }
#line 7794 "DynareBison.cc"
    break;

  case 2041: // o_parameter_set: PARAMETER_SET EQUAL POSTERIOR_MODE
#line 3760 "DynareBison.yy"
                  { driver.option_str("parameter_set", "posterior_mode"); }
#line 7800 "DynareBison.cc"
    break;

  case 2042: // o_parameter_set: PARAMETER_SET EQUAL POSTERIOR_MEDIAN
#line 3762 "DynareBison.yy"
                  { driver.option_str("parameter_set", "posterior_median"); }
#line 7806 "DynareBison.cc"
    break;

  case 2043: // o_parameter_set: PARAMETER_SET EQUAL MLE_MODE
#line 3764 "DynareBison.yy"
                  { driver.option_str("parameter_set", "mle_mode"); }
#line 7812 "DynareBison.cc"
    break;

  case 2044: // o_parameter_set: PARAMETER_SET EQUAL CALIBRATION
#line 3766 "DynareBison.yy"
                  { driver.option_str("parameter_set", "calibration"); }
#line 7818 "DynareBison.cc"
    break;

  case 2045: // o_nodecomposition: NODECOMPOSITION
#line 3768 "DynareBison.yy"
                                    { driver.option_num("nodecomposition", "true"); }
#line 7824 "DynareBison.cc"
    break;

  case 2046: // o_spectral_density: SPECTRAL_DENSITY
#line 3769 "DynareBison.yy"
                                      { driver.option_num("SpectralDensity.trigger", "true"); }
#line 7830 "DynareBison.cc"
    break;

  case 2047: // o_ms_drop: DROP EQUAL INT_NUMBER
#line 3770 "DynareBison.yy"
                                  { driver.option_num("ms.drop", yystack_[0].value.as < string > ()); }
#line 7836 "DynareBison.cc"
    break;

  case 2048: // o_ms_mh_replic: MH_REPLIC EQUAL INT_NUMBER
#line 3771 "DynareBison.yy"
                                            { driver.option_num("ms.mh_replic", yystack_[0].value.as < string > ()); }
#line 7842 "DynareBison.cc"
    break;

  case 2049: // o_freq: FREQ EQUAL INT_NUMBER
#line 3773 "DynareBison.yy"
         { driver.option_num("ms.freq",yystack_[0].value.as < string > ()); }
#line 7848 "DynareBison.cc"
    break;

  case 2050: // o_freq: FREQ EQUAL MONTHLY
#line 3775 "DynareBison.yy"
         { driver.option_num("ms.freq","12"); }
#line 7854 "DynareBison.cc"
    break;

  case 2051: // o_freq: FREQ EQUAL QUARTERLY
#line 3777 "DynareBison.yy"
         { driver.option_num("ms.freq","4"); }
#line 7860 "DynareBison.cc"
    break;

  case 2052: // o_initial_year: INITIAL_YEAR EQUAL INT_NUMBER
#line 3779 "DynareBison.yy"
                                               {driver.option_num("ms.initial_year",yystack_[0].value.as < string > ()); }
#line 7866 "DynareBison.cc"
    break;

  case 2053: // o_initial_subperiod: INITIAL_SUBPERIOD EQUAL INT_NUMBER
#line 3780 "DynareBison.yy"
                                                         {driver.option_num("ms.initial_subperiod",yystack_[0].value.as < string > ()); }
#line 7872 "DynareBison.cc"
    break;

  case 2054: // o_final_year: FINAL_YEAR EQUAL INT_NUMBER
#line 3781 "DynareBison.yy"
                                           {driver.option_num("ms.final_year",yystack_[0].value.as < string > ()); }
#line 7878 "DynareBison.cc"
    break;

  case 2055: // o_final_subperiod: FINAL_SUBPERIOD EQUAL INT_NUMBER
#line 3782 "DynareBison.yy"
                                                     {driver.option_num("ms.final_subperiod",yystack_[0].value.as < string > ()); }
#line 7884 "DynareBison.cc"
    break;

  case 2056: // o_data: DATA EQUAL filename
#line 3783 "DynareBison.yy"
                             { driver.option_str("ms.data", yystack_[0].value.as < string > ()); }
#line 7890 "DynareBison.cc"
    break;

  case 2057: // o_vlist: VLIST EQUAL INT_NUMBER
#line 3784 "DynareBison.yy"
                                 {driver.option_num("ms.vlist",yystack_[0].value.as < string > ()); }
#line 7896 "DynareBison.cc"
    break;

  case 2058: // o_vlistlog: VLISTLOG EQUAL '(' symbol_list ')'
#line 3785 "DynareBison.yy"
                                                {driver.option_symbol_list("ms.vlistlog"); }
#line 7902 "DynareBison.cc"
    break;

  case 2059: // o_vlistper: VLISTPER EQUAL INT_NUMBER
#line 3786 "DynareBison.yy"
                                       {driver.option_num("ms.vlistper",yystack_[0].value.as < string > ()); }
#line 7908 "DynareBison.cc"
    break;

  case 2060: // o_restriction_fname: RESTRICTION_FNAME EQUAL NAME
#line 3788 "DynareBison.yy"
                      {
                        driver.warning("restriction_fname is now deprecated, and may be removed in a future version of Dynare. Use svar_identification instead.");
                        driver.option_str("ms.restriction_fname",yystack_[0].value.as < string > ());
                      }
#line 7917 "DynareBison.cc"
    break;

  case 2061: // o_restriction_fname: RESTRICTION_FNAME EQUAL UPPER_CHOLESKY
#line 3793 "DynareBison.yy"
                      {
                        driver.warning("restriction_fname is now deprecated, and may be removed in a future version of Dynare. Use svar_identification instead.");
                        driver.option_str("ms.restriction_fname","upper_cholesky");
                      }
#line 7926 "DynareBison.cc"
    break;

  case 2062: // o_restriction_fname: RESTRICTION_FNAME EQUAL LOWER_CHOLESKY
#line 3798 "DynareBison.yy"
                      {
                        driver.warning("restriction_fname is now deprecated, and may be removed in a future version of Dynare. Use svar_identification instead.");
                        driver.option_str("ms.restriction_fname","lower_cholesky");
                      }
#line 7935 "DynareBison.cc"
    break;

  case 2063: // o_nlags: NLAGS EQUAL INT_NUMBER
#line 3803 "DynareBison.yy"
                                 {driver.option_num("ms.nlags",yystack_[0].value.as < string > ()); }
#line 7941 "DynareBison.cc"
    break;

  case 2064: // o_cross_restrictions: CROSS_RESTRICTIONS
#line 3804 "DynareBison.yy"
                                          {driver.option_num("ms.cross_restrictions","true"); }
#line 7947 "DynareBison.cc"
    break;

  case 2065: // o_contemp_reduced_form: CONTEMP_REDUCED_FORM
#line 3805 "DynareBison.yy"
                                              {driver.option_num("ms.contemp_reduced_form","true"); }
#line 7953 "DynareBison.cc"
    break;

  case 2066: // o_real_pseudo_forecast: REAL_PSEUDO_FORECAST EQUAL INT_NUMBER
#line 3806 "DynareBison.yy"
                                                               {driver.option_num("ms.real_pseudo_forecast",yystack_[0].value.as < string > ()); }
#line 7959 "DynareBison.cc"
    break;

  case 2067: // o_no_bayesian_prior: NO_BAYESIAN_PRIOR
#line 3807 "DynareBison.yy"
                                        {driver.option_num("ms.bayesian_prior","false"); }
#line 7965 "DynareBison.cc"
    break;

  case 2068: // o_dummy_obs: DUMMY_OBS EQUAL INT_NUMBER
#line 3808 "DynareBison.yy"
                                         {driver.option_num("ms.dummy_obs",yystack_[0].value.as < string > ()); }
#line 7971 "DynareBison.cc"
    break;

  case 2069: // o_nstates: NSTATES EQUAL INT_NUMBER
#line 3809 "DynareBison.yy"
                                     {driver.option_num("ms.nstates",yystack_[0].value.as < string > ()); }
#line 7977 "DynareBison.cc"
    break;

  case 2070: // o_indxscalesstates: INDXSCALESSTATES EQUAL INT_NUMBER
#line 3810 "DynareBison.yy"
                                                       {driver.option_num("ms.indxscalesstates",yystack_[0].value.as < string > ()); }
#line 7983 "DynareBison.cc"
    break;

  case 2071: // o_alpha: ALPHA EQUAL non_negative_number
#line 3811 "DynareBison.yy"
                                          {driver.option_num("ms.alpha",yystack_[0].value.as < string > ()); }
#line 7989 "DynareBison.cc"
    break;

  case 2072: // o_beta: BETA EQUAL non_negative_number
#line 3812 "DynareBison.yy"
                                        {driver.option_num("ms.beta",yystack_[0].value.as < string > ()); }
#line 7995 "DynareBison.cc"
    break;

  case 2073: // o_gsig2_lmdm: GSIG2_LMDM EQUAL INT_NUMBER
#line 3813 "DynareBison.yy"
                                           {driver.option_num("ms.gsig2_lmdm",yystack_[0].value.as < string > ()); }
#line 8001 "DynareBison.cc"
    break;

  case 2074: // o_specification: SPECIFICATION EQUAL SIMS_ZHA
#line 3815 "DynareBison.yy"
                  {driver.option_num("ms.specification","1"); }
#line 8007 "DynareBison.cc"
    break;

  case 2075: // o_specification: SPECIFICATION EQUAL NONE
#line 3817 "DynareBison.yy"
                  {driver.option_num("ms.specification","0"); }
#line 8013 "DynareBison.cc"
    break;

  case 2076: // o_q_diag: Q_DIAG EQUAL non_negative_number
#line 3819 "DynareBison.yy"
                                            {driver.option_num("ms.q_diag",yystack_[0].value.as < string > ()); }
#line 8019 "DynareBison.cc"
    break;

  case 2077: // o_flat_prior: FLAT_PRIOR EQUAL INT_NUMBER
#line 3820 "DynareBison.yy"
                                           {driver.option_num("ms.flat_prior",yystack_[0].value.as < string > ()); }
#line 8025 "DynareBison.cc"
    break;

  case 2078: // o_ncsk: NCSK EQUAL INT_NUMBER
#line 3821 "DynareBison.yy"
                               {driver.option_num("ms.ncsk",yystack_[0].value.as < string > ()); }
#line 8031 "DynareBison.cc"
    break;

  case 2079: // o_nstd: NSTD EQUAL INT_NUMBER
#line 3822 "DynareBison.yy"
                               {driver.option_num("ms.nstd",yystack_[0].value.as < string > ()); }
#line 8037 "DynareBison.cc"
    break;

  case 2080: // o_ninv: NINV EQUAL INT_NUMBER
#line 3823 "DynareBison.yy"
                               {driver.option_num("ms.ninv",yystack_[0].value.as < string > ()); }
#line 8043 "DynareBison.cc"
    break;

  case 2081: // o_indxparr: INDXPARR EQUAL INT_NUMBER
#line 3824 "DynareBison.yy"
                                       {driver.option_num("ms.indxparr",yystack_[0].value.as < string > ()); }
#line 8049 "DynareBison.cc"
    break;

  case 2082: // o_indxovr: INDXOVR EQUAL INT_NUMBER
#line 3825 "DynareBison.yy"
                                     {driver.option_num("ms.indxovr",yystack_[0].value.as < string > ()); }
#line 8055 "DynareBison.cc"
    break;

  case 2083: // o_aband: ABAND EQUAL INT_NUMBER
#line 3826 "DynareBison.yy"
                                 {driver.option_num("ms.aband",yystack_[0].value.as < string > ()); }
#line 8061 "DynareBison.cc"
    break;

  case 2084: // o_indxap: INDXAP EQUAL INT_NUMBER
#line 3827 "DynareBison.yy"
                                   {driver.option_num("ms.indxap",yystack_[0].value.as < string > ()); }
#line 8067 "DynareBison.cc"
    break;

  case 2085: // o_apband: APBAND EQUAL INT_NUMBER
#line 3828 "DynareBison.yy"
                                   {driver.option_num("ms.apband",yystack_[0].value.as < string > ()); }
#line 8073 "DynareBison.cc"
    break;

  case 2086: // o_indximf: INDXIMF EQUAL INT_NUMBER
#line 3829 "DynareBison.yy"
                                     {driver.option_num("ms.indximf",yystack_[0].value.as < string > ()); }
#line 8079 "DynareBison.cc"
    break;

  case 2087: // o_indxfore: INDXFORE EQUAL INT_NUMBER
#line 3830 "DynareBison.yy"
                                       {driver.option_num("ms.indxfore",yystack_[0].value.as < string > ()); }
#line 8085 "DynareBison.cc"
    break;

  case 2088: // o_foreband: FOREBAND EQUAL INT_NUMBER
#line 3831 "DynareBison.yy"
                                       {driver.option_num("ms.foreband",yystack_[0].value.as < string > ()); }
#line 8091 "DynareBison.cc"
    break;

  case 2089: // o_indxgforhat: INDXGFOREHAT EQUAL INT_NUMBER
#line 3832 "DynareBison.yy"
                                              {driver.option_num("ms.indxgforehat",yystack_[0].value.as < string > ()); }
#line 8097 "DynareBison.cc"
    break;

  case 2090: // o_indxgimfhat: INDXGIMFHAT EQUAL INT_NUMBER
#line 3833 "DynareBison.yy"
                                             {driver.option_num("ms.indxgimfhat",yystack_[0].value.as < string > ()); }
#line 8103 "DynareBison.cc"
    break;

  case 2091: // o_indxestima: INDXESTIMA EQUAL INT_NUMBER
#line 3834 "DynareBison.yy"
                                           {driver.option_num("ms.indxestima",yystack_[0].value.as < string > ()); }
#line 8109 "DynareBison.cc"
    break;

  case 2092: // o_indxgdls: INDXGDLS EQUAL INT_NUMBER
#line 3835 "DynareBison.yy"
                                       {driver.option_num("ms.indxgdls",yystack_[0].value.as < string > ()); }
#line 8115 "DynareBison.cc"
    break;

  case 2093: // o_eq_ms: EQ_MS EQUAL INT_NUMBER
#line 3836 "DynareBison.yy"
                                 {driver.option_num("ms.eq_ms",yystack_[0].value.as < string > ()); }
#line 8121 "DynareBison.cc"
    break;

  case 2094: // o_cms: CMS EQUAL INT_NUMBER
#line 3837 "DynareBison.yy"
                             {driver.option_num("ms.cms",yystack_[0].value.as < string > ()); }
#line 8127 "DynareBison.cc"
    break;

  case 2095: // o_ncms: NCMS EQUAL INT_NUMBER
#line 3838 "DynareBison.yy"
                               {driver.option_num("ms.ncms",yystack_[0].value.as < string > ()); }
#line 8133 "DynareBison.cc"
    break;

  case 2096: // o_eq_cms: EQ_CMS EQUAL INT_NUMBER
#line 3839 "DynareBison.yy"
                                   {driver.option_num("ms.eq_cms",yystack_[0].value.as < string > ()); }
#line 8139 "DynareBison.cc"
    break;

  case 2097: // o_tlindx: TLINDX EQUAL INT_NUMBER
#line 3840 "DynareBison.yy"
                                   {driver.option_num("ms.tlindx",yystack_[0].value.as < string > ()); }
#line 8145 "DynareBison.cc"
    break;

  case 2098: // o_tlnumber: TLNUMBER EQUAL INT_NUMBER
#line 3841 "DynareBison.yy"
                                       {driver.option_num("ms.tlnumber",yystack_[0].value.as < string > ()); }
#line 8151 "DynareBison.cc"
    break;

  case 2099: // o_cnum: CNUM EQUAL INT_NUMBER
#line 3842 "DynareBison.yy"
                               {driver.option_num("ms.cnum",yystack_[0].value.as < string > ()); }
#line 8157 "DynareBison.cc"
    break;

  case 2100: // o_k_order_solver: K_ORDER_SOLVER
#line 3843 "DynareBison.yy"
                                  {driver.option_num("k_order_solver","true"); }
#line 8163 "DynareBison.cc"
    break;

  case 2101: // o_pruning: PRUNING
#line 3844 "DynareBison.yy"
                    { driver.option_num("pruning", "true"); }
#line 8169 "DynareBison.cc"
    break;

  case 2102: // o_chain: CHAIN EQUAL INT_NUMBER
#line 3845 "DynareBison.yy"
                                 { driver.option_num("ms.chain",yystack_[0].value.as < string > ()); }
#line 8175 "DynareBison.cc"
    break;

  case 2103: // o_restrictions: RESTRICTIONS EQUAL vec_of_vec_value
#line 3847 "DynareBison.yy"
                 { driver.option_num("ms.restrictions",yystack_[0].value.as < string > ()); }
#line 8181 "DynareBison.cc"
    break;

  case 2104: // o_duration: DURATION EQUAL non_negative_number
#line 3850 "DynareBison.yy"
             { driver.option_num("ms.duration",yystack_[0].value.as < string > ()); }
#line 8187 "DynareBison.cc"
    break;

  case 2105: // o_duration: DURATION EQUAL vec_value_w_inf
#line 3852 "DynareBison.yy"
             { driver.option_num("ms.duration",yystack_[0].value.as < string > ()); }
#line 8193 "DynareBison.cc"
    break;

  case 2106: // o_number_of_regimes: NUMBER_OF_REGIMES EQUAL INT_NUMBER
#line 3854 "DynareBison.yy"
                                                         { driver.option_num("ms.number_of_regimes",yystack_[0].value.as < string > ()); }
#line 8199 "DynareBison.cc"
    break;

  case 2107: // o_number_of_lags: NUMBER_OF_LAGS EQUAL INT_NUMBER
#line 3855 "DynareBison.yy"
                                                   { driver.option_num("ms.number_of_lags",yystack_[0].value.as < string > ()); }
#line 8205 "DynareBison.cc"
    break;

  case 2108: // o_parameters: PARAMETERS EQUAL '[' symbol_list ']'
#line 3856 "DynareBison.yy"
                                                    { driver.option_symbol_list("ms.parameters"); }
#line 8211 "DynareBison.cc"
    break;

  case 2109: // o_coefficients: COEFFICIENTS
#line 3857 "DynareBison.yy"
                              { driver.option_str("ms.coefficients","svar_coefficients"); }
#line 8217 "DynareBison.cc"
    break;

  case 2110: // o_variances: VARIANCES
#line 3858 "DynareBison.yy"
                        { driver.option_str("ms.variances","svar_variances"); }
#line 8223 "DynareBison.cc"
    break;

  case 2111: // o_equations: EQUATIONS EQUAL vec_int
#line 3860 "DynareBison.yy"
              { driver.option_vec_int("ms.equations",yystack_[0].value.as < vector<int> > ()); }
#line 8229 "DynareBison.cc"
    break;

  case 2112: // o_equations: EQUATIONS EQUAL vec_int_number
#line 3862 "DynareBison.yy"
              { driver.option_vec_int("ms.equations",yystack_[0].value.as < vector<int> > ()); }
#line 8235 "DynareBison.cc"
    break;

  case 2113: // o_silent_optimizer: SILENT_OPTIMIZER
#line 3864 "DynareBison.yy"
                                      { driver.option_num("silent_optimizer", "true"); }
#line 8241 "DynareBison.cc"
    break;

  case 2114: // o_instruments: INSTRUMENTS EQUAL '(' symbol_list ')'
#line 3865 "DynareBison.yy"
                                                      {driver.option_symbol_list("instruments"); }
#line 8247 "DynareBison.cc"
    break;

  case 2115: // o_ext_func_name: EXT_FUNC_NAME EQUAL namespace_qualified_filename
#line 3867 "DynareBison.yy"
                                                                   { driver.external_function_option("name", yystack_[0].value.as < string > ()); }
#line 8253 "DynareBison.cc"
    break;

  case 2116: // o_ext_func_nargs: EXT_FUNC_NARGS EQUAL INT_NUMBER
#line 3868 "DynareBison.yy"
                                                   { driver.external_function_option("nargs",yystack_[0].value.as < string > ()); }
#line 8259 "DynareBison.cc"
    break;

  case 2117: // o_first_deriv_provided: FIRST_DERIV_PROVIDED EQUAL namespace_qualified_filename
#line 3870 "DynareBison.yy"
                         { driver.external_function_option("first_deriv_provided", yystack_[0].value.as < string > ()); }
#line 8265 "DynareBison.cc"
    break;

  case 2118: // o_first_deriv_provided: FIRST_DERIV_PROVIDED
#line 3872 "DynareBison.yy"
                         { driver.external_function_option("first_deriv_provided", ""); }
#line 8271 "DynareBison.cc"
    break;

  case 2119: // o_second_deriv_provided: SECOND_DERIV_PROVIDED EQUAL namespace_qualified_filename
#line 3875 "DynareBison.yy"
                          { driver.external_function_option("second_deriv_provided", yystack_[0].value.as < string > ()); }
#line 8277 "DynareBison.cc"
    break;

  case 2120: // o_second_deriv_provided: SECOND_DERIV_PROVIDED
#line 3877 "DynareBison.yy"
                          { driver.external_function_option("second_deriv_provided", ""); }
#line 8283 "DynareBison.cc"
    break;

  case 2121: // o_filter_covariance: FILTER_COVARIANCE
#line 3880 "DynareBison.yy"
                        { driver.option_num("filter_covariance","true");}
#line 8289 "DynareBison.cc"
    break;

  case 2122: // o_filter_decomposition: FILTER_DECOMPOSITION
#line 3883 "DynareBison.yy"
                           { driver.option_num("filter_decomposition","true");}
#line 8295 "DynareBison.cc"
    break;

  case 2123: // o_smoothed_state_uncertainty: SMOOTHED_STATE_UNCERTAINTY
#line 3886 "DynareBison.yy"
                           { driver.option_num("smoothed_state_uncertainty","true");}
#line 8301 "DynareBison.cc"
    break;

  case 2124: // o_smoother_redux: SMOOTHER_REDUX
#line 3889 "DynareBison.yy"
                           { driver.option_num("smoother_redux","true");}
#line 8307 "DynareBison.cc"
    break;

  case 2125: // o_selected_variables_only: SELECTED_VARIABLES_ONLY
#line 3892 "DynareBison.yy"
                           { driver.option_num("selected_variables_only","true");}
#line 8313 "DynareBison.cc"
    break;

  case 2126: // o_cova_compute: COVA_COMPUTE EQUAL INT_NUMBER
#line 3895 "DynareBison.yy"
                 { driver.option_num("cova_compute",yystack_[0].value.as < string > ());}
#line 8319 "DynareBison.cc"
    break;

  case 2127: // o_output_file_tag: OUTPUT_FILE_TAG EQUAL filename
#line 3897 "DynareBison.yy"
                                                   {driver.option_str("ms.output_file_tag", yystack_[0].value.as < string > ()); }
#line 8325 "DynareBison.cc"
    break;

  case 2128: // o_file_tag: FILE_TAG EQUAL filename
#line 3898 "DynareBison.yy"
                                     { driver.option_str("ms.file_tag", yystack_[0].value.as < string > ()); }
#line 8331 "DynareBison.cc"
    break;

  case 2129: // o_no_create_init: NO_CREATE_INIT
#line 3899 "DynareBison.yy"
                                  { driver.option_num("ms.create_init", "false"); }
#line 8337 "DynareBison.cc"
    break;

  case 2130: // o_simulation_file_tag: SIMULATION_FILE_TAG EQUAL filename
#line 3900 "DynareBison.yy"
                                                           { driver.option_str("ms.simulation_file_tag", yystack_[0].value.as < string > ()); }
#line 8343 "DynareBison.cc"
    break;

  case 2131: // o_coefficients_prior_hyperparameters: COEFFICIENTS_PRIOR_HYPERPARAMETERS EQUAL vec_value
#line 3902 "DynareBison.yy"
                                       { driver.option_num("ms.coefficients_prior_hyperparameters",yystack_[0].value.as < string > ()); }
#line 8349 "DynareBison.cc"
    break;

  case 2132: // o_convergence_starting_value: CONVERGENCE_STARTING_VALUE EQUAL non_negative_number
#line 3904 "DynareBison.yy"
                               { driver.option_num("ms.convergence_starting_value",yystack_[0].value.as < string > ()); }
#line 8355 "DynareBison.cc"
    break;

  case 2133: // o_convergence_ending_value: CONVERGENCE_ENDING_VALUE EQUAL non_negative_number
#line 3906 "DynareBison.yy"
                             { driver.option_num("ms.convergence_ending_value",yystack_[0].value.as < string > ()); }
#line 8361 "DynareBison.cc"
    break;

  case 2134: // o_convergence_increment_value: CONVERGENCE_INCREMENT_VALUE EQUAL non_negative_number
#line 3908 "DynareBison.yy"
                                { driver.option_num("ms.convergence_increment_value",yystack_[0].value.as < string > ()); }
#line 8367 "DynareBison.cc"
    break;

  case 2135: // o_max_iterations_starting_value: MAX_ITERATIONS_STARTING_VALUE EQUAL INT_NUMBER
#line 3910 "DynareBison.yy"
                                  { driver.option_num("ms.max_iterations_starting_value",yystack_[0].value.as < string > ()); }
#line 8373 "DynareBison.cc"
    break;

  case 2136: // o_max_iterations_increment_value: MAX_ITERATIONS_INCREMENT_VALUE EQUAL non_negative_number
#line 3912 "DynareBison.yy"
                                   { driver.option_num("ms.max_iterations_increment_value",yystack_[0].value.as < string > ()); }
#line 8379 "DynareBison.cc"
    break;

  case 2137: // o_max_block_iterations: MAX_BLOCK_ITERATIONS EQUAL INT_NUMBER
#line 3914 "DynareBison.yy"
                         { driver.option_num("ms.max_block_iterations",yystack_[0].value.as < string > ()); }
#line 8385 "DynareBison.cc"
    break;

  case 2138: // o_max_repeated_optimization_runs: MAX_REPEATED_OPTIMIZATION_RUNS EQUAL INT_NUMBER
#line 3916 "DynareBison.yy"
                                   { driver.option_num("ms.max_repeated_optimization_runs",yystack_[0].value.as < string > ()); }
#line 8391 "DynareBison.cc"
    break;

  case 2139: // o_function_convergence_criterion: FUNCTION_CONVERGENCE_CRITERION EQUAL non_negative_number
#line 3918 "DynareBison.yy"
                                   { driver.option_num("ms.function_convergence_criterion",yystack_[0].value.as < string > ()); }
#line 8397 "DynareBison.cc"
    break;

  case 2140: // o_parameter_convergence_criterion: PARAMETER_CONVERGENCE_CRITERION EQUAL non_negative_number
#line 3920 "DynareBison.yy"
                                    { driver.option_num("ms.parameter_convergence_criterion",yystack_[0].value.as < string > ()); }
#line 8403 "DynareBison.cc"
    break;

  case 2141: // o_number_of_large_perturbations: NUMBER_OF_LARGE_PERTURBATIONS EQUAL INT_NUMBER
#line 3922 "DynareBison.yy"
                                  { driver.option_num("ms.number_of_large_perturbations",yystack_[0].value.as < string > ()); }
#line 8409 "DynareBison.cc"
    break;

  case 2142: // o_number_of_small_perturbations: NUMBER_OF_SMALL_PERTURBATIONS EQUAL INT_NUMBER
#line 3924 "DynareBison.yy"
                                  { driver.option_num("ms.number_of_small_perturbations",yystack_[0].value.as < string > ()); }
#line 8415 "DynareBison.cc"
    break;

  case 2143: // o_number_of_posterior_draws_after_perturbation: NUMBER_OF_POSTERIOR_DRAWS_AFTER_PERTURBATION EQUAL INT_NUMBER
#line 3926 "DynareBison.yy"
                                                 { driver.option_num("ms.number_of_posterior_draws_after_perturbation",yystack_[0].value.as < string > ()); }
#line 8421 "DynareBison.cc"
    break;

  case 2144: // o_max_number_of_stages: MAX_NUMBER_OF_STAGES EQUAL INT_NUMBER
#line 3928 "DynareBison.yy"
                         { driver.option_num("ms.max_number_of_stages",yystack_[0].value.as < string > ()); }
#line 8427 "DynareBison.cc"
    break;

  case 2145: // o_random_function_convergence_criterion: RANDOM_FUNCTION_CONVERGENCE_CRITERION EQUAL non_negative_number
#line 3930 "DynareBison.yy"
                                          { driver.option_num("ms.random_function_convergence_criterion",yystack_[0].value.as < string > ()); }
#line 8433 "DynareBison.cc"
    break;

  case 2146: // o_random_parameter_convergence_criterion: RANDOM_PARAMETER_CONVERGENCE_CRITERION EQUAL non_negative_number
#line 3932 "DynareBison.yy"
                                           { driver.option_num("ms.random_parameter_convergence_criterion",yystack_[0].value.as < string > ()); }
#line 8439 "DynareBison.cc"
    break;

  case 2147: // o_thinning_factor: THINNING_FACTOR EQUAL INT_NUMBER
#line 3933 "DynareBison.yy"
                                                     { driver.option_num("ms.thinning_factor",yystack_[0].value.as < string > ()); }
#line 8445 "DynareBison.cc"
    break;

  case 2148: // o_adaptive_mh_draws: ADAPTIVE_MH_DRAWS EQUAL INT_NUMBER
#line 3934 "DynareBison.yy"
                                                         { driver.option_num("ms.adaptive_mh_draws",yystack_[0].value.as < string > ()); }
#line 8451 "DynareBison.cc"
    break;

  case 2149: // o_save_draws: SAVE_DRAWS
#line 3935 "DynareBison.yy"
                          { driver.option_num("ms.save_draws","true"); }
#line 8457 "DynareBison.cc"
    break;

  case 2150: // o_proposal_draws: PROPOSAL_DRAWS EQUAL INT_NUMBER
#line 3936 "DynareBison.yy"
                                                   { driver.option_num("ms.proposal_draws",yystack_[0].value.as < string > ()); }
#line 8463 "DynareBison.cc"
    break;

  case 2151: // o_use_mean_center: USE_MEAN_CENTER
#line 3937 "DynareBison.yy"
                                    { driver.option_num("ms.use_mean_center","true"); }
#line 8469 "DynareBison.cc"
    break;

  case 2152: // o_proposal_type: PROPOSAL_TYPE EQUAL INT_NUMBER
#line 3938 "DynareBison.yy"
                                                 { driver.option_num("ms.proposal_type",yystack_[0].value.as < string > ()); }
#line 8475 "DynareBison.cc"
    break;

  case 2153: // o_proposal_lower_bound: PROPOSAL_LOWER_BOUND EQUAL signed_number
#line 3939 "DynareBison.yy"
                                                                  { driver.option_num("ms.proposal_lower_bound",yystack_[0].value.as < string > ()); }
#line 8481 "DynareBison.cc"
    break;

  case 2154: // o_proposal_upper_bound: PROPOSAL_UPPER_BOUND EQUAL signed_number
#line 3940 "DynareBison.yy"
                                                                  { driver.option_num("ms.proposal_upper_bound",yystack_[0].value.as < string > ()); }
#line 8487 "DynareBison.cc"
    break;

  case 2155: // o_parameter_uncertainty: PARAMETER_UNCERTAINTY
#line 3941 "DynareBison.yy"
                                                { driver.option_num("ms.parameter_uncertainty","true"); }
#line 8493 "DynareBison.cc"
    break;

  case 2156: // o_horizon: HORIZON EQUAL INT_NUMBER
#line 3942 "DynareBison.yy"
                                     { driver.option_num("ms.horizon",yystack_[0].value.as < string > ()); }
#line 8499 "DynareBison.cc"
    break;

  case 2157: // o_filtered_probabilities: FILTERED_PROBABILITIES
#line 3943 "DynareBison.yy"
                                                  { driver.option_num("ms.filtered_probabilities","true"); }
#line 8505 "DynareBison.cc"
    break;

  case 2158: // o_real_time_smoothed: REAL_TIME_SMOOTHED
#line 3944 "DynareBison.yy"
                                          { driver.option_num("ms.real_time_smoothed_probabilities","true"); }
#line 8511 "DynareBison.cc"
    break;

  case 2159: // o_no_error_bands: NO_ERROR_BANDS
#line 3945 "DynareBison.yy"
                                  { driver.option_num("ms.error_bands","false"); }
#line 8517 "DynareBison.cc"
    break;

  case 2160: // o_error_band_percentiles: ERROR_BAND_PERCENTILES EQUAL vec_value
#line 3946 "DynareBison.yy"
                                                                  { driver.option_num("ms.percentiles",yystack_[0].value.as < string > ()); }
#line 8523 "DynareBison.cc"
    break;

  case 2161: // o_shock_draws: SHOCK_DRAWS EQUAL INT_NUMBER
#line 3947 "DynareBison.yy"
                                             { driver.option_num("ms.shock_draws",yystack_[0].value.as < string > ()); }
#line 8529 "DynareBison.cc"
    break;

  case 2162: // o_shocks_per_parameter: SHOCKS_PER_PARAMETER EQUAL INT_NUMBER
#line 3948 "DynareBison.yy"
                                                               { driver.option_num("ms.shocks_per_parameter",yystack_[0].value.as < string > ()); }
#line 8535 "DynareBison.cc"
    break;

  case 2163: // o_free_parameters: FREE_PARAMETERS EQUAL vec_value
#line 3949 "DynareBison.yy"
                                                    { driver.option_num("ms.free_parameters",yystack_[0].value.as < string > ()); }
#line 8541 "DynareBison.cc"
    break;

  case 2164: // o_median: MEDIAN
#line 3950 "DynareBison.yy"
                  { driver.option_num("ms.median","1"); }
#line 8547 "DynareBison.cc"
    break;

  case 2165: // o_median: MEDIAN EQUAL signed_number
#line 3951 "DynareBison.yy"
                                      { driver.option_num("median", yystack_[0].value.as < string > ()); }
#line 8553 "DynareBison.cc"
    break;

  case 2166: // o_regimes: REGIMES
#line 3952 "DynareBison.yy"
                    { driver.option_num("ms.regimes","true"); }
#line 8559 "DynareBison.cc"
    break;

  case 2167: // o_regime: REGIME EQUAL INT_NUMBER
#line 3953 "DynareBison.yy"
                                   { driver.option_num("ms.regime",yystack_[0].value.as < string > ()); }
#line 8565 "DynareBison.cc"
    break;

  case 2168: // o_data_obs_nbr: DATA_OBS_NBR EQUAL INT_NUMBER
#line 3954 "DynareBison.yy"
                                               { driver.option_num("ms.forecast_data_obs",yystack_[0].value.as < string > ()); }
#line 8571 "DynareBison.cc"
    break;

  case 2169: // o_discretionary_tol: DISCRETIONARY_TOL EQUAL non_negative_number
#line 3955 "DynareBison.yy"
                                                                 { driver.option_num("discretionary_tol",yystack_[0].value.as < string > ()); }
#line 8577 "DynareBison.cc"
    break;

  case 2170: // o_analytic_derivation: ANALYTIC_DERIVATION
#line 3956 "DynareBison.yy"
                                            { driver.option_num("analytic_derivation", "1"); }
#line 8583 "DynareBison.cc"
    break;

  case 2171: // o_analytic_derivation_mode: ANALYTIC_DERIVATION_MODE EQUAL signed_number
#line 3957 "DynareBison.yy"
                                                                          { driver.option_num("analytic_derivation_mode", yystack_[0].value.as < string > ()); }
#line 8589 "DynareBison.cc"
    break;

  case 2172: // o_endogenous_prior: ENDOGENOUS_PRIOR
#line 3958 "DynareBison.yy"
                                      { driver.option_num("endogenous_prior", "true"); }
#line 8595 "DynareBison.cc"
    break;

  case 2173: // o_use_univariate_filters_if_singularity_is_detected: USE_UNIVARIATE_FILTERS_IF_SINGULARITY_IS_DETECTED EQUAL INT_NUMBER
#line 3959 "DynareBison.yy"
                                                                                                                         { driver.option_num("use_univariate_filters_if_singularity_is_detected", yystack_[0].value.as < string > ()); }
#line 8601 "DynareBison.cc"
    break;

  case 2174: // o_mcmc_jumping_covariance: MCMC_JUMPING_COVARIANCE EQUAL HESSIAN
#line 3961 "DynareBison.yy"
                            { driver.option_str("MCMC_jumping_covariance", yystack_[0].value.as < string > ()); }
#line 8607 "DynareBison.cc"
    break;

  case 2175: // o_mcmc_jumping_covariance: MCMC_JUMPING_COVARIANCE EQUAL PRIOR_VARIANCE
#line 3962 "DynareBison.yy"
                            { driver.option_str("MCMC_jumping_covariance", yystack_[0].value.as < string > ()); }
#line 8613 "DynareBison.cc"
    break;

  case 2176: // o_mcmc_jumping_covariance: MCMC_JUMPING_COVARIANCE EQUAL IDENTITY_MATRIX
#line 3964 "DynareBison.yy"
                            { driver.option_str("MCMC_jumping_covariance", yystack_[0].value.as < string > ()); }
#line 8619 "DynareBison.cc"
    break;

  case 2177: // o_mcmc_jumping_covariance: MCMC_JUMPING_COVARIANCE EQUAL filename
#line 3966 "DynareBison.yy"
                            { driver.option_str("MCMC_jumping_covariance", yystack_[0].value.as < string > ()); }
#line 8625 "DynareBison.cc"
    break;

  case 2178: // o_rescale_prediction_error_covariance: RESCALE_PREDICTION_ERROR_COVARIANCE
#line 3968 "DynareBison.yy"
                                                                            { driver.option_num("rescale_prediction_error_covariance", "true"); }
#line 8631 "DynareBison.cc"
    break;

  case 2179: // o_use_penalized_objective_for_hessian: USE_PENALIZED_OBJECTIVE_FOR_HESSIAN
#line 3969 "DynareBison.yy"
                                                                            { driver.option_num("hessian.use_penalized_objective","true"); }
#line 8637 "DynareBison.cc"
    break;

  case 2180: // o_irf_plot_threshold: IRF_PLOT_THRESHOLD EQUAL non_negative_number
#line 3970 "DynareBison.yy"
                                                                    { driver.option_num("impulse_responses.plot_threshold", yystack_[0].value.as < string > ()); }
#line 8643 "DynareBison.cc"
    break;

  case 2181: // o_dr_display_tol: DR_DISPLAY_TOL EQUAL non_negative_number
#line 3971 "DynareBison.yy"
                                                            { driver.option_num("dr_display_tol", yystack_[0].value.as < string > ()); }
#line 8649 "DynareBison.cc"
    break;

  case 2182: // o_consider_all_endogenous: CONSIDER_ALL_ENDOGENOUS
#line 3972 "DynareBison.yy"
                                                    { driver.option_str("endo_vars_for_moment_computations_in_estimation", "all_endogenous_variables"); }
#line 8655 "DynareBison.cc"
    break;

  case 2183: // o_consider_all_endogenous_and_auxiliary: CONSIDER_ALL_ENDOGENOUS_AND_AUXILIARY
#line 3973 "DynareBison.yy"
                                                                                { driver.option_str("endo_vars_for_moment_computations_in_estimation", "all_endogenous_and_auxiliary_variables"); }
#line 8661 "DynareBison.cc"
    break;

  case 2184: // o_consider_only_observed: CONSIDER_ONLY_OBSERVED
#line 3974 "DynareBison.yy"
                                                  { driver.option_str("endo_vars_for_moment_computations_in_estimation", "only_observed_variables"); }
#line 8667 "DynareBison.cc"
    break;

  case 2185: // o_no_homotopy: NO_HOMOTOPY
#line 3975 "DynareBison.yy"
                            { driver.option_num("no_homotopy", "true"); }
#line 8673 "DynareBison.cc"
    break;

  case 2186: // o_infile: INFILE EQUAL filename
#line 3977 "DynareBison.yy"
                                 { driver.option_str("infile", yystack_[0].value.as < string > ()); }
#line 8679 "DynareBison.cc"
    break;

  case 2187: // o_invars: INVARS EQUAL '(' symbol_list ')'
#line 3978 "DynareBison.yy"
                                            { driver.option_symbol_list("invars"); }
#line 8685 "DynareBison.cc"
    break;

  case 2188: // o_period: PERIOD EQUAL INT_NUMBER
#line 3979 "DynareBison.yy"
                                   { driver.option_num("period", yystack_[0].value.as < string > ()); }
#line 8691 "DynareBison.cc"
    break;

  case 2189: // o_outfile: OUTFILE EQUAL filename
#line 3980 "DynareBison.yy"
                                   { driver.option_str("outfile", yystack_[0].value.as < string > ()); }
#line 8697 "DynareBison.cc"
    break;

  case 2190: // o_outvars: OUTVARS EQUAL '(' symbol_list ')'
#line 3981 "DynareBison.yy"
                                              { driver.option_symbol_list("outvars"); }
#line 8703 "DynareBison.cc"
    break;

  case 2191: // o_lmmcp: LMMCP
#line 3982 "DynareBison.yy"
                {driver.option_num("lmmcp.status", "true"); }
#line 8709 "DynareBison.cc"
    break;

  case 2192: // o_function: FUNCTION EQUAL filename
#line 3983 "DynareBison.yy"
                                     { driver.option_str("function", yystack_[0].value.as < string > ()); }
#line 8715 "DynareBison.cc"
    break;

  case 2193: // o_sampling_draws: SAMPLING_DRAWS EQUAL INT_NUMBER
#line 3984 "DynareBison.yy"
                                                   { driver.option_num("sampling_draws",yystack_[0].value.as < string > ()); }
#line 8721 "DynareBison.cc"
    break;

  case 2194: // o_use_shock_groups: USE_SHOCK_GROUPS
#line 3985 "DynareBison.yy"
                                      { driver.option_str("plot_shock_decomp.use_shock_groups","default"); }
#line 8727 "DynareBison.cc"
    break;

  case 2195: // o_use_shock_groups: USE_SHOCK_GROUPS EQUAL symbol
#line 3986 "DynareBison.yy"
                                                   { driver.option_str("plot_shock_decomp.use_shock_groups", yystack_[0].value.as < string > ()); }
#line 8733 "DynareBison.cc"
    break;

  case 2196: // o_colormap: COLORMAP EQUAL symbol
#line 3988 "DynareBison.yy"
                                   { driver.option_num("plot_shock_decomp.colormap",yystack_[0].value.as < string > ()); }
#line 8739 "DynareBison.cc"
    break;

  case 2197: // o_icd_colormap: COLORMAP EQUAL symbol
#line 3989 "DynareBison.yy"
                                       { driver.option_num("initial_condition_decomp.colormap",yystack_[0].value.as < string > ()); }
#line 8745 "DynareBison.cc"
    break;

  case 2198: // o_no_init_estimation_check_first_obs: NO_INIT_ESTIMATION_CHECK_FIRST_OBS
#line 3990 "DynareBison.yy"
                                                                          { driver.option_num("no_init_estimation_check_first_obs", "true"); }
#line 8751 "DynareBison.cc"
    break;

  case 2199: // o_heteroskedastic_filter: HETEROSKEDASTIC_FILTER
#line 3991 "DynareBison.yy"
                                                  { driver.option_num("heteroskedastic_filter", "true"); }
#line 8757 "DynareBison.cc"
    break;

  case 2200: // o_pfwee_terminal_steady_state_as_guess_value: TERMINAL_STEADY_STATE_AS_GUESS_VALUE
#line 3992 "DynareBison.yy"
                                                                                    { driver.option_num("pfwee.terminal_steady_state_as_guess_value", "true"); }
#line 8763 "DynareBison.cc"
    break;

  case 2201: // o_bartlett_kernel_lag: BARTLETT_KERNEL_LAG EQUAL INT_NUMBER
#line 3995 "DynareBison.yy"
                                                             { driver.option_num("mom.bartlett_kernel_lag", yystack_[0].value.as < string > ()); }
#line 8769 "DynareBison.cc"
    break;

  case 2202: // o_weighting_matrix: WEIGHTING_MATRIX EQUAL vec_str
#line 3997 "DynareBison.yy"
                                                    { driver.option_vec_cellstr("mom.weighting_matrix", yystack_[0].value.as < vector<string> > ()); }
#line 8775 "DynareBison.cc"
    break;

  case 2203: // o_weighting_matrix_scaling_factor: WEIGHTING_MATRIX_SCALING_FACTOR EQUAL non_negative_number
#line 3999 "DynareBison.yy"
                                                                                              { driver.option_num("mom.weighting_matrix_scaling_factor", yystack_[0].value.as < string > ()); }
#line 8781 "DynareBison.cc"
    break;

  case 2204: // o_analytic_standard_errors: ANALYTIC_STANDARD_ERRORS
#line 4001 "DynareBison.yy"
                                                      { driver.option_num("mom.analytic_standard_errors", "true"); }
#line 8787 "DynareBison.cc"
    break;

  case 2205: // o_analytic_jacobian: ANALYTIC_JACOBIAN
#line 4003 "DynareBison.yy"
                                        { driver.option_num("mom.analytic_jacobian", "true"); }
#line 8793 "DynareBison.cc"
    break;

  case 2206: // o_mom_method: MOM_METHOD EQUAL GMM
#line 4006 "DynareBison.yy"
               { driver.option_str("mom.mom_method", "GMM"); }
#line 8799 "DynareBison.cc"
    break;

  case 2207: // o_mom_method: MOM_METHOD EQUAL SMM
#line 4008 "DynareBison.yy"
               { driver.option_str("mom.mom_method", "SMM"); }
#line 8805 "DynareBison.cc"
    break;

  case 2208: // o_penalized_estimator: PENALIZED_ESTIMATOR
#line 4010 "DynareBison.yy"
                                            { driver.option_num("mom.penalized_estimator", "true"); }
#line 8811 "DynareBison.cc"
    break;

  case 2209: // o_verbose: VERBOSE
#line 4011 "DynareBison.yy"
                    { driver.option_num("mom.verbose", "true"); }
#line 8817 "DynareBison.cc"
    break;

  case 2210: // o_simulation_multiple: SIMULATION_MULTIPLE EQUAL INT_NUMBER
#line 4013 "DynareBison.yy"
                                                             { driver.option_num("mom.simulation_multiple", yystack_[0].value.as < string > ()); }
#line 8823 "DynareBison.cc"
    break;

  case 2211: // o_mom_burnin: BURNIN EQUAL INT_NUMBER
#line 4014 "DynareBison.yy"
                                       { driver.option_num("mom.burnin", yystack_[0].value.as < string > ()); }
#line 8829 "DynareBison.cc"
    break;

  case 2212: // o_bounded_shock_support: BOUNDED_SHOCK_SUPPORT
#line 4015 "DynareBison.yy"
                                                { driver.option_num("mom.bounded_shock_support", "true"); }
#line 8835 "DynareBison.cc"
    break;

  case 2213: // o_mom_seed: SEED EQUAL INT_NUMBER
#line 4016 "DynareBison.yy"
                                   { driver.option_num("mom.seed", yystack_[0].value.as < string > ()); }
#line 8841 "DynareBison.cc"
    break;

  case 2214: // o_additional_optimizer_steps: ADDITIONAL_OPTIMIZER_STEPS EQUAL vec_int
#line 4017 "DynareBison.yy"
                                                                        { driver.option_vec_int("additional_optimizer_steps", yystack_[0].value.as < vector<int> > ()); }
#line 8847 "DynareBison.cc"
    break;

  case 2215: // o_mom_se_tolx: SE_TOLX EQUAL non_negative_number
#line 4019 "DynareBison.yy"
                                                  { driver.option_num("mom.se_tolx", yystack_[0].value.as < string > ()); }
#line 8853 "DynareBison.cc"
    break;

  case 2216: // o_analytical_girf: ANALYTICAL_GIRF
#line 4021 "DynareBison.yy"
                                    { driver.option_num("irf_opt.analytical_GIRF", "true"); }
#line 8859 "DynareBison.cc"
    break;

  case 2217: // o_irf_in_percent: IRF_IN_PERCENT
#line 4022 "DynareBison.yy"
                                  { driver.option_num("irf_opt.percent", "true"); }
#line 8865 "DynareBison.cc"
    break;

  case 2218: // o_emas_girf: EMAS_GIRF
#line 4023 "DynareBison.yy"
                        { driver.option_num("irf_opt.ergodic_mean_irf", "true"); }
#line 8871 "DynareBison.cc"
    break;

  case 2219: // o_emas_drop: EMAS_DROP EQUAL INT_NUMBER
#line 4024 "DynareBison.yy"
                                         { driver.option_num("irf_opt.EM.drop", yystack_[0].value.as < string > ()); }
#line 8877 "DynareBison.cc"
    break;

  case 2220: // o_emas_tolf: EMAS_TOLF EQUAL non_negative_number
#line 4025 "DynareBison.yy"
                                                  { driver.option_num("irf_opt.EM.tolf", yystack_[0].value.as < string > ()); }
#line 8883 "DynareBison.cc"
    break;

  case 2221: // o_emas_max_iter: EMAS_MAX_ITER EQUAL INT_NUMBER
#line 4026 "DynareBison.yy"
                                                 { driver.option_num("irf_opt.EM.iter", yystack_[0].value.as < string > ()); }
#line 8889 "DynareBison.cc"
    break;

  case 2222: // o_no_identification_strength: NO_IDENTIFICATION_STRENGTH
#line 4029 "DynareBison.yy"
                                                          { driver.option_num("no_identification_strength", "true"); }
#line 8895 "DynareBison.cc"
    break;

  case 2223: // o_no_identification_reducedform: NO_IDENTIFICATION_REDUCEDFORM
#line 4030 "DynareBison.yy"
                                                                { driver.option_num("no_identification_reducedform", "true"); }
#line 8901 "DynareBison.cc"
    break;

  case 2224: // o_no_identification_moments: NO_IDENTIFICATION_MOMENTS
#line 4031 "DynareBison.yy"
                                                        { driver.option_num("no_identification_moments", "true"); }
#line 8907 "DynareBison.cc"
    break;

  case 2225: // o_no_identification_minimal: NO_IDENTIFICATION_MINIMAL
#line 4032 "DynareBison.yy"
                                                        { driver.option_num("no_identification_minimal", "true"); }
#line 8913 "DynareBison.cc"
    break;

  case 2226: // o_no_identification_spectrum: NO_IDENTIFICATION_SPECTRUM
#line 4033 "DynareBison.yy"
                                                          { driver.option_num("no_identification_spectrum", "true"); }
#line 8919 "DynareBison.cc"
    break;

  case 2227: // o_normalize_jacobians: NORMALIZE_JACOBIANS EQUAL INT_NUMBER
#line 4034 "DynareBison.yy"
                                                             { driver.option_num("normalize_jacobians", yystack_[0].value.as < string > ()); }
#line 8925 "DynareBison.cc"
    break;

  case 2228: // o_grid_nbr: GRID_NBR EQUAL INT_NUMBER
#line 4035 "DynareBison.yy"
                                       { driver.option_num("grid_nbr", yystack_[0].value.as < string > ()); }
#line 8931 "DynareBison.cc"
    break;

  case 2229: // o_tol_rank: TOL_RANK EQUAL non_negative_number
#line 4036 "DynareBison.yy"
                                                { driver.option_num("tol_rank", yystack_[0].value.as < string > ()); }
#line 8937 "DynareBison.cc"
    break;

  case 2230: // o_tol_deriv: TOL_DERIV EQUAL non_negative_number
#line 4037 "DynareBison.yy"
                                                  { driver.option_num("tol_deriv", yystack_[0].value.as < string > ()); }
#line 8943 "DynareBison.cc"
    break;

  case 2231: // o_tol_sv: TOL_SV EQUAL non_negative_number
#line 4038 "DynareBison.yy"
                                            { driver.option_num("tol_sv", yystack_[0].value.as < string > ()); }
#line 8949 "DynareBison.cc"
    break;

  case 2232: // o_checks_via_subsets: CHECKS_VIA_SUBSETS EQUAL INT_NUMBER
#line 4039 "DynareBison.yy"
                                                           { driver.option_num("checks_via_subsets", yystack_[0].value.as < string > ()); }
#line 8955 "DynareBison.cc"
    break;

  case 2233: // o_max_dim_subsets_groups: MAX_DIM_SUBSETS_GROUPS EQUAL INT_NUMBER
#line 4040 "DynareBison.yy"
                                                                   { driver.option_num("max_dim_subsets_groups", yystack_[0].value.as < string > ()); }
#line 8961 "DynareBison.cc"
    break;

  case 2234: // o_zero_moments_tolerance: ZERO_MOMENTS_TOLERANCE EQUAL non_negative_number
#line 4041 "DynareBison.yy"
                                                                            { driver.option_num("zero_moments_tolerance", yystack_[0].value.as < string > ()); }
#line 8967 "DynareBison.cc"
    break;

  case 2235: // o_static: STATIC
#line 4042 "DynareBison.yy"
                  { driver.option_num("static","true"); }
#line 8973 "DynareBison.cc"
    break;

  case 2236: // o_incidence: INCIDENCE
#line 4043 "DynareBison.yy"
                        { driver.option_num("incidence","true"); }
#line 8979 "DynareBison.cc"
    break;

  case 2237: // o_occbin_simul_maxit: SIMUL_MAXIT EQUAL INT_NUMBER
#line 4047 "DynareBison.yy"
                                                    { driver.option_num("simul.maxit", yystack_[0].value.as < string > ()); }
#line 8985 "DynareBison.cc"
    break;

  case 2238: // o_occbin_simul_periods: SIMUL_PERIODS EQUAL INT_NUMBER
#line 4048 "DynareBison.yy"
                                                        { driver.option_num("simul.periods", yystack_[0].value.as < string > ()); }
#line 8991 "DynareBison.cc"
    break;

  case 2239: // o_occbin_simul_curb_retrench: SIMUL_CURB_RETRENCH
#line 4049 "DynareBison.yy"
                                                   { driver.option_num("simul.curb_retrench", "true"); }
#line 8997 "DynareBison.cc"
    break;

  case 2240: // o_occbin_simul_check_ahead_periods: SIMUL_CHECK_AHEAD_PERIODS EQUAL INT_NUMBER
#line 4050 "DynareBison.yy"
                                                                                { driver.option_num("simul.check_ahead_periods", yystack_[0].value.as < string > ()); }
#line 9003 "DynareBison.cc"
    break;

  case 2241: // o_occbin_simul_debug: SIMUL_DEBUG
#line 4051 "DynareBison.yy"
                                   { driver.option_num("simul.debug", "true"); }
#line 9009 "DynareBison.cc"
    break;

  case 2242: // o_occbin_simul_periodic_solution: SIMUL_PERIODIC_SOLUTION
#line 4052 "DynareBison.yy"
                                                           { driver.option_num("simul.periodic_solution", "true"); }
#line 9015 "DynareBison.cc"
    break;

  case 2243: // o_occbin_likelihood_inversion_filter: LIKELIHOOD_INVERSION_FILTER
#line 4055 "DynareBison.yy"
                                                                   { driver.option_num("likelihood.inversion_filter", "true"); }
#line 9021 "DynareBison.cc"
    break;

  case 2244: // o_occbin_likelihood_piecewise_kalman_filter: LIKELIHOOD_PIECEWISE_KALMAN_FILTER
#line 4056 "DynareBison.yy"
                                                                                 { driver.option_num("likelihood.inversion_filter", "false"); }
#line 9027 "DynareBison.cc"
    break;

  case 2245: // o_occbin_likelihood_maxit: LIKELIHOOD_MAXIT EQUAL INT_NUMBER
#line 4057 "DynareBison.yy"
                                                              { driver.option_num("likelihood.maxit", yystack_[0].value.as < string > ()); }
#line 9033 "DynareBison.cc"
    break;

  case 2246: // o_occbin_likelihood_periods: LIKELIHOOD_PERIODS EQUAL INT_NUMBER
#line 4058 "DynareBison.yy"
                                                                  { driver.option_num("likelihood.periods", yystack_[0].value.as < string > ()); }
#line 9039 "DynareBison.cc"
    break;

  case 2247: // o_occbin_likelihood_curb_retrench: LIKELIHOOD_CURB_RETRENCH
#line 4059 "DynareBison.yy"
                                                             { driver.option_num("likelihood.curb_retrench", "true"); }
#line 9045 "DynareBison.cc"
    break;

  case 2248: // o_occbin_likelihood_check_ahead_periods: LIKELIHOOD_CHECK_AHEAD_PERIODS EQUAL INT_NUMBER
#line 4060 "DynareBison.yy"
                                                                                          { driver.option_num("likelihood.check_ahead_periods", yystack_[0].value.as < string > ()); }
#line 9051 "DynareBison.cc"
    break;

  case 2249: // o_occbin_likelihood_periodic_solution: LIKELIHOOD_PERIODIC_SOLUTION
#line 4061 "DynareBison.yy"
                                                                     { driver.option_num("likelihood.periodic_solution", "true"); }
#line 9057 "DynareBison.cc"
    break;

  case 2250: // o_occbin_likelihood_max_kalman_iterations: LIKELIHOOD_MAX_KALMAN_ITERATIONS EQUAL INT_NUMBER
#line 4062 "DynareBison.yy"
                                                                                              { driver.option_num("likelihood.max_number_of_iterations", yystack_[0].value.as < string > ()); }
#line 9063 "DynareBison.cc"
    break;

  case 2251: // o_occbin_smoother_inversion_filter: SMOOTHER_INVERSION_FILTER
#line 4063 "DynareBison.yy"
                                                               { driver.option_num("smoother.inversion_filter", "true"); }
#line 9069 "DynareBison.cc"
    break;

  case 2252: // o_occbin_smoother_piecewise_kalman_filter: SMOOTHER_PIECEWISE_KALMAN_FILTER
#line 4064 "DynareBison.yy"
                                                                             { driver.option_num("smoother.inversion_filter", "false"); }
#line 9075 "DynareBison.cc"
    break;

  case 2253: // o_occbin_smoother_maxit: SMOOTHER_MAXIT EQUAL INT_NUMBER
#line 4065 "DynareBison.yy"
                                                          { driver.option_num("smoother.maxit", yystack_[0].value.as < string > ()); }
#line 9081 "DynareBison.cc"
    break;

  case 2254: // o_occbin_smoother_periods: SMOOTHER_PERIODS EQUAL INT_NUMBER
#line 4066 "DynareBison.yy"
                                                              { driver.option_num("smoother.periods", yystack_[0].value.as < string > ()); }
#line 9087 "DynareBison.cc"
    break;

  case 2255: // o_occbin_smoother_curb_retrench: SMOOTHER_CURB_RETRENCH
#line 4067 "DynareBison.yy"
                                                         { driver.option_num("smoother.curb_retrench", "true"); }
#line 9093 "DynareBison.cc"
    break;

  case 2256: // o_occbin_smoother_check_ahead_periods: SMOOTHER_CHECK_AHEAD_PERIODS EQUAL INT_NUMBER
#line 4068 "DynareBison.yy"
                                                                                      { driver.option_num("smoother.check_ahead_periods", yystack_[0].value.as < string > ()); }
#line 9099 "DynareBison.cc"
    break;

  case 2257: // o_occbin_smoother_debug: SMOOTHER_DEBUG
#line 4069 "DynareBison.yy"
                                         { driver.option_num("smoother.debug", "true"); }
#line 9105 "DynareBison.cc"
    break;

  case 2258: // o_occbin_smoother_periodic_solution: SMOOTHER_PERIODIC_SOLUTION
#line 4070 "DynareBison.yy"
                                                                 { driver.option_num("smoother.periodic_solution", "true"); }
#line 9111 "DynareBison.cc"
    break;

  case 2259: // o_occbin_filter_use_relaxation: FILTER_USE_RELEXATION
#line 4071 "DynareBison.yy"
                                                       { driver.option_num("filter.use_relaxation", "true"); }
#line 9117 "DynareBison.cc"
    break;

  case 2260: // o_occbin_write_regimes_periods: PERIODS EQUAL vec_int
#line 4075 "DynareBison.yy"
                                 { driver.option_vec_int("write_regimes.periods", yystack_[0].value.as < vector<int> > ()); }
#line 9123 "DynareBison.cc"
    break;

  case 2261: // o_occbin_write_regimes_periods: PERIODS EQUAL vec_int_number
#line 4077 "DynareBison.yy"
                                 { driver.option_vec_int("write_regimes.periods", yystack_[0].value.as < vector<int> > ()); }
#line 9129 "DynareBison.cc"
    break;

  case 2262: // o_occbin_write_regimes_filename: FILENAME EQUAL filename
#line 4078 "DynareBison.yy"
                                                          { driver.option_str("write_regimes.filename", yystack_[0].value.as < string > ()); }
#line 9135 "DynareBison.cc"
    break;

  case 2263: // o_occbin_write_regimes_smoother: SMOOTHER
#line 4079 "DynareBison.yy"
                                           { driver.option_str("write_regimes.type", "smoother"); }
#line 9141 "DynareBison.cc"
    break;

  case 2264: // o_occbin_write_regimes_simul: SIMUL
#line 4080 "DynareBison.yy"
                                     { driver.option_str("write_regimes.type", "simul"); }
#line 9147 "DynareBison.cc"
    break;

  case 2265: // o_occbin_graph_noconstant: NOCONSTANT
#line 4083 "DynareBison.yy"
                                       { driver.option_num("graph.steady_state", "false"); }
#line 9153 "DynareBison.cc"
    break;

  case 2266: // range: symbol ':' symbol
#line 4086 "DynareBison.yy"
        { yylhs.value.as < string > () = yystack_[2].value.as < string > () + ':' + yystack_[0].value.as < string > (); }
#line 9159 "DynareBison.cc"
    break;

  case 2267: // integer_range: INT_NUMBER ':' INT_NUMBER
#line 4089 "DynareBison.yy"
                { yylhs.value.as < string > () = yystack_[2].value.as < string > () + ':' + yystack_[0].value.as < string > (); }
#line 9165 "DynareBison.cc"
    break;

  case 2268: // integer_range_w_inf: INT_NUMBER ':' INT_NUMBER
#line 4092 "DynareBison.yy"
                      { yylhs.value.as < pair<string,string> > () = { yystack_[2].value.as < string > (), yystack_[0].value.as < string > () }; }
#line 9171 "DynareBison.cc"
    break;

  case 2269: // integer_range_w_inf: INT_NUMBER ':' INF_CONSTANT
#line 4094 "DynareBison.yy"
                      { yylhs.value.as < pair<string,string> > () = { yystack_[2].value.as < string > (), "Inf" }; }
#line 9177 "DynareBison.cc"
    break;

  case 2270: // signed_integer_range: signed_integer ':' signed_integer
#line 4098 "DynareBison.yy"
                       { yylhs.value.as < string > () = yystack_[2].value.as < string > () + ':' + yystack_[0].value.as < string > (); }
#line 9183 "DynareBison.cc"
    break;

  case 2271: // signed_integer_range: MINUS '(' signed_integer ':' signed_integer ')'
#line 4100 "DynareBison.yy"
                       { yylhs.value.as < string > () = "-(" + yystack_[3].value.as < string > () + ':' + yystack_[1].value.as < string > () + ")"; }
#line 9189 "DynareBison.cc"
    break;

  case 2272: // vec_int_number: INT_NUMBER
#line 4103 "DynareBison.yy"
                 { yylhs.value.as < vector<int> > () = { stoi(yystack_[0].value.as < string > ()) }; }
#line 9195 "DynareBison.cc"
    break;

  case 2273: // vec_int_elem: vec_int_number
#line 4106 "DynareBison.yy"
               { yylhs.value.as < vector<int> > () = yystack_[0].value.as < vector<int> > (); }
#line 9201 "DynareBison.cc"
    break;

  case 2274: // vec_int_elem: INT_NUMBER ':' INT_NUMBER
#line 4108 "DynareBison.yy"
               {
                 yylhs.value.as < vector<int> > () = {};
                 for (int i = stoi(yystack_[2].value.as < string > ()); i <= stoi(yystack_[0].value.as < string > ()); i++)
                   yylhs.value.as < vector<int> > ().push_back(i);
               }
#line 9211 "DynareBison.cc"
    break;

  case 2275: // vec_int_1: '[' vec_int_elem
#line 4116 "DynareBison.yy"
            { yylhs.value.as < vector<int> > () = yystack_[0].value.as < vector<int> > ();}
#line 9217 "DynareBison.cc"
    break;

  case 2276: // vec_int_1: '[' COMMA vec_int_elem
#line 4118 "DynareBison.yy"
            { yylhs.value.as < vector<int> > () = yystack_[0].value.as < vector<int> > ();}
#line 9223 "DynareBison.cc"
    break;

  case 2277: // vec_int_1: vec_int_1 vec_int_elem
#line 4120 "DynareBison.yy"
            {
              yylhs.value.as < vector<int> > () = yystack_[1].value.as < vector<int> > ();
              yylhs.value.as < vector<int> > ().insert(yylhs.value.as < vector<int> > ().end(), yystack_[0].value.as < vector<int> > ().begin(), yystack_[0].value.as < vector<int> > ().end());
            }
#line 9232 "DynareBison.cc"
    break;

  case 2278: // vec_int_1: vec_int_1 COMMA vec_int_elem
#line 4125 "DynareBison.yy"
            {
              yylhs.value.as < vector<int> > () = yystack_[2].value.as < vector<int> > ();
              yylhs.value.as < vector<int> > ().insert(yylhs.value.as < vector<int> > ().end(), yystack_[0].value.as < vector<int> > ().begin(), yystack_[0].value.as < vector<int> > ().end());
            }
#line 9241 "DynareBison.cc"
    break;

  case 2279: // vec_int: vec_int_1 ']'
#line 4131 "DynareBison.yy"
          { yylhs.value.as < vector<int> > () = yystack_[1].value.as < vector<int> > (); }
#line 9247 "DynareBison.cc"
    break;

  case 2280: // vec_int: vec_int_1 COMMA ']'
#line 4132 "DynareBison.yy"
          { yylhs.value.as < vector<int> > () = yystack_[2].value.as < vector<int> > (); }
#line 9253 "DynareBison.cc"
    break;

  case 2281: // vec_str_1: '[' QUOTED_STRING
#line 4136 "DynareBison.yy"
            { yylhs.value.as < vector<string> > () = { yystack_[0].value.as < string > () }; }
#line 9259 "DynareBison.cc"
    break;

  case 2282: // vec_str_1: '[' COMMA QUOTED_STRING
#line 4138 "DynareBison.yy"
            { yylhs.value.as < vector<string> > () = { yystack_[0].value.as < string > () }; }
#line 9265 "DynareBison.cc"
    break;

  case 2283: // vec_str_1: vec_str_1 QUOTED_STRING
#line 4140 "DynareBison.yy"
            {
              yylhs.value.as < vector<string> > () = yystack_[1].value.as < vector<string> > ();
              yylhs.value.as < vector<string> > ().push_back(yystack_[0].value.as < string > ());
            }
#line 9274 "DynareBison.cc"
    break;

  case 2284: // vec_str_1: vec_str_1 COMMA QUOTED_STRING
#line 4145 "DynareBison.yy"
            {
              yylhs.value.as < vector<string> > () = yystack_[2].value.as < vector<string> > ();
              yylhs.value.as < vector<string> > ().push_back(yystack_[0].value.as < string > ());
            }
#line 9283 "DynareBison.cc"
    break;

  case 2285: // vec_str: vec_str_1 ']'
#line 4151 "DynareBison.yy"
          { yylhs.value.as < vector<string> > () = yystack_[1].value.as < vector<string> > (); }
#line 9289 "DynareBison.cc"
    break;

  case 2286: // vec_str: vec_str_1 COMMA ']'
#line 4152 "DynareBison.yy"
          { yylhs.value.as < vector<string> > () = yystack_[2].value.as < vector<string> > (); }
#line 9295 "DynareBison.cc"
    break;

  case 2287: // vec_value_1: '[' signed_number
#line 4156 "DynareBison.yy"
              { yylhs.value.as < string > () = '[' + yystack_[0].value.as < string > (); }
#line 9301 "DynareBison.cc"
    break;

  case 2288: // vec_value_1: '[' COMMA signed_number
#line 4158 "DynareBison.yy"
              { yylhs.value.as < string > () = '[' + yystack_[0].value.as < string > (); }
#line 9307 "DynareBison.cc"
    break;

  case 2289: // vec_value_1: vec_value_1 signed_number
#line 4160 "DynareBison.yy"
              { yylhs.value.as < string > () = yystack_[1].value.as < string > () + ' ' + yystack_[0].value.as < string > (); }
#line 9313 "DynareBison.cc"
    break;

  case 2290: // vec_value_1: vec_value_1 COMMA signed_number
#line 4162 "DynareBison.yy"
              { yylhs.value.as < string > () = yystack_[2].value.as < string > () + ' ' + yystack_[0].value.as < string > (); }
#line 9319 "DynareBison.cc"
    break;

  case 2291: // vec_value: vec_value_1 ']'
#line 4166 "DynareBison.yy"
             { yylhs.value.as < string > () = yystack_[1].value.as < string > () + ']'; }
#line 9325 "DynareBison.cc"
    break;

  case 2292: // vec_value: vec_value_1 COMMA ']'
#line 4168 "DynareBison.yy"
             { yylhs.value.as < string > () = yystack_[2].value.as < string > () + ']'; }
#line 9331 "DynareBison.cc"
    break;

  case 2293: // vec_value_list: vec_value_list COMMA vec_value
#line 4172 "DynareBison.yy"
                 { yylhs.value.as < string > () = yystack_[2].value.as < string > () + ',' + yystack_[0].value.as < string > (); }
#line 9337 "DynareBison.cc"
    break;

  case 2294: // vec_value_list: vec_value
#line 4173 "DynareBison.yy"
                 { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9343 "DynareBison.cc"
    break;

  case 2295: // vec_of_vec_value: '[' vec_value_list ']'
#line 4177 "DynareBison.yy"
                   { yylhs.value.as < string > () = yystack_[1].value.as < string > (); }
#line 9349 "DynareBison.cc"
    break;

  case 2296: // vec_of_vec_value: vec_value
#line 4178 "DynareBison.yy"
                   { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9355 "DynareBison.cc"
    break;

  case 2297: // vec_value_1_w_inf: '[' signed_number_w_inf
#line 4182 "DynareBison.yy"
                    { yylhs.value.as < string > () = '[' + yystack_[0].value.as < string > (); }
#line 9361 "DynareBison.cc"
    break;

  case 2298: // vec_value_1_w_inf: vec_value_1_w_inf signed_number_w_inf
#line 4184 "DynareBison.yy"
                    { yylhs.value.as < string > () = yystack_[1].value.as < string > () + ' ' + yystack_[0].value.as < string > (); }
#line 9367 "DynareBison.cc"
    break;

  case 2299: // vec_value_w_inf: vec_value_1_w_inf ']'
#line 4188 "DynareBison.yy"
                  { yylhs.value.as < string > () = yystack_[1].value.as < string > () + ']'; }
#line 9373 "DynareBison.cc"
    break;

  case 2300: // symbol: NAME
#line 4190 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9379 "DynareBison.cc"
    break;

  case 2301: // symbol: ALPHA
#line 4191 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9385 "DynareBison.cc"
    break;

  case 2302: // symbol: BETA
#line 4192 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9391 "DynareBison.cc"
    break;

  case 2303: // symbol: NINV
#line 4193 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9397 "DynareBison.cc"
    break;

  case 2304: // symbol: ABAND
#line 4194 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9403 "DynareBison.cc"
    break;

  case 2305: // symbol: CMS
#line 4195 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9409 "DynareBison.cc"
    break;

  case 2306: // symbol: NCMS
#line 4196 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9415 "DynareBison.cc"
    break;

  case 2307: // symbol: CNUM
#line 4197 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9421 "DynareBison.cc"
    break;

  case 2308: // symbol: GAMMA
#line 4198 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9427 "DynareBison.cc"
    break;

  case 2309: // symbol: INV_GAMMA
#line 4199 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9433 "DynareBison.cc"
    break;

  case 2310: // symbol: INV_GAMMA1
#line 4200 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9439 "DynareBison.cc"
    break;

  case 2311: // symbol: INV_GAMMA2
#line 4201 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9445 "DynareBison.cc"
    break;

  case 2312: // symbol: NORMAL
#line 4202 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9451 "DynareBison.cc"
    break;

  case 2313: // symbol: UNIFORM
#line 4203 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9457 "DynareBison.cc"
    break;

  case 2314: // symbol: EPS
#line 4204 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9463 "DynareBison.cc"
    break;

  case 2315: // symbol: PDF
#line 4205 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9469 "DynareBison.cc"
    break;

  case 2316: // symbol: FIG
#line 4206 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9475 "DynareBison.cc"
    break;

  case 2317: // symbol: NONE
#line 4207 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9481 "DynareBison.cc"
    break;

  case 2318: // symbol: DR
#line 4208 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9487 "DynareBison.cc"
    break;

  case 2319: // symbol: PRIOR
#line 4209 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9493 "DynareBison.cc"
    break;

  case 2320: // symbol: TRUE
#line 4210 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9499 "DynareBison.cc"
    break;

  case 2321: // symbol: FALSE
#line 4211 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9505 "DynareBison.cc"
    break;

  case 2322: // symbol: BIND
#line 4212 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9511 "DynareBison.cc"
    break;

  case 2323: // symbol: RELAX
#line 4213 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9517 "DynareBison.cc"
    break;

  case 2324: // symbol: ERROR_BIND
#line 4214 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9523 "DynareBison.cc"
    break;

  case 2325: // symbol: ERROR_RELAX
#line 4215 "DynareBison.yy"
         { yylhs.value.as < string > () = yystack_[0].value.as < string > (); }
#line 9529 "DynareBison.cc"
    break;


#line 9533 "DynareBison.cc"

            default:
              break;
            }
        }
#if YY_EXCEPTIONS
      catch (const syntax_error& yyexc)
        {
          YYCDEBUG << "Caught exception: " << yyexc.what() << '\n';
          error (yyexc);
          YYERROR;
        }
#endif // YY_EXCEPTIONS
      YY_SYMBOL_PRINT ("-> $$ =", yylhs);
      yypop_ (yylen);
      yylen = 0;

      // Shift the result of the reduction.
      yypush_ (YY_NULLPTR, YY_MOVE (yylhs));
    }
    goto yynewstate;


  /*--------------------------------------.
  | yyerrlab -- here on detecting error.  |
  `--------------------------------------*/
  yyerrlab:
    // If not already recovering from an error, report this error.
    if (!yyerrstatus_)
      {
        ++yynerrs_;
        context yyctx (*this, yyla);
        std::string msg = yysyntax_error_ (yyctx);
        error (yyla.location, YY_MOVE (msg));
      }


    yyerror_range[1].location = yyla.location;
    if (yyerrstatus_ == 3)
      {
        /* If just tried and failed to reuse lookahead token after an
           error, discard it.  */

        // Return failure if at end of input.
        if (yyla.kind () == symbol_kind::S_YYEOF)
          YYABORT;
        else if (!yyla.empty ())
          {
            yy_destroy_ ("Error: discarding", yyla);
            yyla.clear ();
          }
      }

    // Else will try to reuse lookahead token after shifting the error token.
    goto yyerrlab1;


  /*---------------------------------------------------.
  | yyerrorlab -- error raised explicitly by YYERROR.  |
  `---------------------------------------------------*/
  yyerrorlab:
    /* Pacify compilers when the user code never invokes YYERROR and
       the label yyerrorlab therefore never appears in user code.  */
    if (false)
      YYERROR;

    /* Do not reclaim the symbols of the rule whose action triggered
       this YYERROR.  */
    yypop_ (yylen);
    yylen = 0;
    YY_STACK_PRINT ();
    goto yyerrlab1;


  /*-------------------------------------------------------------.
  | yyerrlab1 -- common code for both syntax error and YYERROR.  |
  `-------------------------------------------------------------*/
  yyerrlab1:
    yyerrstatus_ = 3;   // Each real token shifted decrements this.
    // Pop stack until we find a state that shifts the error token.
    for (;;)
      {
        yyn = yypact_[+yystack_[0].state];
        if (!yy_pact_value_is_default_ (yyn))
          {
            yyn += symbol_kind::S_YYerror;
            if (0 <= yyn && yyn <= yylast_
                && yycheck_[yyn] == symbol_kind::S_YYerror)
              {
                yyn = yytable_[yyn];
                if (0 < yyn)
                  break;
              }
          }

        // Pop the current state because it cannot handle the error token.
        if (yystack_.size () == 1)
          YYABORT;

        yyerror_range[1].location = yystack_[0].location;
        yy_destroy_ ("Error: popping", yystack_[0]);
        yypop_ ();
        YY_STACK_PRINT ();
      }
    {
      stack_symbol_type error_token;

      yyerror_range[2].location = yyla.location;
      YYLLOC_DEFAULT (error_token.location, yyerror_range, 2);

      // Shift the error token.
      error_token.state = state_type (yyn);
      yypush_ ("Shifting", YY_MOVE (error_token));
    }
    goto yynewstate;


  /*-------------------------------------.
  | yyacceptlab -- YYACCEPT comes here.  |
  `-------------------------------------*/
  yyacceptlab:
    yyresult = 0;
    goto yyreturn;


  /*-----------------------------------.
  | yyabortlab -- YYABORT comes here.  |
  `-----------------------------------*/
  yyabortlab:
    yyresult = 1;
    goto yyreturn;


  /*-----------------------------------------------------.
  | yyreturn -- parsing is finished, return the result.  |
  `-----------------------------------------------------*/
  yyreturn:
    if (!yyla.empty ())
      yy_destroy_ ("Cleanup: discarding lookahead", yyla);

    /* Do not reclaim the symbols of the rule whose action triggered
       this YYABORT or YYACCEPT.  */
    yypop_ (yylen);
    YY_STACK_PRINT ();
    while (1 < yystack_.size ())
      {
        yy_destroy_ ("Cleanup: popping", yystack_[0]);
        yypop_ ();
      }

    return yyresult;
  }
#if YY_EXCEPTIONS
    catch (...)
      {
        YYCDEBUG << "Exception caught: cleaning lookahead and stack\n";
        // Do not try to display the values of the reclaimed symbols,
        // as their printers might throw an exception.
        if (!yyla.empty ())
          yy_destroy_ (YY_NULLPTR, yyla);

        while (1 < yystack_.size ())
          {
            yy_destroy_ (YY_NULLPTR, yystack_[0]);
            yypop_ ();
          }
        throw;
      }
#endif // YY_EXCEPTIONS
  }

  void
  parser::error (const syntax_error& yyexc)
  {
    error (yyexc.location, yyexc.what ());
  }

  /* Return YYSTR after stripping away unnecessary quotes and
     backslashes, so that it's suitable for yyerror.  The heuristic is
     that double-quoting is unnecessary unless the string contains an
     apostrophe, a comma, or backslash (other than backslash-backslash).
     YYSTR is taken from yytname.  */
  std::string
  parser::yytnamerr_ (const char *yystr)
  {
    if (*yystr == '"')
      {
        std::string yyr;
        char const *yyp = yystr;

        for (;;)
          switch (*++yyp)
            {
            case '\'':
            case ',':
              goto do_not_strip_quotes;

            case '\\':
              if (*++yyp != '\\')
                goto do_not_strip_quotes;
              else
                goto append;

            append:
            default:
              yyr += *yyp;
              break;

            case '"':
              return yyr;
            }
      do_not_strip_quotes: ;
      }

    return yystr;
  }

  std::string
  parser::symbol_name (symbol_kind_type yysymbol)
  {
    return yytnamerr_ (yytname_[yysymbol]);
  }



  // parser::context.
  parser::context::context (const parser& yyparser, const symbol_type& yyla)
    : yyparser_ (yyparser)
    , yyla_ (yyla)
  {}

  int
  parser::context::expected_tokens (symbol_kind_type yyarg[], int yyargn) const
  {
    // Actual number of expected tokens
    int yycount = 0;

    int yyn = yypact_[+yyparser_.yystack_[0].state];
    if (!yy_pact_value_is_default_ (yyn))
      {
        /* Start YYX at -YYN if negative to avoid negative indexes in
           YYCHECK.  In other words, skip the first -YYN actions for
           this state because they are default actions.  */
        int yyxbegin = yyn < 0 ? -yyn : 0;
        // Stay within bounds of both yycheck and yytname.
        int yychecklim = yylast_ - yyn + 1;
        int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
        for (int yyx = yyxbegin; yyx < yyxend; ++yyx)
          if (yycheck_[yyx + yyn] == yyx && yyx != symbol_kind::S_YYerror
              && !yy_table_value_is_error_ (yytable_[yyx + yyn]))
            {
              if (!yyarg)
                ++yycount;
              else if (yycount == yyargn)
                return 0;
              else
                yyarg[yycount++] = YY_CAST (symbol_kind_type, yyx);
            }
      }

    if (yyarg && yycount == 0 && 0 < yyargn)
      yyarg[0] = symbol_kind::S_YYEMPTY;
    return yycount;
  }



  int
  parser::yy_syntax_error_arguments_ (const context& yyctx,
                                                 symbol_kind_type yyarg[], int yyargn) const
  {
    /* There are many possibilities here to consider:
       - If this state is a consistent state with a default action, then
         the only way this function was invoked is if the default action
         is an error action.  In that case, don't check for expected
         tokens because there are none.
       - The only way there can be no lookahead present (in yyla) is
         if this state is a consistent state with a default action.
         Thus, detecting the absence of a lookahead is sufficient to
         determine that there is no unexpected or expected token to
         report.  In that case, just report a simple "syntax error".
       - Don't assume there isn't a lookahead just because this state is
         a consistent state with a default action.  There might have
         been a previous inconsistent state, consistent state with a
         non-default action, or user semantic action that manipulated
         yyla.  (However, yyla is currently not documented for users.)
       - Of course, the expected token list depends on states to have
         correct lookahead information, and it depends on the parser not
         to perform extra reductions after fetching a lookahead from the
         scanner and before detecting a syntax error.  Thus, state merging
         (from LALR or IELR) and default reductions corrupt the expected
         token list.  However, the list is correct for canonical LR with
         one exception: it will still contain any token that will not be
         accepted due to an error action in a later state.
    */

    if (!yyctx.lookahead ().empty ())
      {
        if (yyarg)
          yyarg[0] = yyctx.token ();
        int yyn = yyctx.expected_tokens (yyarg ? yyarg + 1 : yyarg, yyargn - 1);
        return yyn + 1;
      }
    return 0;
  }

  // Generate an error message.
  std::string
  parser::yysyntax_error_ (const context& yyctx) const
  {
    // Its maximum.
    enum { YYARGS_MAX = 5 };
    // Arguments of yyformat.
    symbol_kind_type yyarg[YYARGS_MAX];
    int yycount = yy_syntax_error_arguments_ (yyctx, yyarg, YYARGS_MAX);

    char const* yyformat = YY_NULLPTR;
    switch (yycount)
      {
#define YYCASE_(N, S)                         \
        case N:                               \
          yyformat = S;                       \
        break
      default: // Avoid compiler warnings.
        YYCASE_ (0, YY_("syntax error"));
        YYCASE_ (1, YY_("syntax error, unexpected %s"));
        YYCASE_ (2, YY_("syntax error, unexpected %s, expecting %s"));
        YYCASE_ (3, YY_("syntax error, unexpected %s, expecting %s or %s"));
        YYCASE_ (4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
        YYCASE_ (5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
      }

    std::string yyres;
    // Argument number.
    std::ptrdiff_t yyi = 0;
    for (char const* yyp = yyformat; *yyp; ++yyp)
      if (yyp[0] == '%' && yyp[1] == 's' && yyi < yycount)
        {
          yyres += symbol_name (yyarg[yyi++]);
          ++yyp;
        }
      else
        yyres += *yyp;
    return yyres;
  }


  const short parser::yypact_ninf_ = -3622;

  const short parser::yytable_ninf_ = -2320;

  const short
  parser::yypact_[] =
  {
    6438,   240,   329, 11223,  -175,    88,  -113,  -124,  -101, 11318,
     473,   -94,   -78,   180, 11910,   -67,    16,   354,   579,    23,
      26, -3622,    58, 12145,    60,   590,    74,    95,   680,   693,
     115,   738,   120,   125,   135,   838, 12226,   865,   868,   148,
     175,   187, -3622,   875,   200,   204,   247, 12172, 16428, 16428,
     525, -3622, 12797,   905,   912,   929,   975, 16428,   153,   989,
     995, 12437,   998,   595,  1000,  1005,   324,  1007, 12481, 12543,
    1156, 12592,   328, 12636,   339,  1160,  1164,  1169, 12687, -3622,
   -3622, -3622, -3622, -3622, 16428, 12852, 16428, 16428, -3622, -3622,
   16428,   345, 12706, 16428,  1186,  1228,  1233,   348,   492,   522,
     524,  1239,   565,  1254, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622,  1258,   567, 12735,  1260,  1262,  1268,  1273,
    1294,  1301, -3622,   576,   452,   616,   527,   624,   632,   636,
     575,  1318, 12901,   260,  5889, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622,   202, -3622, -3622,  1057, -3622, -3622,  1157, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
     266,   698,  3677,   701,  3812, -3622,  2633,  3560, -3622,   293,
   -3622,  1778,   545,   952, 16428, -3622,   419,  4339,   236, 16085,
   16085, 16428,  1376, -3622,  7044,  4631, 13905, 14355, 14400,  1422,
   -3622,  1115,  1347, 16428,  1560, -3622,  1586,  5150, 16428, 16428,
    1406,  1379, 16428, -3622,   657, 16428,  1416,  1379, 16428,  1132,
   16085,  1281, -3622, -3622,  2658, -3622,  1286,   763,  2608, -3622,
   -3622,     1,  1078,  1205, -3622, 16428, 16428,   432,   424, 16428,
   16428, 16428, -3622,  7361,  5231,  5808,  6224,    86,  1362,   792,
   11370,  1218,  7033, -3622,   483, -3622,  5152, -3622,   483, -3622,
    2509,  7433, 16085,   423,   151,  1097,  1236, -3622,  2470,  7457,
   16137,  1292,   839, -3622,  4798, -3622,  1124, -3622, -3622,  1869,
   -3622,  5264,  7656, -3622,  2453,  7700, -3622,   343, -3622,  7803,
    7724,  1312, -3622,  7524,  7754, -3622, -3622,  8183, -3622,  1727,
   -3622,  1105, -3622,  1309,  7920,  7947,   255,  7991,   129,  8015,
     131,  8211,   154, 16428, 16428,  8246, -3622,  1302, -3622,   526,
    8282,  8306,  1187, -3622,  1419, -3622,  1426, -3622,  1462, -3622,
     179, -3622,   220, -3622, 11393,  1431, 16428,  1340, -3622, 13763,
    1027, -3622,  2309,  8330, -3622,  3129, -3622,  4266, -3622,  1006,
   -3622,  1381, -3622,    30, -3622,  3921,   920,   911, -3622,   894,
   -3622,   658,   169,   169, -3622, -3622,  4538, -3622,  8537,  1174,
   -3622, -3622, 14374, 16428, 14424, 14462, 12396, 15767, -3622,  1633,
   -3622,  1686,  1688,  1710,  1721,  1733, -3622,  1763,  1767,  1769,
   -3622,  1771,  1777,  1783,  1785, -3622,  1811,  1165, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622,  1794,  1798,  1807, -3622,  1839,
    1194, -3622, -3622, -3622,  1825, -3622,  1835,  1838, -3622, -3622,
    1840, -3622, -3622, -3622, -3622,  1211,  1874, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, 16428, -3622, -3622, -3622, -3622, -3622, -3622,
    1220, -3622,  1860,  1862,  1871,  1873,  1880,  1884,  1886,  1892,
   -3622,   275, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622,  1900,  1911,  1914,  1926,   279, -3622, -3622, -3622,
   -3622, -3622, -3622, 16428,   374, -3622,  1949,  1932, -3622, -3622,
   -3622,  1935, -3622,  1940,  1951,  1960, -3622,  1962, -3622,  1966,
   -3622,  1337,  2005, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,  1351, -3622,
    1352,  1353, 14670, -3622,  1989,  1354, -3622, -3622,  1994,  1995,
   -3622, -3622, -3622,  1996,  2000,  2002, -3622, -3622, -3622,  2003,
    2004,  2009, -3622,  2010,  2017, -3622, -3622,  2018,  2019,  2023,
    2024,  2026, -3622,  2038,  2040,  2043, -3622, -3622, -3622,  2047,
    2048,  2049,  2051,  2054,  2055,  2058,  2060,  2061, -3622,  2063,
    2065, -3622, -3622,  2077,  2078,  2079,  2081, -3622,  2085,  2088,
    2089,  2095,  2096, -3622, -3622,  2101,  2102,  2106,  2108, -3622,
    2109,  2110,  2113,  2115,  2119,  2122,  2125,  2127,  2128,  2129,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,  2130,
    2133, -3622,  2135, -3622,  2144,  2145,  2146,  2147, -3622, -3622,
    2153,  2155, -3622,  2157,  2158,  2159, -3622,  2161, -3622, -3622,
   -3622, -3622, -3622,  2163,  2164,  2170,   280, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, 16428, -3622,
   16428, 14164, -3622,   259, -3622, 16428, 16428, 14198, -3622,  2177,
   16428, 16428, 14257, -3622,  2198,  1486, -3622,  2178,  2180, -3622,
    1546,  2209, -3622, -3622, -3622, -3622, -3622, -3622, -3622,    42,
   14871, -3622,  2213,  2193,  2197,  2199,  2200,  2207,   281, -3622,
     282, -3622, -3622, -3622, -3622, -3622, -3622, -3622,  1571, 14930,
   -3622,  1573,  1581,  2226,  2227,  2238,  2241,  2242,   307, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   14964, -3622,  2264,  2246,  2251,  2257,  2265,  2306,  2316,  2317,
    2326,  2336, -3622, -3622, -3622, -3622, -3622,  2338,  2349,  2363,
    2364,  2365,  2370,  2374,  2375,  1739,  2400, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, 14990,  1743,   308, 15025, -3622,   249,  1747,
    1748,  2392, 11370, 10971,  2412, -3622, -3622,  2415,  2419, -3622,
    2421, -3622,  2426, -3622, -3622,   309, -3622, -3622, -3622,  2429,
    1793,   490, 16085, -3622,  1795, -3622, -3622,   314, -3622, -3622,
   -3622, 16428, -3622,   416,  1814, 15046, -3622,  2465, 15189, -3622,
    1821,  1369,  2480,   489, -3622,  1823,  2483, -3622, -3622, 15224,
   -3622,  1826, 15259, 15342,  2982,  2464,  2467,  2469,  2478, -3622,
    2481,  2486,  2488,  2489,  2491, -3622, -3622, -3622, -3622, -3622,
   -3622,  2492,  2493, -3622,  2494,  2497, -3622,   315, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, 16428, -3622,   156,
    1833, 14517,   843, -3622,  1844, -3622, -3622, -3622,  1846,  1861,
    1865,  1876,  1877,  1878, 11370, 11370,  1881,  1883,  1885,  1887,
    1889,  1893,  1894,  1895,  1896,  1898,  1901,  1903,  1905,  1915,
    1916,  1917,  1918,  1920,  1922, 11370,  3464, -3622,  -171,  1248,
    2499, -3622,   316, -3622, -3622, -3622,  2508,  2510, -3622,  2511,
    2521, -3622, -3622,  2529, -3622,   317, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622,   327, -3622, -3622, -3622, -3622, -3622,   333, -3622, -3622,
   -3622,  1899, 16428, 16428,   451, -3622, -3622,   335,   338, 16428,
     472, -3622,  1910,  2560,  2562, -3622,  2563,  2568, -3622,  1927,
    2592, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,  2572, 14777,
   -3622,  2573,  2574,   256, -3622, -3622,   355, -3622,  2575,  2576,
    2577,  2579,  2580,  1944,  2605, -3622, -3622, -3622, -3622, -3622,
   10545,   361, -3622,  2585,  2586, -3622,   366, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622,  2588,  2591,  2595,  2596,  1964,
    2619, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622,  2600,  2604,  2606,   367, -3622, -3622,
   -3622, -3622, -3622,   368, -3622, -3622, -3622, -3622,   946,   500,
   -3622,  2607,  2618,   376, -3622, -3622, -3622, -3622, -3622,  2622,
    2623,  2627,  2628,  2629,  2631, -3622, -3622, -3622,  2636,  2638,
    2639, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622,  2640,  1967,  2646, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622,  2011,  2654, -3622,
   -3622, -3622, -3622, -3622, -3622,  2648,  2650, -3622, -3622,  2013,
    2674, -3622, -3622, -3622, -3622, -3622,  2016,  2678, -3622, -3622,
   -3622,  2660,  2661, 16428, -3622,   244,  1833, -3622, 16428, -3622,
     267,  1833, -3622, 16428, -3622,   273,  1833, -3622,  8573, -3622,
    8597, -3622, 16428, -3622, -3622,  2664,  2665,  2668,  2671,  2679,
    2681,  2682,   377, -3622,  2683, -3622, -3622, -3622, -3622, -3622,
    2685,  2686,  2688, -3622,  2690,  2693,  2694, -3622, -3622, -3622,
    2695,  2696,  2020,  2719, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, 16428, -3622,  2378, -3622,  2062,
    2066,  2067,  2701, -3622,  2706,   378, -3622, -3622, -3622, -3622,
     997,  2707,  2708,  2709,   380, -3622, -3622, -3622, -3622,  2711,
    2715,  2716,  2717,  2718,  2720,  2721,  2723,  2725,  2726,  2727,
    2728,  2730,  2732,  2733,  2734,  2735,  2736,  2737,  2750,  2751,
    2753,  2755,  2756,  2757,  2758,  2760,  2762,  2764,  2765,  2766,
    2075,  2740, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622,  2768,  2770,  2771,  2772,   401, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, 15377, -3622, 14578,
    2773,  2774,  2776,  2777,  2780,  2784,  2785,  2786,  2787,  2788,
    2789, -3622,  2791, -3622,  2794,  2796,  2797,  2799, -3622,  2800,
    2801,  2802,  2803,  2805,  2806,  2812,  2814,  2817,  2818,  2822,
    2823,  2835,  2837,  2838,  2840,  2841,  2842,  2843,  2844,  2845,
    2846,  2850,  2857,  2862,  2863,  2864,  2866,  2888,  2230, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622,  2869, -3622, -3622,
    2871,  2873,  2874,  2875,  2877,  2879,  2880,  2883,  2884,  2885,
   -3622,  2892,  2914,  2258, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
    2916,  2259, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622,  2898, -3622,  2901,  2902,
    2903,  2905,  2906,  2907,  2908,  2910,  2911,  2912,  2913,  2915,
    2919,  2920,  2921,  2937,  2286, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
    2925,  2926, -3622,  2927,  2949,  2297, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622,  2936,  2938,  2939,  2942, -3622,  2958,  2305,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,  2965,
    2307, -3622, -3622, -3622, -3622,  2946,  2970,  2312, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622,    35,  2951,  2952,  2953,  2954,  2955,  2956,   402,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622,  2783, -3622, -3622,
    2960,   403, -3622, -3622, -3622, -3622, -3622,  2962,  2963,  2966,
    2967,   404, -3622, -3622, -3622, -3622, -3622,  2968,  2971,   405,
   -3622, -3622, -3622,   406,  2795,  2974,  2975,  2976,  2977,  2978,
   -3622, -3622, -3622, -3622,  2979,  2981, -3622,  2985,  2997,  3002,
    2327,  2991, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,  2345,
    2367,  2371,  2366,   407, -3622,  3006,  2394,  2396,  2372,  2391,
    2398,  2399,  2402,  2397, -3622,  2404,  2406,  2407,  2408, -3622,
   12396, 12396,  2409,  2410,  2411,  2414,  2416,  2436,  2450,  2451,
    2452,  2456,  2457,  2458,  2459,  2460,  2466, 12396,  4823, -3622,
     -41, -3622, -3622,  2468,   300,  2447,   490,  1111,   490,  3032,
    1111,  3033, 16085,  3036,   208,  3038,  3039, 16172, 16428,  3677,
    3040,  3044,   490,  3045,  3812,  3046,  2479,  3049,   490,  1387,
   12952,  2633, -3622, 16428,  3051,  3052,  3055,   490,   490,  3056,
     490,  3061,  1778,  2403,   490,  2495,  3062,  3066,   545,  2413,
    2501,  2503, -3622, 16428, 16085,  1159,   807,  1347,  1347, 16428,
    3072, 13044,   419, -3622, 13063, 13095,  2505, -3622, 12396,  2507,
    3076,  2909,   490, 16428,   490,   490,   490,  3077, 16085,   208,
    1313,   208,  3078,  2513,   490,   490,  3079,  3080,   501,   490,
     490,   490,   490,   490,   490,   490,   490,  3084,  3086, 16085,
   16085, 16085,  3087,  1191,  3091,  3092, 16193, 16085,  3093,  2479,
    2524,  2524, 15673,  3096,  1025,   490,  1367,  1257,  3097, 16428,
    1360,  1445,  2533,  3098,  3103,   490,  2535,   591,  3105,  1806,
     490,  3107,   677,  2540,  3110,  3111,   490,  3112,  7044, 13114,
    3202, -3622,  2546, -3622,   685, -3622,  3205,  3207,  2551, -3622,
   12396,  3209,  3210,  2559, -3622, 12396,  2561,  3128,  3131,  2564,
    1115,  3133,  2566,  2569, -3622, 12396,  2964,  2973,  2980,  2983,
    2989,  1560,  2578,  1586, 13153,  2567,  2583, -3622,   349,  2589,
   16428, 16085,   548,   580,   588,  1379,  2597,  2610, -3622, 12396,
    1111,   490,  3140,  3141,   349,  3143,  3148, 15746,  3163,  3164,
    3180,   490,   490,   490,  3181,  3182,   490,  2615,   657,  2616,
    2626,  2634,  2635, -3622, 16428,  3186,  2647,  2649, -3622, 10748,
    4877, 16428, 16428, 10452, -3622,   867, -3622,   490,   490,  2624,
    3187,  2645,  2658,  2652,   421, 16085,  2651,  2655,   490,     1,
    2657,  2659,  2666, -3622,  2667,  2676, -3622, 16428,  2677, -3622,
     349, -3622, 16428,  2680, -3622,  2687,   424,  2689, -3622, 12396,
    2691,  2705,  4590, 16428,  7498,   490,  3195,  3196, 15846,   490,
    3204,  3216,   490,  3218,   490,  3223,  3226,  3232,  7361, 13261,
     337,  1833, -3622, -3622, 16428, -3622,  3310, 10700, -3622, -3622,
   -3622, 11370, 11370, 11370, 11370, 16428, 16428,  2944,  2944, 11370,
   11370, 11370, 11370, 11370, 11370, 11370, 11370, 11370, 11370, 11370,
   11370, 11370, 11370, 11370, 11370, 11370, 11370,   349,  3707, 11370,
   11370, 11370, 11370, 11370, 11370, 11370, 11370, 11370, 11370, 11370,
    2710, 16428,  2684, -3622, -3622, -3622,  3247,   483,  2712,   490,
     490,  3250,   490,  3251,  5152,  2731,   483,  2741,  5152,  2742,
    2743,  3343,   468,  2747, -3622,  2754,  2752,  3114,  2759,  2763,
    2769, -3622,  2778,  1673,  3258, 16428, 16428, 13307,  2470, 16428,
    2779, -3622, 16428, 16428,   490,   490, 12396,    -9,   464, -3622,
   -3622,  4798,  2781, 16085,  2739, 16085,  2761,  3262,  2782,  1124,
   16428,  5317, -3622,  3347,  1869,  2790,   490,  2479,  5264, 13359,
    3275,   208,  3281,  2479, 13415,  2453,  2767, 12396,  3031,   343,
    2811,  7803, 13452, 12396, 12396, 12396, 12396,  2815, -3622,  3285,
     490,  7524, 13512,  3286,  3287,  3301,  3321,  3323,  3324,  3325,
    3326,  3328,  3332,  2816,  8183, 13561,  1727, 16085,   208,  2819,
    1105, 13606,  1309, -3622, -3622,   357,  1833, -3622, -3622,   418,
    1833, -3622, -3622,   471,  1833, -3622, -3622, 16428, -3622, -3622,
   16428, -3622, -3622, -3622, -3622, 16428, 12396, 16428, 16428,  3333,
     349,  1302,  2821, 16085,  1180,  3334,  3338,  1328,  1347,  1347,
   16428,  3340, 13655,   526,  3095, -3622,  2824,  2825,  2826, 16428,
    2809,   179,  2827,  3413,  3419,  3420, -3622,   408, -3622, -3622,
   -3622, -3622, -3622, 16428,  2809,  2809,   220,  2828,  3353,  3355,
    3356,  3357,  3382,  3386,  3391,  3397,  3398,  3399,  3401,  3402,
    3403,   490,  3404,  2834,   490,   490,  2878,  2881,  2882,  3406,
    3411,  2890,   490,  3412,   490,   490,   490,   490,   490,  2865,
   11393, 16085,  1347,  1347,  3414,  1431,  2886,  2889, -3622, 16428,
    2893, 16428,   306,  3446,  3448,  3452,  3453, 16085,  3460,  2895,
    3462,   188,  3465,  3466,  3467,  3469,  3472,   490,   490,  3473,
    3475,  3478,  3479,  3480,  3481,   490,  3483,  3484,  3485,  3489,
    3492,  3493,  3495,  3496,  3498,  3499,  3514,  3515,  3516,  3518,
    3520,  3523,  3524,  3525,  2524, 13763,  2961, -3622,  3526, 16085,
    3528, 16085, 16085,  2524,  3531,  3532,  2524,  1111,  3533,  2309,
   13674,  3129,  2984,    19,   490,   490,   490,  3534,   490,  3537,
    3538,   490,   490,  3541,  3543,  3544,  3546,   490,   490,  4266,
    2986,  3547,  3549,  3550,  1006,  2987,  3553,  1111,  1111,  3556,
    1381,  2993,    30,  3000,  3571,  3921,  3016,  3137,    17,  3018,
    3019,   686, -3622,  3017,  3024,  3589,   243,  3596,  3600,   911,
    3034, -3622,   502, -3622,   208,   894,  3035, 16239,  3601, 16239,
   16239,   658,  3047, 16085,  3612,   169,  3048,  3058,  3241,   532,
   -3622,   490,  1490,  3614,  2809,   490,  3619,  3620,  2479,   490,
    3623,  3059,  4538,  3060, 16428, 16428, -3622,  3617, 16428,  3064,
    1347, 16428, 16428, -3622, 16502, 16428, 16428, -3622, 16336, 12396,
   12396, 12396, 12396,  3329,  3329, 12396, 12396, 12396, 12396, 12396,
   12396, 12396, 12396, 12396, 12396, 12396, 12396, 12396, 12396, 12396,
    3802, 12396, 12396, 12396, 12396, 12396, 12396, 12396, 12396, 12396,
   12396, 12396, -3622,  3067,  1488,  3069,   278, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622,   479, -3622,   216, -3622,
   -3622, -3622, -3622, -3622, -3622,  3065, -3622,  3075, -3622, -3622,
   -3622, -3622,  3081, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622,  8621, -3622,  8828, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, 16428,
   -3622, -3622, -3622, -3622,  3487, -3622,  3063, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622,   138, -3622,  3344,  3344, -3622,
   -3622, -3622,  8865, -3622, -3622,  8888, -3622,  8912, -3622,  8453,
   16428, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622,   138, -3622, -3622, -3622, -3622, 16428, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622,  1204,  1317, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622,   816,   203, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,  3474,
   -3622, -3622, -3622,  3474, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622,  3486, -3622, -3622, -3622, -3622, -3622,
   -3622,  8936, 16428, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622,  8465,  3734,  3088,  3736, 16428, 12396, -3622,  1349,
   16428, 12396, -3622,  8506, 14281, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622,  1361, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622,  9127, 15789, -3622, -3622,  3655,  3659,  3090, 16428,
   -3622, -3622,  3344, -3622,  3344, -3622,  3344, -3622, -3622, -3622,
     879, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, 16428, -3622, -3622,  3750,    41,  3099, 16428, -3622,
   11370,  3094,  8594, -3622,   205, -3622,  3733,  3735,  3100, -3622,
   -3622, 11370, -3622, -3622, -3622, 16428, -3622, 16085, -3622, -3622,
   -3622, -3622,  3916, -3622,   490,  3102, -3622, -3622,  3522, -3622,
    1078, -3622,   312, -3622,  3109,   359,  3741, -3622,   539, -3622,
   -3622,  3854, -3622, -3622, 16428,  8606, 12396, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622,  9156,  1833, -3622, -3622, -3622,  3491,
   -3622, -3622,  1391,  1446,  3891,  3959,  3115,  3116,  4085,  4133,
    4168,  4191,  4257,  4310,  4381,  4502,  4565,  4789,  5021,  5199,
    2463,  5338,  5373,   274,   302,  5437,  3117, -3622,  2376,  2376,
    1028,  1028,  1028,  1028,   365,   365,  2944,  2944,  3370, -3622,
   -3622, 11370,  3118, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, 16428, 16428, 12396,
     298, -3622,  3119,   509,  3120,  1078,  3529, -3622,   499, -3622,
   -3622, -3622, -3622, -3622, -3622,  9180, -3622,  9203, -3622, -3622,
    9227,  3126, -3622, -3622,  5477,   256,  3113,   634, 12396, -3622,
   -3622, -3622, -3622, 16428, -3622, 16428, -3622, -3622, -3622,   475,
    3130, -3622, 12396, -3622, -3622, -3622, -3622, -3622, -3622,  9423,
   -3622, -3622, -3622, -3622, -3622, -3622,  9447, -3622, 16428,  5004,
   -3622, -3622, -3622, -3622, -3622,  9495,  8798,  9671,  9734,  9752,
   -3622, -3622, -3622, -3622, -3622,  9518, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,  9542,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622,  9738, -3622, 11370,
   11370,  1833, -3622, -3622,  1833, -3622, -3622,  1833, -3622, -3622,
   -3622, -3622, 11370, -3622,  5004, -3622, -3622,  3106, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,   138, -3622,
    3344,  3344, -3622, -3622, -3622,  9762, -3622, -3622, -3622, -3622,
   -3622, -3622,   465,   262, -3622, -3622, -3622, 16428, 16428, 16428,
    3765,   997,  3135, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622,  1191,   547, -3622, -3622, -3622,  9471,  9471,
    9471, -3622, -3622,  9471, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,  3136, -3622,
    3149, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   16428, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   11370, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622,  9786, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622,  3682,  3710,  3139, -3622, -3622,  3145, -3622, 16428,
     251, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
    3779,  3150, -3622, -3622, -3622, -3622, -3622, -3622,  3146, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
    3152,  3154, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622,   542,  3813,  3155, -3622,
   -3622,    70,  3815,  3157,  3158,  3160,  3818,  3166, -3622,  3165,
    2713,  2872,  5559,  5635,  5650,  5681,  5756,  5927,  5939,  5961,
    5992,  6006,  6189,  6218,  6375,  6439,  6452,   323,   412, -3622,
    2625,  2625,  1114,  1114,  1114,  1114,  1120,  1120,  3329,  3329,
    3370, 12396,  3809,  3810,  3817,   409, -3622, -3622, -3622, -3622,
    1368,  3183,  3819,  3755,  3176, -3622, -3622,   197, -3622, -3622,
   16428, -3622, -3622, -3622, 16428, -3622, -3622,   896,  3757,  3198,
   -3622,   410, -3622, -3622, -3622, -3622, 15437,   414,  1001, -3622,
   -3622,  1111, -3622,   784, -3622, -3622,  3859, -3622, -3622,   420,
     433,  3860, -3622, -3622,   439, -3622, -3622,   685, -3622, 12396,
    3865,  2969, 12396,  3866,  9775, -3622,  3211, 14309, 12396, -3622,
   -3622,  3212,   326,  3203, -3622, -3622,  3848, 15520, 12396, -3622,
   15554,   171,  3871,  3785,  3875, 15580,  6471, -3622, -3622, 16428,
   11370,  3615, 11370, -3622,  9798,  1146, -3622,   440, 10971, -3622,
    3219, -3622,  3757,   531,   171,  1043,  3856, 16428, -3622,  1111,
    3222,   540,  3225, 12396, -3622,  9946, -3622, -3622, -3622, 11370,
   11370, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622,  3622, -3622, -3622,
   11370, -3622, 11370, -3622, -3622,  3227,  3464,   441, 16428,  3863,
    3867,  9958, 12396,  3234,  3235,   520,  3236, -3622,   535,  3757,
    3238,   550, -3622, 16428, -3622, -3622, -3622,  3239, -3622,   464,
   -3622, 12396, -3622,  6510,  1199,  1221,  3868, -3622,  9970, -3622,
   -3622,  1245, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
    6541,  6558, -3622, -3622, -3622,  3464,   558,   442, -3622,  3637,
   -3622,    90, -3622, -3622, -3622, -3622, -3622, 11370, -3622, -3622,
   -3622, -3622, -3622, -3622, 14620,  3243,  3252,  3253,  3254, -3622,
    3257,  2565,  6636, -3622,  3900,  3260, -3622, -3622,   574, -3622,
     234, 12396, -3622,  1116, -3622,  3888,  3894,  3897,  3901,  3902,
    3904,  3905,  3906,  3907,   443, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, 16428,  3265,  1347, 16428,
    3266,  3436, 16428,  3269,  3842, 12396, 12396, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, 12396, -3622, 12396, -3622,  5004,   444,  2834,   490,
    1111,  1488,  3290,  3927,  3929,   445, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622,  1488,  3293, -3622,
    3864, -3622, -3622, -3622, -3622, -3622,  3289,   474, 15942,   138,
   -3622,  3297, -3622, -3622, -3622, -3622, -3622,  1296,  3474, -3622,
   -3622,  1141,  3486, -3622,  5004,  3956,  3960,  3961, -3622, 12396,
   12396,  9994, 12396, -3622, -3622,  3302, 10050,  1488,  3305,   283,
   12396,  3307, 10062,  3308, -3622, -3622, 12396,  3309, 16428, -3622,
   16428,  3311, 16428, -3622,  1212, -3622, 10074, -3622, -3622, 16085,
   -3622, 10595, -3622,   476,  3312,  3314,   341,    78,  3315, 12396,
    3946, -3622, -3622,  3316, -3622, 10089, -3622,  6674,  6729,   446,
    3206,  3278, 11370, 11370, -3622,  9810, 12396, 12396, -3622, 10181,
    1078, -3622,  3318,  1078,  3319, -3622,   478, -3622,  3320, -3622,
   16137,  6887, -3622, -3622, -3622, 12396, -3622, -3622, 16428, 16428,
   -3622, -3622, -3622, -3622, -3622, -3622,  3464, -3622, -3622, -3622,
   -3622, 16428, -3622, 16428, -3622,  3441, -3622,  2524, -3622, 10203,
   11370, 11370, 11370, 11370,  1116, -3622,  1111,  2524,   490,  3024,
    1111,  2524,  2156,  2524,  2524,   542,  3327,  3336,  3881,  3344,
    3339, 16539, -3622,  3342, 16355, -3622,  6968,  7056,  3552,  3602,
   12396, -3622, -3622, -3622, -3622, -3622, -3622,  1111, 12396,  1368,
    3345,   448,  1368, -3622,  3908,  3910,  3341,  3651, -3622,  3348,
     353,  3346, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
    3746, -3622, -3622, 12396, 12396, 12396,  3731, 10254, -3622, 10287,
   -3622, -3622,   449,  1368,  3350,  3988, 10304, -3622, -3622, -3622,
    3781, -3622,  4011,  4012, -3622,  9833,  3671, 11370, -3622, -3622,
   -3622,  3360,  3660, -3622, -3622,   349,  4018,   349,  4019, 10374,
    1111, -3622, -3622, -3622, -3622,   209, -3622, 11370, 11370,  7097,
    3464, -3622, 10391, 10433, -3622,   559, -3622,   566, -3622,  1638,
   -3622, 14847, -3622, 10485, 10029,   521, 10053, 15599, 10077,  3678,
   11523,  3932,  3488, -3622, -3622, 10579, 10667, 10803, 10854, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
    3358,  3359,  3158,  3362,  3383, -3622,  3387, -3622, -3622, 12396,
   12396,  5004, -3622,  5004, -3622, -3622,  3367,   453, -3622,  3389,
    3957,  1108,  1488,  3392,   286,  4053, -3622,   454,  4056, -3622,
    4057, 12396, -3622, -3622,  3405,   457,  1488,  3400, -3622, 12396,
     171,   171, 16428, -3622,  3717, -3622, 10880, -3622,  1108,  3407,
     171, -3622,   171, -3622, -3622,  3408,  3409,  7318,  7868, -3622,
   -3622, -3622,  3415,  3416,  1108,  1108,  3417, -3622, 16428, -3622,
     651,  1833, -3622, -3622,  3418, 16428, -3622,  3718, -3622, 11817,
   11932,  3421,  6139,  4040, 11523, -3622,  4063,  3976, -3622, -3622,
   -3622, -3622,  3967, 16585,  3586, 16396,  3975,  7885,  7913, -3622,
    3423,  3992, -3622, 12396,   482, -3622,   458,  1368,  3424,  4062,
     888,  3746, -3622,  1493, 12396, 10892, -3622,  3427,   460,  1368,
    1373,  3428,  3445,  3762, -3622, -3622,   537,   349,  3451,  3455,
   -3622, -3622, -3622, -3622, -3622, -3622,   753,   786, -3622,   671,
    1833, -3622, -3622, -3622,  3767, -3622,  3468,  3470, 16428, 12029,
   -3622,  6139, -3622, 16428,  4110,  3158,  3449, -3622, -3622,  3463,
   -3622, -3622, -3622, -3622, -3622,  7988,  1131, -3622, 12396, -3622,
    3477,   461,  1488,  3471, -3622,  4124,  4135, -3622, -3622,  3494,
     462, -3622, -3622, -3622, -3622, -3622,  3504, -3622, -3622, -3622,
   -3622,  1833, -3622, -3622, -3622, 16428, 16428,  4174,  3521, 11523,
     480, -3622, 16428,  3691,  4075, -3622, 12396, -3622,  8176, -3622,
    3542,   467,  1368, 12396, 12396, -3622,  3545, -3622, -3622,  4180,
    4182,  4106, 16428,  3548, 16428, -3622,   481, -3622, -3622,  8314,
   -3622, -3622,  3551,   469, -3622,  4198, -3622,  4111,  4114,  3554,
    4204, -3622, -3622, -3622, -3622, -3622,  3555, 12396,  3559,  3562,
   -3622,  4117, -3622,  5004, -3622, -3622,  3565, -3622
  };

  const short
  parser::yydefact_[] =
  {
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2321,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2300,     0,     0,     0,     0,     0,     0,     0,
       0,  1149,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2320,
    2322,  2323,  2324,  2325,     0,     0,     0,     0,  1048,  1053,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2301,  2302,  2304,  2303,  2305,  2306,
    2307,  2308,  2309,  2310,  2311,  2312,  2313,  2314,  2315,  2316,
    2318,  2317,  2319,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   478,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     2,    48,    49,    95,    97,
       5,    33,    35,    34,   121,     6,     7,     8,     4,     9,
      10,    11,    17,    13,   111,    14,    15,    16,    32,   122,
     123,   124,    12,    18,    20,    89,    90,    91,    92,    19,
      21,    22,    23,    57,   112,   113,   114,   115,   118,   116,
     117,    24,    93,    25,    27,    29,    28,    52,    30,    31,
      38,    39,     0,    36,    37,     0,    40,    41,     0,    26,
      42,    46,    43,    44,    45,    47,    50,    51,    53,    54,
      55,    74,    75,    76,    56,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    68,    69,    70,   104,   102,   103,
     101,   100,    99,    98,    71,    72,    73,    86,    88,    87,
      94,   105,    96,   106,   107,   108,   109,   110,   119,   120,
       0,     0,     0,     0,     0,  1632,     0,     0,   745,     0,
     555,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,   900,     0,     0,     0,     0,     0,     0,
    1667,     0,     0,     0,     0,  1601,     0,     0,     0,     0,
       0,     0,     0,  1093,     0,     0,     0,     0,     0,     0,
       0,     0,   358,   386,     0,  1136,     0,  1143,     0,  1135,
     561,     0,     0,     0,  1676,     0,     0,     0,     0,     0,
       0,     0,  1083,     0,     0,     0,     0,   243,     0,     0,
       0,     0,     0,   567,     0,   573,     0,   591,     0,   597,
       0,     0,     0,     0,     0,     0,     0,  1245,     0,     0,
       0,     0,     0,   668,     0,  1693,     0,  1626,   543,     0,
     681,     0,     0,  1249,     0,     0,  1152,     0,  1154,     0,
       0,     0,  1219,     0,     0,  1165,  1166,     0,  1193,     0,
    1204,     0,  1212,     0,     0,     0,     0,     0,   207,     0,
     219,     0,   231,     0,     0,     0,   255,     0,  1253,     0,
       0,     0,   258,  1238,     0,  1240,     0,  1242,     0,  1244,
       0,   161,     0,  1470,     0,     0,     0,     0,  1342,     0,
       0,  1396,     0,     0,  1360,     0,  1468,     0,  1429,     0,
    1418,     0,  1406,     0,  1378,     0,     0,     0,   344,     0,
     501,     0,     0,     0,   362,   603,     0,  1261,     0,     0,
       1,     3,     0,     0,     0,     0,     0,     0,  1282,     0,
    1970,     0,     0,     0,     0,     0,  1909,     0,     0,     0,
    1910,     0,     0,     0,     0,  1270,  1281,     0,  1271,  1276,
    1274,  1277,  1275,  1272,  1273,  1278,  1279,  1263,  1264,  1265,
    1266,  1267,  1268,  1269,  1290,     0,     0,     0,  1284,  1289,
       0,  1286,  1285,  1287,     0,  1890,     0,     0,  1876,  1916,
       0,  2121,  2122,  2123,  2124,     0,  1637,  1640,  1644,  1641,
    1643,  1638,  1642,  1647,  1652,  1653,  1639,  1648,  1651,  1645,
    1646,  1649,  1650,     0,  1634,   743,   263,   264,   265,   266,
       0,  2036,     0,     0,     0,     0,     0,     0,     0,     0,
     559,     0,   558,   547,   552,   554,   551,   560,   548,   549,
     550,   553,     0,     0,     0,     0,     0,  1613,  1616,  1615,
    1617,  1618,  1619,     0,     0,  1623,     0,     0,  1957,  1944,
    1940,     0,  1964,     0,     0,     0,  1827,     0,  1962,     0,
    1840,     0,  1581,  1588,  1594,  1589,  1595,  1583,  1584,  1590,
    1582,  1586,  1587,  1585,  1591,  1592,  1593,  1259,     0,   125,
       0,     0,     0,   337,     0,     0,  1918,  2170,     0,     0,
    1880,  2113,  2045,     0,     0,     0,  2182,  2183,  2184,     0,
       0,     0,  2172,     0,     0,  1792,  1813,     0,     0,     0,
       0,     0,  1892,     0,     0,     0,  1874,  1875,  1878,     0,
       0,     0,     0,     0,     0,     0,  1857,     0,  1872,     0,
       0,  1911,  1912,     0,     0,     0,     0,  1867,     0,     0,
       0,     0,     0,  1888,  1889,     0,     0,     0,     0,  1907,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2179,  2178,  1826,  1879,  1812,  1814,  1815,  1973,  1974,     0,
       0,  1919,     0,  1862,     0,     0,  1883,     0,  1891,  1887,
       0,     0,  1885,     0,     0,     0,  2125,     0,  2198,  2199,
    2216,  2217,  2218,     0,     0,     0,     0,   905,   959,   969,
     991,   945,   979,   994,   906,  1015,  1016,   907,   977,   908,
    1020,  1022,   909,   910,   911,   912,   913,   914,   915,   916,
     917,   918,   919,  1001,   920,   921,   922,   923,   924,  1021,
    1018,  1019,   925,   926,   927,   928,   929,   931,   930,   932,
     933,   934,   935,   936,   937,   938,   940,   941,   943,   944,
     946,   947,   948,   949,   950,   951,   942,   952,   953,   954,
     955,   956,   957,   958,   995,   996,   998,   997,   960,   961,
     962,   963,   964,   965,   966,   967,   968,   970,   971,   980,
     981,   982,   983,   984,   985,   986,   987,   988,   989,  1031,
    1032,  1005,  1006,  1007,  1008,  1009,  1012,  1010,  1011,  1013,
    1014,   939,  1017,   972,   973,   974,   975,   976,   978,   990,
     992,   993,   999,  1024,  1023,  1000,  1002,  1003,  1004,  1033,
    1034,  1025,  1026,  1027,  1028,  1029,  1030,   902,     0,   771,
       0,     0,   765,     0,   769,     0,     0,     0,   791,     0,
       0,     0,     0,   785,     0,     0,  1740,     0,     0,  2191,
       0,  1670,  1671,  1672,  1673,  1674,  1675,   816,   817,     0,
       0,   797,     0,     0,     0,     0,     0,     0,     0,   352,
       0,  1605,  1607,  1609,  1610,  1611,  1608,  1603,     0,     0,
     342,     0,     0,     0,     0,     0,     0,     0,     0,   323,
     333,   325,   324,   332,   326,   327,   328,   329,   330,   331,
       0,  1597,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2222,  2223,  2224,  2225,  2226,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1096,  1130,  1105,  1097,
    1104,  1108,  1110,  1111,  1112,  1114,  1117,  1109,  1131,  1113,
    1103,  1106,  1099,  1098,  1100,  1101,  1102,  1107,  1115,  1116,
    1118,  1119,  1120,  1121,  1122,  1123,  1124,  1125,  1126,  1127,
    1128,  1129,  1132,     0,     0,     0,     0,  1688,     0,     0,
       0,     0,     0,     0,     0,   373,   376,     0,   379,  1723,
       0,   378,     0,   377,   385,     0,   381,   374,   375,     0,
       0,     0,     0,  1133,  1145,  2235,  2236,     0,   564,   565,
     566,     0,   521,     0,     0,     0,  1681,     0,     0,  1065,
       0,     0,     0,     0,  1663,     0,  1659,  1660,  1661,     0,
    1061,     0,     0,     0,     0,     0,     0,     0,     0,  2100,
       0,     0,     0,     0,     0,  1728,  1729,  1730,  1900,  1899,
    2101,     0,     0,  1757,     0,     0,  1076,     0,  1075,   687,
     688,   689,   690,   691,   692,   693,   694,   696,   697,   701,
     702,   712,   713,   714,   715,  1077,  1078,  1079,   716,   718,
     717,   719,   720,  1081,   725,   698,   699,   700,  1080,   736,
     695,   703,   721,   722,   723,   724,   728,   729,   730,   731,
     732,   733,   710,   711,   726,   727,  1082,   734,   735,   704,
     705,   706,   707,   708,   709,  1085,  1073,     0,   196,   241,
     249,     0,     0,   246,     0,   270,   752,   751,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1150,   407,   403,  1137,
       0,  1620,     0,   570,   571,   572,     0,     0,  1877,     0,
       0,  2185,  1722,     0,  1721,     0,   576,   584,   577,   585,
     581,   580,   587,   588,   578,   579,   582,   590,   589,   583,
     586,     0,   594,   595,   596,  2200,   602,     0,   600,   601,
     127,     0,     0,     0,     0,   462,   463,     0,     0,     0,
       0,   475,     0,     0,     0,  1817,  2194,     0,  1839,     0,
    1527,  1529,  1534,  1533,  1538,  1532,  1535,  1536,  1537,  1539,
    1540,  1542,  1543,  1541,  1528,  1530,  1531,  1247,     0,     0,
    1705,     0,     0,     0,   672,   673,     0,   671,     0,     0,
       0,     0,     0,     0,  1696,  1697,  1698,  1699,  1700,  1701,
       0,     0,   546,     0,  1743,  2046,     0,   737,   686,   742,
     741,   738,   739,   740,   683,     0,     0,     0,     0,     0,
    1545,  1547,  1549,  1548,  1552,  1553,  1554,  1555,  1556,  1557,
    1546,  1550,  1551,  1251,     0,     0,     0,     0,  1229,  1230,
    1231,  1232,  1235,     0,  1234,  1236,  1237,  1156,     0,     0,
    1160,     0,     0,     0,  1224,  1225,  1227,  1226,  1221,     0,
       0,     0,     0,     0,     0,  2239,  2247,  2255,     0,     0,
       0,  2241,  2257,  2242,  2249,  2258,  2243,  2251,  2259,  2244,
    2252,     0,     0,  1169,  1171,  1170,  1172,  1173,  1175,  1174,
    1182,  1183,  1177,  1176,  1178,  1179,  1180,  1181,  1189,  1190,
    1185,  1184,  1186,  1187,  1191,  1188,  1192,     0,  1197,  1199,
    1198,  1200,  1201,  1202,  1203,     0,     0,  2264,  2263,     0,
    1207,  1208,  1209,  1210,  1211,  2265,     0,  1217,  1218,  1214,
    1067,     0,     0,     0,   144,   205,   213,   210,     0,   193,
     217,   225,   222,     0,   194,   229,   237,   234,     0,  1052,
       0,  1057,     0,   195,   253,     0,     0,     0,     0,     0,
       0,     0,     0,   170,     0,  1958,  1941,  1942,  1943,  1939,
       0,     0,     0,  1963,     0,     0,     0,  1828,  1816,  1961,
    1829,     0,     0,  1559,  1577,  1562,  1578,  1579,  1563,  1564,
    1565,  1566,  1567,  1569,  1568,  1573,  1574,  1570,  1571,  1572,
    1575,  1576,  1560,  1561,  1255,     0,   197,   256,   261,     0,
       0,     0,     0,  1773,     0,     0,   151,   152,   153,   154,
       0,     0,     0,     0,     0,   157,   158,   159,   160,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1473,  1520,  1506,  1507,  1508,  1509,  1510,  1522,  1511,
    1512,  1513,  1514,  1515,  1517,  1516,  1521,  1523,  1474,  1475,
    1476,  1477,  1478,  1479,  1480,  1481,  1482,  1483,  1484,  1485,
    1486,  1487,  1488,  1489,  1498,  1490,  1491,  1499,  1501,  1500,
    1492,  1493,  1502,  1494,  1495,  1496,  1497,  1503,  1504,  1505,
    1518,  1519,  1524,  1525,     0,     0,     0,     0,     0,   822,
     823,   824,   825,   826,   827,   828,   829,     0,  1714,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2064,     0,  2065,     0,     0,     0,     0,  2067,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1341,     0,  1292,
    1338,  1293,  1294,  1295,  1296,  1297,  1298,  1299,  1300,  1301,
    1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,  1311,
    1312,  1313,  1314,  1315,  1316,  1317,  1318,  1319,  1320,  1321,
    1322,  1323,  1324,  1325,  1326,  1327,  1328,  1329,  1330,  1331,
    1332,  1333,  1334,  1335,  1336,  1337,  1339,     0,  2155,  2166,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2164,
    2157,     0,  1395,     0,  1380,  1381,  1382,  1389,  1383,  1384,
    1385,  1386,  1387,  1388,  1390,  1391,  1393,  1392,  1398,  2159,
    1359,     0,  1344,  1345,  1346,  1352,  1356,  1357,  1347,  1348,
    1349,  1350,  1351,  1353,  1355,  1354,     0,  2129,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1467,     0,  1437,  1438,  1439,  1432,  1433,
    1434,  1435,  1436,  1440,  1441,  1442,  1443,  1444,  1445,  1446,
    1447,  1448,  1449,  1450,  1431,  1451,  1452,  1453,  1454,  1455,
    1456,  1457,  1458,  1459,  1460,  1461,  1462,  1463,  1464,  1465,
       0,     0,  2149,     0,  1428,     0,  1423,  1422,  1420,  1421,
    1424,  1425,  1426,     0,     0,     0,     0,  2151,  1417,     0,
    1408,  1409,  1410,  1414,  1415,  1411,  1412,  1413,  2158,  1405,
       0,  1400,  1401,  1402,  1403,     0,  1377,     0,  1362,  1363,
    1364,  1369,  1374,  1375,  1366,  1367,  1368,  1370,  1371,  1373,
    1372,  1365,     0,     0,     0,     0,     0,     0,     0,     0,
     504,   505,   507,   506,   508,   509,   510,     0,  2109,  2110,
       0,     0,   513,   517,   514,   515,   516,     0,     0,  2118,
    2120,     0,   676,   677,   678,   679,   680,     0,     0,     0,
     665,   666,   667,     0,     0,     0,     0,     0,     0,     0,
    2204,  2205,  2208,  2209,     0,     0,  2212,     0,     0,     0,
       0,   606,   610,   654,   655,   608,   622,   640,   632,   630,
     633,   625,   624,   623,   638,   636,   658,   659,   661,   660,
     628,   631,   629,   656,   626,   634,   635,   627,   642,   652,
     653,   648,   649,   650,   651,   643,   644,   645,   646,   647,
     612,   639,   609,   614,   615,   621,   641,   607,   611,   613,
     620,   617,   618,   619,   637,   616,   657,  1262,   841,     0,
       0,     0,     0,     0,   836,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   313,     0,     0,     0,     0,   312,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   275,
     274,  1137,   832,   894,   837,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   744,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1624,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   126,     0,     0,     0,   336,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   768,     0,   764,   316,   767,     0,     0,     0,   790,
       0,     0,     0,     0,   784,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   796,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1689,     0,     0,     0,     0,   136,     0,
       0,     0,     0,     0,   392,     0,   393,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1147,     0,     0,
       0,     0,     0,   520,     0,     0,  1682,     0,     0,  1064,
       0,  1654,     0,     0,  1662,     0,     0,     0,  1060,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     242,   247,   244,   252,     0,   199,     0,     0,   203,   201,
     271,     0,     0,     0,     0,     0,     0,   423,   422,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   404,   405,   406,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   461,     0,     0,     0,     0,     0,
       0,   474,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1704,     0,     0,     0,     0,     0,     0,   536,   755,
     542,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1629,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1159,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   147,   145,   206,   211,   208,   216,   218,
     223,   220,   228,   230,   235,   232,   240,     0,  1049,  1050,
       0,  1054,  1055,   254,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   257,   259,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1766,     0,   164,   165,
     166,   167,   168,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1713,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   128,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   348,     0,   347,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     364,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   831,     0,     0,     0,
       0,     0,     0,   875,     0,     0,     0,   893,     0,     0,
       0,     0,     0,   288,   287,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   272,     0,     0,     0,     0,  1966,  1967,  1968,
    1969,  1965,  1971,  1770,  1786,  2272,     0,  1777,     0,  1776,
    1808,  1809,  1902,  1901,  1903,     0,  1280,     0,  1972,  1848,
    1886,  1288,     0,  1904,  1893,  1895,  2044,  2038,  2039,  2041,
    2040,  2042,  2043,  1633,     0,  1636,     0,   267,  2033,  2034,
    2035,  1750,  1754,  1741,  1761,  1718,   557,   556,  1850,     0,
    1737,  1725,  1614,  1612,     0,  1622,     0,  1945,  1950,  1951,
    1952,  1841,  1843,  1842,  1844,     0,  1835,  1953,  1954,  2197,
    1831,  1258,     0,  1580,  1089,     0,  1087,     0,   334,     0,
       0,  1727,  1785,  1775,  1861,  1849,  1936,  1937,  1938,  1774,
    1784,  1783,     0,  1833,  1782,  1781,  1731,     0,  2180,  1894,
    1810,  1811,  1927,  1929,  1926,  1928,  1931,  1932,  1851,  1854,
    1863,  1855,  1856,  1858,  1873,  1852,  1913,  1914,  1915,  1853,
     758,     0,     0,   760,   759,  1868,  1870,  1869,  1865,  1866,
    1864,  1920,  1905,     0,     0,  1906,  1908,  2175,  2174,  2176,
    2177,  1975,  1977,  1979,  1978,  1980,  1981,  1983,  1982,  1984,
    1985,  1987,  1986,  1988,  1989,  1990,  1991,  1992,  1993,     0,
    1724,  1917,  1871,     0,  1882,  1881,  1884,  1924,  1923,  1925,
    2173,  1933,  1934,  1935,     0,  2126,  2219,  2220,  2221,   904,
     901,     0,     0,   763,   808,   809,   811,   812,   814,   810,
     813,   815,   317,     0,     0,     0,     0,     0,   789,     0,
       0,     0,   781,     0,     0,  1739,  1738,  1668,  1669,   818,
     819,   795,     0,   357,   354,   353,   356,   355,   351,   350,
    1606,  1602,     0,     0,   339,   750,     0,     0,     0,     0,
    1769,  1771,  1787,  1788,  1789,  1790,  1791,   322,   320,  1596,
       0,  2171,  1896,  2028,  2032,  2031,  2030,  2029,  2023,  2024,
    1999,  2227,  2228,  2229,  2230,  2231,  2232,  2233,  2234,  1094,
    1095,   318,     0,   321,  1686,     0,     0,     0,     0,  1091,
       0,     0,     0,   360,     0,   399,   401,     0,     0,   390,
     391,     0,   395,   383,  1753,     0,  1756,     0,   384,   388,
    1897,  1898,     0,  1144,     0,     0,   563,   562,     0,   518,
       0,  1680,     0,  1063,     0,     0,     0,  1655,     0,  1658,
    1058,     0,  1059,  1068,     0,     0,     0,  1071,  2181,  1717,
    1726,  1751,  1752,  1733,  1734,  1735,  1747,  1746,  1760,  1758,
    1719,  1759,  1074,  1084,     0,   248,   245,   250,   200,     0,
     204,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   402,   416,   417,
     412,   413,   414,   415,   408,   409,   411,   410,   418,  1151,
    1138,     0,     0,   569,   568,  1748,  1749,  1742,  1755,  1720,
     575,   574,   593,   592,   599,   598,  1092,     0,     0,     0,
       0,   455,     0,     0,     0,     0,     0,   471,     0,  1820,
    1819,  1818,  2195,  2196,  1246,     0,  1526,     0,  1710,  1702,
       0,     0,   753,   754,     0,     0,     0,     0,     0,   540,
     670,   669,  2186,     0,  2189,     0,  2188,  1694,  1695,     0,
       0,  1628,     0,   545,   544,  1736,  1744,   685,   682,     0,
    1822,  1825,  1824,  1821,  1823,  1250,     0,  1544,     0,  1921,
    1922,  1228,  1153,  1233,  1155,     0,     0,     0,     0,     0,
    1158,  1745,  2169,  1223,  1220,     0,  2237,  2245,  2253,  2238,
    2246,  2254,  2240,  2248,  2256,  2250,  1167,  1168,  1194,     0,
    1196,  2262,  2261,  2260,  1205,  1206,  1213,     0,  1216,     0,
       0,   212,   209,   214,   224,   221,   226,   236,   233,   238,
    1051,  1056,     0,   178,   179,   172,   175,   176,   177,   180,
     171,   169,  1946,  1947,  1948,  1949,  1959,  1960,     0,  1837,
    1955,  1956,  1830,  1832,  1254,     0,  1558,   260,  1239,  1241,
    1243,  1768,     0,     0,  1772,   150,   149,     0,     0,     0,
       0,     0,     0,  1778,  1779,  1780,   156,   155,  1994,  1995,
    1996,  1997,  1998,  2000,  2001,  2002,  2003,  2004,  2005,  2006,
    2007,  2008,  2009,     0,     0,  2010,  2011,  2012,     0,     0,
       0,  2016,  2017,     0,  2019,  2020,  2021,  2022,  2025,  2026,
    2027,  1471,  1472,  1762,  1793,   821,   820,  1711,     0,  1715,
       0,  2049,  2050,  2051,  2052,  2053,  2054,  2055,  2056,  2057,
       0,  2059,  2060,  2061,  2062,  2063,  2066,  2068,  2069,  2070,
    2071,  2072,  2083,  2080,  2094,  2095,  2099,  2073,  2076,  2077,
    2078,  2079,  2081,  2082,  2084,  2085,  2086,  2087,  2088,  2089,
    2090,  2091,  2092,  2093,  2096,  2097,  2098,  2131,  1340,  1343,
       0,  2167,  2127,  2156,  2130,  2128,  2160,  2162,  2161,  2163,
    2165,  2147,  1394,  1397,     0,  1358,  1361,  2074,  2075,  2132,
    2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,  2141,  2142,
    2143,  2144,  2145,  2146,  1466,  1469,  2047,  2048,  2148,  1427,
    1430,  2152,  2154,  2153,  2150,  1416,  1419,  1404,  1407,  2168,
    1376,  1379,     0,     0,     0,   487,   488,     0,   480,     0,
       0,  2296,  2103,  2102,  2104,  2105,  2106,  2107,   503,   502,
       0,     0,   346,  2112,  2111,   512,   511,  1140,  1139,  2115,
    2116,  2117,  2119,   675,   674,  2192,  2193,   664,   662,   663,
       0,     0,   365,  1930,  2206,  2207,  2201,  2202,  2203,  2210,
    2213,  2214,  2215,  2211,   604,   605,     0,     0,     0,   835,
     830,     0,     0,     0,   876,     0,     0,     0,   894,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   273,
     285,   286,   281,   282,   283,   284,   276,   277,   279,   278,
     280,     0,     0,     0,     0,     0,   889,   890,   891,   892,
       0,   895,   839,     0,  2272,  2273,  2275,     0,  2279,  2277,
       0,  1283,  1291,  1635,     0,   262,   268,     0,     0,     0,
    1845,     0,  1260,  1090,  1088,   338,     0,     0,     0,   756,
     757,     0,  2287,     0,  2291,  2289,     0,  1039,  1041,     0,
       0,     0,  1043,  1046,     0,   903,   770,   316,   766,   316,
       0,     0,     0,     0,     0,   788,     0,     0,     0,  1604,
     833,   896,   843,     0,   748,   749,     0,     0,     0,  1600,
       0,     0,     0,     0,     0,     0,     0,   359,   361,     0,
       0,     0,     0,   387,     0,     0,  1141,     0,     0,  1134,
       0,  1146,     0,     0,     0,     0,     0,     0,  1664,     0,
       0,     0,     0,     0,  1069,     0,  1086,   251,   198,     0,
       0,   440,   441,   420,   421,   424,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   450,   425,     0,   438,   439,
       0,   447,     0,   449,   451,     0,   452,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   470,     0,     0,
       0,     0,  1248,     0,  1707,  1709,  1706,     0,   541,   535,
     528,     0,   538,     0,     0,     0,     0,  1627,     0,   684,
    1252,     0,  1157,  1161,  1162,  1163,  1164,  1222,  1195,  1215,
       0,     0,   215,   227,   239,   174,     0,     0,  1256,     0,
    2281,     0,  2283,  2285,  1763,  1765,  1764,     0,   163,   162,
    2297,  2299,  2298,   747,   746,     0,     0,     0,     0,  1716,
       0,     0,     0,  1399,     0,     0,   483,   479,     0,  2294,
       0,     0,   345,     0,   363,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   864,   865,   873,   871,   866,
     869,   868,   874,   872,   870,   867,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   301,   302,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   311,
     299,   300,     0,   308,     0,   310,   314,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   852,   853,   861,   859,
     854,   857,   856,   862,   860,   858,   855,     0,     0,  2276,
       0,  2280,  2278,  2266,   269,  2037,   527,     0,     0,     0,
    1836,     0,  1834,  1732,  2288,  2292,  2290,     0,     0,  1859,
    1976,     0,     0,  1860,   317,     0,     0,     0,   772,     0,
       0,     0,     0,   786,   782,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1678,  1679,     0,     0,     0,  2267,
       0,     0,     0,   398,     0,   400,     0,   394,   380,     0,
     382,     0,  1148,     0,     0,     0,     0,     0,     0,     0,
       0,  1666,  1656,     0,  1062,     0,  1072,     0,     0,     0,
       0,     0,     0,     0,   445,     0,     0,     0,   465,     0,
       0,   457,     0,     0,     0,   469,     0,   473,     0,  1708,
       0,     0,   539,  2187,  2190,     0,  1630,  2114,     0,     0,
    2269,  2268,  1838,  2282,  2284,  2286,  1767,  2013,  2014,  2015,
    2018,     0,  2058,     0,   484,     0,  2108,     0,  2295,     0,
       0,     0,     0,     0,   366,   367,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1847,
       0,     0,   877,     0,     0,   895,     0,     0,     0,     0,
       0,   306,  1803,  1801,  1802,   888,   882,     0,     0,     0,
       0,     0,     0,  2274,     0,     0,   523,     0,   834,   898,
     847,     0,  1846,   335,   762,  1035,   761,  1036,  1040,  1042,
       0,  1044,  1047,   316,   316,   316,     0,     0,   794,     0,
     783,   798,     0,     0,   897,   845,     0,   340,  1599,   319,
       0,  1690,     0,     0,  1687,     0,   140,     0,   397,   454,
    1142,     0,     0,   519,  1683,     0,     0,     0,     0,     0,
       0,  1657,  1070,   442,   443,     0,   426,     0,     0,     0,
     453,  1621,     0,     0,   464,     0,   456,     0,   458,     0,
     472,     0,   537,     0,     0,   183,     0,     0,     0,   132,
       0,     0,   482,  2293,   349,     0,     0,     0,     0,   368,
    1794,  1798,  1800,  1807,  1796,  1805,   799,   800,   802,   803,
     805,   801,   804,   806,   807,  1795,  1804,  1799,   863,   842,
       0,     0,   878,     0,     0,   896,     0,   303,   304,     0,
       0,   315,  1797,  1806,   851,   838,     0,     0,   526,   522,
       0,     0,     0,     0,     0,     0,  1037,     0,   776,   773,
     777,     0,   792,   787,     0,     0,     0,     0,   343,     0,
       0,     0,     0,   137,   138,   143,     0,   389,     0,     0,
       0,  2270,     0,  1066,  1665,     0,     0,     0,     0,   419,
     467,   466,     0,     0,     0,     0,     0,  1631,     0,   148,
     181,   189,   186,   146,     0,     0,   129,   130,   135,     0,
       0,     0,   493,     0,   494,   495,     0,     0,   369,   370,
     371,   372,     0,     0,     0,     0,     0,     0,     0,   883,
       0,     0,   525,     0,     0,   534,     0,     0,   899,   849,
       0,     0,  1045,     0,   316,     0,   884,     0,     0,     0,
       0,     0,     0,   139,   141,   396,     0,     0,     0,     0,
     427,   428,   446,   448,   460,   459,     0,     0,  1703,   182,
     187,   184,   192,  1712,   131,   133,     0,     0,     0,     0,
     485,     0,   496,     0,     0,   880,     0,   879,   898,     0,
     897,   307,   309,   840,   524,     0,     0,  1625,     0,   533,
       0,     0,     0,     0,  1038,     0,   778,   793,   844,     0,
       0,  1677,  1691,  1692,   142,   468,     0,  1684,  1685,   476,
     477,   188,   185,   190,   134,     0,     0,     0,     0,     0,
       0,   492,     0,     0,     0,   531,     0,   532,     0,   886,
       0,     0,     0,   316,   316,   885,     0,  2271,   191,     0,
       0,     0,     0,     0,     0,   490,     0,   881,   899,     0,
     530,   848,     0,     0,   774,   779,   846,     0,     0,     0,
       0,   486,   491,   489,   529,   887,     0,     0,     0,     0,
     497,     0,   850,   780,   498,   499,     0,   500
  };

  const short
  parser::yypgoto_[] =
  {
   -3622, -3622,  4116, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622,  1730, -3622, -3622,  1716,
   -3622, -3622, -3622,   925, -3622, -3622,  1759, -3622,   268, -3622,
   -3622, -3622, -3622, -3622,  -917, -3622,  -406, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,  1432, -3622,
   -3622, -1909, -3622, -3622, -3622,  3962,  2053, -3622,  -302,  -625,
   -3622,  1261,  -918, -3622, -3622, -3622,  1579, -3622, -3622, -3622,
    2071, -3622, -3622, -3622, -3622, -3622, -3622,  1565, -3622,   252,
    2029, -3622, -3622, -3622, -3622,   610, -2139, -3622,   623,  2124,
   -3622, -3622, -2063, -3622,  1110, -1227,  -331, -3178, -3622,  1106,
   -1230, -3622, -3622, -3622,  1614, -3622, -3622, -3622,   -84,   -83,
   -3622,    33, -3622, -3622, -3622,  1610, -3622, -3622,  1611, -3622,
    1225, -3149, -3622, -3621, -3622,  1102, -3622, -3622,  -181, -3622,
   -3622,  2236, -3622, -3622,  2041, -3622, -3622,  -168, -3622, -3622,
    -114, -3622, -3622,  1933, -3622, -3622, -3622, -3622,  1589, -3622,
   -3622, -3622,  3861,  1608, -3622, -3622,  1923, -3622, -3622,  1624,
   -3622, -3622,  -240,  1907,   514, -2043, -2094,  1216, -1086, -3622,
   -1318, -3622, -3622, -3622,  3456, -3622, -3622, -3587, -3622,  1371,
    -882, -3622, -3622,  3459, -3622, -3622,  3497, -3622, -3283, -3622,
    -274, -3622, -3622, -3622,  1781, -3622, -3622,  3909, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3504,   310, -3622,
     344, -3622,  3914, -3622, -2600,   497, -3622,  3928, -3622, -3622,
    2202, -2756, -3622,   466,  1429,   484, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622,  4051,   189, -3622, -3622,  3351,
   -3622, -3622, -3622, -3622, -3622,  2087, -3622, -3622, -3622, -3622,
   -3622, -3622,  2160, -3622, -3622,  -201,  2008,  -660, -3622,  2136,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622,  3071, -3622, -3622,
    1936, -3622, -3622,  1937, -3622, -3622,  1938, -3622, -3622,  1934,
   -3622, -3622, -3622,  1954, -3622,  1972, -3622,  -327, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,   -85,  2368,
   -3622, -3622,  2358, -3622, -3622,  1789, -3622, -3622,  1774, -3622,
   -3622,  1741, -3622, -3622,  1779, -3622, -3622,  1750, -3622, -3622,
    1773, -3622, -3622,  1756, -3622, -3622,  1790, -3622, -3622,  1882,
   -3622,  2046, -3622,  2015, -3622,  1958, -3622,  2359, -3622, -3622,
   -3622,  3557, -3622, -3622,  2269, -3622, -3622,  2420, -3622, -3622,
   -3622,  3903, -3622, -3622, -3622,  2068, -3622,  2425, -3622, -3622,
    2204, -3622,  1400, -1048, -3622, -3622,  2301, -3622, -3622, -2976,
   -3622, -3622,  3447, -3622,  1451, -1004, -3622,  2074, -3622, -3622,
     504, -1271,  2098, -3622,   493, -1611, -3622,   106, -3622, -3622,
   -3622, -3622, -3622,  -273,   -77, -3622,  -179, -3622, -3622, -3622,
     -76,   -61, -3622, -3622, -3622, -3622,   375, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622,  -108, -3622, -3622, -3622, -3622, -3622,  -416,  -262, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622,  -382,  -252, -3622, -3622,
   -3622,  -362,  -313,  -165, -3622, -3622, -3622,   -42, -3622, -3622,
    -204,  -353, -3622, -3622, -3622,  -338, -3622, -3622, -3124, -3120,
   -3111, -3622, -3622, -3105, -3104, -3622, -3622, -3622, -3097, -3082,
   -3622, -3622,  -250,  -255, -3622,  -258,  -260, -3622, -3622,  -239,
   -3622, -3622, -3622, -3622, -3622, -3622,  -194, -3622, -3622, -3622,
   -3622, -3622,  -183, -3622, -3622,  -199, -3622, -1870, -2527,  1775,
   -3622,  -269, -3622,  -329, -3622, -3622, -3622, -3622, -3622, -3622,
    -312, -3622, -3622, -3622, -3622,  -295,  -358,  -357,  -340,  -333,
    -332,  -289, -3622, -3622, -3622, -3622,  -198, -3622,  -330, -3622,
   -3622, -3622, -3622,  -259,  -251, -3622, -3622,   -35,   -34,   -92,
   -3622,  -177, -3622,  -125,  -328, -3622,   127,  -246,  -213,  -200,
     -33, -3622, -3622, -3622, -3622,   -30,   -24, -3622, -3622, -3622,
   -3622, -3622,  -193,  -316,  -272,   -16, -3622,  -257, -3622,  -267,
    -265,  -308, -3622,  -306,  -304,  -256,  -254,  -249,  -243, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,   -70,
     -62, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622,  -291, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622,  -287,  -286, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622,    40,  -283, -3622, -3622, -3622,  -383,
    -373,  -372,  -368,  -367, -3622, -3622, -3622, -3622, -3622,  -364,
    -352,  -348, -3622,  -296, -3622, -3622, -3622,  -290,  -288,  -276,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622,  -303,  -300,  -401, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622,  -310,  -238, -3622, -3622,
   -3622, -3622,   -15,   -14,   -13,   -12, -3622, -3622,   -74,   -52,
   -3622,  -385,  -275, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,  -224, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622,  -378,  -217,  -180, -3622,
   -3622,  -206,  -197,  -141,  -134,  -437,  -128,  -126, -3622, -3622,
    -223,  -242, -3622, -3622, -3622, -3622, -3622,    -8, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,   -86, -3622,
   -3622,   -68,   -27, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622,    -6,    -2,    -1,     5,    11,    12, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,  -299,
   -3622, -3622,  -221,  -218,  -209,  -208,  -186,  -170, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622, -3622,
   -3622, -3622, -3622, -3622, -1218, -2554, -3622, -1643, -3622, -2221,
   -3622, -1465, -3622,   477, -3622, -2487,     0
  };

  const short
  parser::yydefgoto_[] =
  {
       0,   144,   145,   146,   147,   148,  3440,  4158,   149,  3060,
    4115,   150,  3290,  3289,   151,  1515,  1516,   152,  1524,  1525,
     153,  1520,  2537,  2538,   154,  1462,  1463,  3302,  4154,   155,
     156,   157,   158,   159,  2325,  1162,  1163,   407,   409,   411,
     346,   415,   421,   160,   560,  2826,   161,   162,  3924,  2783,
    3877,  3927,   163,   164,   165,   938,   939,   166,   632,   633,
     167,   929,   930,   168,  1897,  2702,  2703,  3510,   169,   918,
     919,   170,  1022,  2259,   171,  1924,  2719,  2720,  4034,  4035,
    1034,  1035,   172,  1023,  3688,  2263,  2264,  3064,  3065,  2265,
    2372,  3737,  2266,   173,  1244,  1245,  1246,  3748,   174,  1250,
    1251,   175,   456,  2691,  2692,  4160,  4389,  4162,  4390,  4273,
    4274,  4275,   176,   177,  1889,  1890,   178,  1901,  1902,   179,
    1053,  3907,   180,  4294,  2417,  2418,   181,  1301,   570,   182,
     571,   572,   183,  1047,  1048,   184,  1202,  1284,   185,  1215,
    1285,   186,  1231,  1232,   187,  1237,  1238,   188,  1940,  1941,
     189,   190,  1919,  1920,   191,  1286,  1287,   192,  1911,  1912,
     193,  1306,  1342,  1308,  3804,  3805,  3018,  2039,  4295,  2914,
    2915,  4088,   194,   881,   882,   883,  2984,  3928,   195,   892,
     893,   196,   887,   888,   197,   910,   911,  4185,  2985,   908,
    3022,   198,   199,  1618,  1619,   200,   201,   202,  2003,   203,
    2785,  3898,  2733,  3938,  4227,  4213,  4363,  3885,  3886,  3834,
    3835,   204,   205,   206,  3595,  3596,   207,   208,   209,   746,
     747,  3637,  4217,  3638,  3639,  3643,  3644,   210,   413,  1448,
     211,   414,  1450,   212,   213,  1069,  1070,   214,  1058,  1059,
     215,   216,  1073,   217,  1097,  1098,   218,   219,   220,   221,
     222,   223,   975,   976,   224,   327,  2040,  3519,  3687,   328,
     225,   350,  2370,   226,   227,   228,  1349,  1350,   229,   230,
    1382,  1383,   231,  1407,  1408,   232,  1419,  1420,   233,  1426,
    1427,   234,  1353,  1354,  1337,  1338,  1343,  1355,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   495,   496,   497,
     244,   519,   520,   245,  1677,  1678,   246,  1760,  1761,   247,
    1866,  1867,   248,  1742,  1743,   249,  1859,  1860,   250,  1848,
    1849,   251,  1834,  1835,   252,  1793,  1794,   253,   254,  1560,
    1561,  1259,  1260,  1319,  1320,  1482,  1483,   611,   612,   255,
     950,   951,   256,   920,   921,   257,   586,   587,   258,   259,
     594,   595,   260,  1300,  2431,  2432,   261,   535,   536,   262,
    1065,  1066,  1063,  1064,  3095,   263,   900,   901,   264,  3947,
     265,  1055,  1056,   266,  1016,  1017,   267,  1293,  1294,   268,
    1279,  1280,  3207,   269,  1627,  1628,  1099,  1100,  1101,  1218,
    1219,  1220,  1036,  1102,  1103,  1104,  1105,  1106,  1107,  1108,
    1109,  1110,  1111,  1112,  1113,  1309,  1114,   903,   904,   905,
     574,  1221,  1310,  1356,  1115,  1116,  1222,  1223,   575,  1117,
    1037,  1224,  1225,  1038,  1118,  1119,  1120,  1121,  1122,  1620,
    2539,  2540,  2541,  2542,  3340,  1517,   940,   498,   942,  1518,
    1519,   755,   756,   499,  1526,  1527,  1528,  1124,   759,   760,
     500,   945,   946,   947,   948,   949,   761,  1624,  3887,  3888,
    3889,  3890,  3839,  3891,  3892,  3597,  3598,  3599,  3893,  3894,
    3895,  3844,   501,   502,   764,   765,  1125,   767,  1484,  1265,
    1266,  1267,  1325,  1326,  1327,  1328,  1126,   613,  1485,  1486,
     614,  1487,  1127,   615,  1488,  1268,   616,  3620,  3621,  2004,
     521,   770,   590,   771,   772,   773,   774,   775,   776,   777,
     778,   779,   780,   781,   782,   783,   784,   785,   786,   787,
     788,   789,   790,   791,   792,   793,   540,  1226,   795,   796,
     797,   798,   799,  1129,   522,   802,   803,  1130,   541,  1131,
     807,   542,   809,   543,   988,  1040,  1132,  1133,   503,   504,
     546,   814,   815,   816,   817,   505,   506,   820,   821,   822,
     823,   824,   547,   826,  1134,  1135,   829,  1345,  1340,  1136,
    1137,   832,  1972,   833,   834,  1138,  1139,  1140,  1141,  1489,
     617,  1490,  1491,  1492,   618,   619,  1493,  1494,   620,   621,
     622,  1495,  1496,   623,  1497,  1498,  1499,  1500,   624,  1501,
     625,   507,   508,   509,   510,   511,   512,   513,   523,  1142,
    1143,   841,   842,   843,   844,   845,   846,   847,   848,   849,
     850,  1578,  1579,  1580,  1581,  1582,   990,  1584,  1585,  1586,
    1587,  1588,  1589,  1590,  1591,  1592,  1593,  1594,  1595,  1596,
    1597,  1598,  1599,  1600,  1601,  1602,  1603,  1604,  1605,  1606,
     991,  1607,  1608,  1609,   992,   993,   994,   995,   996,   578,
     579,   580,   581,   591,   548,   851,  1313,  1836,  1837,  1681,
    1682,  1683,  1684,  1685,  1686,  1687,  1688,  1689,  1690,  1691,
    1692,  1693,  1694,  1695,  1696,  1697,  1698,  1699,  1700,  1701,
    1810,  1702,  1703,  1704,  1705,  1706,  1707,  1708,  1709,  1710,
    1711,  1712,  1713,  1714,  1715,  1716,  1717,  1718,  1719,  1720,
    1721,  1722,  1723,  1724,  1725,  1144,  1145,  1891,  1892,  1893,
    1894,  1895,  1896,  1904,  1905,  1906,   852,  1346,  1913,  1914,
    1915,  1916,   549,   550,   551,   552,   857,   858,  1744,  1745,
    1813,  1746,  1726,  1815,  1816,  1817,  1818,  1819,  1820,  1821,
    1822,  1823,  1824,  1825,  1826,  1827,  1828,  1829,  1747,  1841,
    1842,  1853,  1854,  1855,  1856,  1857,  1748,  1749,  1750,  1864,
    1769,  1751,  1752,  1753,  1754,  3896,  1756,  1757,  1881,  1357,
     859,   999,   860,   861,   862,   863,   864,  1147,  1148,   866,
     867,   868,  1229,  1295,  1296,  1297,  1298,  1299,  1230,  1921,
    1922,  1275,  1276,   626,   869,   870,  1239,  1982,  1983,  1984,
    1985,  1986,  1987,  1988,  1989,  1990,  1991,  1992,  1993,  1994,
    1995,  1149,  1150,  1151,  1152,  1153,  1154,  1000,  1001,  1002,
    1003,  1004,  1005,  1006,  1007,  1008,  1009,  1010,  1011,  1012,
    1049,  1050,  1384,  1385,  1386,  1387,  1388,  1389,  1390,  1391,
    1392,  1393,  1394,  1395,  1396,  1397,  1398,  1399,  1400,  1401,
    1402,  1403,  1404,  1405,  1406,  1421,  1422,  1423,  1424,  1428,
    2804,  3057,  3308,  3968,  3605,  3606,  2798,  2799,  3333,  3334,
    2924,  3501,  3820,  3502,  3364,  3365,  2041
  };

  const short
  parser::yytable_[] =
  {
     270,  1052,  1437,   278,  1442,  1755,  1447,  2107,  2411,   278,
    2194,  2217,  2253,  1013,   278,  2294,  2588,  2394,  1878,   577,
    2401,   749,   827,   278,   537,   985,   539,   830,   909,   831,
    1123,  1128,   753,  1146,   766,   800,   329,   926,   835,   763,
     836,   977,   754,   801,   762,   837,   923,   278,   278,   347,
    1943,   838,   278,  1621,   982,   986,   981,   278,  1903,   941,
    1764,   278,  1344,   544,  1798,   941,  1852,  1766,   278,   278,
    1870,   278,   538,   278,  1799,  1800,   545,  1872,   278,  1801,
    1802,   811,  1622,  1803,   278,   408,   410,   412,   630,   631,
     416,   998,   278,   422,   812,  1804,   794,  1623,  1312,  1805,
     768,   825,  1205,  1096,  1946,  1573,  1234,   944,  1955,  1956,
    1228,   769,   924,   944,  1228,   750,  1261,   808,  1264,  1020,
     983,   989,  1205,   925,  3069,   278,  1957,  1044,  1228,   757,
    1339,   984,  1321,  1958,  1959,   979,  1961,   987,  1963,  1574,
    3035,  1307,   278,  1583,   270,  1324,   943,  1610,  1611,  1341,
    1967,  1806,   943,  1947,  1954,  1271,  1981,  1807,  1971,  1808,
    1973,  1241,  1974,  1979,  1263,  1572,  1980,  1996,  1272,   810,
    1269,  1809,  1814,   576,  1569,  1273,  1568,  1960,  1409,  1567,
    1323,  1410,  1563,  1311,  1566,  1329,  1203,  1679,  1680,   518,
    1411,  1412,  1613,  1942,  1968,  1795,  3094,  2420,  1302,  1969,
    3070,  1970,   806,  1262,  1944,   588,  1951,  1962,  3642,  3505,
    1975,  1612,  1976,  1413,  1945,   906,  1950,  1977,   751,  1322,
    1964,  1765,  1625,  1978,   839,  1840,  2856,  1019,  1767,  1414,
    1565,  1871,   840,   752,  1796,  1626,  1575,   978,  1873,  1770,
    1570,  1577,  1216,  1270,  3609,  2329,  1236,  1797,  1771,  1874,
    2883,  1571,   758,  1965,  3633,  1562,  3679,  1576,  1875,   804,
     805,   813,  1949,  3156,   818,  1768,  1966,  3607,  1067,  1564,
     819,   576,  1952,  1863,   472,  2983,  1068,   555,   828,   853,
     854,   855,   856,  1953,   596,  4027,   865,   555,   871,   329,
     329,   634,   872,   873,  1166,   555,   884,   889,   894,   874,
    2254,  1948,  3631,   912,  1772,   875,   876,   555,   928,   931,
    2184,  1773,   952,  3791,  1876,   634,  1331,  1774,  1018,  1775,
     329,  1877,   592,  3344,  3345,  3730,  2082,  1879,   329,  1880,
    2088,  2178,  2211,  2213,  1166,  1057,  1060,  3604,   476,  1071,
    1071,  1074,  1166,  1167,   555,   555,  1159,  1166,  2795,  4245,
    1199,  1502,   555,  3732,   997,  3627,  3604,  1332,  2225,  2225,
    2272,   555,   329,  3694,  3926,  2279,  2318,  2377,  2384,   555,
    1281,  1762,  -876,  1811,  3872,  1838,   628,  1850,  2386,  1861,
     271,  1868,   555,  1167,  2388,   555,  2395,   573,  2107,  2397,
     555,  1167,  1503,  1763,   555,  1812,  1167,  1839,  -878,  1851,
     748,  1862,  4014,  1869,   555,   555,  2421,  1435,  1274,  1440,
    3697,  1445,  2434,  1449,  1451,  1454,  3309,  2438,  2449,  2451,
     555,  1507,  3836,  2813,  1330,  -880,  3837,  2461,  2511,  2531,
    1431,  2546,  3601,  1247,  3402,  3838,  1629,  4104,   597,   598,
    4298,  3840,  3841,   555,  2091,   599,  3391,  1512,  1334,  3842,
     600,   601,  2585,  2699,  2705,  2711,  2715,  2715,  2738,  3341,
    3881,  3909,  1217,  3874,  3843,  3909,  1217,  1917,   555,   273,
    1242,  3918,  2002,  2005,  2009,  2013,  2881,  2045,  2885,  1160,
    1217,  3665,  2201,  1227,  3918,   573,  2282,  1227,  1521,  3015,
    3922,  3959,  3983,  3909,  4045,  4060,  4069,  4135,  1242,  3881,
    3881,  1227,  1061,  3537,  4069,  4301,  2922,  4219,  4069,  3881,
    2201,  3881,  4069,  4069,   602,  3217,  3789,   277,  3881,  3188,
    4069,  2393,  1436,   287,  1441,  4075,   553,  4075,   295,  4075,
    3603,  4414,  4414,  4356,   279,   603,  3457,   307,  -444,   487,
    3189,  2687,  2400,  3963,  2371,  1464,  1465,  1446,  1522,  2321,
    1466,  1467,  1468,  2072,  3458,  1166,  1242,  1469,  1470,  2293,
    2892,   344,   345,  1471,  1472,    21,   352,  1242,  4207,  3750,
    2457,   361,  3511,  1166,  3792,   369,   604,   605,   556,  3744,
    3080,  1166,   382,   385,   283,   390,  3692,   394,  4356,   582,
    3992,   583,   404,  2090,  2893,  2894,   282,   348,   405,  4225,
    3996,  3964,  3531,  1731,  1167,  3994,   420,  3493,   284,  3700,
    3973,  3944,  3945,   288,  4076,   289,  4076,  4316,  4076,  3604,
    3998,  1473,  1167,  3494,  2688,   553,  2689,  2690,  1166,  4252,
    1167,   290,   634,  4326,  4327,  3081,  4253,  2486,  1166,   443,
     907,   296,  1474,  2414,  2415,  3742,  1734,  3319,  3825,  3826,
    3827,  3828,  3829,  3830,  3831,  3832,   468,   589,  1740,  1858,
    2490,   637,   953,   638,    21,   349,  2494,   372,  -305,  2851,
    2852,  2853,   907,  2854,  2371,   606,   902,  1167,  1062,  2910,
     907,   922,  1166,  1475,  1476,  2925,  2926,  1167,  2794,   980,
    4010,  2414,  2415,   717,   718,  2974,  2414,  2415,  4011,  3215,
     557,   558,   559,  3216,  1335,  1336,  1045,  1046,  2359,  2360,
    2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,  3965,  2369,
    3023,    42,  2283,  2954,   297,  1166,  2961,  2962,  3025,  1204,
    3125,  1167,   302,  1233,   303,  1062,  2359,  2360,  2361,  2362,
    2363,  2364,  2365,  2366,  2367,  2368,  1348,  2369,  2701,  1204,
    3291,  3672,  2202,  2322,  2323,  3673,  3497,  2771,  2772,  2773,
    2774,  2775,  2776,  2777,  2778,  2779,  2780,   304,  2781,   308,
    2963,   584,   656,   657,  1167,    21,  1166,  3790,  2718,  3403,
    3404,   593,  1477,   311,  3848,  1062,  1062,  1478,  4126,  3016,
    3017,  3787,  4127,  4361,  3236,  1161,   280,   281,  3242,  2975,
    3244,  1918,  4015,   312,  4356,  4370,   526,  2367,  2368,   954,
    2369,  3294,  4145,  1248,  3602,  4147,  4424,  2014,   665,  4105,
      42,   955,  4299,  1051,   317,  1167,  2976,  2977,  2978,   320,
    1243,   530,  1432,   584,   321,  3283,  2797,  4356,  1161,  1513,
    1161,  2277,  2895,   322,  1166,   607,  2771,  2772,  2773,  2774,
    2775,  2776,  2777,  2778,  2779,  2780,   334,  2781,  1243,  1256,
    3833,  1514,   362,  1161,  3297,  1161,  2015,  3631,   585,    79,
      80,    81,    82,    83,   529,  1166,   608,  1166,  2180,  1249,
    2181,   884,  3946,   335,  2016,  2186,  2187,   889,   291,   292,
    2191,  2192,   894,  1167,  2327,   336,  2017,  2018,  4423,  3392,
    3393,  2880,  1523,  2884,  2414,  2415,  1249,  1166,   339,  3901,
     912,   473,   340,   712,  4261,  3634,  1243,  3680,   714,  2796,
    2796,  3836,  2414,  2415,  1167,  3837,  1167,  1243,  3608,   931,
    3668,    42,   720,    21,  3838,   956,   957,  2019,  1051,  3071,
    3840,  3841,  1051,   530,   629,   584,  4028,   553,  3842,   272,
     952,  2979,  1257,  1161,  3363,   341,  1167,  1249,  2255,   958,
     724,  2788,  2923,  3843,  2791,  2416,  1051,  2185,    79,    80,
      81,    82,    83,  1051,  3793,   469,  1161,  2414,  2415,  1166,
     585,   477,  1161,  1479,  3731,  2083,    21,  2911,  2912,  2089,
    2179,  2212,  2214,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,  3733,   634,   732, -2319,  1018,  2226,  2251,  2273,
    4365,  3695,  1199,  1199,  2280,  2319,  2378,  2385,  1167,  2487,
    2488,  1480,   377,  3873,  2491,  2492,   391,  2387,   274,  2495,
    2496, -2319,   329,  2389,  4330,  2396,  1161,   395,  2398,  3899,
    4125,  2281,   553,  3902,   417,  1057,   429,  2913,  1060,   959,
     960,  3514,   298,   299,  4381,  2422,  1161,  3698, -2319,  1071,
    1830,  2435,  1071,  2302,  2414,  2415,  2439,  2450,  2452,    79,
      80,    81,    82,    83,  2980,  3541,  2462,  2512,  2532,    42,
    2547,    21,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,  2586,  2700,  2706,  2712,  2716,  2717,  2739,  3342,  3882,
    3910,   609,  3875,   610,  3912,  2020,  2021,  1161,   961,   474,
    3919,  2022,  2023,  2024,  2025,  2026,  2027,  2028,  2029,  2030,
    2031,  2032,    42,  3920,  3031,  2033,  2034,  2035,  2036,  3923,
    3960,  3984,  4012,  4046,  4061,  4070,  4136,  2320,  4206,  4224,
     458,  2326,  2326,  4290,  4302,  1739,  3642,  4307,  4360,  3437,
    4369,  4400,  4406,  3218,  1199,  1199,  3190,  4422,  3446,  4436,
    1161,  3449,  4077,  3015,  4122,  1415,  4149,  3766,  4415,  4433,
    4357,  4358,  2687,  2414,  2415,  1199,  1883,   553,  1831,  1166,
    4085,   430,  1166,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,  1166,  3241,  2414,  2415,  2414,  2415,  1481,   475,
    1161,   431,  1166,   432,  2981,   460,    21,    79,    80,    81,
      82,    83,  2391,  2392,   896,  4375,  4358,    42,  1167,  2399,
     553,  1167,  2932,  2933,  4311,  4312,  2414,  2415,  2298,  3801,
    3282,  2298,  1288,  1289,  4318,  2533,  4319,  1907,  1908,  1909,
    1910,  1167,   553,  1832,   435,  2688,   440,  2689,  2690,  1281,
    2534,  1167,  1166,   464,  4117,   457,  4026,   300,   301,    21,
      79,    80,    81,    82,    83,  1166,   553,  4071,   309,   310,
    2433,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,
    2368,    21,  2369,  2771,  2772,  2773,  2774,  2775,  2776,  2777,
    2778,  2779,  2780,  2910,  2781,   459,  3806,  3807,  2414,  2415,
    3808,  1167,  3219,   461,  4216,    21,  3629,  4102,  2851,  2852,
    2853,   462,  2854,  3761,  1167,   463,   962,   963,   964,   965,
     966,   967,   968,   969,   970,   971,   972,   973,   974,   593,
    1161,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
    1161,  1455,  2453,  2454,  2455,  2456,  4084,  1166,   313,   314,
     897,  4062,    42,  1416,  2037,    79,    80,    81,    82,    83,
    3652,   315,   316,   584,  1290,  1291,   478,  3128,  1166,   514,
    3131,   635,  3658,  1292,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,  2485,   895,   487,  1167,   933,  2489,   907,
    1417,   932,  3709,  2493,  1418,    42,   318,   319,  2499,  3630,
    2502,  1014,  2503,  4085,   728,  2816,  2535,  1167,  1021,   934,
     898,  4379,  4358,   935,   936,   937,  1039,    42,  2365,  2366,
    2367,  2368,  1041,  2369,  3825,  3883,  3827,  3884,  3829,  3830,
    3831,  3832,  1884,  3016,  3966,  1051,  3513,  1054,  1614,   933,
    1885,    42,  2939,  2940,  4380,  4358,  3915,  3710,  1898,  1899,
    1165,  1900,  1164,  2974,  1249,  2524,  1200,  1885,  1886,  1887,
    1888,  4030,  4031,  4032,  4033,  1615,  2855,  1616,  1252,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,  1282,   899,
      79,    80,    81,    82,    83,  4364,   323,   324,  2414,  2415,
    1283,  2414,  2415,  2328,  2777,  2778,  2779,  2780,  1348,  2781,
    2934,  3450,  2779,  2780,  1425,  2781,  1197,  2373,  2374,  2375,
    1456,  2414,  2415,   330,   331,  3072,   332,   333,  2536,  1731,
    1508,  2414,  2415,   337,   338,  1457,  1630,  3669,  2848,  2849,
    2850,  3482,  3483,    79,    80,    81,    82,    83,  2936,  2937,
    2938,  3967,  2943,  2944,  2945,  1727,  3905,  2975,  4085,  3313,
    3314,  3315,  4296,   353,   354,    79,    80,    81,    82,    83,
     355,   356,  1734,  3592,  3593,  3594,  4308,  1629,  1882,  2590,
     645,  2911,  2912,   489,  2976,  2977,  2978,   357,   358,    79,
      80,    81,    82,    83,  1833,  1741,  2359,  2360,  2361,  2362,
    2363,  2364,  2365,  2366,  2367,  2368,  1509,  2369,   913,   914,
     915,   916,   917,  1510,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   359,   360,  1617,  3833,  2946,  2947,  2948,
    4086,  2817,  2818,  2819,  2820,  2821,  2822,   363,   364,  1511,
    4091,   656,   657,   365,   366,  2046,   370,   371,   373,   374,
    1998,  3913,  1458,   375,   376,   378,   379,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,  2414,  2415,  3925,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,  2047,  2979,
    2048,  1459,  4401,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,  2049,  2771,  2772,  2773,  2774,  2775,  2776,  2777,
    2778,  2779,  2780,  2050,  2781,  2771,  2772,  2773,  2774,  2775,
    2776,  2777,  2778,  2779,  2780,  2051,  2781,  2771,  2772,  2773,
    2774,  2775,  2776,  2777,  2778,  2779,  2780,  4293,  2781,   537,
     577,   539,  3069,  2857,  2858,  2359,  2360,  2361,  2362,  2363,
    2364,  2365,  2366,  2367,  2368,  2052,  2369,  3632,  3635,  2053,
    4396,  2054,   712,  2055,  2851,  2852,  2853,   714,  2854,  2056,
    4090,  2793,  3332,   493,   494,  2057,  3958,  2058,   544,  2851,
    2852,  2853,  2059,  2854,   386,   387,  2061,   538,   396,   397,
    2062,   545,   398,   399,   584,  2060,  1460,   400,   401,  2063,
    2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,
    2064,  2369,  2980,  2847,   423,   424,   561,  2066,  3070,  2957,
    2958,   562,   563,   564,  2065,   749,   827,  2067,  2038,  4003,
    2068,   830,  2069,   831,  3126,  3127,   753,  2879,   766,   800,
    4118,  2070,   835,   763,   836,  2071,   754,   801,   762,   837,
    2073,  4004,  2074,   565,  2075,   838,   425,   426,  2906,  2907,
    2908,   427,   428,  2076,   926,  2077,  2920,   433,   434,  3024,
    3026,  2930,  2078,   923,  1731,  4007,  2079,   566,  2080,   985,
     567,  1461,   436,   437,  2081,   811,   438,   439,   444,   445,
     446,   447,  2084,   941,   576,   977,   448,   449,   812,   518,
     794,   450,   451,  2085,   768,   825,  2086,   561,   982,   986,
     981,  1739,   562,   563,   564,   769,  1733,  1734,  2087,   750,
    2093,   808,   452,   453,  2094,  1123,  1128,  2095,  1146,   454,
     455,   588,  2096,   757,  1843,  1844,  1845,  1846,  1847,   924,
    3021,   944,  2882,  2097,   565,   998,   465,   466,  3199,  3200,
     925,  4239,  2098,  4241,  2099,  3819,  3039,  3318,  2100,  4082,
    3534,  3535,  2981,  4254,  4255,  3800,  3802,  2101,   566,  3521,
    3522,   567,   329,   810,   983,   989,  2102,  2803,  2805,  2103,
     943,  2108,  2104,  2105,  2109,   984,  2110,  2111,  2112,   979,
     278,   987,  2113,  2827,  2114,  2115,  2116,  2291,  1096,  3292,
    3293,  2117,  2118,  3295,  3296,  4371,   806,  3298,  3299,  2119,
    2120,  2121,   568,  2846,   329,  2122,  2123,  1359,  2124,  2859,
    1362,   278,   751,  1365,   278,   278,  1368,  3112,   839,  1371,
    2125,  1373,  2126,  2874,   906,  2127,   840,   752,   329,  2128,
    2129,  2130,   569,  2131,  3253,  1205,  2132,  2133,   592,  2420,
    2134,  3762,  2135,  2136,  1234,  2137,   758,  2138,  1228,   329,
     329,   329,  1228,   804,   805,   813,  2919,   329,   818,  2139,
    2140,  2141,   329,  2142,   819,  1312,  1261,  2143,  1264,  2942,
    2144,  2145,   828,   853,   854,   855,   856,  2146,  2147,  1205,
     865,   978,   871,  2148,  2149,  1228,   872,   873,  2150,   278,
    2151,  2152,  2153,   874,  4218,  2154,  4220,  2155,   573,   875,
     876,  2156,  1339,  1321,  2157,  1271,  2196,  2158,  1307,  2159,
    2160,  2161,  2162,  1621,  1263,  2163,  1324,  2164,  1272,  3173,
    1269,  1341,  1755,   569,   278,  1273,  2165,  2166,  2167,  2168,
    3020,   329,  3222,  4376,  3224,  2169,  1067,  2170,  2190,  2171,
    2172,  2173,  1622,  2174,  1068,  2175,  2176,   329,  1197,  1197,
    1311,  1323,  2177,  1262,  3320,  3321,  1329,  1623,  1878,  2195,
    2197,  1573,  2198,  3233,  3055,  1409,  2199,  2276,  1410,  1199,
    2200,  3066,  3067,  1199,  2205,  2206,  1764,  1411,  1412,  2207,
    3180,  2208,  2209,  1766,  3184,   329,  3281,  2913,  2913,  2210,
    1322,  2215,  2218,  1270,   748,  1574,  1798,  3092,   997,  1583,
    1413,  2219,  3096,  1610,  1611,  1852,  1799,  1800,  2220,  2221,
    1870,  1801,  1802,  3106,  1903,  1803,  1414,  1872,   329,  3026,
    2222,  1572,  3312,  2223,  2224,  2229,  1943,  1804,  2230,   278,
    1569,  1805,  1568,  2231,  2326,  1567,   576,  2326,  1563,  2232,
    1566,  1199,  1199,  1199,  1199,  3136,  3137,  2233,  1613,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1612,  1198,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1946,  3170,  1625,  1806,  1955,  1956,  1565,  1331,  2234,  1807,
    3383,  1808,  1575,  1679,  1680,  1626,  1570,  1577,  2235,  2236,
    1197,  1197,  1957,  1809,  1814,  4366,  3398,  1571,  2237,  1958,
    1959,  1562,  1961,  1576,  1963,  3202,  3203,   278,  2238,  3208,
    2239,  1197,  3208,  3211,  3632,  1564,  1967,  1795,  1332,  1947,
    1954,  2240,  1981,   329,  1971,   329,  1973,  1765,  1974,  1979,
     278,  2433,  1980,  1996,  1767,  2241,  2242,  2243,  3442,   278,
    3444,  3445,  2244,  1960,   278,  1770,  2245,  2246,  1274,  2247,
    1840,  2248,   278,  2250,  1771,  1502,  1796,  2256,  2257,  1942,
    1968,  1871,   278,   589,  2258,  1969,  3551,  1970,  1873,  1797,
    1944,  1768,  1951,  1962,  1196,   278,  1975,   329,  1976,  1874,
    1945,   278,  1950,  1977,  2267,  1330,  1964,  2268,  1875,  1978,
    1217,  2269,  4246,  2270,  1217,  4425,  1503,  3300,  2271,  2419,
    3301,  2274,  1863,  2275,  2278,  3303,  2304,  3305,  3306,   487,
    1772,  1227,  3525,   329,  3727,  1227,  2287,  1773,  2394,  1965,
    3322,  2401,   278,  1774,  2284,  1775,   487,  1217,  1949,  3331,
    2290,  2292,  1966,  2295,  2296,  2299,  2305,   488,  1952,  2306,
     573,  2307,  1161,  3343,  1876,  3914,  2588,  3916,  1227,  1953,
    2308,  1877,  2330,  2309,   488,  2331,  1315,  1879,  2310,  1880,
    2311,  2312,  4163,  2313,  2314,  2315,  2316,  1948,  3626,  2317,
    2332,  2376,  4171,  1253,  2333,   902,  4175,  1762,  4186,  4187,
    2379,   329,  2380,  2381,  2824,  2334,  2335,  2336,   922,  3388,
    2339,  3390,  2340,  2382,  2341,  1811,  2342,   329,  2343,  1763,
    1838,  2383,  2344,  2345,  2346,  2347,  1850,  2348,  1861,  2390,
    2349,  1868,  2350,  3971,  2351,  2862,   553,  1812,  2865,  2867,
    2402,   527,  1839,   980,  2352,  2353,  2354,  2355,  1851,  2356,
    1862,  2357,  2403,  1869,  2404,  2405,  1728,  2407,   528,   329,
    2406,   329,   329,  2408,  2409,  2412,  2413,  2423,  2424,  2425,
     278,  2426,  2427,  2294,  2428,    21,  2429,  2436,  2437,  1042,
    2440,  1729,  1730,  2441,  1206,  1207,  1024,  2442,  2443,  1025,
    2445,  2253,  2446,  3219,  2444,  4176,  2447,  2473,  2448,  2459,
    1208,  4177,  4178,  4179,  4180,  4181,  4182,   529,   566,   487,
    2460,  1209,  1026,  2971,  2463,  2464,  4183,  2474,    21,  2465,
    2466,  2467,  1316,  2468,  4184,  2476,  1027,   489,  2469,  1210,
    2470,  2471,  2472,   329,  1255,   524,   525,   488,  1254,  3707,
    2477,  2475,  2478,  2479,   489,  2480,  2481,  1028,  3012,  2482,
    2522,  1255,  2483,  2484,  3547,  3548,  2504,  2505,  2005,   530,
    2506,  3552,  3553,  2507,  3555,  3556,  3557,  1317,  3559,  2217,
    3670,  2508,  1204,  2509,  2510,  2513,   530,  2514,  2515,  1052,
    2516,  1233,  2517,   491,  3855,  2518,  2519,  2520,  2521,  1211,
    2523,  2525,  2526,  2529,  1088,  2194,  2527,  2528,  2530,  2543,
    2544,  2545,   526,  2548,   527,  2579,  1256,  2549,  2550,  2551,
    2552,  2580,  2553,  2554,  4064,  2555,  1204,  2556,  2557,  2558,
    2559,   528,  2560,  1256,  2561,  2562,  2563,  2564,  2565,  2566,
    1089,    42,  2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,
    1029,  2369,  2567,  2568,   555,  2569,  3616,  2570,  2571,  2572,
    2573,  4087,  2574,  3124,  2575,  4087,  2576,  2577,  2578,   278,
    2581,  1030,  2582,  2583,  2584,  2591,  2592,  1212,  2593,  2594,
     529,  1213,  2595,   569,    42,  1214,  2596,  2597,  2598,  2599,
    2600,  2601,   555,  2602,  3747,   555,  2603,   555,  2604,  2605,
     634,  2606,  2607,  2608,  2609,  2610,  3686,  2611,  2612,  1257,
    2411,  1044,  1731,  1732,  2613,  3782,  2614,   278,  3783,  2615,
    2616,  3784,   493,   494,  2617,  2618,  1257,  2359,  2360,  2361,
    2362,  2363,  2364,  2365,  2366,  2367,  2368,  2619,  2369,  2620,
    2621,  1031,  2622,  2623,  2624,  2625,  2626,  2627,  2628,   530,
     325,  3205,  2629,  3856,  1733,  1734,   491,  1735,  1736,  2630,
    1737,  1738,  1739,   899,  2631,  2632,  2633,  1740,  2634,  2635,
    2636,  2637,  1032,  2638,  3229,  2639,  2640,  2641,  1741,  2642,
    4170,  2643,  2644,  3239,  4174,  2645,  2646,  2647,  3246,    79,
      80,    81,    82,    83,  2648,  2649,  3255,  2651,  2650,  2652,
    2653,   555,  3646,  2654,  2655,  2656,  3265,  2657,  2658,  2659,
    2660,  4202,  2661,  2662,  2663,  2664,  3650,  2665,  2669,  3279,
    3653,  2666,  2667,  2668,   894,  3287,  2670,  2671,  2672,  2673,
    2674,  2107,    79,    80,    81,    82,    83,  2675,  2676,  2680,
    2677,  2678,   555,  3663,  2679,  2681,  2682,  2683,  2684,   931,
    3930,  2685,  2686,  2693,  2694,  2695,  2696,  2697,  2698,  2701,
    1198,  1198,  2704,  2303,  2707,  2708,  3325,  2731,  2709,  2710,
    2713,  2718,  2732,  2714,  4244,  2107,  2721,  2722,  2723,  2724,
    2725,  2726,   634,  2727,  2734,   493,   494,  2728,  1018,  1033,
    1199,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,  2729,
    2781,  1199,    21,  1166,  2730,   278,  2735,   329,  2740,  2736,
    2743,  2737,   329,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,  1318,  2741,  3703,  2742,  2744,  2745,  2746,  3845,
    2747,  2837,  2748,  2749,  2014,  2750,  2751,  2752,  2755,  2756,
    2757,  2843,  1167,  2758,   555,  2759,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,  2760,  2260,  2771,  2772,  2773,
    2774,  2775,  2776,  2777,  2778,  2779,  2780,  1258,  2781,  2761,
    2762,  2763,  2786,  2015,  3454,  2764,  2765,  2766,  2767,  2768,
    1235,  1199,  2790,  2792,  1258,  2769,  2794,  2784,  2800,  2801,
    2807,  2016,  1198,  1198,  2808,  2810,  2812,  3739,  3740,  2814,
    2796,  2828,  2829,  2017,  2018,  2830,  2833,   531,   532,   533,
     534,  2835,  2840,  1198,  2839,   555,  2841,  3755,  4359,  2844,
    3755,  2845,  2860,  2868,  4087,  2870,  2871,  2878,  2886,  2890,
    2891,  2872,  2887,   278,  2904,   278,  2905,  2909,    42,   555,
    4359,  2916,  2917,  2921,  2019,  2923,  2931,  2941,  2950,   555,
    4359,  4359,  2949,  2951,  2953,  2956,   555,  2960,   278,  2964,
    2965,  2966,  2968,  2972,  2973,   555,  2986,  4137,  2987,  2988,
    2990,  2991,  2787,  2419,  2789,   555,  2419,  2992,  2995,  2994,
    4397,  2996,  2997,  2999,  3000,  4022,  3003,  3001,  2809,   555,
    3033,  3034,  3013,  3036,  2815,  3004,  3009,   555,  3037,  1199,
    1199,  3014,  3005,  2831,  2832,  3006,  2834,  3019,  2337,  2338,
    2838,  3007,  1199,  3040,  3041,  3028,  2771,  2772,  2773,  2774,
    2775,  2776,  2777,  2778,  2779,  2780,  1043,  2781,  3029,  2358,
    3042,  3046,  3047,  3049,  3051,   555,  3056,  3076,  2873,  4138,
    2875,  2876,  2877,  3075,  3052,  3109,  3110,  3794,  3795,  3796,
    2888,  2889,  3053,  3054,  3114,  2896,  2897,  2898,  2899,  2900,
    2901,  2902,  2903,  3617,  3077,  3058,  3115,  3059,  3117,  2419,
    3079,  3083,  2283,  3119,  3084,  3087,  3120,  3088,   278,   278,
     278,  2935,  3121,   278,  3089,  3090,    79,    80,    81,    82,
      83,  2952,  3129,  2955,  3091,  3093,  2959,  3172,  3097,  2369,
    3177,  3179,  2967,  3171,  3187,  3098,  3194,  3100,  3201,  3102,
     278,  3628,  3226,  2771,  2772,  2773,  2774,  2775,  2776,  2777,
    2778,  2779,  2780,  3103,  2781,  3240,  3192,  3995,  3169,  3232,
    3174,  3243,  2020,  2021,  3250,  3261,  3266,  3267,  2022,  2023,
    2024,  2025,  2026,  2027,  2028,  2029,  2030,  2031,  2032,  3181,
    1199,  3268,  2033,  2034,  2035,  2036,  2419,  3032,  3223,  3183,
    3185,  3186,  2753,  2754,   555,  3191,  1728,  3043,  3044,  3045,
    3193,  3269,  3048,  3270,  3271,  3272,  3273,  3195,  3274,  2770,
    3225,  3196,  3275,  3307,  3316,  1197,  3248,  3197,  3317,  1197,
    3323,  1729,  1730,  3073,  3074,  3337,  3198,  3209,  3327,  3221,
    3227,  3338,  3339,  3348,  3085,  3349,  3350,  3351,  3234,   278,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,  3252,
    3332,  3108,  3352,  3260,  3276,  3113,  3353,  3284,  3116,  3311,
    3118,  3354,  3328,  3329,  3330,  3336,  3347,  3355,  3356,  3357,
    2869,  3358,  3359,  3360,  3362,  3363,  3371,  1197,  1197,  1197,
    1197,  3372,  3375,  3530,  3384,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,  1197,  3381,  4049,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,  1197,  1197,  1197,  1197,  3394,  3368,  3395,  3685,
    3369,  3370,  3396,  3397,  3386,  3175,  3176,  3387,  3178,  3373,
    3399,  3389,  3401,  4199,  3400,  3405,  3406,  3407,  3845,  3408,
    3903,   553,  3409,  3412,  3904,  3413,  2982,   555,  3414,  3415,
    3416,  3417,  2989,  3419,  3420,  3421,   634,  2993,   555,  3422,
    3212,  3213,  3423,  3424,  2419,  3425,  3426,  3002,  3427,  3428,
    2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,
      21,  2369,  3235,  4200,  3429,  3430,  3431,   894,  3432,  3747,
    3433,  3030,  3747,  3434,  3435,  3436,  3441,   931,  3443,  3439,
     634,  3447,  3448,  3451,  3462,  1018,  3262,  3464,  3465,  3066,
    1199,  3468,  1199,  3469,  3470,   555,  3471,  3476,  1199,  3477,
    3478,  2037,  3456,  3481,  3475,  3480,  3484,  3970,   479,   480,
     481,  3486,  1731,  1732,   482,   483,   484,   485,  3488,  1199,
    1199,  3489,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,
    2367,  2368,   486,  2369,  3491,  3492,  3495,  3496,  3499,  3503,
    1199,  3101,  1199,   487,  3105,  3500,  3506,  3764,   278,  3765,
    3507,  3520,  3509,  3516,  1733,  1734,  1759,  1735,  1736,  4262,
    1737,  1738,  3526,  3999,  3536,  3524,  3528,  1740,  4120,  3539,
    3540,   488,  3771,  3543,   555,   555,  3529,  3544,  1741,  3546,
    2042,   555,  3550,  3619,  2781,  3618,  3591,  3361,  3600,  3610,
    3366,  3367,  4221,  3611,  2201,  3647,  3636,  3649,  3374,  3612,
    3376,  3377,  3378,  3379,  3380,  3664,  3648,  1199,  3641,  3665,
    3666,  3671,  3677,  3708,   555,  3681,    42,  3682,  3683,  3674,
    3692,   555,  3691,  3699,  3995, -2320,  3995,  3749,   555,  3696,
    3786,  3760,  3814,  3410,  3411,  3713,  3714,  3735,  3738,  3743,
    3746,  3418,  4229,   479,   480,   481,  3757,  3797,  3767,   482,
     483,   484,   485,  3799,  3809,   515,  4047,  3816,  3214,  4050,
    3815,  3821,  4053,  3817,  4331,  4332,   516,   486,  3822,  3810,
    3823,  2371,  3824,  2419,  3846,  3847,  3849,  3850,   487,  3852,
    3459,  3460,  3461, -2319,  3463,  3851,  3853,  3466,  3467,  3249,
    3854,  3878,  3879,  3472,  3473,  3256,  3257,  3258,  3259,  3880,
    3900,  -877,  3897,  2419,  2419,  3604,   488,  3906,  2359,  2360,
    2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,  4081,  2369,
    3917,  3921,  3504,  3908,  3811,   517,  3929,  3932,  3939,  3934,
    3940,  3937,  3948,  4382,  4383,  3949,  3950,  3955,  3969,  3962,
    3972,   489,   490,  3974,  3979,  3986,  3982,  3533,  3304,  3987,
    4005,  3538,  3990,  3991,  3993,  3542,  3997,  4000,  4112,  4013,
    4113,  4024,  4116,  4017,    79,    80,    81,    82,    83,   329,
    4036,  1199,  4018,  4019,  4020,  4021,  4037,  1042,  4025,  4038,
     491,   492,  4052,  4039,  4040,  4408,  4041,  4042,  4043,  4044,
    4048,  4051,  1199,  1199,  4054,   555,  2771,  2772,  2773,  2774,
    2775,  2776,  2777,  2778,  2779,  2780,  4055,  2781,  4066,  4067,
    1281,  4068,  4072,  4074,  4073,  4083,    21,  4093,  4155,  4155,
    4100,  4094,  4095,  3818,  4103,  4107,  4109,  4111,  4130,  4114,
    4123,  1629,  4124,  4159,  4131,  4128,  4146,  4148,  4150,  4161,
    1199,  1199,  1199,  1199,  3660,  4189,  2771,  2772,  2773,  2774,
    2775,  2776,  2777,  2778,  2779,  2780,  4190,  2781,  4208,  4191,
    4209,  4193,  4194,  4205,  4196,  4210,  4211,  4212,  4215,  4226,
    -879,  4214,  4230,  4231,  4235,  4238,   489,   490,  4237,  4240,
    4242,  4268,  4276,  4282,  4283,  4289,  4277,  4284,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,  4292,  4285,   493,
     494,  4297,  4286,  4291,  4300,   491,   492,  4303,  4304,  4309,
    4314,  4335,  4340,  4306,  4343,  4234,  4344,  1199,  4320,  4321,
    4078,  4317,  4347,  4324,  4325,  4328,  4333,  3212,  3213,  4350,
    4338,  4353,  4354,  4362,  -881,  4368,  4372,  1199,  1199,  2419,
    2419,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,
    2368,  1281,  2369,  4373,  4260,  4374,  4260,  1629,  4267,  4377,
    4384,  4392,    42,  4378,  4393,  2771,  2772,  2773,  2774,  2775,
    2776,  2777,  2778,  2779,  2780,  4403,  2781,  4385,  4394,  4386,
    4402,  3560,  3561,  3562,  3563,  4399,  4404,  3564,  3565,  3566,
    3567,  3568,  3569,  3570,  3571,  3572,  3573,  3574,  3575,  3576,
    3577,  3578,  4405,  3580,  3581,  3582,  3583,  3584,  3585,  3586,
    3587,  3588,  3589,  3590,  4407,  2771,  2772,  2773,  2774,  2775,
    2776,  2777,  2778,  2779,  2780,  4411,  2781,  4417,   325,  4418,
    4412,  4427,  4313,  4428,   493,   494,  2771,  2772,  2773,  2774,
    2775,  2776,  2777,  2778,  2779,  2780,  4429,  2781,  1728,  4437,
    4421,  4438,  3985,  4426,  4439,  4441,  4431,  4446,  4329,  4435,
     471,  3335,  3346,  4442,  4440,  4334,  3798,  1198,   554,  4444,
    3310,  1198,  4445,  1729,  1730,  4447,  1197,  4156,  3027,  1015,
    3667,  3512,  3008,  4346,  3532,  4349,  4169,  1197,  2771,  2772,
    2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,  3961,  2781,
    3690,  3078,  3953,  3745,  3751,  3498,  4413,  4342,  4416,  3508,
      79,    80,    81,    82,    83,  3693,  3515,  3759,  2836,  3182,
    3086,  3545,   487,  3527,  1923,  2359,  2360,  2361,  2362,  2363,
    2364,  2365,  2366,  2367,  2368,  3523,  2369,  2183,  4387,  1198,
    1198,  1198,  1198,  4391,  3220,  3237,  2189,  1198,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,  3657,  3385,  1198,  1198,  1198,
    1198,  1198,  1198,  1198,  1198,  1198,  1198,  1198,  4065,  4204,
    2969,  2001,  3640,  3062,  4089,  4409,  4410,  1197,  2008,  4188,
     553,  1072,  4391,  2359,  2360,  2361,  2362,  2363,  2364,  2365,
    2366,  2367,  2368,  2012,  2369,  3122,  4092,  2204,  3050,  2289,
    3277,  3082,  4430,  3280,  4432,  3263,  3288,  3157,  3285,  3651,
    2458,  3251,  2811,  3654,  3438,  3455,  3490,  2806,  3452,    21,
    3479,  2419,  3487,  2419,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,  3485,  3206,  3132,  3133,  3134,  3135,  3474,
    3247,  2863,  3382,  3138,  3139,  3140,  3141,  3142,  3143,  3144,
    3145,  3146,  3147,  3148,  3149,  3150,  3151,  3152,  3153,  3154,
    3155,  3326,  3010,  3158,  3159,  3160,  3161,  3162,  3163,  3164,
    3165,  3166,  3167,  3168,  1731,  1732,  2825,  2092,  3701,  3231,
    3099,  2998,  2286,  3228,  4151,  1197,  1197,  2228,  2842,  3675,
    3210,     0,  3579,  3549,  4157,     0,  4173,     0,  1197,  2359,
    2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,     0,
    2369,     0,     0,     0,     0,     0,  1733,  1734,  3705,  1735,
    1736,   636,  1737,  1738,  1739,  1865,     0,     0,     0,     0,
       0,   641,     0,     0,     0,     0,   643,     0,     0,     0,
    1741,     0,     0,     0,  3702,     0,     0,  2359,  2360,  2361,
    2362,  2363,  2364,  2365,  2366,  2367,  2368,     0,  2369,  2419,
    2419,     0,     0,     0,     0,    42,     0,     0,     0,     0,
       0,     0,     0,     0,   487,     0,     0,     0,   649,   650,
     651,  3711,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,
    2367,  2368,     0,  2369,     0,     0,     0,     0,     0,   653,
       0,  3741,   488,     0,  3689,  2359,  2360,  2361,  2362,  2363,
    2364,  2365,  2366,  2367,  2368,     0,  2369,     0,     0,     0,
       0,  3104,  1079,     0,     0,     0,     0,     0,     0,     0,
    3763,     0,     0,   656,   657,     0,  1197,     0,     0,     0,
       0,     0,     0,     0,  3768,     0,     0,     0,     0,  3712,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      21,  1166,   553,     0,     0,     0,     0,     0,   493,   494,
     954,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,
    2368,     0,  2369,     0,     0,     0,     0,   668,   669,     0,
    1925,   670,   671,     0,     0,  3518,  2419,  3518,  3518,     0,
       0,    21,  2014,     0,     0,     0,     0,     0,     0,     0,
    1167,     0,     0,    79,    80,    81,    82,    83,     0,   687,
     688,   689,   690,   691,  2359,  2360,  2361,  2362,  2363,  2364,
    2365,  2366,  2367,  2368,     0,  2369,     0,     0,     0,     0,
       0,  1631,  1632,  1633,  1634,  1635,     0,     0,     0,     0,
       0,  2015,     0,     0,  1641,  1642,  1643,     0,     0,     0,
       0,  1648,  1776,     0,  1649,  1650,     0,     0,     0,  2016,
       0,     0,   489,     0,   712,  3715,     0,     0,     0,   714,
       0,  2017,  2018,  1088,     0,     0,     0,     0,     0,  1656,
       0,   719,     0,   720,     0,  2359,  2360,  2361,  2362,  2363,
    2364,  2365,  2366,  2367,  2368,     0,  2369,     0,     0,     0,
     722,   491,     0,     0,     0,     0,    42,     0,     0,  1731,
       0,   724,  2019,  3716,     0,     0,     0,  2419,  1090,  2419,
       0,  1091,   568,     0,   487,     0,     0,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,     0,    42,  3717,     0,
       0,     0,  1734,     0,     0,     0,  1777,     0,   730,   731,
       0,     0,     0,     0,     0,   732,  1197,     0,  1197,     0,
       0,  3718,     0,     0,  1197,     0,  1676,  1778,  1779,  1780,
    1781,  1782,  1783,  1784,  1785,  2419,  1786,  1787,  1788,  1789,
    1790,  1791,  1792,     0,     0,  1197,  1197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2359,  2360,  2361,  2362,
    2363,  2364,  2365,  2366,  2367,  2368,  1197,  2369,  1197,     0,
       0,     0,     0,  1206,  1207,     0,     0,     0,     0,     0,
     493,   494,     0,     0,     0,     0,     0,  3719,     0,  1208,
       0,     0,     0,     0,     0,  2419,     0,   566,     0,     0,
    1209,     0,     0,     0,    79,    80,    81,    82,    83,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1210,  2359,
    2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,     0,
    2369,     0,     0,  1197,     0,     0,     0,     0,     0,     0,
    3720,     0,     0,  3876,     0,    79,    80,    81,    82,    83,
    2020,  2021,     0,     0,     0,     0,  2022,  2023,  2024,  2025,
    2026,  2027,  2028,  2029,  2030,  2031,  2032,   627,     0,     0,
    2033,  2034,  2035,  2036,     0,     0,     0,     0,  1211,     0,
       0,     0,     0,  1088,     0,     0,     0,     0,  1198,     0,
       0,     0,   734,     0,     0,     0,     0,     0,     0,  1198,
       0,     0,     0,     0,  3931,     0,   584,     0,     0,     0,
    3936,  3721,     0,     0,     0,  4063,  2419,     0,     0,  1089,
    3942,     0,     0,     0,     0,     0,     0,     0,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,     0,     0,     0,
       0,     0,     0,  2419,     0,  3975,  1212,  2419,     0,     0,
    1213,     0,   569,     0,  1214,     0,     0,     0,     0,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,     0,     0,
       0,     0,     0,     0,  3989,     0,     0,  1197,     0,  1198,
       0,     0,     0,     0,  3676,     0,     0,     0,     0,     0,
       0,     0,     0,  4001,     0,  3684,     0,     0,  1197,  1197,
       0,   553,     0,  1926,  1927,  1928,  1929,  1930,  1931,  1932,
    1933,  1934,  3722,  1935,  1936,  1937,     0,  1938,     0,  1939,
       0,     0,   899,  2359,  2360,  2361,  2362,  2363,  2364,  2365,
    2366,  2367,  2368,     0,  2369,     0,     0,     0,     0,   974,
      21,     0,     0,     0,     0,     0,  1197,  1197,  1197,  1197,
       0,     0,  2419,  4029,  4172,     0,  2419,  2771,  2772,  2773,
    2774,  2775,  2776,  2777,  2778,  2779,  2780,   636,  2781,     0,
     638,     0,     0,     0,     0,  3723,     0,     0,     0,     0,
     642,  1075,   553,  2419,     0,     0,     0,  4056,  4057,     0,
       0,     0,     0,     0,     0,  3736,     0,  1198,  1198,  2037,
       0,     0,     0,     0,  4058,     0,  4059,  1206,  1207,     0,
    1198,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,
    2368,    21,  2369,  1208,   649,   650,   651,  1076,  1077,     0,
       0,   566,     0,  1197,  1209,     0,     0,     0,     0,   877,
       0,     0,     0,     0,     0,     0,  2419,     0,     0,     0,
       0,     0,  1210,  1197,  1197,     0,     0,     0,     0,     0,
       0,  4096,  4097,     0,  4099,     0,     0,     0,  1079,     0,
       0,     0,  4106,     0,     0,     0,     0,     0,  4110,   656,
     657,   658,     0,     0,     0,     0,     0,  3230,     0,     0,
    1080,  1081,  1082,     0,  1303,     0,    42,     0,     0,     0,
       0,  4129,     0,     0,     0,     0,     0,    21,   659,   660,
     661,     0,  1211,  3780,  3781,     0,     0,  1088,  4142,  4143,
       0,     0,     0,     0,     0,     0,  3785,  2419,     0,     0,
       0,     0,   528,     0,     0,     0,     0,  4153,  2771,  2772,
    2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,  1198,  2781,
       0,     0,     0,  1089,  2419,  2359,  2360,  2361,  2362,  2363,
    2364,  2365,  2366,  2367,  2368,     0,  2369,     0,     0,     0,
    2419,  2419,     0,     0,     0,     0,     0,    42,     0,     0,
     694,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1212,     0,  4201,     0,  1213,     0,   569,     0,  1214,  3724,
    4203,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2419,     0,     0,     0,     0,     0,  2419,     0,     0,     0,
     712,  1085,     0,  1086,     0,   714,     0,     0,  1087,  1088,
       0,  2782,  2419,   717,   718,     0,     0,     0,     0,   720,
       0,     0,  2419,  2419,    79,    80,    81,    82,    83,     0,
       0,   721,   584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    42,  3812,  1089,     0,     0,     0,     0,
       0,     0,  2419,     0,  1090,     0,   899,  1091,   568,     0,
       0,     0,     0,     0,     0,  3063,   728,   585,  1092,     0,
       0,     0,  4272,     0,     0,     0,     0,     0,     0,  1093,
    1094,  1095,     0,     0,     0,     0,     0,     0,   569,     0,
       0,     0,     0,     0,   730,   731,     0,     0,     0,     0,
       0,   732,     0,     0,     0,    79,    80,    81,    82,    83,
       0,  4287,  4288,  2359,  2360,  2361,  2362,  2363,  2364,  2365,
    2366,  2367,  2368,     0,  2369,     0,     0,     0,     0,     0,
       0,     0,     0,  4305,     0,     0,     0,     0,     0,     0,
       0,  4310,     0,     0,     0,     0,     0,     0,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,     0,  1198,  1304,
    1198,     0,     0,     0,     0,     0,  1198,     0,     0,     0,
       0,  2753,  2754,     0,     0,     0,  4341,     0,     0,     0,
       0,    79,    80,    81,    82,    83,     0,  1198,  1198,     0,
       0,     0,     0,     0,     0,  4355,     0,     0,     0,     0,
       0,  3725,     0,     0,     0,     0,     0,     0,  1198,     0,
    1198,     0,     0,     0,     0,     0,     0,     0,     0,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,  1305,     0,
       0,  3588,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,
    2367,  2368,     0,  2369,     0,     0,     0,     0,     0,     0,
    4398,     0,     0,     0,     0,     0,     0,     0,   734,     0,
       0,     0,     0,     0,  3954,  1198,  3956,  2359,  2360,  2361,
    2362,  2363,  2364,  2365,  2366,  2367,  2368,     0,  2369,     0,
       0,  4272,     0,     0,     0,     0,     0,     0,  4419,     0,
       0,     0,     0,  3977,  3978,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,  3980,     0,  3981,     0,   927,   553,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4443,
       0,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,
    2368,     0,  2369,     0,     0,     0,     0,     0,     0,   470,
       0,     0,     0,     0,     0,     0,     0,     0,    21,     0,
       0,     0,     0,     1,     2,     0,     0,     0,     0,  3726,
       0,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,
    2780,  4016,  2781,     0,     0,     0,     0,     0,     3,     4,
       5,     6,     7,     0,     0,     0,     8,     0,     0,  1155,
       0,     0,     0,     0,     9,     0,     0,   740,   741,   742,
     743,   744,   745,     0,    10,    11,    12,     0,     0,     0,
      13,     0,    14,    15,    16,    17,    18,     0,     0,  1198,
       0,     0,     0,     0,     0,     0,    19,    20,     0,    21,
       0,     0,     0,     0,     0,     0,    22,     0,     0,     0,
    1198,  1198,    23,  2771,  2772,  2773,  2774,  2775,  2776,  2777,
    2778,  2779,  2780,     0,  2781,     0,     0,     0,    24,    25,
      26,    27,     0,     0,     0,     0,     0,     0,     0,     0,
      28,     0,    29,    30,     0,     0,     0,     0,  2430,     0,
       0,     0,     0,     0,     0,     0,    31,     0,  1198,  1198,
    1198,  1198,     0,     0,     0,     0,     0,     0,  3728,     0,
       0,     0,     0,     0,    42,     0,    32,     0,     0,     0,
       0,     0,     0,     0,     0,    33,     0,    34,     0,  2771,
    2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,     0,
    2781,     0,     0,  3729,  2771,  2772,  2773,  2774,  2775,  2776,
    2777,  2778,  2779,  2780,     0,  2781,    35,    36,    37,    38,
       0,     0,    39,     0,     0,     0,  4139,  4140,     0,     0,
       0,     0,     0,    40,     0,  2771,  2772,  2773,  2774,  2775,
    2776,  2777,  2778,  2779,  2780,  1198,  2781,    41,     0,     0,
       0,     0,     0,     0,     0,    42,     0,     0,     0,     0,
      43,     0,     0,     0,     0,  1198,  1198,  3734,     0,     0,
       0,     0,     0,     0,  4165,  4166,  4167,  4168,     0,     0,
      44,    45,     0,    46,     0,    47,    48,     0,     0,     0,
       0,     0,     0,     0,    49,     0,     0,    50,     0,    51,
      52,     0,     0,     0,    53,    54,     0,  3758,    55,    56,
    2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,
       0,  2781,    79,    80,    81,    82,    83,     0,     0,     0,
       0,     0,     0,     0,    57,    58,     0,     0,    59,    60,
      61,    62,     0,    63,    64,     0,     0,     0,     0,    65,
       0,     0,    66,     0,     0,     0,     0,    67,    68,     0,
       0,  4236,     0,    69,     0,     0,     0,    70,    71,    72,
       0,     0,    73,     0,    74,    75,    76,    77,    78,     0,
       0,  4247,  4248,     0,     0,     0,     0,     0,     0,  3857,
       0,     0,     0,     0,     0,  1157,     0,     0,     0,     0,
       0,     0,     0,    79,    80,    81,    82,    83,     0,    84,
       0,     0,     0,     0,     0,     0,    85,    86,    87,     0,
      88,    89,    90,     0,    91,    92,    93,    94,    95,    96,
      97,     0,     0,     0,    21,     0,    98,    99,     0,     0,
       0,     0,   100,     0,     0,     0,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,  3858,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   101,     0,     0,     0,     0,
    3859,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,
    2780,     0,  2781,  2771,  2772,  2773,  2774,  2775,  2776,  2777,
    2778,  2779,  2780,     0,  2781,     0,     0,     0,     0,   102,
       0,  3860,     0,     0,   103,  2771,  2772,  2773,  2774,  2775,
    2776,  2777,  2778,  2779,  2780,     0,  2781,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,  2771,  2772,  2773,  2774,
    2775,  2776,  2777,  2778,  2779,  2780,     0,  2781,     0,     0,
    2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,
       0,  2781,     1,     2,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   123,   124,  3861,     0,   125,   126,
      42,   127,   128,   129,   130,   131,   132,     3,     4,     5,
       6,     7,     0,     0,   133,     8,     0,     0,     0,   134,
     135,   136,     0,     9,     0,     0,     0,   137,     0,     0,
       0,     0,     0,    10,    11,    12,     0,     0,     0,    13,
       0,    14,    15,    16,    17,    18,  1156,     0,     0,   138,
     139,     0,     0,     0,     0,    19,    20,     0,    21,     0,
       0,     0,     0,     0,     0,    22,     0,     0,     0,     0,
       0,    23,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,   141,     0,     0,     0,    24,    25,    26,
      27,     0,     0,     0,     0,     0,     0,     0,     0,    28,
       0,    29,    30,  2771,  2772,  2773,  2774,  2775,  2776,  2777,
    2778,  4339,  2780,     0,  2781,    31,     0,     0,     0,     0,
       0,     0,   142,     0,     0,     0,   143,     0,     0,     0,
       0,     0,     0,     0,     0,    32,     0,     0,     0,     0,
       0,     0,     0,     0,    33,     0,    34,     0,    79,    80,
      81,    82,    83,  2771,  2772,  2773,  2774,  2775,  2776,  2777,
    2778,  2779,  2780,     0,  2781,     0,     0,  3862,     0,     0,
       0,     0,     0,     0,     0,    35,    36,    37,    38,  3863,
       0,    39,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,
    2779,  2780,    40,  2781,     0,     0,     0,     0,     0,     0,
       0,  3864,     0,     0,     0,     0,    41,     0,     0,     0,
       0,     0,     0,     0,    42,     0,     0,     0,     0,    43,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3865,     0,     0,     0,     0,     0,     0,    44,
      45,     0,    46,     0,    47,    48,  3866,     0,     0,     0,
       0,     0,     0,    49,     0,     0,    50,     0,    51,    52,
       0,     0,     0,    53,    54,     0,     0,    55,    56,     0,
       0,     0,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,     0,     0,    57,    58,     0,     0,    59,    60,    61,
      62,     0,    63,    64,     0,     0,     0,     0,    65,     0,
       0,    66,     0,     0,     0,     0,    67,    68,     0,     0,
       0,     0,    69,     0,     0,     0,    70,    71,    72,     0,
       0,    73,     0,    74,    75,    76,    77,    78,     0,  2771,
    2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,     0,
    2781,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    79,    80,    81,    82,    83,     0,    84,     0,
       0,     0,     0,     0,     0,    85,    86,    87,     0,    88,
      89,    90,     0,    91,    92,    93,    94,    95,    96,    97,
       0,     0,     0,     0,     0,    98,    99,     0,     0,     0,
       0,   100,     0,  2771,  2772,  2773,  2774,  2775,  2776,  2777,
    2778,  2779,  2780,     0,  2781,     0,  2771,  2772,  2773,  2774,
    2775,  2776,  2777,  2778,  2779,  2780,     0,  2781,     0,  3867,
       0,     0,     0,     0,   101,  2359,  2360,  2361,  2362,  2363,
    2364,  2365,  2366,  2367,  2368,     0,  2369,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3868,     0,
       0,     0,  1158,     0,     0,     0,     0,     0,   102,     0,
       0,     0,     0,   103,  2771,  2772,  2773,  2774,  2775,  2776,
    2777,  2778,  2779,  2780,     0,  2781,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,  2359,  2360,  2361,  2362,  2363,
    2364,  2365,  2366,  2367,  2368,     0,  2369,     0,     0,     0,
       0,     0,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,
    2367,  2368,     0,  2369,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   123,   124,     0,     0,   125,   126,     0,
     127,   128,   129,   130,   131,   132,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,     0,   134,   135,
     136,     0,     0,     0,     0,     0,   137,   636,   637,     0,
     638,   639,     0,   640,     0,     0,     0,   641,     0,     0,
     642,     0,   643,     0,     0,     0,     0,     0,   138,   139,
    2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,
     644,  2369,     0,     0,   553,  3869,     0,     0,   645,   486,
       0,     0,     0,     0,     0,     0,   646,   647,   648,     0,
     487,   140,   141,     0,   649,   650,   651,     0,  2359,  2360,
    2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,     0,  2369,
       0,     0,   652,    21,     0,   653,   524,   525,   654,     0,
       0,     0,     0,   655,     0,     0,     0,     0,     0,     0,
       0,   142,     0,     0,     0,   143,     0,   517,     0,  3870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   656,
     657,   658,  3871,  2359,  2360,  2361,  2362,  2363,  2364,  2365,
    2366,  2367,  2368,     0,  2369,     0,     0,     0,     0,     0,
       0,  3952,     0,     0,     0,     0,     0,     0,   659,   660,
     661,     0,   662,   526,   663,   527,     0,     0,     0,     0,
       0,     0,     0,     0,   664,   665,     0,     0,     0,   666,
     667,     0,   528,   668,   669,     0,     0,   670,   671,     0,
    4002,     0,     0,     0,     0,     0,     0,     0,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,     0,     0,   687,   688,   689,   690,   691,
     692,  4008,     0,     0,     0,     0,     0,     0,     0,   693,
     694,   529,   695,   696,   697,   698,   699,   700,  4009,   701,
     702,     0,     0,   703,   704,     0,     0,     0,   705,    42,
       0,     0,     0,   706,   707,   708,     0,     0,     0,   709,
       0,   710,     0,     0,   711,     0,     0,     0,   489,   490,
     712,     0,   713,     0,     0,   714,   715,   716,     0,     0,
       0,     0,     0,   717,   718,     0,     0,   719,     0,   720,
       0,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,
    2780,   721,  2781,     0,     0,     0,   722,   491,   492,     0,
       0,   723,     0,     0,     0,     0,  4023,   724,     0,     0,
       0,     0,     0,     0,     0,   725,     0,     0,   568,   726,
     727,     0,     0,     0,   636,     0,   728,   638,     0,     0,
       0,     0,     0,     0,   641,     0,     0,     0,  1075,   643,
       0,     0,     0,   729,  4133,     0,     0,     0,   569,     0,
       0,     0,     0,     0,   730,   731,     0,     0,     0,     0,
       0,   732,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,
    2779,  2780,     0,  2781,     0,     0,     0,     0,     0,     0,
       0,   649,   650,   651,  1076,  1077,     0,    79,    80,    81,
      82,    83,     0,     0,     0,     0,     0,     0,     0,  4134,
       0,     0,     0,     0,     0,     0,     0,     0,   733,     0,
       0,     0,     0,     0,     0,     0,     0,  1078,     0,     0,
       0,     0,     0,     0,     0,  1079,   493,   494,     0,     0,
       0,     0,     0,     0,     0,     0,   656,   657,   658,     0,
       0,     0,     0,     0,   553,     0,     0,  1080,  1081,  1082,
    2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,
       0,  2781,     0,     0,     0,   659,   660,   661,   553,     0,
       0,     0,     0,     0,     0,     0,  1083,     0,     0,     0,
       0,     0,     0,    21,     0,     0,     0,   636,     0,     0,
     638,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,
    2368,  1075,  2369,  1084,     0,     0,     0,    21,     0,     0,
       0,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
       0,     0,     0,     0,     0,     0,     0,   694,   734,     0,
       0,     0,     0,     0,   649,   650,   651,  1076,  1077,     0,
       0,     0,     0,     0,     0,     0,     0,  4152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   531,   532,
     533,   534,     0,     0,     0,     0,   735,   712,  1085,     0,
    1086,     0,   714,     0,     0,  1087,  1088,     0,  1079,  1334,
     717,   718,     0,     0,   719,     0,   720,     0,     0,   656,
     657,   658,     0,     0,     0,     0,     0,     0,   721,   584,
    1080,  1081,  1082,     0,     0,     0,     0,   736,   737,     0,
       0,     0,  1089,     0,     0,     0,     0,     0,   659,   660,
     661,  1090,     0,     0,  1091,   568,     0,     0,  4197,    42,
       0,     0,     0,   728,   585,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1093,  1094,  1095,     0,
       0,   738,   739,    42,     0,   569,  1351,   553,     0,     0,
       0,   730,   731,     0,     0,     0,     0,     0,   732,     0,
       0,     0,     0,     0,     0,     0,     0,   740,   741,   742,
     743,   744,   745,     0,     0,     0,     0,     0,     0,     0,
     694,  1201,     0,     0,     0,     0,    21,     0,     0,     0,
       0,   553,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,
    2367,  2368,     0,  2369,     0,     0,  4198,     0,     0,     0,
       0,     0,     0,     0,     0,   553,     0,     0,     0,     0,
     712,  1085,     0,  1086,     0,   714,     0,     0,  1087,  1088,
      21,     0,     0,   717,   718,     0,     0,     0,     0,   720,
       0,     0,     0,     0,     0,   553,   636,  4249,     0,   638,
       0,   721,   584,     0,    21,     0,     0,     0,     0,     0,
    1075,     0,     0,     0,     0,  1089,     0,    79,    80,    81,
      82,    83,     0,     0,  1090,     0,     0,  1091,   568,     0,
       0,     0,     0,     0,    21,     0,   728,   585,  1092,     0,
       0,    79,    80,    81,    82,    83,     0,     0,     0,  1093,
    1094,  1095,     0,   649,   650,   651,  1076,  1077,   569,     0,
       0,     0,     0,     0,   730,   731,     0,     0,     0,     0,
       0,   732,     0,     0,     0,  1335,     0,     0,  1352,     0,
       0,     0,     0,     0,     0,   734,     0,     0,     0,     0,
       0,     0,    42,     0,     0,     0,     0,  1079,  1334,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   656,   657,
     658,     0,     0,     0,     0,     0,     0,     0,     0,  1080,
    1081,  1082,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,
    2779,  2780,     0,  2781,     0,     0,    42,   659,   660,   661,
       0,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
      42,   553,     0,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,     0,     0,     0,     0,   553,     0,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      21,     0,     0,     0,     0,     0,     0,     0,     0,   694,
       0,     0,     0,     0,     0,     0,     0,     0,  4322,     0,
       0,     0,     0,     0,     0,     0,     0,    21,     0,     0,
       0,     0,  1433,     0,   740,   741,   742,   743,   744,   745,
      79,    80,    81,    82,    83,     0,     0,     0,   734,   712,
    1085,     0,  1086,     0,   714,     0,  1438,  1087,  1088,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   720,     0,
       0,    21,     0,     0,     0,     0,     0,     0,     0,     0,
     721,   584,     0,     0,    79,    80,    81,    82,    83,     0,
       0,     0,     0,     0,  1089,    21,     0,     0,     0,     0,
       0,     0,     0,  1090,     0,     0,  1091,   568,    79,    80,
      81,    82,    83,     0,     0,   728,   585,  1092,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1093,  1094,
    1095,  1240,     0,     0,     0,     0,     0,   569,    79,    80,
      81,    82,    83,   730,   731,     0,     0,     0,     0,     0,
     732,     0,     0,     0,  1335,  1277,    42,     0,     0,     0,
       0,     0,     0,     0,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3107,   740,   741,   742,
     743,   744,   745,     0,     0,     0,     0,     0,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    42,     0,     0,
       0,     0,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,    42,  1443,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,     0,     0,     0,     0,     0,     0,  1452,     0,     0,
       0,    21,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,
    2367,  2368,     0,  2369,    79,    80,    81,    82,    83,  2771,
    2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,     0,
    2781,     0,     0,   553,     0,     0,    21,   734,     0,     0,
       0,    79,    80,    81,    82,    83,     0,  2771,  2772,  2773,
    2774,  2775,  2776,  2777,  2778,  2779,  2780,  1505,  2781,     0,
       0,     0,     0,     0,  1314,     0,     0,     0,     0,     0,
       0,     0,    21,     0,     0,     0,     0,     0,     0,     0,
       0,   553,     0,     0,     0,    79,    80,    81,    82,    83,
       0,     0,     0,     0,     0,     0,    21,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1333,    79,
      80,    81,    82,    83,     0,     0,     0,     0,     0,     0,
      21,     0,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,
    2779,  2780,  1347,  2781,     0,     0,     0,     0,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    42,     0,     0,
       0,     0,  1358,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,     0,     0,   740,   741,   742,   743,
     744,   745,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    42,     0,
       0,     0,     0,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    42,  1359,  1360,  1361,  1362,  1363,  1364,  1365,
    1366,  1367,  1368,  1369,  1370,  1371,  1372,  1373,  1374,  1375,
    1376,  1377,  1378,  1379,  1380,  1381,    42,     0,  4323,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   553,     0,
       0,     0,     0,     0,     0,  4351,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    79,    80,    81,    82,    83,
    2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,
       0,  2781,     0,  4352,  2497,     0,     0,    21,  1429,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      79,    80,    81,    82,    83,     0,     0,     0,  2500,     0,
       0,     0,     0,     0,     0,  1430,     0,     0,     0,     0,
       0,     0,     0,    21,     0,     0,     0,     0,     0,     0,
       0,     0,   553,     0,     0,     0,    79,    80,    81,    82,
      83,     0,     0,     0,     0,     0,     0,    21,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4395,  1434,
      79,    80,    81,    82,    83,     0,     0,     0,     0,     0,
       0,    21,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1439,    79,    80,    81,    82,    83,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,  2771,  2772,
    2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,     0,  2781,
       0,     0,     0,     0,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,    42,
       0,     0,     0,     0,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    42,     0,     0,     0,     0,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3614,
       0,     0,     0,     0,     0,     0,  4420,  2771,  2772,  2773,
    2774,  2775,  2776,  2777,  2778,  2779,  2780,     0,  2781,  2771,
    2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,     0,
    2781,     0,     0,     0,     0,     0,   553,     0,    21,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    79,    80,    81,    82,    83,     0,     0,     0,   553,
    2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,
       0,  2781,     0,     0,  1453,    21,     0,     0,     0,     0,
       0,     0,     0,   553,     0,     0,     0,    79,    80,    81,
      82,    83,     0,     0,     0,     0,     0,     0,    21,     0,
       0,     0,     0,     0,     0,     0,     0,   553,     0,     0,
    1504,    79,    80,    81,    82,    83,     0,     0,     0,     0,
       0,     0,    21,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1506,    79,    80,    81,    82,    83,
       0,     0,     0,     0,  4434,     0,    21,     0,  2359,  2360,
    2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,  1758,  2369,
    2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,
       0,  2781,     0,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
       0,    42,     0,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    42,     0,     0,     0,     0,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    42,     0,
       0,  3625,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  -775,     0,     0,     0,     0,   553,     0,
       0,     0,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   553,     0,     0,
       0,     0,     0,     0,  3655,     0,     0,    21,     0,     0,
       0,     0,    79,    80,    81,    82,    83,     0,     0,     0,
       0,   553,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,
    2779,  2780,     0,  2781,     0,  1997,    21,     0,     0,     0,
       0,     0,     0,     0,  3753,     0,     0,     0,     0,    79,
      80,    81,    82,    83,     0,     0,     0,     0,     0,     0,
      21,     0,     0,     0,     0,     0,     0,     0,  3753,     0,
       0,  2498,    79,    80,    81,    82,    83,     0,     0,     0,
       0,     0,     0,    21,     0,     0,     0,     0,     0,     0,
       0,     0,  3678,     0,     0,  2501,    79,    80,    81,    82,
      83,     0,     0,     0,  3704,     0,     0,    21,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3613,
      79,    80,    81,    82,    83,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,     0,     0,     0,     0,     0,
       0,     0,     0,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    42,     0,     0,     0,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,     0,    42,     0,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,    42,
       0,     0,     0,     0,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    42,   553,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   553,     0,
       0,     0,     0,     0,     0,     0,  3773,     0,     0,     0,
       0,     0,     0,    21,     0,     0,     0,     0,     0,     0,
       0,    79,    80,    81,    82,    83,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3615,    21,     0,     0,
       0,     0,     0,     0,     0,     0,   553,     0,     0,     0,
      79,    80,    81,    82,    83,     0,     0,     0,     0,     0,
       0,    21,     0,     0,     0,     0,     0,     0,     0,   553,
       0,     0,     0,  3622,    79,    80,    81,    82,    83,     0,
       0,     0,     0,     0,     0,    21,     0,     0,     0,     0,
       0,     0,     0,   553,     0,     0,  3623,    79,    80,    81,
      82,    83,     0,     0,     0,     0,     0,     0,    21,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3624,    79,    80,    81,    82,    83,     0,     0,     0,     0,
       0,     0,    21,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3645,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,     0,     0,     0,     0,     0,    42,
       0,     0,     0,     0,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    42,     0,     0,     0,     0,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    42,     0,     0,
       0,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
       0,    42,     0,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    42,   553,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   553,     0,     0,     0,    79,    80,    81,
      82,    83,     0,     0,     0,     0,     0,     0,    21,     0,
       0,     0,     0,     0,     0,  3659,     0,   553,     0,     0,
       0,    79,    80,    81,    82,    83,     0,     0,     0,     0,
       0,     0,    21,     0,     0,     0,     0,     0,     0,     0,
       0,   553,     0,     0,  3706,    79,    80,    81,    82,    83,
       0,     0,     0,     0,     0,     0,    21,     0,     0,     0,
       0,     0,     0,     0,  4232,     0,     0,     0,  3752,    79,
      80,    81,    82,    83,     0,     0,     0,     0,     0,     0,
      21,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3754,    79,    80,    81,    82,    83,     0,     0,     0,
       0,     0,     0,    21,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3756,    79,    80,    81,    82,
      83,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
       0,     0,     0,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    42,     0,     0,     0,     0,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    42,     0,
       0,     0,     0,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    42,     0,     0,     0,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,     0,    42,     0,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,    42,
    4258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4258,  2771,  2772,  2773,  2774,  2775,
    2776,  2777,  2778,  2779,  2780,     0,  2781,     0,     0,    21,
       0,     0,     0,     0,     0,     0,     0,     0,  4265,     0,
       0,  3769,    79,    80,    81,    82,    83,     0,     0,     0,
       0,     0,     0,    21,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3770,    79,    80,    81,    82,
      83,     0,     0,     0,     0,     0,     0,    21,  2771,  2772,
    2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,     0,  2781,
      79,    80,    81,    82,    83,  3803,  2771,  2772,  2773,  2774,
    2775,  2776,  2777,  2778,  2779,  2780,     0,  2781,     0,     0,
       0,     0,     0,  3772,    79,    80,    81,    82,    83,  2771,
    2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,     0,
    2781,     0,     0,     0,     0,     0,  3777,    79,    80,    81,
      82,    83,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,
    2367,  2368,     0,  2369,     0,     0,     0,     0,     0,     0,
    3778,     0,     0,     0,     0,     0,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,    42,     0,     0,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,    42,
       0,     0,     0,     0,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    42,     0,     0,     0,     0,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,     0,     0,     0,
       0,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3774,
    2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,
       0,  2781,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,
    2779,  2780,     0,  2781,  2771,  2772,  2773,  2774,  2775,  2776,
    2777,  2778,  2779,  2780,     0,  2781,     0,     0,     0,     0,
       0,     0,     0,    79,    80,    81,    82,    83,  2771,  2772,
    2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,     0,  2781,
       0,     0,  3775,     0,     0,     0,  3779,    79,    80,    81,
      82,    83,     0,     0,     0,     0,     0,     0,     0,     0,
    3776,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3788,    79,    80,    81,    82,    83,     0,     0,     0,     0,
       0,     0,     0,  3933,  2771,  2772,  2773,  2774,  2775,  2776,
    2777,  2778,  2779,  2780,  3813,  2781,  2771,  2772,  2773,  2774,
    2775,  2776,  2777,  2778,  2779,  2780,  3957,  2781,  2359,  2360,
    2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,  4141,  2369,
       0,     0,  3068,  2771,  2772,  2773,  2774,  2775,  2776,  2777,
    2778,  2779,  2780,     0,  2781,     0,     0,     0,     0,     0,
       0,  4233,    21,  1166,     0,     0,     0,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,     0,     0,     0,     0,
       0,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
       0,     0,  1167,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,     0,  2771,  2772,  2773,  2774,  2775,
    2776,  2777,  2778,  2779,  2780,     0,  2781,     0,     0,     0,
       0,     0,     0,  1168,     0,    21,     0,  2771,  2772,  2773,
    2774,  2775,  2776,  2777,  2778,  2779,  2780,     0,  2781,     0,
       0,  1169,     0,     0,  3976,     0,     0,     0,     0,     0,
       0,     0,     0,  1170,  1171,  4121,  3988,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4006,     0,
       0,     0,     0,     0,     0,    21,  1166,     0,  2771,  2772,
    2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,    42,  2781,
       0,     0,  4098,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,
    2780,     0,  2781,     0,     0,  1167,     0,  4259,  2771,  2772,
    2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,     0,  2781,
       0,     0,     0,     0,     0,     0,     0,     0,  4101,     0,
       0,  4263,     0,     0,     0,     0,     0,     0,     0,     0,
    4108,     0,     0,     0,     0,     0,  1168,     0,     0,     0,
       0,     0,  4119,     0,     0,  4266,     0,     0,     0,     0,
      21,    42,     0,     0,  1169,     0,     0,  4132,     0,     0,
       0,     0,     0,     0,     0,     0,  1170,  1171,  2771,  2772,
    2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,  3061,  2781,
       0,     0,     0,     0,     0,  2771,  2772,  2773,  2774,  2775,
    2776,  2777,  2778,  2779,  2780,     0,  2781,     0,    21,  1166,
       0,    42,     0,     0,     0,     0,    79,    80,    81,    82,
      83,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1172,  2771,  2772,  2773,
    2774,  2775,  2776,  2777,  2778,  2779,  2780,     0,  2781,     0,
       0,     0,     0,     0,  1173,     0,     0,     0,  1167,  4144,
       0,     0,  1174,  1175,     0,     0,     0,     0,  1176,  1177,
    1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,  1187,
    1188,  4164,  1189,  1190,  1191,  1192,  1193,  1194,     0,  2771,
    2772,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,  1168,
    2781,     0,     0,     0,     0,     0,     0,     0,     0,    79,
      80,    81,    82,    83,     0,     0,    42,  1169,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1170,
    1171,     0,  4222,     0,     0,     0,     0,     0,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,    79,
      80,    81,    82,    83,    42,  4223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1172,
       0,     0,  4228,  2359,  2360,  2361,  2362,  2363,  2364,  2365,
    2366,  2367,  2368,     0,  2369,     0,     0,  1173,     0,     0,
       0,     0,     0,     0,     0,  1174,  1175,     0,     0,     0,
       0,  1176,  1177,  1178,  1179,  1180,  1181,  1182,  1183,  1184,
    1185,  1186,  1187,  1188,     0,  1189,  1190,  1191,  1192,  1193,
    1194,    21,  1166,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,  4243,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    79,    80,    81,    82,    83,  4250,
       0,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,
    2368,  1167,  2369,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4251,    79,    80,    81,    82,    83,     0,     0,     0,
       0,     0,  1168,     0,     0,     0,     0,     0,     0,     0,
       0,  1195,  1172,  2261,     0,  2262,     0,     0,     0,     0,
    1169,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1173,     0,  1170,  1171,     0,     0,     0,     0,  1174,  1175,
       0,     0,     0,  4257,  1176,  1177,  1178,  1179,  1180,  1181,
    1182,  1183,  1184,  1185,  1186,  1187,  1188,     0,  1189,  1190,
    1191,  1192,  1193,  1194,     0,     0,     0,    42,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,  2359,  2360,  2361,
    2362,  2363,  2364,  2365,  2366,  2367,  2368,     0,  2369,     0,
       0,     0,     0,     0,     0,     0,  2430,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,     0,     0,  4278,  2359,  2360,
    2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,     0,  2369,
       0,     0,     0,     0,  1195,     0,  2261,     0,  2262,     0,
       0,     0,     0,    21,  2359,  2360,  2361,  2362,  2363,  2364,
    2365,  2366,  2367,  2368,     0,  2369,  2771,  2772,  2773,  2774,
    2775,  2776,  2777,  2778,  2779,  2780,     0,  2781,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    79,    80,    81,    82,    83,
       0,     0,     0,     0,     0,  4279,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1172,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   637,   953,   638,
       0,     0,     0,  1173,     0,     0,     0,     0,    21,     0,
    3130,  1174,  1175,     0,     0,     0,     0,  1176,  1177,  1178,
    1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,
       0,  1189,  1190,  1191,  1192,  1193,  1194,   645,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   487,
       0,     0,     0,     0,     0,     0,     0,  1195,     0,     0,
      21,  1166,     0,     0,     0,     0,     0,     0,     0,    42,
       0,     0,     0,     0,     0,     0,     0,   488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   656,   657,
    1167,  4280,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1529,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   526,     0,     0,     0,     0,     0,     0,     0,
       0,  1168,     0,     0,   665,     0,     0,   955,     0,     0,
       0,   528,  4281,     0,    42,     0,     0,     0,     0,  1169,
       0,     0,     0,     0,     0,     0,     0,   672,     0,     0,
       0,  1170,  1171,     0,     0,     0,     0,     0,  4315,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   692,
    4367,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     529,     0,     0,    21,  1166,     0,    42,    79,    80,    81,
      82,    83,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   489,     0,   712,
       0,     0,     0,     0,   714,  2014,     0,     0,     0,     0,
       0,     0,     0,  1167,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1195,     0,  2261,     0,  2262,     0,   491,   492,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2015,     0,     0,     0,     0,     0,
       0,     0,    79,    80,    81,    82,    83,     0,     0,     0,
       0,     0,  2016,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2017,  2018,     0,     0,     0,     0,
       0,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
       0,     0,     0,     0,    79,    80,    81,    82,    83,    42,
       0,     0,     0,     0,     0,  2019,     0,     0,     0,     0,
       0,     0,     0,     0,  1172,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   959,     0,     0,     0,     0,
       0,     0,  1173,     0,     0,     0,     0,     0,     0,     0,
    1174,  1175,     0,     0,     0,     0,  1176,  1177,  1178,  1179,
    1180,  1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,     0,
    1189,  1190,  1191,  1192,  1193,  1194,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,     0,     0,     0,     0,     0,
    1530,  1531,  1532,  1533,   961,  1534,  1535,  1536,  1537,  1538,
    1539,  1540,  1541,  1542,  1543,  1544,  1545,  1546,  1547,  1548,
    1549,  1550,  1551,  1552,  1553,  1554,  1555,  1556,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    21,  1166,     0,
       0,     0,     0,     0,     0,     0,     0,    79,    80,    81,
      82,    83,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   275,   276,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2014,
       0,     0,     0,     0,     0,     0,     0,  1167,     0,     0,
       0,     0,     0,  4269,  4270,     0,     0,     0,     0,  2022,
    2023,  2024,  2025,  2026,  2027,  2028,  2029,  2030,  2031,  2032,
       0,     0,     0,  2033,  2034,  2035,  2036,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2015,     0,
      21,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2016,     0,  1557,  1558,
    1559,     0,    21,  1166,     0,     0,   285,   286,  2017,  2018,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
       0,     0,     0,    42,  2014,     0,     0,     0,     0,  2019,
       0,     0,  1167,     0,     0,     0,     0,     0,     0,  1195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2015,     0,     0,     0,     0,     0,    21,
    1166,     0,     0,     0,     0,     0,  4271,     0,     0,     0,
       0,  2016,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2017,  2018,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    42,     0,     0,     0,
       0,  2014,     0,     0,     0,     0,     0,     0,     0,  1167,
       0,     0,     0,     0,     0,     0,     0,     0,    42,     0,
       0,     0,     0,     0,  2019,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2015,    79,    80,    81,    82,    83,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2016,     0,
       0,     0,  2037,     0,     0,    21,     0,     0,     0,     0,
    2017,  2018,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2020,  2021,     0,
       0,     0,    21,  2022,  2023,  2024,  2025,  2026,  2027,  2028,
    2029,  2030,  2031,  2032,     0,    42,     0,  2033,  2034,  2035,
    2036,  2019,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    79,    80,    81,    82,    83,     0,
       0,     0,     0,     0,     0,     0,    21,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    79,    80,    81,    82,
      83,     0,     0,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2020,  2021,     0,     0,     0,     0,  2022,  2023,
    2024,  2025,  2026,  2027,  2028,  2029,  2030,  2031,  2032,     0,
       0,    42,  2033,  2034,  2035,  2036,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    42,     0,
    4336,     0,     0,    79,    80,    81,    82,    83,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,     0,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,  2020,
    2021,     0,    42,     0,     0,  2022,  2023,  2024,  2025,  2026,
    2027,  2028,  2029,  2030,  2031,  2032,    21,  1166,     0,  2033,
    2034,  2035,  2036,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2037,    21,  2014,     0,
       0,     0,     0,     0,     0,  4337,  1167,     0,   325,    79,
      80,    81,    82,    83,     0,     0,     0,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,    79,    80,    81,    82,
      83,    21,     0,     0,     0,     0,     0,  2015,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2016,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2017,  2018,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   293,   294,
      79,    80,    81,    82,    83,     0,     0,     0,     0,     0,
       0,     0,  4388,    21,     0,     0,     0,     0,     0,     0,
       0,  2037,    42,     0,     0,     0,     0,     0,  2019,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,    21,    42,     0,     0,     0,     0,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    21,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2037,     0,
       0,     0,     0,     0,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    21,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    42,
      79,    80,    81,    82,    83,     0,    21,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    21,     0,     0,     0,     0,
       0,    79,    80,    81,    82,    83,  2020,  2021,    42,     0,
       0,     0,  2022,  2023,  2024,  2025,  2026,  2027,  2028,  2029,
    2030,  2031,  2032,   305,   306,     0,  2033,  2034,  2035,  2036,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    79,    80,    81,    82,    83,
     342,   343,    42,     0,     0,     0,     0,    21,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    42,     0,   326,     0,    79,    80,    81,
      82,    83,    21,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    42,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,     0,     0,     0,     0,     0,     0,
       0,    42,     0,     0,     0,     0,    79,    80,    81,    82,
      83,    21,     0,     0,     0,     0,     0,     0,     0,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      79,    80,    81,    82,    83,     0,     0,     0,     0,     0,
       0,     0,    21,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
       0,    79,    80,    81,    82,    83,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    42,     0,
      79,    80,    81,    82,    83,  2037,     0,     0,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,    79,
      80,    81,    82,    83,    21,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   367,   368,    42,     0,     0,
       0,     0,     0,    21,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    21,     0,     0,     0,   380,
     381,    79,    80,    81,    82,    83,     0,     0,    42,     0,
       0,     0,     0,     0,    21,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    21,     0,     0,    79,    80,    81,    82,
      83,   383,   384,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      42,     0,     0,     0,     0,    79,    80,    81,    82,    83,
     388,   389,     0,     0,     0,     0,     0,     0,     0,    42,
       0,     0,     0,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,     0,     0,     0,     0,     0,     0,
       0,    42,     0,     0,   392,   393,    79,    80,    81,    82,
      83,    21,     0,     0,     0,     0,     0,     0,     0,     0,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,     0,
       0,     0,     0,     0,     0,   402,   403,    21,     0,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,     0,     0,     0,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    79,    80,
      81,    82,    83,   441,   442,     0,     0,     0,     0,    21,
       0,     0,     0,     0,     0,     0,     0,    79,    80,    81,
      82,    83,     0,     0,     0,     0,     0,     0,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,    79,
      80,    81,    82,    83,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    21,   351,    42,    79,    80,
      81,    82,    83,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    21,     0,     0,     0,     0,    79,    80,    81,
      82,    83,     0,    42,     0,     0,     0,     0,     0,     0,
       0,   406,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
       0,     0,    21,     0,     0,    42,     0,     0,     0,   467,
       0,     0,     0,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,    21,     0,     0,     0,    79,    80,    81,    82,    83,
    2823,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
       0,     0,     0,     0,     0,     0,    21,     0,    42,     0,
       0,    79,    80,    81,    82,    83,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    21,     0,     0,     0,     0,
       0,     0,  2861,    79,    80,    81,    82,    83,    42,     0,
       0,     0,     0,     0,    21,     0,     0,     0,     0,     0,
       0,  2864,     0,     0,     0,     0,     0,     0,     0,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,     0,     0,
       0,     0,     0,  2866,     0,     0,     0,    42,     0,    79,
      80,    81,    82,    83,     0,     0,     0,     0,     0,   487,
       0,     0,  2970,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,     0,     0,    79,    80,    81,    82,
      83,     0,    42,     0,     0,     0,     0,     0,     0,     0,
       0,  3011,     0,     0,     0,     0,   517,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,     0,     0,     0,     0,
       0,    42,     0,     0,     0,     0,    79,    80,    81,    82,
      83,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   878,     0,     0,    79,    80,    81,    82,    83,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3123,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,     0,
       0,     0,     0,     0,     0,    21,     0,     0,     0,     0,
      79,    80,    81,    82,    83,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,    79,
      80,    81,    82,    83,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3238,    79,    80,
      81,    82,    83,     0,     0,     0,     0,     0,     0,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3245,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,     0,     0,     0,     0,     0,     0,     0,
       0,    42,     0,     0,     0,     0,     0,     0,     0,     0,
    3254,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   878,     0,     0,     0,     0,     0,     0,     0,     0,
    3264,     0,   879,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2182,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   885,     0,     0,     0,     0,
       0,     0,   880,     0,    21,     0,     0,     0,  1631,  1632,
    1633,  1634,  1635,  1636,  1637,  1638,  1639,     0,  2188,  3278,
    1640,  1641,  1642,  1643,  1644,  1645,  1646,  1647,  1648,     0,
       0,  1649,  1650,  1651,  1652,  1653,  1654,  1655,    21,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    79,
      80,    81,    82,    83,   890,     0,  1656,  1657,  1658,  1659,
    1660,     0,     0,     0,  3286,  1661,  1662,  1663,  1664,  1665,
    1666,  1667,  1668,  1669,  1670,  1671,  1672,  2193,   890,     0,
       0,  1673,  1674,  1675,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    21,     0,     0,
       0,  3656,     0,     0,     0,     0,   890,     0,     0,     0,
       0,     0,     0,  3324,     0,     0,     0,     0,     0,     0,
       0,    21,     0,     0,     0,     0,     0,     0,     0,  3935,
       0,     0,  3453,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    21,
       0,     0,   885,  1676,     0,     0,     0,     0,     0,     0,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1999,     0,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,     0,     0,    42,    21,     0,   890,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    21,     0,     0,     0,     0,     0,
       0,  2006,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   879,     0,     0,     0,     0,     0,     0,     0,     0,
      21,     0,     0,  2000,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    42,     0,     0,     0,     0,     0,  2010,
       0,   880,     0,     0,    21,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2007,     0,   886,     0,     0,     0,     0,
       0,     0,    21,     0,     0,    42,     0,     0,    79,    80,
      81,    82,    83,     0,     0,     0,     0,     0,  2324,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2011,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    79,    80,    81,    82,    83,     0,     0,     0,
       0,    42,     0,     0,   891,     0,     0,    21,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      42,     0,     0,     0,     0,     0,     0,     0,   891,  2589,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    42,     0,     0,     0,
       0,    79,    80,    81,    82,    83,   891,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    21,     0,
      42,   553,     0,     0,     0,    79,    80,    81,    82,    83,
       0,     0,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,     0,   886,    79,    80,    81,    82,    83,    42,     0,
      21,     0,     0,     0,     0,     0,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,     0,     0,     0,     0,     0,
    2106,     0,     0,     0,     0,     0,     0,   891,     0,    79,
      80,    81,    82,    83,     0,     0,     0,     0,     0,     0,
      21,     0,     0,    42,     0,     0,     0,     0,    79,    80,
      81,    82,    83,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    79,    80,    81,    82,    83,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,    79,    80,
      81,    82,    83,     0,    42,     0,     0,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,     0,  2410,     0,     0,
       0,     0,     0,     0,     0,     0,    79,    80,    81,    82,
      83,     0,     0,     0,     0,     0,    42,    21,     0,     0,
       0,     0,     0,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,    79,    80,    81,    82,    83,    42,  4256,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    21,     0,     0,
       0,  2203,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,    21,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    79,    80,    81,    82,    83,     0,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,     0,
    2216,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    79,    80,    81,    82,    83,     0,
      21,     0,     0,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2227,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    21,     0,     0,     0,     0,     0,
    2249,     0,     0,     0,    79,    80,    81,    82,    83,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      21,     0,     0,     0,     0,     0,     0,     0,     0,  1278,
       0,     0,     0,    42,     0,  2252,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,    21,  2285,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    21,     0,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,     0,     0,  1278,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    79,    80,    81,    82,    83,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,     0,     0,     0,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    42,     0,     0,     0,
       0,    79,    80,    81,    82,    83,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2288,
       0,     0,     0,     0,     0,    79,    80,    81,    82,    83,
       0,    42,     0,     0,     0,     0,     0,     0,     0,    21,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    42,     0,  2297,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    21,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    79,    80,    81,    82,    83,  2300,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    21,
       0,     0,     0,     0,     0,     0,     0,     0,    79,    80,
      81,    82,    83,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    79,    80,    81,    82,    83,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,     0,     0,
       0,     0,  2301,     0,     0,     0,     0,     0,     0,    79,
      80,    81,    82,    83,     0,     0,     0,     0,     0,     0,
       0,     0,    21,     0,     0,    42,     0,     0,     0,     0,
      79,    80,    81,    82,    83,     0,     0,  2587,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    21,     0,     0,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,     0,     0,     0,     0,    42,     0,  3911,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    21,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,     0,     0,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    79,    80,    81,    82,    83,    42,     0,
    3941,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      21,     0,     0,     0,     0,     0,     0,     0,    79,    80,
      81,    82,    83,    42,  3943,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    21,     0,     0,     0,     0,     0,
    3951,     0,     0,    79,    80,    81,    82,    83,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4264,
      21,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    42,     0,     0,     0,     0,     0,    21,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    79,    80,    81,    82,
      83,     0,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,     0,     0,    21,     0,     0,    42,     0,     0,     0,
       0,    79,    80,    81,    82,    83,     0,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,     0,     0,     0,     0,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    42,     0,     0,     0,
       0,    79,    80,    81,    82,    83,    21,     0,     0,     0,
       0,     0,     0,     0,     0,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    21,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,    21,
       0,     0,     0,     0,     0,     0,  3038,     0,     0,     0,
       0,     0,     0,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    79,    80,    81,    82,    83,    42,
    2042,  2043,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    21,     0,     0,     0,
       0,     0,  3660,  3661,     0,     0,     0,     0,    79,    80,
      81,    82,    83,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    79,    80,    81,    82,    83,     0,
       0,     0,     0,     0,     0,   325,  3111,     0,     0,     0,
       0,     0,    42,    79,    80,    81,    82,    83,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    21,     0,     0,    42,     0,     0,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,     0,   325,     0,
       0,     0,     0,     0,     0,     0,     0,    79,    80,    81,
      82,    83,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,     0,    42,     0,     0,  4078,  4079,     0,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,     0,     0,     0,     0,
      79,    80,    81,    82,    83,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   325,     0,
       0,    79,    80,    81,    82,    83,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    21,     0,     0,     0,     0,
       0,     0,     0,    79,    80,    81,    82,    83,    42,     0,
       0,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
    2927,  2928,  2929,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    21,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      79,    80,    81,    82,    83,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    21,     0,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    21,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,  2044,     0,     0,     0,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,  3662,     0,     0,     0,    21,
       0,    42,     0,  2918,     0,     0,    79,    80,    81,    82,
      83,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   325,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    42,     0,
       0,     0,     0,     0,     0,     0,    21,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    42,
       0,     0,     0,     0,     0,    21,     0,     0,     0,  1278,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,  4080,    79,
      80,    81,    82,    83,  2802,    42,    21,     0,     0,     0,
    3558,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4195,
       0,     0,     0,     0,     0,     0,     0,     0,    21,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    79,    80,    81,    82,    83,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4348,  3517,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    79,    80,    81,    82,
      83,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    42,     0,     0,     0,     0,    79,    80,    81,
      82,    83,    21,     0,     0,     0,     0,     0,     0,     0,
       0,    42,     0,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,     0,     0,     0,     0,     0,     0,     0,    21,
       0,     0,     0,    79,    80,    81,    82,    83,     0,     0,
       0,     0,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,    42,    21,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,     0,
       0,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
      79,    80,    81,    82,    83,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    42,    79,
      80,    81,    82,    83,     0,     0,     0,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    42,     0,     0,     0,     0,
      79,    80,    81,    82,    83,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    79,    80,    81,    82,    83,     0,     0,     0,
       0,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,     0,     0,     0,     0,    79,    80,    81,    82,
      83,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    79,    80,    81,    82,    83,     0,     0,
       0,     0,     0,     0,     0,     0,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    79,
      80,    81,    82,    83,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,  3554,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,  4192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,  4345
  };

  const short
  parser::yycheck_[] =
  {
       0,   332,   408,     3,   410,   442,   412,   632,  1279,     9,
     892,   929,  1016,   315,    14,  1063,  1627,  1244,   455,   281,
    1250,   294,   294,    23,   276,   314,   276,   294,   302,   294,
     343,   343,   294,   343,   294,   294,    36,   306,   294,   294,
     294,   314,   294,   294,   294,   294,   306,    47,    48,    49,
     466,   294,    52,   435,   314,   314,   314,    57,   459,   311,
     445,    61,   389,   276,   447,   317,   451,   445,    68,    69,
     455,    71,   276,    73,   447,   447,   276,   455,    78,   447,
     447,   294,   435,   447,    84,    85,    86,    87,   289,   290,
      90,   314,    92,    93,   294,   447,   294,   435,   381,   447,
     294,   294,   354,   343,   466,   434,   358,   311,   466,   466,
     356,   294,   306,   317,   360,   294,   368,   294,   368,   320,
     314,   314,   374,   306,  2263,   125,   466,   328,   374,   294,
     387,   314,   384,   466,   466,   314,   466,   314,   466,   434,
    2234,   381,   142,   434,   144,   384,   311,   434,   434,   387,
     466,   447,   317,   466,   466,   368,   466,   447,   466,   447,
     466,   362,   466,   466,   368,   434,   466,   466,   368,   294,
     368,   447,   447,   281,   434,   368,   434,   466,   399,   434,
     384,   399,   434,   381,   434,   384,   354,   439,   439,   274,
     399,   399,   434,   466,   466,   447,  2290,  1283,   379,   466,
    2263,   466,   294,   368,   466,   282,   466,   466,  2964,  2696,
     466,   434,   466,   399,   466,   301,   466,   466,   294,   384,
     466,   445,   435,   466,   294,   449,  2096,   319,   445,   399,
     434,   455,   294,   294,   447,   435,   434,   314,   455,   445,
     434,   434,   356,   368,  2798,  1162,   360,   447,   445,   455,
    2120,   434,   294,   466,    51,   434,    51,   434,   455,   294,
     294,   294,   466,  2357,   294,   445,   466,    51,   338,   434,
     294,   379,   466,   453,    72,  2184,   338,   277,   294,   294,
     294,   294,   294,   466,   284,    51,   294,   287,   294,   289,
     290,   291,   294,   294,    91,   295,   296,   297,   298,   294,
      51,   466,    51,   303,   445,   294,   294,   307,   308,   309,
      51,   445,   312,    51,   455,   315,   384,   445,   318,   445,
     320,   455,   282,  2544,  2545,    51,    51,   455,   328,   455,
      51,    51,    51,    51,    91,   335,   336,   140,    72,   339,
     340,   341,    91,   140,   344,   345,   346,    91,   140,   140,
     350,   419,   352,    51,   314,  2882,   140,   384,    51,    51,
      51,   361,   362,    51,  3647,    51,    51,    51,    51,   369,
     370,   445,    72,   447,    51,   449,   140,   451,    51,   453,
     140,   455,   382,   140,    51,   385,    51,   281,  1013,    51,
     390,   140,   419,   445,   394,   447,   140,   449,    72,   451,
     294,   453,   312,   455,   404,   405,    51,   407,   368,   409,
      51,   411,    51,   413,   414,   415,  2510,    51,    51,    51,
     420,   421,  3546,  2066,   384,    72,  3546,    51,    51,    51,
     175,    51,   154,   282,   246,  3546,   436,   154,    19,    20,
     154,  3546,  3546,   443,    70,    26,   140,   268,   105,  3546,
      31,    32,    51,    51,    51,    51,    51,    51,    51,    51,
      51,    51,   356,    51,  3546,    51,   360,   298,   468,   140,
      47,    51,   472,   473,   474,   475,  2119,   477,  2121,   393,
     374,   140,   440,   356,    51,   379,    70,   360,   268,   140,
      51,    51,    51,    51,    51,    51,    51,    51,    47,    51,
      51,   374,    70,  2724,    51,    51,  2149,  4094,    51,    51,
     440,    51,    51,    51,    95,    51,    51,     3,    51,    51,
      51,    70,   393,     9,   393,    51,    51,    51,    14,    51,
      51,    51,    51,    51,   709,   116,   517,    23,   709,    56,
      72,   506,    70,  3692,   715,    19,    20,   393,   328,   393,
      24,    25,    26,   553,   535,    91,    47,    31,    32,    70,
      59,    47,    48,    37,    38,    90,    52,    47,  4072,    70,
      70,    57,    70,    91,   312,    61,   157,   158,   285,    70,
     159,    91,    68,    69,   708,    71,   288,    73,    51,    44,
      70,    46,    78,   593,    93,    94,   709,    72,    84,  4103,
    3749,    70,    70,   573,   140,    70,    92,   590,   709,    70,
      70,   440,   441,   140,   140,   709,   140,  4238,   140,   140,
      70,    95,   140,   606,   589,    51,   591,   592,    91,    70,
     140,   709,   632,  4254,  4255,   214,    70,   393,    91,   125,
      92,   708,   116,   440,   441,   347,   616,  2517,   106,   107,
     108,   109,   110,   111,   112,   113,   142,   282,   628,   629,
     393,     4,     5,     6,    90,   140,   393,    72,   709,   531,
     532,   533,    92,   535,   715,   256,   301,   140,   246,   132,
      92,   306,    91,   157,   158,  2150,  2151,   140,   140,   314,
     132,   440,   441,   269,   270,    10,   440,   441,   140,   708,
     407,   408,   409,   712,   361,   362,   705,   706,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,  3694,   445,
     140,   246,  1053,   132,   708,    91,    49,    50,   140,   354,
     393,   140,   709,   358,   708,   246,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   246,   445,   246,   374,
     393,   710,   710,  1159,  1160,   714,    70,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   709,   445,   709,
      93,   288,   115,   116,   140,    90,    91,   312,   246,   591,
     592,   407,   256,   709,   714,   246,   246,   261,   710,   440,
     441,  3318,   714,  4297,  2437,   709,   708,   709,  2441,   114,
    2443,   632,   712,   708,    51,  4309,   149,   442,   443,   152,
     445,   393,  3990,   662,   536,  3993,  4403,   132,   161,   536,
     246,   164,   536,   407,   709,   140,   141,   142,   143,   709,
     407,   286,   577,   288,   709,  2478,  2054,    51,   709,   660,
     709,  1042,   341,   708,    91,   426,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   708,   445,   407,   333,
     318,   682,   709,   709,   393,   709,   181,    51,   323,   394,
     395,   396,   397,   398,   217,    91,   457,    91,   878,   407,
     880,   881,   711,   708,   199,   885,   886,   887,   708,   709,
     890,   891,   892,   140,    51,   708,   211,   212,  4402,   593,
     594,  2119,   682,  2121,   440,   441,   407,    91,   708,   712,
     910,   709,   708,   256,   393,   712,   407,   712,   261,   711,
     711,  4045,   440,   441,   140,  4045,   140,   407,   712,   929,
      51,   246,   275,    90,  4045,   278,   279,   252,   407,    72,
    4045,  4045,   407,   286,   708,   288,   712,    51,  4045,   709,
     950,   266,   426,   709,   711,   708,   140,   407,   709,   302,
     303,  2047,   711,  4045,  2050,   709,   407,   708,   394,   395,
     396,   397,   398,   407,   712,   715,   709,   440,   441,    91,
     323,   715,   709,   457,   710,   710,    90,   440,   441,   710,
     710,   710,   710,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   710,  1013,   357,   715,  1016,   710,   710,   710,
    4303,   709,  1022,  1023,   710,   710,   710,   710,   140,  1435,
    1436,   505,   708,   710,  1440,  1441,   708,   710,   709,  1445,
    1446,   715,  1042,   710,   393,   710,   709,   708,   710,  3603,
     709,  1051,    51,  3607,   709,  1055,   708,  2143,  1058,   402,
     403,  2704,   708,   709,   393,   710,   709,   708,   715,  1069,
      64,   710,  1072,  1073,   440,   441,   710,   710,   710,   394,
     395,   396,   397,   398,   399,  2728,   710,   710,   710,   246,
     710,    90,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   710,   710,   710,   710,   710,   710,   710,   710,   710,
     710,   702,   710,   704,   710,   440,   441,   709,   471,    72,
     710,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   246,   710,  2230,   460,   461,   462,   463,   710,
     710,   710,   710,   710,   710,   710,   710,  1157,   710,   710,
     708,  1161,  1162,   710,   710,   623,  3922,   710,   710,  2634,
     710,   710,   710,   709,  1174,  1175,   708,   710,  2643,   710,
     709,  2646,   708,   140,   708,    80,   708,   712,   708,   708,
     708,   709,   506,   440,   441,  1195,   285,    51,   192,    91,
     312,   709,    91,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,    91,  2441,   440,   441,   440,   441,   702,    72,
     709,   709,    91,   709,   549,   708,    90,   394,   395,   396,
     397,   398,  1242,  1243,   129,   708,   709,   246,   140,  1249,
      51,   140,   227,   228,  4230,  4231,   440,   441,  1069,   712,
    2478,  1072,   138,   139,  4240,   268,  4242,   609,   610,   611,
     612,   140,    51,   267,   709,   589,   709,   591,   592,  1279,
     283,   140,    91,   708,    72,   709,   712,   708,   709,    90,
     394,   395,   396,   397,   398,    91,    51,  3897,   708,   709,
    1300,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    90,   445,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   132,   445,   709,  3369,  3370,   440,   441,
    3373,   140,  2418,   709,  4090,    90,   132,  3937,   531,   532,
     533,   709,   535,   709,   140,   709,   689,   690,   691,   692,
     693,   694,   695,   696,   697,   698,   699,   700,   701,   407,
     709,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     709,    79,   436,   437,   438,   439,    90,    91,   708,   709,
     275,  3878,   246,   288,   709,   394,   395,   396,   397,   398,
      51,   708,   709,   288,   280,   281,   708,  2324,    91,   708,
    2327,    35,    51,   289,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,  1433,    12,    56,   140,    58,  1438,    92,
     335,    35,    51,  1443,   339,   246,   708,   709,  1448,   132,
    1450,    35,  1452,   312,   322,    68,   459,   140,   177,    80,
     345,   708,   709,    84,    85,    86,   180,   246,   440,   441,
     442,   443,   709,   445,   106,   107,   108,   109,   110,   111,
     112,   113,   571,   440,   441,   407,  2704,   282,    57,    58,
     596,   246,   235,   236,   708,   709,   712,    51,   604,   605,
     708,   607,   140,    10,   407,  1505,   288,   596,   597,   598,
     599,   395,   396,   397,   398,    84,   709,    86,   282,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   246,   424,
     394,   395,   396,   397,   398,  4301,   708,   709,   440,   441,
     711,   440,   441,   710,   440,   441,   442,   443,   246,   445,
     535,  2647,   442,   443,   255,   445,   350,   319,   320,   321,
     268,   440,   441,   708,   709,   708,   708,   709,   581,   573,
     393,   440,   441,   708,   709,   283,   246,   708,   429,   430,
     431,  2677,  2678,   394,   395,   396,   397,   398,   231,   232,
     233,  3695,   242,   243,   244,   578,   710,   114,   312,   429,
     430,   431,  4212,   708,   709,   394,   395,   396,   397,   398,
     708,   709,   616,   135,   136,   137,  4226,  1627,   708,  1629,
      44,   440,   441,   254,   141,   142,   143,   708,   709,   394,
     395,   396,   397,   398,   638,   639,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   237,   445,    98,    99,
     100,   101,   102,   237,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   708,   709,   254,   318,   242,   243,   244,
     394,   304,   305,   306,   307,   308,   309,   708,   709,   237,
    3921,   115,   116,   708,   709,    72,   708,   709,   708,   709,
     536,   710,   410,   708,   709,   708,   709,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   440,   441,  3647,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,    72,   266,
      72,   459,  4362,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,    72,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    72,   445,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    72,   445,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   709,   445,  2071,
    2082,  2071,  3961,  2097,  2098,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    72,   445,  2923,  2924,    72,
     709,    72,   256,    72,   531,   532,   533,   261,   535,    72,
     709,  2052,   711,   422,   423,    72,   710,    72,  2071,   531,
     532,   533,    51,   535,   708,   709,    72,  2071,   708,   709,
      72,  2071,   708,   709,   288,   710,   574,   708,   709,    72,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      51,   445,   399,  2094,   708,   709,   118,    72,  3961,    93,
      94,   123,   124,   125,   710,  2178,  2178,    72,   476,   710,
      72,  2178,    72,  2178,  2320,  2321,  2178,  2118,  2178,  2178,
     708,   710,  2178,  2178,  2178,    51,  2178,  2178,  2178,  2178,
     710,   710,    72,   155,    72,  2178,   708,   709,  2139,  2140,
    2141,   708,   709,    72,  2213,    72,  2147,   708,   709,  2223,
    2224,  2152,    72,  2213,   573,   710,    72,   179,    72,  2248,
     182,   659,   708,   709,    72,  2178,   708,   709,   708,   709,
     708,   709,    72,  2225,  2082,  2248,   708,   709,  2178,  2064,
    2178,   708,   709,    72,  2178,  2178,    72,   118,  2248,  2248,
    2248,   623,   123,   124,   125,  2178,   615,   616,    72,  2178,
      51,  2178,   708,   709,    72,  2318,  2318,    72,  2318,   708,
     709,  2088,    72,  2178,   633,   634,   635,   636,   637,  2213,
    2221,  2225,   709,    72,   155,  2248,   708,   709,   355,   356,
    2213,  4125,    72,  4127,    72,  3500,  2237,   709,    72,  3909,
     550,   551,   549,   405,   406,  3363,  3364,   710,   179,  2709,
    2710,   182,  2052,  2178,  2248,  2248,    51,  2057,  2058,   708,
    2225,    72,   710,   710,   710,  2248,    72,    72,    72,  2248,
    2070,  2248,    72,  2073,    72,    72,    72,   708,  2318,  2485,
    2486,    72,    72,  2489,  2490,   712,  2178,  2493,  2494,    72,
      72,    72,   314,  2093,  2094,    72,    72,   370,    72,  2099,
     373,  2101,  2178,   376,  2104,  2105,   379,  2308,  2178,   382,
      72,   384,    72,  2113,  2200,    72,  2178,  2178,  2118,    72,
      72,    72,   344,    72,  2451,  2377,    72,    72,  2088,  3215,
      72,  3217,    72,    72,  2386,    72,  2178,    72,  2384,  2139,
    2140,  2141,  2388,  2178,  2178,  2178,  2146,  2147,  2178,    72,
      72,    72,  2152,    72,  2178,  2438,  2408,    72,  2408,  2159,
      72,    72,  2178,  2178,  2178,  2178,  2178,    72,    72,  2421,
    2178,  2248,  2178,    72,    72,  2421,  2178,  2178,    72,  2179,
      72,    72,    72,  2178,  4093,    72,  4095,    72,  2082,  2178,
    2178,    72,  2449,  2445,    72,  2408,   710,    72,  2438,    72,
      72,    72,    72,  2585,  2408,    72,  2445,    72,  2408,  2377,
    2408,  2449,  2649,   344,  2214,  2408,    72,    72,    72,    72,
    2220,  2221,  2423,  4317,  2425,    72,  2296,    72,    51,    72,
      72,    72,  2585,    72,  2296,    72,    72,  2237,  1022,  1023,
    2438,  2445,    72,  2408,  2518,  2519,  2445,  2585,  2685,    51,
      72,  2580,    72,  2434,  2254,  2476,   710,  1041,  2476,  2259,
      51,  2261,  2262,  2263,    51,    72,  2651,  2476,  2476,    72,
    2384,    72,    72,  2651,  2388,  2275,  2477,  3363,  3364,    72,
    2445,   710,   709,  2408,  2178,  2580,  2669,  2287,  2248,  2580,
    2476,   710,  2292,  2580,  2580,  2680,  2669,  2669,    72,    72,
    2685,  2669,  2669,  2303,  2705,  2669,  2476,  2685,  2308,  2583,
      72,  2580,  2513,    72,    72,    51,  2732,  2669,    72,  2319,
    2580,  2669,  2580,    72,  2324,  2580,  2434,  2327,  2580,    72,
    2580,  2331,  2332,  2333,  2334,  2335,  2336,    72,  2580,  2339,
    2340,  2341,  2342,  2343,  2344,  2345,  2346,  2347,  2348,  2349,
    2350,  2351,  2352,  2353,  2354,  2355,  2356,  2580,   350,  2359,
    2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,  2369,
    2732,  2371,  2585,  2669,  2732,  2732,  2580,  2445,    72,  2669,
    2581,  2669,  2580,  2635,  2635,  2585,  2580,  2580,    72,    72,
    1174,  1175,  2732,  2669,  2669,  4304,  2597,  2580,    72,  2732,
    2732,  2580,  2732,  2580,  2732,  2405,  2406,  2407,    72,  2409,
      72,  1195,  2412,  2413,  3500,  2580,  2732,  2669,  2445,  2732,
    2732,    72,  2732,  2423,  2732,  2425,  2732,  2651,  2732,  2732,
    2430,  2431,  2732,  2732,  2651,    72,    72,    72,  2639,  2439,
    2641,  2642,    72,  2732,  2444,  2651,    72,    72,  2408,   710,
    2674,    51,  2452,   710,  2651,  2523,  2669,   710,   710,  2732,
    2732,  2685,  2462,  2088,    72,  2732,  2740,  2732,  2685,  2669,
    2732,  2651,  2732,  2732,   350,  2475,  2732,  2477,  2732,  2685,
    2732,  2481,  2732,  2732,    72,  2445,  2732,    72,  2685,  2732,
    2384,    72,  4135,    72,  2388,  4404,  2523,  2497,    72,  1283,
    2500,    72,  2682,   710,   709,  2505,  1074,  2507,  2508,    56,
    2651,  2384,  2713,  2513,    51,  2388,    51,  2651,  3745,  2732,
    2520,  3751,  2522,  2651,   710,  2651,    56,  2421,  2732,  2529,
     709,    51,  2732,   710,    51,   709,    72,    84,  2732,    72,
    2434,    72,   709,  2543,  2685,  3631,  4157,  3633,  2421,  2732,
      72,  2685,   708,    72,    84,   709,   103,  2685,    72,  2685,
      72,    72,  4027,    72,    72,    72,    72,  2732,  2870,    72,
     709,    72,  4037,   103,   709,  2200,  4041,  2651,  4043,  4044,
      72,  2581,    72,    72,  2070,   709,   709,   709,  2213,  2589,
     709,  2591,   709,    72,   709,  2669,   709,  2597,   709,  2651,
    2674,    72,   709,   709,   709,   709,  2680,   709,  2682,   710,
     709,  2685,   709,  3699,   709,  2101,    51,  2669,  2104,  2105,
     710,   151,  2674,  2248,   709,   709,   709,   709,  2680,   709,
    2682,   709,    72,  2685,    72,    72,   327,   710,   168,  2639,
      72,  2641,  2642,    51,    72,    72,    72,    72,    72,    72,
    2650,    72,    72,  3701,   710,    90,    51,    72,    72,    51,
      72,   352,   353,    72,   155,   156,     8,    72,    72,    11,
      51,  3675,    72,  3759,   710,   519,    72,   710,    72,    72,
     171,   525,   526,   527,   528,   529,   530,   217,   179,    56,
      72,   182,    34,  2179,    72,    72,   540,    51,    90,    72,
      72,    72,   249,    72,   548,    51,    48,   254,    72,   200,
      72,    72,    72,  2713,   261,    82,    83,    84,   248,  3125,
      72,   710,    72,   710,   254,    51,   710,    69,  2214,    51,
     710,   261,    72,    72,  2734,  2735,    72,    72,  2738,   286,
      72,  2741,  2742,    72,  2744,  2745,  2746,   294,  2748,  3667,
    3052,    72,  2377,    72,    72,    72,   286,    72,    72,  3090,
      72,  2386,    72,   293,    51,    72,    72,    72,    72,   260,
      51,   393,   710,    72,   265,  3657,   710,   710,    72,    72,
      72,    72,   149,    72,   151,   710,   333,    72,    72,    72,
      72,    51,    72,    72,  3880,    72,  2421,    72,    72,    72,
      72,   168,    72,   333,    72,    72,    72,    72,    72,    72,
     301,   246,   436,   437,   438,   439,   440,   441,   442,   443,
     162,   445,    72,    72,  2824,    72,  2826,    72,    72,    72,
      72,  3917,    72,  2319,    72,  3921,    72,    72,    72,  2839,
      72,   183,    72,    72,    72,    72,    72,   338,    72,    72,
     217,   342,    72,   344,   246,   346,    72,    72,    72,    72,
      72,    72,  2862,    72,  3195,  2865,    72,  2867,    72,    72,
    2870,    72,    72,    72,    72,    72,  3077,    72,    72,   426,
    4151,  3082,   573,   574,    72,  3291,    72,  2887,  3294,    72,
      72,  3297,   422,   423,    72,    72,   426,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    72,   445,    72,
      72,   253,    72,    72,    72,    72,    72,    72,    72,   286,
     312,  2407,    72,    51,   615,   616,   293,   618,   619,    72,
     621,   622,   623,   424,    72,    72,    72,   628,    72,    51,
     710,    72,   284,    72,  2430,    72,    72,    72,   639,    72,
    4036,    72,    72,  2439,  4040,    72,    72,    72,  2444,   394,
     395,   396,   397,   398,    72,    51,  2452,    51,   710,   710,
      72,  2971,  2972,    72,    72,    72,  2462,    72,    72,    72,
      72,  4067,    72,    72,    72,    72,  2986,    72,    51,  2475,
    2990,    72,    72,    72,  2994,  2481,   710,    72,    72,    72,
      51,  3626,   394,   395,   396,   397,   398,   710,    72,    51,
      72,    72,  3012,  3013,    72,   710,    51,   710,    72,  3019,
      51,    51,   710,    72,    72,    72,    72,    72,    72,   246,
    1022,  1023,    72,    51,    72,    72,  2522,   710,    72,    72,
      72,   246,    51,    72,  4130,  3670,    72,    72,    72,    72,
      72,    72,  3052,    72,   709,   422,   423,    72,  3058,   401,
    3060,   436,   437,   438,   439,   440,   441,   442,   443,    72,
     445,  3071,    90,    91,    72,  3075,   709,  3077,    72,   708,
     708,   715,  3082,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   649,   709,  3104,   709,   715,   709,   709,  3546,
     708,   708,   715,   709,   132,   709,   709,   709,   709,   709,
     709,   708,   140,   709,  3124,   709,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   709,  1022,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   704,   445,   709,
     709,   709,   715,   181,  2650,   709,   709,   709,   709,   709,
     661,  3171,   140,   140,   704,   709,   140,   709,   140,   140,
     140,   199,  1174,  1175,   140,   140,   140,  3187,  3188,   140,
     711,   140,   140,   211,   212,   140,   140,   564,   565,   566,
     567,   140,   140,  1195,   709,  3205,   140,  3207,  4294,   708,
    3210,   708,   140,   708,  4300,   708,   140,   140,   140,   140,
     140,   312,   709,  3223,   140,  3225,   140,   140,   246,  3229,
    4316,   140,   140,   140,   252,   711,   140,   140,   140,  3239,
    4326,  4327,   709,   140,   709,   140,  3246,   140,  3248,   709,
     140,   140,   140,    51,   708,  3255,    51,    51,    51,   708,
      51,    51,  2046,  2047,  2048,  3265,  2050,   708,   140,   708,
    4356,   140,   708,   140,   708,   710,   312,   708,  2062,  3279,
     140,   140,   715,   140,  2068,   312,   708,  3287,   140,  3289,
    3290,   708,   312,  2077,  2078,   312,  2080,   708,  1174,  1175,
    2084,   312,  3302,   140,   140,   708,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   708,   445,   708,  1195,
     140,   140,   140,   708,   708,  3325,   140,   140,  2112,    51,
    2114,  2115,  2116,   709,   708,   140,   140,  3337,  3338,  3339,
    2124,  2125,   708,   708,   140,  2129,  2130,  2131,  2132,  2133,
    2134,  2135,  2136,  2839,   709,   708,   140,   708,   140,  2143,
     708,   710,  3693,   140,   709,   708,   140,   708,  3368,  3369,
    3370,  2155,   140,  3373,   708,   708,   394,   395,   396,   397,
     398,  2165,    72,  2167,   708,   708,  2170,   140,   708,   445,
     140,   140,  2176,   709,    51,   708,   282,   708,   140,   708,
    3400,  2887,   140,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   708,   445,   140,   662,  3748,   708,    72,
     708,   140,   440,   441,   393,   140,   140,   140,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   708,
    3440,   140,   460,   461,   462,   463,  2230,  2231,   709,   708,
     708,   708,  2020,  2021,  3454,   708,   327,  2241,  2242,  2243,
     708,   140,  2246,   140,   140,   140,   140,   708,   140,  2037,
     709,   708,   140,   140,   140,  2259,   709,   708,   140,  2263,
     140,   352,   353,  2267,  2268,    72,   708,   708,   393,   708,
     708,    72,    72,   140,  2278,   140,   140,   140,   708,  3499,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   708,
     711,  2305,   140,   708,   708,  2309,   140,   708,  2312,   708,
    2314,   140,   708,   708,   708,   708,   708,   140,   140,   140,
    2108,   140,   140,   140,   140,   711,   140,  2331,  2332,  2333,
    2334,   140,   140,   312,   140,  2339,  2340,  2341,  2342,  2343,
    2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,
    2354,  2355,  2356,   708,  3848,  2359,  2360,  2361,  2362,  2363,
    2364,  2365,  2366,  2367,  2368,  2369,   140,   709,   140,  3075,
     709,   709,   140,   140,   708,  2379,  2380,   708,  2382,   709,
     140,   708,   140,    51,   709,   140,   140,   140,  4045,   140,
    3610,    51,   140,   140,  3614,   140,  2184,  3617,   140,   140,
     140,   140,  2190,   140,   140,   140,  3626,  2195,  3628,   140,
    2414,  2415,   140,   140,  2418,   140,   140,  2205,   140,   140,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      90,   445,  2436,    51,   140,   140,   140,  3657,   140,  3990,
     140,  2229,  3993,   140,   140,   140,   140,  3667,   140,   708,
    3670,   140,   140,   140,   140,  3675,  2460,   140,   140,  3679,
    3680,   140,  3682,   140,   140,  3685,   140,   140,  3688,   140,
     140,   709,   708,   140,   708,   708,   140,  3697,    21,    22,
      23,   708,   573,   574,    27,    28,    29,    30,   708,  3709,
    3710,   140,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    45,   445,   708,   588,   708,   708,   711,   140,
    3730,  2299,  3732,    56,  2302,   711,   140,  3223,  3738,  3225,
     140,   140,   708,   708,   615,   616,   617,   618,   619,  4155,
     621,   622,   140,  3753,   140,   708,   708,   628,  3959,   140,
     140,    84,  3248,   140,  3764,  3765,   708,   708,   639,   709,
     153,  3771,   708,   710,   445,   288,   709,  2561,   709,   714,
    2564,  2565,    51,   708,   440,    51,   312,    51,  2572,   708,
    2574,  2575,  2576,  2577,  2578,   140,   708,  3797,   312,   140,
     710,    51,   708,   312,  3804,    72,   246,    72,   708,   710,
     288,  3811,   710,    72,  4145,   445,  4147,   288,  3818,   710,
     714,   708,   140,  2607,  2608,   710,   710,   710,   710,   710,
     710,  2615,    51,    21,    22,    23,   710,    72,   708,    27,
      28,    29,    30,   708,   708,    33,  3846,   708,  2416,  3849,
     140,    72,  3852,   708,  4260,  4261,    44,    45,   708,   710,
     708,   715,   708,  2647,    51,   710,    51,   710,    56,    51,
    2654,  2655,  2656,   715,  2658,   715,   710,  2661,  2662,  2447,
     715,    72,    72,  2667,  2668,  2453,  2454,  2455,  2456,    72,
     714,    72,   709,  2677,  2678,   140,    84,   140,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,  3908,   445,
      51,    51,  2696,   715,  3400,   103,    51,    51,   715,   708,
      72,   709,    51,  4329,  4330,   140,    51,   312,    72,   710,
     708,   254,   255,   708,   312,    72,   709,  2721,  2506,    72,
      72,  2725,   708,   708,   708,  2729,   708,   708,  3948,   312,
    3950,    51,  3952,   710,   394,   395,   396,   397,   398,  3959,
      72,  3961,   710,   710,   710,   708,    72,    51,   708,    72,
     293,   294,   536,    72,    72,  4381,    72,    72,    72,    72,
     715,   715,  3982,  3983,   715,  3985,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   154,   445,   708,    72,
    4000,    72,   709,   714,   140,   708,    90,    51,  4008,  4009,
     708,    51,    51,  3499,   709,   708,   708,   708,    72,   708,
     708,  4021,   708,  4023,   708,   710,   708,   708,   708,   588,
    4030,  4031,  4032,  4033,   153,   708,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   710,   445,   140,   710,
     140,  4051,   710,   708,  4054,   714,   405,   709,   312,   709,
      72,   715,    51,    51,   393,   405,   254,   255,   708,    51,
      51,   393,   140,   715,   715,   708,   588,   715,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   140,   715,   422,
     423,   709,   715,   714,    51,   293,   294,    51,    51,   709,
     393,   393,    72,   708,    51,  4115,   140,  4117,   710,   710,
     153,   714,   536,   708,   708,   708,   708,  2911,  2912,   154,
     709,   708,   140,   709,    72,   708,   708,  4137,  4138,  2923,
    2924,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,  4151,   445,   708,  4154,   393,  4156,  4157,  4158,   708,
     393,    51,   246,   708,   715,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    51,   445,   709,   715,   709,
     709,  2749,  2750,  2751,  2752,   708,    51,  2755,  2756,  2757,
    2758,  2759,  2760,  2761,  2762,  2763,  2764,  2765,  2766,  2767,
    2768,  2769,   708,  2771,  2772,  2773,  2774,  2775,  2776,  2777,
    2778,  2779,  2780,  2781,   710,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    51,   445,   536,   312,   154,
     709,    51,  4232,    51,   422,   423,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   140,   445,   327,    51,
     708,   140,  3738,   708,   140,    51,   708,   140,  4258,   708,
     144,  2531,  2546,   708,   710,  4265,  3341,  2259,   708,   710,
    2511,  2263,   710,   352,   353,   710,  3060,  4009,  2225,   317,
    3019,  2702,  2211,  4283,  2719,  4285,  4034,  3071,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,  3688,   445,
    3084,  2272,  3679,  3193,  3198,  2691,  4389,  4274,  4392,  2699,
     394,   395,   396,   397,   398,  3090,  2705,  3215,  2082,  2386,
    2279,  2732,    56,  2715,   463,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,  2711,   445,   881,  4338,  2331,
    2332,  2333,  2334,  4343,  2421,  2438,   887,  2339,  2340,  2341,
    2342,  2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,
    2352,  2353,  2354,  2355,  2356,  2994,  2585,  2359,  2360,  2361,
    2362,  2363,  2364,  2365,  2366,  2367,  2368,  2369,  3881,  4069,
    2178,   472,  2953,  2259,  3918,  4385,  4386,  3171,   474,  4045,
      51,   340,  4392,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   475,   445,  2318,  3922,   910,  2248,  1058,
    2474,  2275,  4412,  2476,  4414,  2461,  2482,   710,  2480,  2987,
    1349,  2449,  2064,  2991,  2635,  2651,  2685,  2059,  2649,    90,
    2674,  3215,  2682,  3217,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,  2680,  2408,  2331,  2332,  2333,  2334,  2669,
    2445,  2102,  2580,  2339,  2340,  2341,  2342,  2343,  2344,  2345,
    2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,
    2356,  2523,  2213,  2359,  2360,  2361,  2362,  2363,  2364,  2365,
    2366,  2367,  2368,  2369,   573,   574,  2071,   594,  3098,  2431,
    2296,  2200,  1055,  2429,  4000,  3289,  3290,   950,  2088,  3058,
    2412,    -1,   710,  2738,  4021,    -1,  4039,    -1,  3302,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,    -1,    -1,    -1,    -1,    -1,   615,   616,  3106,   618,
     619,     3,   621,   622,   623,   624,    -1,    -1,    -1,    -1,
      -1,    13,    -1,    -1,    -1,    -1,    18,    -1,    -1,    -1,
     639,    -1,    -1,    -1,   710,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,  3363,
    3364,    -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    60,    61,
      62,   710,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,    -1,    -1,    -1,    -1,    -1,    81,
      -1,  3189,    84,    -1,   708,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,    -1,    -1,    -1,
      -1,    51,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3218,    -1,    -1,   115,   116,    -1,  3440,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3232,    -1,    -1,    -1,    -1,   710,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    51,    -1,    -1,    -1,    -1,    -1,   422,   423,
     152,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,    -1,    -1,    -1,    -1,   169,   170,    -1,
     172,   173,   174,    -1,    -1,  2707,  3500,  2709,  2710,    -1,
      -1,    90,   132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     140,    -1,    -1,   394,   395,   396,   397,   398,    -1,   201,
     202,   203,   204,   205,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,    -1,    -1,    -1,    -1,
      -1,   495,   496,   497,   498,   499,    -1,    -1,    -1,    -1,
      -1,   181,    -1,    -1,   508,   509,   510,    -1,    -1,    -1,
      -1,   515,   516,    -1,   518,   519,    -1,    -1,    -1,   199,
      -1,    -1,   254,    -1,   256,   710,    -1,    -1,    -1,   261,
      -1,   211,   212,   265,    -1,    -1,    -1,    -1,    -1,   543,
      -1,   273,    -1,   275,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,    -1,    -1,    -1,
     292,   293,    -1,    -1,    -1,    -1,   246,    -1,    -1,   573,
      -1,   303,   252,   710,    -1,    -1,    -1,  3631,   310,  3633,
      -1,   313,   314,    -1,    56,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,    -1,   246,   710,    -1,
      -1,    -1,   616,    -1,    -1,    -1,   620,    -1,   350,   351,
      -1,    -1,    -1,    -1,    -1,   357,  3680,    -1,  3682,    -1,
      -1,   710,    -1,    -1,  3688,    -1,   640,   641,   642,   643,
     644,   645,   646,   647,   648,  3699,   650,   651,   652,   653,
     654,   655,   656,    -1,    -1,  3709,  3710,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,  3730,   445,  3732,    -1,
      -1,    -1,    -1,   155,   156,    -1,    -1,    -1,    -1,    -1,
     422,   423,    -1,    -1,    -1,    -1,    -1,   710,    -1,   171,
      -1,    -1,    -1,    -1,    -1,  3759,    -1,   179,    -1,    -1,
     182,    -1,    -1,    -1,   394,   395,   396,   397,   398,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   200,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,    -1,    -1,  3797,    -1,    -1,    -1,    -1,    -1,    -1,
     710,    -1,    -1,  3591,    -1,   394,   395,   396,   397,   398,
     440,   441,    -1,    -1,    -1,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   708,    -1,    -1,
     460,   461,   462,   463,    -1,    -1,    -1,    -1,   260,    -1,
      -1,    -1,    -1,   265,    -1,    -1,    -1,    -1,  3060,    -1,
      -1,    -1,   534,    -1,    -1,    -1,    -1,    -1,    -1,  3071,
      -1,    -1,    -1,    -1,  3652,    -1,   288,    -1,    -1,    -1,
    3658,   710,    -1,    -1,    -1,  3879,  3880,    -1,    -1,   301,
    3668,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,    -1,    -1,    -1,
      -1,    -1,    -1,  3917,    -1,  3703,   338,  3921,    -1,    -1,
     342,    -1,   344,    -1,   346,    -1,    -1,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,    -1,    -1,
      -1,    -1,    -1,    -1,  3742,    -1,    -1,  3961,    -1,  3171,
      -1,    -1,    -1,    -1,  3060,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3761,    -1,  3071,    -1,    -1,  3982,  3983,
      -1,    51,    -1,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   710,   675,   676,   677,    -1,   679,    -1,   681,
      -1,    -1,   424,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,    -1,    -1,    -1,    -1,   701,
      90,    -1,    -1,    -1,    -1,    -1,  4030,  4031,  4032,  4033,
      -1,    -1,  4036,  3821,  4038,    -1,  4040,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,     3,   445,    -1,
       6,    -1,    -1,    -1,    -1,   710,    -1,    -1,    -1,    -1,
      16,    17,    51,  4067,    -1,    -1,    -1,  3855,  3856,    -1,
      -1,    -1,    -1,    -1,    -1,  3171,    -1,  3289,  3290,   709,
      -1,    -1,    -1,    -1,  3872,    -1,  3874,   155,   156,    -1,
    3302,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    90,   445,   171,    60,    61,    62,    63,    64,    -1,
      -1,   179,    -1,  4117,   182,    -1,    -1,    -1,    -1,   708,
      -1,    -1,    -1,    -1,    -1,    -1,  4130,    -1,    -1,    -1,
      -1,    -1,   200,  4137,  4138,    -1,    -1,    -1,    -1,    -1,
      -1,  3929,  3930,    -1,  3932,    -1,    -1,    -1,   104,    -1,
      -1,    -1,  3940,    -1,    -1,    -1,    -1,    -1,  3946,   115,
     116,   117,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,
     126,   127,   128,    -1,   130,    -1,   246,    -1,    -1,    -1,
      -1,  3969,    -1,    -1,    -1,    -1,    -1,    90,   144,   145,
     146,    -1,   260,  3289,  3290,    -1,    -1,   265,  3986,  3987,
      -1,    -1,    -1,    -1,    -1,    -1,  3302,  4211,    -1,    -1,
      -1,    -1,   168,    -1,    -1,    -1,    -1,  4005,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,  3440,   445,
      -1,    -1,    -1,   301,  4238,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,    -1,    -1,    -1,
    4254,  4255,    -1,    -1,    -1,    -1,    -1,   246,    -1,    -1,
     216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     338,    -1,  4060,    -1,   342,    -1,   344,    -1,   346,   710,
    4068,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4294,    -1,    -1,    -1,    -1,    -1,  4300,    -1,    -1,    -1,
     256,   257,    -1,   259,    -1,   261,    -1,    -1,   264,   265,
      -1,   708,  4316,   269,   270,    -1,    -1,    -1,    -1,   275,
      -1,    -1,  4326,  4327,   394,   395,   396,   397,   398,    -1,
      -1,   287,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   246,  3440,   301,    -1,    -1,    -1,    -1,
      -1,    -1,  4356,    -1,   310,    -1,   424,   313,   314,    -1,
      -1,    -1,    -1,    -1,    -1,   708,   322,   323,   324,    -1,
      -1,    -1,  4160,    -1,    -1,    -1,    -1,    -1,    -1,   335,
     336,   337,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,    -1,    -1,    -1,
      -1,   357,    -1,    -1,    -1,   394,   395,   396,   397,   398,
      -1,  4199,  4200,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4229,    -1,    -1,    -1,    -1,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,    -1,  3680,   425,
    3682,    -1,    -1,    -1,    -1,    -1,  3688,    -1,    -1,    -1,
      -1,  4269,  4270,    -1,    -1,    -1,  4274,    -1,    -1,    -1,
      -1,   394,   395,   396,   397,   398,    -1,  3709,  3710,    -1,
      -1,    -1,    -1,    -1,    -1,  4293,    -1,    -1,    -1,    -1,
      -1,   710,    -1,    -1,    -1,    -1,    -1,    -1,  3730,    -1,
    3732,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   504,    -1,
      -1,  4339,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,    -1,    -1,    -1,    -1,    -1,    -1,
    4358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   534,    -1,
      -1,    -1,    -1,    -1,  3680,  3797,  3682,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,    -1,
      -1,  4389,    -1,    -1,    -1,    -1,    -1,    -1,  4396,    -1,
      -1,    -1,    -1,  3709,  3710,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  3730,    -1,  3732,    -1,   708,    51,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4437,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,    -1,    -1,    -1,    -1,    -1,    -1,     0,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    -1,    14,    15,    -1,    -1,    -1,    -1,   710,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,  3797,   445,    -1,    -1,    -1,    -1,    -1,    39,    40,
      41,    42,    43,    -1,    -1,    -1,    47,    -1,    -1,   708,
      -1,    -1,    -1,    -1,    55,    -1,    -1,   683,   684,   685,
     686,   687,   688,    -1,    65,    66,    67,    -1,    -1,    -1,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,  3961,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    -1,    90,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    -1,    -1,    -1,
    3982,  3983,   103,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,    -1,    -1,    -1,   119,   120,
     121,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     131,    -1,   133,   134,    -1,    -1,    -1,    -1,   711,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,  4030,  4031,
    4032,  4033,    -1,    -1,    -1,    -1,    -1,    -1,   710,    -1,
      -1,    -1,    -1,    -1,   246,    -1,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,    -1,   178,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,    -1,    -1,   710,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   207,   208,   209,   210,
      -1,    -1,   213,    -1,    -1,    -1,  3982,  3983,    -1,    -1,
      -1,    -1,    -1,   224,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,  4117,   445,   238,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,
     251,    -1,    -1,    -1,    -1,  4137,  4138,   710,    -1,    -1,
      -1,    -1,    -1,    -1,  4030,  4031,  4032,  4033,    -1,    -1,
     271,   272,    -1,   274,    -1,   276,   277,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   285,    -1,    -1,   288,    -1,   290,
     291,    -1,    -1,    -1,   295,   296,    -1,   710,   299,   300,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   394,   395,   396,   397,   398,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   325,   326,    -1,    -1,   329,   330,
     331,   332,    -1,   334,   335,    -1,    -1,    -1,    -1,   340,
      -1,    -1,   343,    -1,    -1,    -1,    -1,   348,   349,    -1,
      -1,  4117,    -1,   354,    -1,    -1,    -1,   358,   359,   360,
      -1,    -1,   363,    -1,   365,   366,   367,   368,   369,    -1,
      -1,  4137,  4138,    -1,    -1,    -1,    -1,    -1,    -1,   710,
      -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   394,   395,   396,   397,   398,    -1,   400,
      -1,    -1,    -1,    -1,    -1,    -1,   407,   408,   409,    -1,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,    -1,    90,    -1,   427,   428,    -1,    -1,
      -1,    -1,   433,    -1,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   710,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,    -1,    -1,    -1,    -1,
     710,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,    -1,    -1,    -1,    -1,   500,
      -1,   710,    -1,    -1,   505,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,    -1,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   575,   576,   710,    -1,   579,   580,
     246,   582,   583,   584,   585,   586,   587,    39,    40,    41,
      42,    43,    -1,    -1,   595,    47,    -1,    -1,    -1,   600,
     601,   602,    -1,    55,    -1,    -1,    -1,   608,    -1,    -1,
      -1,    -1,    -1,    65,    66,    67,    -1,    -1,    -1,    71,
      -1,    73,    74,    75,    76,    77,   708,    -1,    -1,   630,
     631,    -1,    -1,    -1,    -1,    87,    88,    -1,    90,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,
      -1,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   663,   664,    -1,    -1,    -1,   119,   120,   121,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,
      -1,   133,   134,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   147,    -1,    -1,    -1,    -1,
      -1,    -1,   703,    -1,    -1,    -1,   707,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,    -1,   178,    -1,   394,   395,
     396,   397,   398,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,    -1,    -1,   710,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   207,   208,   209,   210,   710,
      -1,   213,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   224,   445,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   710,    -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,   251,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   710,    -1,    -1,    -1,    -1,    -1,    -1,   271,
     272,    -1,   274,    -1,   276,   277,   710,    -1,    -1,    -1,
      -1,    -1,    -1,   285,    -1,    -1,   288,    -1,   290,   291,
      -1,    -1,    -1,   295,   296,    -1,    -1,   299,   300,    -1,
      -1,    -1,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,    -1,    -1,   325,   326,    -1,    -1,   329,   330,   331,
     332,    -1,   334,   335,    -1,    -1,    -1,    -1,   340,    -1,
      -1,   343,    -1,    -1,    -1,    -1,   348,   349,    -1,    -1,
      -1,    -1,   354,    -1,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,    -1,   365,   366,   367,   368,   369,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   394,   395,   396,   397,   398,    -1,   400,    -1,
      -1,    -1,    -1,    -1,    -1,   407,   408,   409,    -1,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,
      -1,   433,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,    -1,   710,
      -1,    -1,    -1,    -1,   466,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   710,    -1,
      -1,    -1,   708,    -1,    -1,    -1,    -1,    -1,   500,    -1,
      -1,    -1,    -1,   505,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,    -1,    -1,    -1,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   575,   576,    -1,    -1,   579,   580,    -1,
     582,   583,   584,   585,   586,   587,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   595,    -1,    -1,    -1,    -1,   600,   601,
     602,    -1,    -1,    -1,    -1,    -1,   608,     3,     4,    -1,
       6,     7,    -1,     9,    -1,    -1,    -1,    13,    -1,    -1,
      16,    -1,    18,    -1,    -1,    -1,    -1,    -1,   630,   631,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      36,   445,    -1,    -1,    51,   710,    -1,    -1,    44,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    53,    54,    -1,
      56,   663,   664,    -1,    60,    61,    62,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
      -1,    -1,    78,    90,    -1,    81,    82,    83,    84,    -1,
      -1,    -1,    -1,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   703,    -1,    -1,    -1,   707,    -1,   103,    -1,   710,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
     116,   117,   710,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,    -1,    -1,    -1,    -1,    -1,
      -1,   710,    -1,    -1,    -1,    -1,    -1,    -1,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   160,   161,    -1,    -1,    -1,   165,
     166,    -1,   168,   169,   170,    -1,    -1,   173,   174,    -1,
     710,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,    -1,    -1,   201,   202,   203,   204,   205,
     206,   710,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   710,   225,
     226,    -1,    -1,   229,   230,    -1,    -1,    -1,   234,   246,
      -1,    -1,    -1,   239,   240,   241,    -1,    -1,    -1,   245,
      -1,   247,    -1,    -1,   250,    -1,    -1,    -1,   254,   255,
     256,    -1,   258,    -1,    -1,   261,   262,   263,    -1,    -1,
      -1,    -1,    -1,   269,   270,    -1,    -1,   273,    -1,   275,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   287,   445,    -1,    -1,    -1,   292,   293,   294,    -1,
      -1,   297,    -1,    -1,    -1,    -1,   710,   303,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   311,    -1,    -1,   314,   315,
     316,    -1,    -1,    -1,     3,    -1,   322,     6,    -1,    -1,
      -1,    -1,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      -1,    -1,    -1,   339,   710,    -1,    -1,    -1,   344,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,    -1,    -1,    -1,
      -1,   357,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    60,    61,    62,    63,    64,    -1,   394,   395,   396,
     397,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   710,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   104,   422,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,   116,   117,    -1,
      -1,    -1,    -1,    -1,    51,    -1,    -1,   126,   127,   128,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,    -1,    -1,    -1,   144,   145,   146,    51,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    -1,    -1,    -1,     3,    -1,    -1,
       6,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    17,   445,   182,    -1,    -1,    -1,    90,    -1,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   216,   534,    -1,
      -1,    -1,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   710,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   564,   565,
     566,   567,    -1,    -1,    -1,    -1,   572,   256,   257,    -1,
     259,    -1,   261,    -1,    -1,   264,   265,    -1,   104,   105,
     269,   270,    -1,    -1,   273,    -1,   275,    -1,    -1,   115,
     116,   117,    -1,    -1,    -1,    -1,    -1,    -1,   287,   288,
     126,   127,   128,    -1,    -1,    -1,    -1,   613,   614,    -1,
      -1,    -1,   301,    -1,    -1,    -1,    -1,    -1,   144,   145,
     146,   310,    -1,    -1,   313,   314,    -1,    -1,   710,   246,
      -1,    -1,    -1,   322,   323,   324,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   335,   336,   337,    -1,
      -1,   657,   658,   246,    -1,   344,   182,    51,    -1,    -1,
      -1,   350,   351,    -1,    -1,    -1,    -1,    -1,   357,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   683,   684,   685,
     686,   687,   688,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     216,   708,    -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      -1,    51,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,    -1,    -1,   710,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,
     256,   257,    -1,   259,    -1,   261,    -1,    -1,   264,   265,
      90,    -1,    -1,   269,   270,    -1,    -1,    -1,    -1,   275,
      -1,    -1,    -1,    -1,    -1,    51,     3,   710,    -1,     6,
      -1,   287,   288,    -1,    90,    -1,    -1,    -1,    -1,    -1,
      17,    -1,    -1,    -1,    -1,   301,    -1,   394,   395,   396,
     397,   398,    -1,    -1,   310,    -1,    -1,   313,   314,    -1,
      -1,    -1,    -1,    -1,    90,    -1,   322,   323,   324,    -1,
      -1,   394,   395,   396,   397,   398,    -1,    -1,    -1,   335,
     336,   337,    -1,    60,    61,    62,    63,    64,   344,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,    -1,    -1,    -1,
      -1,   357,    -1,    -1,    -1,   361,    -1,    -1,   364,    -1,
      -1,    -1,    -1,    -1,    -1,   534,    -1,    -1,    -1,    -1,
      -1,    -1,   246,    -1,    -1,    -1,    -1,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,   116,
     117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   126,
     127,   128,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,    -1,    -1,   246,   144,   145,   146,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     246,    51,    -1,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,    -1,    -1,    -1,    -1,    51,    -1,
     246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   216,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   710,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    -1,    51,    -1,   683,   684,   685,   686,   687,   688,
     394,   395,   396,   397,   398,    -1,    -1,    -1,   534,   256,
     257,    -1,   259,    -1,   261,    -1,    51,   264,   265,    -1,
      -1,    -1,   269,   270,    -1,    -1,    -1,    -1,   275,    -1,
      -1,    90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     287,   288,    -1,    -1,   394,   395,   396,   397,   398,    -1,
      -1,    -1,    -1,    -1,   301,    90,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   310,    -1,    -1,   313,   314,   394,   395,
     396,   397,   398,    -1,    -1,   322,   323,   324,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,
     337,   708,    -1,    -1,    -1,    -1,    -1,   344,   394,   395,
     396,   397,   398,   350,   351,    -1,    -1,    -1,    -1,    -1,
     357,    -1,    -1,    -1,   361,   708,   246,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   708,   683,   684,   685,
     686,   687,   688,    -1,    -1,    -1,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   246,    -1,    -1,
      -1,    -1,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   246,    51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,    -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,
      -1,    90,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   394,   395,   396,   397,   398,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,    -1,    -1,    51,    -1,    -1,    90,   534,    -1,    -1,
      -1,   394,   395,   396,   397,   398,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    51,   445,    -1,
      -1,    -1,    -1,    -1,   708,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    51,    -1,    -1,    -1,   394,   395,   396,   397,   398,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   708,   394,
     395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   708,   445,    -1,    -1,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   246,    -1,    -1,
      -1,    -1,   708,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,    -1,    -1,   683,   684,   685,   686,
     687,   688,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   246,    -1,
      -1,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   246,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   246,    -1,   710,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,
      -1,    -1,    -1,    -1,    -1,   710,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   394,   395,   396,   397,   398,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,    -1,   710,    51,    -1,    -1,    90,   708,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     394,   395,   396,   397,   398,    -1,    -1,    -1,    51,    -1,
      -1,    -1,    -1,    -1,    -1,   708,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    51,    -1,    -1,    -1,   394,   395,   396,   397,
     398,    -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   710,   708,
     394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   708,   394,   395,   396,   397,   398,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
      -1,    -1,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   246,
      -1,    -1,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   246,    -1,    -1,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   246,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    51,
      -1,    -1,    -1,    -1,    -1,    -1,   710,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,    -1,    -1,    -1,    -1,    -1,    51,    -1,    90,   708,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   394,   395,   396,   397,   398,    -1,    -1,    -1,    51,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,    -1,    -1,   708,    90,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    51,    -1,    -1,    -1,   394,   395,   396,
     397,   398,    -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,
     708,   394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   708,   394,   395,   396,   397,   398,
      -1,    -1,    -1,    -1,   710,    -1,    90,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   708,   445,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,    -1,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   246,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
      -1,   246,    -1,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   246,    -1,    -1,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   246,    -1,
      -1,   708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   708,    -1,    -1,    -1,    -1,    51,    -1,
      -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,
      -1,    -1,    -1,    -1,   708,    -1,    -1,    90,    -1,    -1,
      -1,    -1,   394,   395,   396,   397,   398,    -1,    -1,    -1,
      -1,    51,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,    -1,   708,    90,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,   394,
     395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,
      -1,   708,   394,   395,   396,   397,   398,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   708,    -1,    -1,   708,   394,   395,   396,   397,
     398,    -1,    -1,    -1,   708,    -1,    -1,    90,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   708,
     394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   246,    -1,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,    -1,   246,    -1,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   246,
      -1,    -1,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   246,    51,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   708,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   708,    90,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,
     394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    51,
      -1,    -1,    -1,   708,   394,   395,   396,   397,   398,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    51,    -1,    -1,   708,   394,   395,   396,
     397,   398,    -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     708,   394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   708,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,    -1,    -1,    -1,    -1,    -1,   246,
      -1,    -1,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   246,    -1,    -1,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   246,    -1,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
      -1,   246,    -1,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   246,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,    51,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    51,    -1,    -1,    -1,   394,   395,   396,
     397,   398,    -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    -1,    -1,    -1,   708,    -1,    51,    -1,    -1,
      -1,   394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    51,    -1,    -1,   708,   394,   395,   396,   397,   398,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,   708,   394,
     395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   708,   394,   395,   396,   397,   398,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   708,   394,   395,   396,   397,
     398,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
      -1,    -1,    -1,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   246,    -1,    -1,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   246,    -1,
      -1,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   246,    -1,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,    -1,   246,    -1,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   246,
      51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    51,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,    -1,    -1,    90,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,
      -1,   708,   394,   395,   396,   397,   398,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   708,   394,   395,   396,   397,
     398,    -1,    -1,    -1,    -1,    -1,    -1,    90,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     394,   395,   396,   397,   398,   714,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,    -1,    -1,
      -1,    -1,    -1,   708,   394,   395,   396,   397,   398,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,    -1,    -1,    -1,    -1,    -1,   708,   394,   395,   396,
     397,   398,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,    -1,    -1,    -1,    -1,    -1,    -1,
     708,    -1,    -1,    -1,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   246,    -1,    -1,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   246,
      -1,    -1,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   246,    -1,    -1,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,    -1,    -1,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   708,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   394,   395,   396,   397,   398,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
      -1,    -1,   708,    -1,    -1,    -1,   708,   394,   395,   396,
     397,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     708,   394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   708,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   708,   445,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   708,   445,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   708,   445,
      -1,    -1,    70,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,    -1,    -1,    -1,    -1,    -1,
      -1,   708,    90,    91,    -1,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,    -1,    -1,    -1,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
      -1,    -1,   140,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,    -1,    -1,    -1,
      -1,    -1,    -1,   181,    -1,    90,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,    -1,
      -1,   199,    -1,    -1,   708,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   211,   212,    70,   708,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   708,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   246,   445,
      -1,    -1,   708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,    -1,    -1,   140,    -1,   708,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   708,    -1,
      -1,   708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     708,    -1,    -1,    -1,    -1,    -1,   181,    -1,    -1,    -1,
      -1,    -1,   708,    -1,    -1,   708,    -1,    -1,    -1,    -1,
      90,   246,    -1,    -1,   199,    -1,    -1,   708,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   211,   212,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    70,   445,
      -1,    -1,    -1,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,    -1,    90,    91,
      -1,   246,    -1,    -1,    -1,    -1,   394,   395,   396,   397,
     398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   414,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,    -1,
      -1,    -1,    -1,    -1,   432,    -1,    -1,    -1,   140,   708,
      -1,    -1,   440,   441,    -1,    -1,    -1,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   708,   460,   461,   462,   463,   464,   465,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   181,
     445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,
     395,   396,   397,   398,    -1,    -1,   246,   199,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   211,
     212,    -1,   708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   394,
     395,   396,   397,   398,   246,   708,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,
      -1,    -1,   708,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,    -1,    -1,   432,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   440,   441,    -1,    -1,    -1,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,    90,    91,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   394,   395,   396,   397,   398,   708,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   140,   445,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   708,   394,   395,   396,   397,   398,    -1,    -1,    -1,
      -1,    -1,   181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   709,   414,   711,    -1,   713,    -1,    -1,    -1,    -1,
     199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     432,    -1,   211,   212,    -1,    -1,    -1,    -1,   440,   441,
      -1,    -1,    -1,   708,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,    -1,    -1,    -1,   246,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   711,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,    -1,    -1,   708,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
      -1,    -1,    -1,    -1,   709,    -1,   711,    -1,   713,    -1,
      -1,    -1,    -1,    90,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   394,   395,   396,   397,   398,
      -1,    -1,    -1,    -1,    -1,   708,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     4,     5,     6,
      -1,    -1,    -1,   432,    -1,    -1,    -1,    -1,    90,    -1,
     710,   440,   441,    -1,    -1,    -1,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   709,    -1,    -1,
      90,    91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   115,   116,
     140,   708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,    -1,    -1,   161,    -1,    -1,   164,    -1,    -1,
      -1,   168,   708,    -1,   246,    -1,    -1,    -1,    -1,   199,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,    -1,    -1,
      -1,   211,   212,    -1,    -1,    -1,    -1,    -1,   708,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,
     708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     217,    -1,    -1,    90,    91,    -1,   246,   394,   395,   396,
     397,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,   256,
      -1,    -1,    -1,    -1,   261,   132,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   140,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     709,    -1,   711,    -1,   713,    -1,   293,   294,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   394,   395,   396,   397,   398,    -1,    -1,    -1,
      -1,    -1,   199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   211,   212,    -1,    -1,    -1,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
      -1,    -1,    -1,    -1,   394,   395,   396,   397,   398,   246,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   414,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,    -1,    -1,
      -1,    -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     440,   441,    -1,    -1,    -1,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,    -1,    -1,    -1,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,    90,    91,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,   395,   396,
     397,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   708,   709,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   132,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   140,    -1,    -1,
      -1,    -1,    -1,   440,   441,    -1,    -1,    -1,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
      -1,    -1,    -1,   460,   461,   462,   463,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,    -1,
      90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   199,    -1,   625,   626,
     627,    -1,    90,    91,    -1,    -1,   708,   709,   211,   212,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
      -1,    -1,    -1,   246,   132,    -1,    -1,    -1,    -1,   252,
      -1,    -1,   140,    -1,    -1,    -1,    -1,    -1,    -1,   709,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,    -1,    -1,    -1,    -1,    -1,    90,
      91,    -1,    -1,    -1,    -1,    -1,   603,    -1,    -1,    -1,
      -1,   199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   211,   212,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,
      -1,   132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   140,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   199,    -1,
      -1,    -1,   709,    -1,    -1,    90,    -1,    -1,    -1,    -1,
     211,   212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   440,   441,    -1,
      -1,    -1,    90,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,    -1,   246,    -1,   460,   461,   462,
     463,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   394,   395,   396,   397,   398,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   394,   395,   396,   397,
     398,    -1,    -1,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   440,   441,    -1,    -1,    -1,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   246,   460,   461,   462,   463,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,
     603,    -1,    -1,   394,   395,   396,   397,   398,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,    -1,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   440,
     441,    -1,   246,    -1,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,    90,    91,    -1,   460,
     461,   462,   463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   709,    90,   132,    -1,
      -1,    -1,    -1,    -1,    -1,   603,   140,    -1,   312,   394,
     395,   396,   397,   398,    -1,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   394,   395,   396,   397,
     398,    90,    -1,    -1,    -1,    -1,    -1,   181,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   199,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   211,   212,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   708,   709,
     394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   603,    90,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   709,   246,    -1,    -1,    -1,    -1,    -1,   252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,    90,   246,    -1,    -1,    -1,    -1,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,   246,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   709,    -1,
      -1,    -1,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,
     394,   395,   396,   397,   398,    -1,    90,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,    -1,
      -1,   394,   395,   396,   397,   398,   440,   441,   246,    -1,
      -1,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   708,   709,    -1,   460,   461,   462,   463,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   394,   395,   396,   397,   398,
     708,   709,   246,    -1,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   246,    -1,   709,    -1,   394,   395,   396,
     397,   398,    90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   246,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   246,    -1,    -1,    -1,    -1,   394,   395,   396,   397,
     398,    90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,   246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
      -1,   394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,
     394,   395,   396,   397,   398,   709,    -1,    -1,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   394,
     395,   396,   397,   398,    90,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   708,   709,   246,    -1,    -1,
      -1,    -1,    -1,    90,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,   708,
     709,   394,   395,   396,   397,   398,    -1,    -1,   246,    -1,
      -1,    -1,    -1,    -1,    90,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,    90,    -1,    -1,   394,   395,   396,   397,
     398,   708,   709,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     246,    -1,    -1,    -1,    -1,   394,   395,   396,   397,   398,
     708,   709,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,
      -1,    -1,    -1,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   246,    -1,    -1,   708,   709,   394,   395,   396,   397,
     398,    90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,    -1,
      -1,    -1,    -1,    -1,    -1,   708,   709,    90,    -1,   246,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   708,   709,    -1,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   394,   395,
     396,   397,   398,   708,   709,    -1,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,   395,   396,
     397,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   394,
     395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,   709,   246,   394,   395,
     396,   397,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    -1,   394,   395,   396,
     397,   398,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   709,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
      -1,    -1,    90,    -1,    -1,   246,    -1,    -1,    -1,   708,
      -1,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,    90,    -1,    -1,    -1,   394,   395,   396,   397,   398,
     708,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,   246,    -1,
      -1,   394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,    -1,
      -1,    -1,   708,   394,   395,   396,   397,   398,   246,    -1,
      -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,
      -1,   708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,    -1,    -1,
      -1,    -1,    -1,   708,    -1,    -1,    -1,   246,    -1,   394,
     395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,    56,
      -1,    -1,   708,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,    -1,    -1,   394,   395,   396,   397,
     398,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   708,    -1,    -1,    -1,    -1,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,    -1,    -1,    -1,    -1,
      -1,   246,    -1,    -1,    -1,    -1,   394,   395,   396,   397,
     398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,    47,    -1,    -1,   394,   395,   396,   397,   398,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   708,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,    -1,
     394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   708,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   394,
     395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   708,   394,   395,
     396,   397,   398,    -1,    -1,    -1,    -1,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   708,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     708,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,
      -1,    -1,   347,    -1,    90,    -1,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,    -1,    70,   708,
     507,   508,   509,   510,   511,   512,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,    90,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,
     395,   396,   397,   398,    47,    -1,   543,   544,   545,   546,
     547,    -1,    -1,    -1,   708,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,    70,    47,    -1,
      -1,   568,   569,   570,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    70,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,
      -1,    -1,    -1,   708,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,
      -1,    -1,   708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      -1,    -1,    47,   640,    -1,    -1,    -1,    -1,    -1,    -1,
     246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    47,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,    -1,    -1,   246,    90,    -1,    47,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,
      -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,    47,
      -1,   347,    -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   119,    -1,   347,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    -1,    -1,   246,    -1,    -1,   394,   395,
     396,   397,   398,    -1,    -1,    -1,    -1,    -1,    51,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   394,   395,   396,   397,   398,    -1,    -1,    -1,
      -1,   246,    -1,    -1,   347,    -1,    -1,    90,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   347,    51,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,
      -1,   394,   395,   396,   397,   398,   347,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,
     246,    51,    -1,    -1,    -1,   394,   395,   396,   397,   398,
      -1,    -1,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,    -1,   347,   394,   395,   396,   397,   398,   246,    -1,
      90,    -1,    -1,    -1,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,    -1,    -1,    -1,    -1,    -1,
      70,    -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,   394,
     395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    -1,    -1,   246,    -1,    -1,    -1,    -1,   394,   395,
     396,   397,   398,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   394,   395,   396,   397,   398,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   394,   395,
     396,   397,   398,    -1,   246,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   394,   395,   396,   397,
     398,    -1,    -1,    -1,    -1,    -1,   246,    90,    -1,    -1,
      -1,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   394,   395,   396,   397,   398,   246,    70,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,    90,    -1,    -1,
      -1,    70,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,    90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   394,   395,   396,   397,   398,    -1,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,    -1,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   394,   395,   396,   397,   398,    -1,
      90,    -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    70,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,    90,    -1,    -1,    -1,    -1,    -1,
      70,    -1,    -1,    -1,   394,   395,   396,   397,   398,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,
      -1,    -1,    -1,   246,    -1,    70,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,    90,    70,   246,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,    -1,    -1,   312,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   394,   395,   396,   397,   398,   246,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,    -1,    -1,    -1,
     246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,
      -1,   394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,
      -1,    -1,    -1,    -1,    -1,   394,   395,   396,   397,   398,
      -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   246,    -1,    70,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,    90,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   394,   395,   396,   397,   398,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,   395,
     396,   397,   398,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   394,   395,   396,   397,   398,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,    -1,    -1,
      -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,   394,
     395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    -1,    -1,   246,    -1,    -1,    -1,    -1,
     394,   395,   396,   397,   398,    -1,    -1,    70,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,    90,    -1,    -1,
     246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,    -1,    -1,    -1,    -1,   246,    -1,    70,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,    90,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   394,   395,   396,   397,   398,   246,    -1,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,   395,
     396,   397,   398,   246,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,    -1,    -1,
      70,    -1,    -1,   394,   395,   396,   397,   398,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,
      90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   394,   395,   396,   397,
     398,    -1,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,    -1,    -1,    90,    -1,    -1,   246,    -1,    -1,    -1,
      -1,   394,   395,   396,   397,   398,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,    -1,    -1,    -1,    -1,
     246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,
      -1,   394,   395,   396,   397,   398,    90,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,    90,
      -1,    -1,    -1,    -1,    -1,    -1,   140,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   394,   395,   396,   397,   398,   246,
     153,   154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      -1,    -1,   153,   154,    -1,    -1,    -1,    -1,   394,   395,
     396,   397,   398,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   394,   395,   396,   397,   398,    -1,
      -1,    -1,    -1,    -1,    -1,   312,   140,    -1,    -1,    -1,
      -1,    -1,   246,   394,   395,   396,   397,   398,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    -1,    -1,   246,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,    -1,   312,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,   395,   396,
     397,   398,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,    -1,   246,    -1,    -1,   153,   154,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,    -1,    -1,    -1,    -1,
     394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,
      -1,   394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   394,   395,   396,   397,   398,   246,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,    90,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,    -1,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,    -1,    -1,    -1,    90,
      -1,   246,    -1,   140,    -1,    -1,   394,   395,   396,   397,
     398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,
      -1,    -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,   312,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   394,
     395,   396,   397,   398,   312,   246,    90,    -1,    -1,    -1,
     154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   154,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     154,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   394,   395,   396,   397,
     398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   246,    -1,    -1,    -1,    -1,   394,   395,   396,
     397,   398,    90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   246,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      -1,    -1,    -1,   394,   395,   396,   397,   398,    -1,    -1,
      -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   246,    90,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,   394,
     395,   396,   397,   398,    -1,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,
     394,   395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   394,   395,   396,   397,   398,    -1,    -1,    -1,
      -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,    -1,    -1,    -1,    -1,   394,   395,   396,   397,
     398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   394,   395,   396,   397,   398,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,
     395,   396,   397,   398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536
  };

  const short
  parser::yystos_[] =
  {
       0,    14,    15,    39,    40,    41,    42,    43,    47,    55,
      65,    66,    67,    71,    73,    74,    75,    76,    77,    87,
      88,    90,    97,   103,   119,   120,   121,   122,   131,   133,
     134,   147,   167,   176,   178,   207,   208,   209,   210,   213,
     224,   238,   246,   251,   271,   272,   274,   276,   277,   285,
     288,   290,   291,   295,   296,   299,   300,   325,   326,   329,
     330,   331,   332,   334,   335,   340,   343,   348,   349,   354,
     358,   359,   360,   363,   365,   366,   367,   368,   369,   394,
     395,   396,   397,   398,   400,   407,   408,   409,   411,   412,
     413,   415,   416,   417,   418,   419,   420,   421,   427,   428,
     433,   466,   500,   505,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   575,   576,   579,   580,   582,   583,   584,
     585,   586,   587,   595,   600,   601,   602,   608,   630,   631,
     663,   664,   703,   707,   717,   718,   719,   720,   721,   724,
     727,   730,   733,   736,   740,   745,   746,   747,   748,   749,
     759,   762,   763,   768,   769,   770,   773,   776,   779,   784,
     787,   790,   798,   809,   814,   817,   828,   829,   832,   835,
     838,   842,   845,   848,   851,   854,   857,   860,   863,   866,
     867,   870,   873,   876,   888,   894,   897,   900,   907,   908,
     911,   912,   913,   915,   927,   928,   929,   932,   933,   934,
     943,   946,   949,   950,   953,   956,   957,   959,   962,   963,
     964,   965,   966,   967,   970,   976,   979,   980,   981,   984,
     985,   988,   991,   994,   997,  1004,  1005,  1006,  1007,  1008,
    1009,  1010,  1011,  1012,  1016,  1019,  1022,  1025,  1028,  1031,
    1034,  1037,  1040,  1043,  1044,  1055,  1058,  1061,  1064,  1065,
    1068,  1072,  1075,  1081,  1084,  1086,  1089,  1092,  1095,  1099,
    1602,   140,   709,   140,   709,   708,   709,   880,  1602,   709,
     708,   709,   709,   708,   709,   708,   709,   880,   140,   709,
     709,   708,   709,   708,   709,   880,   708,   708,   708,   709,
     708,   709,   709,   708,   709,   708,   709,   880,   709,   708,
     709,   709,   708,   708,   709,   708,   709,   709,   708,   709,
     709,   709,   708,   708,   709,   312,   709,   971,   975,  1602,
     708,   709,   708,   709,   708,   708,   708,   708,   709,   708,
     708,   708,   708,   709,   880,   880,   756,  1602,    72,   140,
     977,   709,   880,   708,   709,   708,   709,   708,   709,   708,
     709,   880,   709,   708,   709,   708,   709,   708,   709,   880,
     708,   709,    72,   708,   709,   708,   709,   708,   708,   709,
     708,   709,   880,   708,   709,   880,   708,   709,   708,   709,
     880,   708,   708,   709,   880,   708,   708,   709,   708,   709,
     708,   709,   708,   709,   880,   880,   709,   753,  1602,   754,
    1602,   755,  1602,   944,   947,   757,  1602,   709,   708,   709,
     880,   758,  1602,   708,   709,   708,   709,   708,   709,   708,
     709,   709,   709,   708,   709,   709,   708,   709,   708,   709,
     709,   708,   709,   880,   708,   709,   708,   709,   708,   709,
     708,   709,   708,   709,   708,   709,   818,   709,   708,   709,
     708,   709,   709,   709,   708,   708,   709,   708,   880,   715,
       0,   718,    72,   709,    72,    72,    72,   715,   708,    21,
      22,    23,    27,    28,    29,    30,    45,    56,    84,   254,
     255,   293,   294,   422,   423,  1013,  1014,  1015,  1153,  1159,
    1166,  1188,  1189,  1264,  1265,  1271,  1272,  1317,  1318,  1319,
    1320,  1321,  1322,  1323,   708,    33,    44,   103,  1014,  1017,
    1018,  1216,  1250,  1324,    82,    83,   149,   151,   168,   217,
     286,   564,   565,   566,   567,  1073,  1074,  1153,  1166,  1188,
    1242,  1254,  1257,  1259,  1264,  1265,  1266,  1278,  1380,  1448,
    1449,  1450,  1451,    51,   708,  1602,   285,   407,   408,   409,
     760,   118,   123,   124,   125,   155,   179,   182,   314,   344,
     844,   846,   847,  1103,  1126,  1134,  1137,  1144,  1375,  1376,
    1377,  1378,    44,    46,   288,   323,  1062,  1063,  1110,  1122,
    1218,  1379,  1380,   407,  1066,  1067,  1602,    19,    20,    26,
      31,    32,    95,   116,   157,   158,   256,   426,   457,   702,
     704,  1053,  1054,  1203,  1206,  1209,  1212,  1296,  1300,  1301,
    1304,  1305,  1306,  1309,  1314,  1316,  1519,   708,   140,   708,
     971,   971,   774,   775,  1602,    35,     3,     4,     6,     7,
       9,    13,    16,    18,    36,    44,    52,    53,    54,    60,
      61,    62,    78,    81,    84,    89,   115,   116,   117,   144,
     145,   146,   148,   150,   160,   161,   165,   166,   169,   170,
     173,   174,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   201,   202,   203,
     204,   205,   206,   215,   216,   218,   219,   220,   221,   222,
     223,   225,   226,   229,   230,   234,   239,   240,   241,   245,
     247,   250,   256,   258,   261,   262,   263,   269,   270,   273,
     275,   287,   292,   297,   303,   311,   315,   316,   322,   339,
     350,   351,   357,   404,   534,   572,   613,   614,   657,   658,
     683,   684,   685,   686,   687,   688,   935,   936,  1103,  1109,
    1112,  1116,  1117,  1144,  1153,  1157,  1158,  1159,  1163,  1164,
    1165,  1172,  1188,  1189,  1190,  1191,  1192,  1193,  1202,  1208,
    1217,  1219,  1220,  1221,  1222,  1223,  1224,  1225,  1226,  1227,
    1228,  1229,  1230,  1231,  1232,  1233,  1234,  1235,  1236,  1237,
    1238,  1239,  1240,  1241,  1242,  1244,  1245,  1246,  1247,  1248,
    1249,  1250,  1251,  1252,  1253,  1254,  1255,  1256,  1257,  1258,
    1259,  1264,  1265,  1266,  1267,  1268,  1269,  1270,  1271,  1272,
    1273,  1274,  1275,  1276,  1277,  1278,  1279,  1280,  1281,  1282,
    1285,  1286,  1287,  1289,  1290,  1291,  1292,  1293,  1294,  1325,
    1326,  1327,  1328,  1329,  1330,  1331,  1332,  1333,  1334,  1335,
    1336,  1381,  1442,  1448,  1449,  1450,  1451,  1452,  1453,  1496,
    1498,  1499,  1500,  1501,  1502,  1503,  1505,  1506,  1507,  1520,
    1521,  1537,  1538,  1539,  1540,  1541,  1542,   708,    47,   317,
     347,   889,   890,   891,  1602,    47,   347,   898,   899,  1602,
      47,   347,   895,   896,  1602,    12,   129,   275,   345,   424,
    1082,  1083,  1122,  1123,  1124,  1125,  1514,    92,   905,   906,
     901,   902,  1602,    98,    99,   100,   101,   102,   785,   786,
    1059,  1060,  1122,  1192,  1202,  1208,  1217,   708,  1602,   777,
     778,  1602,    35,    58,    80,    84,    85,    86,   771,   772,
    1152,  1153,  1154,  1159,  1166,  1167,  1168,  1169,  1170,  1171,
    1056,  1057,  1602,     5,   152,   164,   278,   279,   302,   402,
     403,   471,   689,   690,   691,   692,   693,   694,   695,   696,
     697,   698,   699,   700,   701,   968,   969,  1109,  1110,  1112,
    1122,  1191,  1192,  1202,  1208,  1237,  1249,  1257,  1260,  1278,
    1342,  1366,  1370,  1371,  1372,  1373,  1374,  1380,  1496,  1497,
    1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,  1551,  1552,
    1553,  1554,  1555,   774,    35,   771,  1090,  1091,  1602,  1255,
     971,   177,   788,   799,     8,    11,    34,    48,    69,   162,
     183,   253,   284,   401,   796,   797,  1108,  1136,  1139,   180,
    1261,   709,    51,   708,   971,   705,   706,   849,   850,  1556,
    1557,   407,   812,   836,   282,  1087,  1088,  1602,   954,   955,
    1602,    70,   246,  1078,  1079,  1076,  1077,  1325,  1326,   951,
     952,  1602,   951,   958,  1602,    17,    63,    64,    96,   104,
     126,   127,   128,   155,   182,   257,   259,   264,   265,   301,
     310,   313,   324,   335,   336,   337,   878,   960,   961,  1102,
    1103,  1104,  1109,  1110,  1111,  1112,  1113,  1114,  1115,  1116,
    1117,  1118,  1119,  1120,  1122,  1130,  1131,  1135,  1140,  1141,
    1142,  1143,  1144,  1158,  1163,  1192,  1202,  1208,  1226,  1249,
    1253,  1255,  1262,  1263,  1280,  1281,  1285,  1286,  1291,  1292,
    1293,  1294,  1325,  1326,  1431,  1432,  1442,  1503,  1504,  1537,
    1538,  1539,  1540,  1541,  1542,   708,   708,    51,   708,  1602,
     393,   709,   751,   752,   140,   708,    91,   140,   181,   199,
     211,   212,   414,   432,   440,   441,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   460,
     461,   462,   463,   464,   465,   709,   805,   883,   972,  1602,
     288,   708,   852,   853,  1122,  1153,   155,   156,   171,   182,
     200,   260,   338,   342,   346,   855,   856,  1103,  1105,  1106,
    1107,  1127,  1132,  1133,  1137,  1138,  1243,  1262,  1263,  1508,
    1514,   858,   859,  1122,  1153,   661,   856,   861,   862,  1522,
     708,   971,    47,   407,   810,   811,   812,   282,   662,   407,
     815,   816,   282,   103,   248,   261,   333,   426,   704,  1047,
    1048,  1153,  1159,  1166,  1188,  1195,  1196,  1197,  1211,  1242,
    1259,  1264,  1265,  1278,  1380,  1517,  1518,   708,   312,  1096,
    1097,  1602,   246,   711,   853,   856,   871,   872,   138,   139,
     280,   281,   289,  1093,  1094,  1509,  1510,  1511,  1512,  1513,
    1069,   843,   844,   130,   425,   504,   877,   878,   879,  1121,
    1128,  1242,  1381,  1382,   708,   103,   249,   294,   649,  1049,
    1050,  1153,  1159,  1166,  1195,  1198,  1199,  1200,  1201,  1211,
    1380,  1517,  1518,   708,   105,   361,   362,  1000,  1001,  1283,
    1284,  1443,   878,  1002,  1003,  1283,  1443,   708,   246,   982,
     983,   182,   364,   998,   999,  1003,  1129,  1495,   708,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   986,   987,  1558,  1559,  1560,  1561,  1562,  1563,
    1564,  1565,  1566,  1567,  1568,  1569,  1570,  1571,  1572,  1573,
    1574,  1575,  1576,  1577,  1578,  1579,  1580,   989,   990,  1558,
    1559,  1560,  1561,  1562,  1563,    80,   288,   335,   339,   992,
     993,  1581,  1582,  1583,  1584,   255,   995,   996,  1585,   708,
     708,   175,   577,    51,   708,  1602,   393,   752,    51,   708,
    1602,   393,   752,    51,   708,  1602,   393,   752,   945,  1602,
     948,  1602,    51,   708,  1602,    79,   268,   283,   410,   459,
     574,   659,   741,   742,    19,    20,    24,    25,    26,    31,
      32,    37,    38,    95,   116,   157,   158,   256,   261,   457,
     505,   702,  1051,  1052,  1194,  1204,  1205,  1207,  1210,  1295,
    1297,  1298,  1299,  1302,  1303,  1307,  1308,  1310,  1311,  1312,
    1313,  1315,  1517,  1518,   708,    51,   708,  1602,   393,   237,
     237,   237,   268,   660,   682,   731,   732,  1151,  1155,  1156,
     737,   268,   328,   682,   734,   735,  1160,  1161,  1162,   131,
     467,   468,   469,   470,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   625,   626,   627,
    1045,  1046,  1112,  1153,  1159,  1166,  1188,  1189,  1191,  1192,
    1202,  1208,  1217,  1219,  1231,  1242,  1257,  1278,  1337,  1338,
    1339,  1340,  1341,  1342,  1343,  1344,  1345,  1346,  1347,  1348,
    1349,  1350,  1351,  1352,  1353,  1354,  1355,  1356,  1357,  1358,
    1359,  1360,  1361,  1362,  1363,  1364,  1365,  1367,  1368,  1369,
    1370,  1371,  1496,  1497,    57,    84,    86,   254,   909,   910,
    1145,  1152,  1167,  1171,  1173,  1264,  1265,  1100,  1101,  1602,
     246,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   518,
     519,   520,   521,   522,   523,   524,   543,   544,   545,   546,
     547,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   568,   569,   570,   640,  1020,  1021,  1153,
    1250,  1385,  1386,  1387,  1388,  1389,  1390,  1391,  1392,  1393,
    1394,  1395,  1396,  1397,  1398,  1399,  1400,  1401,  1402,  1403,
    1404,  1405,  1407,  1408,  1409,  1410,  1411,  1412,  1413,  1414,
    1415,  1416,  1417,  1418,  1419,  1420,  1421,  1422,  1423,  1424,
    1425,  1426,  1427,  1428,  1429,  1430,  1458,   578,   327,   352,
     353,   573,   574,   615,   616,   618,   619,   621,   622,   623,
     628,   639,  1029,  1030,  1454,  1455,  1457,  1474,  1482,  1483,
    1484,  1487,  1488,  1489,  1490,  1491,  1492,  1493,   708,   617,
    1023,  1024,  1454,  1455,  1457,  1474,  1482,  1483,  1484,  1486,
    1487,  1488,  1489,  1490,  1492,  1493,   516,   620,   641,   642,
     643,   644,   645,   646,   647,   648,   650,   651,   652,   653,
     654,   655,   656,  1041,  1042,  1153,  1264,  1265,  1385,  1386,
    1387,  1388,  1389,  1395,  1396,  1397,  1399,  1403,  1404,  1405,
    1406,  1454,  1455,  1456,  1458,  1459,  1460,  1461,  1462,  1463,
    1464,  1465,  1466,  1467,  1468,  1469,  1470,  1471,  1472,  1473,
      64,   192,   267,   638,  1038,  1039,  1383,  1384,  1454,  1455,
    1474,  1475,  1476,   633,   634,   635,   636,   637,  1035,  1036,
    1454,  1455,  1457,  1477,  1478,  1479,  1480,  1481,   629,  1032,
    1033,  1454,  1455,  1484,  1485,   624,  1026,  1027,  1454,  1455,
    1457,  1474,  1482,  1483,  1487,  1488,  1489,  1490,  1491,  1492,
    1493,  1494,   708,   285,   571,   596,   597,   598,   599,   830,
     831,  1433,  1434,  1435,  1436,  1437,  1438,   780,   604,   605,
     607,   833,   834,  1433,  1439,  1440,  1441,   609,   610,   611,
     612,   874,   875,  1444,  1445,  1446,  1447,   298,   632,   868,
     869,  1515,  1516,   868,   791,   172,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   675,   676,   677,   679,   681,
     864,   865,  1109,  1143,  1144,  1153,  1157,  1158,  1159,  1166,
    1188,  1192,  1202,  1208,  1226,  1232,  1233,  1234,  1235,  1236,
    1237,  1244,  1249,  1260,  1263,  1264,  1265,  1279,  1280,  1285,
    1286,  1287,  1288,  1289,  1290,  1291,  1292,  1293,  1294,  1431,
    1432,  1442,  1523,  1524,  1525,  1526,  1527,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,  1535,  1536,  1555,   708,   536,    47,
     119,   913,  1602,   914,  1215,  1602,    47,   119,   928,  1602,
      47,   119,   933,  1602,   132,   181,   199,   211,   212,   252,
     440,   441,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   460,   461,   462,   463,   709,   764,   883,
     972,  1602,   153,   154,   536,  1602,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    72,    72,    72,    51,
     710,    72,    72,    72,    51,   710,    72,    72,    72,    72,
     710,    51,  1602,   710,    72,    72,    72,    72,    72,    72,
      72,    72,    51,   710,    72,    72,    72,    72,    51,   710,
    1602,    70,  1067,    51,    72,    72,    72,    72,    72,    72,
      72,   710,    51,   708,   710,   710,    70,   775,    72,   710,
      72,    72,    72,    72,    72,    72,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    72,    72,    51,   710,
    1602,  1602,    70,   890,    51,   708,  1602,  1602,    70,   899,
      51,  1602,  1602,    70,   896,    51,   710,    72,    72,   710,
      51,   440,   710,    70,   902,    51,    72,    72,    72,    72,
      72,    51,   710,    51,   710,   710,    70,   778,   709,   710,
      72,    72,    72,    72,    72,    51,   710,    70,  1057,    51,
      72,    72,    72,    72,    72,    72,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    72,   710,    51,    70,
     710,   710,    70,  1091,    51,   709,   710,   710,    72,   789,
     805,   711,   713,   801,   802,   805,   808,    72,    72,    72,
      72,    72,    51,   710,    72,   710,   883,   971,   709,    51,
     710,  1602,    70,   812,   710,    70,  1088,    51,    70,   955,
     709,   708,    51,    70,  1079,   710,    51,    70,   952,   709,
      70,    70,  1602,    51,   764,    72,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    72,    72,    51,   710,
    1602,   393,   752,   752,    51,   750,  1602,    51,   710,   750,
     708,   709,   709,   709,   709,   709,   709,   805,   805,   709,
     709,   709,   709,   709,   709,   709,   709,   709,   709,   709,
     709,   709,   709,   709,   709,   709,   709,   709,   805,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   445,
     978,   715,   806,   319,   320,   321,    72,    51,   710,    72,
      72,    72,    72,    72,    51,   710,    51,   710,    51,   710,
     710,  1602,  1602,    70,   811,    51,   710,    51,   710,  1602,
      70,   816,   710,    72,    72,    72,    72,   710,    51,    72,
      70,  1097,    72,    72,   440,   441,   709,   840,   841,   883,
     884,    51,   710,    72,    72,    72,    72,    72,   710,    51,
     711,  1070,  1071,  1602,    51,   710,    72,    72,    51,   710,
      72,    72,    72,    72,   710,    51,    72,    72,    72,    51,
     710,    51,   710,   436,   437,   438,   439,    70,   983,    72,
      72,    51,   710,    72,    72,    72,    72,    72,    72,    72,
      72,    72,    72,   710,    51,   710,    51,    72,    72,   710,
      51,   710,    51,    72,    72,  1602,   393,   752,   752,  1602,
     393,   752,   752,  1602,   393,   752,   752,    51,   708,  1602,
      51,   708,  1602,  1602,    72,    72,    72,    72,    72,    72,
      72,    51,   710,    72,    72,    72,    72,    72,    72,    72,
      72,    72,   710,    51,  1602,   393,   710,   710,   710,    72,
      72,    51,   710,   268,   283,   459,   581,   738,   739,  1146,
    1147,  1148,  1149,    72,    72,    72,    51,   710,    72,    72,
      72,    72,    72,    72,    72,    72,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    72,    72,    72,   710,
      51,    72,    72,    72,    72,    51,   710,    70,  1101,    51,
    1602,    72,    72,    72,    72,    72,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    51,   710,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    72,    72,    72,    51,
     710,    51,   710,    72,    72,    72,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    72,    72,    72,    51,
     710,    72,    72,    72,    51,   710,    72,    72,    72,    72,
      51,   710,    51,   710,    72,    51,   710,   506,   589,   591,
     592,   819,   820,    72,    72,    72,    72,    72,    72,    51,
     710,   246,   781,   782,    72,    51,   710,    72,    72,    72,
      72,    51,   710,    72,    72,    51,   710,   710,   246,   792,
     793,    72,    72,    72,    72,    72,    72,    72,    72,    72,
      72,   710,    51,   918,   709,   709,   708,   715,    51,   710,
      72,   709,   709,   708,   715,   709,   709,   708,   715,   709,
     709,   709,   709,   764,   764,   709,   709,   709,   709,   709,
     709,   709,   709,   709,   709,   709,   709,   709,   709,   709,
     764,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   445,   708,   765,   709,   916,   715,   883,   884,   883,
     140,   884,   140,   971,   140,   140,   711,  1590,  1592,  1593,
     140,   140,   312,  1602,  1586,  1602,  1015,   140,   140,   883,
     140,  1018,   140,  1593,   140,   883,    68,   304,   305,   306,
     307,   308,   309,   708,   880,  1073,   761,  1602,   140,   140,
     140,   883,   883,   140,   883,   140,   847,   708,   883,   709,
     140,   140,  1063,   708,   708,   708,  1602,   971,   429,   430,
     431,   531,   532,   533,   535,   709,  1213,   906,   906,  1602,
     140,   708,   880,  1053,   708,   880,   708,   880,   708,   764,
     708,   140,   312,   883,  1602,   883,   883,   883,   140,   971,
    1590,  1593,   709,  1213,  1590,  1593,   140,   709,   883,   883,
     140,   140,    59,    93,    94,   341,   883,   883,   883,   883,
     883,   883,   883,   883,   140,   140,   971,   971,   971,   140,
     132,   440,   441,   884,   885,   886,   140,   140,   140,  1602,
     971,   140,  1593,   711,  1596,  1597,  1597,   537,   538,   539,
     971,   140,   227,   228,   535,   883,   231,   232,   233,   235,
     236,   140,  1602,   242,   243,   244,   242,   243,   244,   709,
     140,   140,   883,   709,   132,   883,   140,    93,    94,   883,
     140,    49,    50,    93,   709,   140,   140,   883,   140,   936,
     708,   880,    51,   708,    10,   114,   141,   142,   143,   266,
     399,   549,   764,   767,   892,   904,    51,    51,   708,   764,
      51,    51,   708,   764,   708,   140,   140,   708,  1082,   140,
     708,   708,   764,   312,   312,   312,   312,   312,   786,   708,
    1060,   708,   880,   715,   708,   140,   440,   441,   882,   708,
    1602,   971,   906,   140,   906,   140,   906,   772,   708,   708,
     764,   884,   883,   140,   140,   882,   140,   140,   140,   971,
     140,   140,   140,   883,   883,   883,   140,   140,   883,   708,
     968,   708,   708,   708,   708,  1602,   140,  1587,   708,   708,
     725,    70,   805,   708,   803,   804,  1602,  1602,    70,   802,
     808,    72,   708,   883,   883,   709,   140,   709,   796,   708,
     159,   214,   975,   710,   709,   883,   850,   708,   708,   708,
     708,   708,  1602,   708,   882,  1080,  1602,   708,   708,  1076,
     708,   764,   708,   708,    51,   764,  1602,   708,   883,   140,
     140,   140,   971,   883,   140,   140,   883,   140,   883,   140,
     140,   140,   961,   708,   880,   393,   752,   752,   750,    72,
     710,   750,   805,   805,   805,   805,  1602,  1602,   805,   805,
     805,   805,   805,   805,   805,   805,   805,   805,   805,   805,
     805,   805,   805,   805,   805,   805,   882,   710,   805,   805,
     805,   805,   805,   805,   805,   805,   805,   805,   805,   708,
    1602,   709,   140,   853,   708,   883,   883,   140,   883,   140,
     856,   708,   859,   708,   856,   708,   708,    51,    51,    72,
     708,   708,   662,   708,   282,   708,   708,   708,   708,   355,
     356,   140,  1602,  1602,   708,   880,  1047,  1098,  1602,   708,
    1098,  1602,   883,   883,   764,   708,   712,    51,   709,   884,
     872,   708,   971,   709,   971,   709,   140,   708,  1093,   880,
      70,  1071,    72,   844,   708,   883,  1593,   879,   708,   880,
     140,  1590,  1593,   140,  1593,   708,   880,  1049,   709,   764,
     393,  1001,   708,  1003,   708,   880,   764,   764,   764,   764,
     708,   140,   883,   999,   708,   880,   140,   140,   140,   140,
     140,   140,   140,   140,   140,   140,   708,   986,   708,   880,
     989,   971,  1590,  1593,   708,   992,   708,   880,   995,   729,
     728,   393,   752,   752,   393,   752,   752,   393,   752,   752,
    1602,  1602,   743,  1602,   764,  1602,  1602,   140,  1588,   882,
     742,   708,   971,   429,   430,   431,   140,   140,   709,  1213,
     906,   906,  1602,   140,   708,   880,  1051,   393,   708,   708,
     708,  1602,   711,  1594,  1595,   732,   708,    72,    72,    72,
    1150,    51,   710,  1602,  1595,  1595,   735,   708,   140,   140,
     140,   140,   140,   140,   140,   140,   140,   140,   140,   140,
     140,   883,   140,   711,  1600,  1601,   883,   883,   709,   709,
     709,   140,   140,   709,   883,   140,   883,   883,   883,   883,
     883,   708,  1045,   971,   140,   910,   708,   708,  1602,   708,
    1602,   140,   593,   594,   140,   140,   140,   140,   971,   140,
     709,   140,   246,   591,   592,   140,   140,   140,   140,   140,
     883,   883,   140,   140,   140,   140,   140,   140,   883,   140,
     140,   140,   140,   140,   140,   140,   140,   140,   140,   140,
     140,   140,   140,   140,   140,   140,   140,  1597,  1021,   708,
     722,   140,   971,   140,   971,   971,  1597,   140,   140,  1597,
     884,   140,  1030,   708,   880,  1024,   708,   517,   535,   883,
     883,   883,   140,   883,   140,   140,   883,   883,   140,   140,
     140,   140,   883,   883,  1042,   708,   140,   140,   140,  1039,
     708,   140,   884,   884,   140,  1036,   708,  1033,   708,   140,
    1027,   708,   588,   590,   606,   708,   708,    70,   820,   711,
     711,  1597,  1599,   140,   883,  1601,   140,   140,   831,   708,
     783,    70,   782,  1590,  1593,   834,   708,   312,   972,   973,
     140,   973,   973,   875,   708,   971,   140,   869,   708,   708,
     312,    70,   793,   883,   550,   551,   140,  1595,   883,   140,
     140,  1593,   883,   140,   708,   864,   709,  1602,  1602,  1215,
     708,   906,  1602,  1602,   536,  1602,  1602,  1602,   154,  1602,
     764,   764,   764,   764,   764,   764,   764,   764,   764,   764,
     764,   764,   764,   764,   764,   764,   764,   764,   764,   710,
     764,   764,   764,   764,   764,   764,   764,   764,   764,   764,
     764,   709,   135,   136,   137,   930,   931,  1181,  1182,  1183,
     709,   154,   536,    51,   140,  1590,  1591,    51,   712,  1591,
     714,   708,   708,   708,    51,   708,  1602,   880,   288,   710,
    1213,  1214,   708,   708,   708,   708,   774,  1214,   880,   132,
     132,    51,   884,    51,   712,   884,   312,   937,   939,   940,
     940,   312,   937,   941,   942,   708,  1602,    51,   708,    51,
    1602,   764,    51,  1602,   764,   708,    70,   895,    51,   708,
     153,   154,   536,  1602,   140,   140,   710,   777,    51,   708,
     774,    51,   710,   714,   710,  1090,   805,   708,   708,    51,
     712,    72,    72,   708,   805,   880,   971,   974,   800,   708,
     883,   710,   288,   836,    51,   709,   710,    51,   708,    72,
      70,  1078,   710,  1602,   708,   764,   708,   752,   312,    51,
      51,   710,   710,   710,   710,   710,   710,   710,   710,   710,
     710,   710,   710,   710,   710,   710,   710,    51,   710,   710,
      51,   710,    51,   710,   710,   710,   805,   807,   710,  1602,
    1602,   764,   347,   710,    70,   810,   710,   812,   813,   288,
      70,   815,   708,    51,   708,  1602,   708,   710,   710,   841,
     708,   709,   884,   764,   880,   880,   712,   708,   764,   708,
     708,   880,   708,   708,   708,   708,   708,   708,   708,   708,
     805,   805,   752,   752,   752,   805,   714,  1214,   708,    51,
     312,    51,   312,   712,  1602,  1602,  1602,    72,   739,   708,
     886,   712,   886,   714,   880,   881,   881,   881,   881,   708,
     710,   880,   805,   708,   140,   140,   708,   708,   880,  1597,
    1598,    72,   708,   708,   708,   106,   107,   108,   109,   110,
     111,   112,   113,   318,   925,   926,  1174,  1175,  1176,  1178,
    1179,  1180,  1184,  1185,  1187,  1491,    51,   710,   714,    51,
     710,   715,    51,   710,   715,    51,    51,   710,   710,   710,
     710,   710,   710,   710,   710,   710,   710,   710,   710,   710,
     710,   710,    51,   710,    51,   710,   764,   766,    72,    72,
      72,    51,   710,   107,   109,   923,   924,  1174,  1175,  1176,
    1177,  1179,  1180,  1184,  1185,  1186,  1491,   709,   917,  1591,
     714,   712,  1591,  1602,  1602,   710,   140,   837,   715,    51,
     710,    70,   710,   710,   884,   712,   884,    51,    51,   710,
     710,    51,    51,   710,   764,   767,   904,   767,   893,    51,
      51,   764,    51,   708,   708,    70,   764,   709,   919,   715,
      72,    70,   764,    70,   440,   441,   711,  1085,    51,   140,
      51,    70,   710,   804,   805,   312,   805,   708,   710,    51,
     710,   801,   710,   837,    70,  1085,   441,   882,  1589,    72,
    1602,   884,   708,    70,   708,   764,   708,   805,   805,   312,
     805,   805,   709,    51,   710,   880,    72,    72,   708,   764,
     708,   708,    70,   708,    70,   812,   837,   708,    70,  1602,
     708,   764,   710,   710,   710,    72,   708,   710,   710,   710,
     132,   140,   710,   312,   312,   712,   805,   710,   710,   710,
     710,   708,   710,   710,    51,   708,   712,    51,   712,   764,
     395,   396,   397,   398,   794,   795,    72,    72,    72,    72,
      72,    72,    72,    72,    72,    51,   710,  1602,   715,   906,
    1602,   715,   536,  1602,   715,   154,   764,   764,   764,   764,
      51,   710,  1601,   883,   884,   931,   708,    72,    72,    51,
     710,   930,   709,   140,   714,    51,   140,   708,   153,   154,
     536,  1602,  1213,   708,    90,   312,   394,   884,   887,   939,
     709,  1595,   941,    51,    51,    51,   764,   764,   708,   764,
     708,   708,   930,   709,   154,   536,   764,   708,   708,   708,
     764,   708,  1602,  1602,   708,   726,  1602,    72,   708,   708,
     971,    70,   708,   708,   708,   709,   710,   714,   710,   764,
      72,   708,   708,   710,   710,    51,   710,    51,    51,   805,
     805,   708,   764,   764,   708,   813,   708,   813,   708,   708,
     708,  1096,   710,   764,   744,  1602,   744,  1100,   723,  1602,
     821,   588,   823,  1597,   708,   805,   805,   805,   805,   795,
     884,  1597,   883,  1599,   884,  1597,   519,   525,   526,   527,
     528,   529,   530,   540,   548,   903,  1597,  1597,   926,   708,
     710,   710,   536,  1602,   710,   154,  1602,   710,   710,    51,
      51,   764,   884,   764,   924,   708,   710,   923,   140,   140,
     714,   405,   709,   921,   715,   312,   937,   938,   767,   893,
     767,    51,   708,   708,   710,   923,   709,   920,   708,    51,
      51,    51,    51,   708,  1602,   393,   805,   708,   405,   882,
      51,   882,    51,   708,   884,   140,  1593,   805,   805,   710,
     708,   708,    70,    70,   405,   406,    70,   708,    51,   708,
    1602,   393,   752,   708,    70,    51,   708,  1602,   393,   440,
     441,   603,   764,   825,   826,   827,   140,   588,   708,   708,
     708,   708,   715,   715,   715,   715,   715,   764,   764,   708,
     710,   714,   140,   709,   839,   884,   930,   709,   154,   536,
      51,    51,   710,    51,    51,   764,   708,   710,   930,   709,
     764,  1085,  1085,  1602,   393,   708,   839,   714,  1085,  1085,
     710,   710,   710,   710,   708,   708,   839,   839,   708,  1602,
     393,   752,   752,   708,  1602,   393,   603,   603,   709,   442,
      72,   764,   827,    51,   140,   536,  1602,   536,   154,  1602,
     154,   710,   710,   708,   140,   764,    51,   708,   709,   884,
     710,   923,   709,   922,   937,   904,   767,   708,   708,   710,
     923,   712,   708,   708,   393,   708,   882,   708,   708,   708,
     708,   393,   752,   752,   393,   709,   709,  1602,   603,   822,
     824,  1602,    51,   715,   715,   710,   709,   884,   764,   708,
     710,   930,   709,    51,    51,   708,   710,   710,   752,  1602,
    1602,    51,   709,   825,    51,   708,   824,   536,   154,   764,
     710,   708,   710,   923,   893,   767,   708,    51,    51,   140,
    1602,   708,  1602,   708,   710,   708,   710,    51,   140,   140,
     710,    51,   708,   764,   710,   710,   140,   710
  };

  const short
  parser::yyr1_[] =
  {
       0,   716,   717,   717,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   719,   719,   720,   722,   721,
     723,   723,   723,   723,   723,   723,   725,   724,   726,   726,
     726,   726,   726,   726,   727,   728,   727,   729,   727,   730,
     731,   731,   732,   732,   732,   733,   734,   734,   735,   735,
     735,   737,   736,   738,   738,   739,   739,   739,   739,   740,
     741,   741,   742,   743,   742,   742,   742,   742,   742,   742,
     742,   744,   744,   744,   744,   744,   744,   744,   744,   744,
     744,   744,   744,   745,   746,   747,   748,   749,   750,   751,
     751,   751,   751,   752,   752,   753,   753,   753,   753,   753,
     753,   753,   753,   753,   753,   753,   753,   754,   754,   754,
     754,   754,   754,   754,   754,   754,   754,   754,   754,   755,
     755,   755,   755,   755,   755,   755,   755,   755,   755,   755,
     755,   756,   756,   756,   756,   756,   756,   756,   756,   756,
     756,   756,   756,   757,   757,   757,   758,   758,   758,   758,
     758,   758,   759,   760,   760,   760,   760,   761,   761,   761,
     762,   762,   763,   764,   764,   764,   764,   764,   764,   764,
     764,   764,   764,   764,   764,   764,   764,   764,   764,   764,
     764,   764,   764,   764,   764,   764,   764,   764,   764,   764,
     764,   764,   764,   764,   764,   765,   764,   764,   764,   764,
     764,   764,   764,   764,   766,   766,   767,   767,   768,   768,
     769,   770,   771,   771,   772,   772,   772,   772,   772,   772,
     772,   772,   772,   772,   773,   773,   774,   774,   775,   776,
     776,   777,   777,   778,   780,   779,   781,   781,   783,   782,
     784,   785,   785,   786,   786,   786,   786,   786,   788,   787,
     789,   789,   791,   790,   792,   792,   793,   794,   794,   795,
     795,   795,   795,   796,   796,   796,   796,   796,   796,   796,
     796,   796,   796,   796,   797,   797,   799,   798,   800,   798,
     801,   801,   801,   801,   802,   802,   802,   802,   803,   803,
     804,   804,   805,   805,   805,   805,   805,   805,   805,   805,
     805,   805,   805,   805,   805,   805,   805,   805,   805,   805,
     805,   805,   805,   805,   805,   805,   805,   805,   805,   805,
     805,   805,   805,   805,   805,   805,   805,   805,   805,   805,
     805,   805,   805,   805,   806,   805,   805,   805,   805,   805,
     805,   805,   807,   807,   808,   809,   809,   809,   809,   809,
     809,   810,   810,   811,   811,   811,   811,   811,   812,   813,
     813,   814,   814,   814,   815,   815,   816,   816,   818,   817,
     819,   819,   820,   820,   821,   822,   820,   820,   820,   823,
     823,   824,   824,   825,   825,   826,   826,   827,   827,   827,
     827,   828,   829,   830,   830,   831,   831,   831,   831,   831,
     831,   832,   833,   833,   834,   834,   834,   834,   835,   835,
     836,   836,   837,   837,   837,   837,   837,   837,   838,   839,
     839,   839,   839,   839,   839,   840,   840,   841,   841,   841,
     841,   841,   841,   842,   842,   843,   843,   844,   844,   844,
     844,   844,   844,   844,   844,   845,   845,   846,   846,   847,
     847,   848,   848,   849,   849,   850,   850,   851,   851,   852,
     852,   853,   853,   854,   854,   855,   855,   856,   856,   856,
     856,   856,   856,   856,   856,   856,   856,   856,   856,   856,
     856,   857,   857,   858,   858,   859,   859,   860,   860,   861,
     861,   862,   862,   863,   863,   864,   864,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   866,   867,   868,   868,   869,   869,   870,   870,
     871,   871,   872,   872,   873,   874,   874,   875,   875,   875,
     875,   876,   876,   876,   876,   877,   877,   878,   878,   878,
     878,   878,   878,   878,   878,   878,   878,   878,   878,   878,
     878,   878,   878,   878,   878,   878,   878,   878,   878,   878,
     878,   878,   878,   878,   878,   878,   878,   878,   878,   878,
     878,   878,   878,   878,   878,   878,   878,   878,   878,   878,
     878,   878,   878,   878,   878,   878,   878,   879,   879,   879,
     879,   879,   879,   880,   880,   880,   881,   881,   882,   882,
     882,   883,   883,   884,   884,   884,   885,   885,   885,   886,
     886,   887,   887,   888,   889,   889,   890,   890,   891,   891,
     891,   891,   892,   892,   892,   892,   892,   893,   893,   893,
     893,   894,   894,   894,   895,   895,   896,   896,   896,   897,
     898,   898,   899,   899,   899,   900,   901,   901,   902,   903,
     903,   903,   903,   903,   903,   903,   903,   903,   904,   904,
     904,   904,   904,   904,   904,   904,   905,   906,   906,   907,
     908,   909,   909,   910,   910,   910,   910,   910,   910,   910,
     911,   912,   913,   913,   913,   914,   914,   916,   915,   917,
     915,   918,   915,   919,   915,   920,   915,   921,   915,   922,
     915,   923,   923,   924,   924,   924,   924,   924,   924,   924,
     924,   924,   924,   925,   925,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   927,   928,   928,   928,   928,
     928,   928,   929,   929,   929,   929,   929,   929,   930,   930,
     931,   931,   931,   932,   933,   933,   933,   933,   933,   933,
     934,   934,   934,   934,   935,   935,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   937,   937,   938,   938,   939,
     939,   940,   940,   941,   941,   941,   942,   942,   944,   943,
     945,   945,   945,   947,   946,   948,   948,   948,   949,   950,
     951,   951,   952,   953,   954,   954,   955,   956,   957,   958,
     958,   958,   958,   959,   960,   960,   961,   961,   961,   961,
     961,   961,   961,   962,   962,   962,   962,   963,   963,   964,
     964,   965,   966,   967,   967,   968,   968,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   969,   969,   970,   970,   971,   971,   972,   972,   973,
     973,   974,   974,   975,   975,   975,   975,   975,   975,   977,
     978,   976,   979,   979,   980,   980,   980,   980,   981,   982,
     982,   983,   983,   983,   983,   984,   985,   985,   986,   986,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   988,   988,   988,   989,   989,   990,   990,
     990,   990,   990,   990,   991,   991,   992,   992,   993,   993,
     993,   993,   994,   994,   994,   994,   995,   995,   996,   997,
     997,   997,   997,   998,   998,   999,   999,   999,  1000,  1000,
    1001,  1001,  1001,  1002,  1002,  1003,  1003,  1003,  1004,  1004,
    1005,  1005,  1006,  1006,  1007,  1008,  1008,  1008,  1008,  1009,
    1009,  1009,  1009,  1010,  1010,  1010,  1010,  1011,  1011,  1011,
    1011,  1012,  1012,  1013,  1013,  1013,  1013,  1013,  1013,  1013,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1015,  1015,  1016,  1016,  1017,  1017,  1017,  1017,  1018,  1018,
    1019,  1019,  1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,
    1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,
    1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,
    1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,
    1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,  1020,
    1021,  1021,  1022,  1022,  1023,  1023,  1023,  1023,  1023,  1023,
    1023,  1023,  1023,  1023,  1023,  1023,  1023,  1023,  1024,  1024,
    1025,  1025,  1026,  1026,  1026,  1026,  1026,  1026,  1026,  1026,
    1026,  1026,  1026,  1026,  1026,  1026,  1027,  1027,  1028,  1028,
    1029,  1029,  1029,  1029,  1029,  1029,  1029,  1029,  1029,  1029,
    1029,  1029,  1029,  1029,  1030,  1030,  1031,  1031,  1031,  1031,
    1032,  1032,  1032,  1032,  1033,  1033,  1034,  1034,  1035,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1036,  1036,  1037,  1037,
    1038,  1038,  1038,  1038,  1038,  1038,  1038,  1039,  1039,  1040,
    1040,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1041,  1042,  1042,  1043,  1043,
    1044,  1044,  1045,  1045,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1047,  1047,  1048,  1048,
    1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,
    1048,  1048,  1048,  1048,  1049,  1049,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1051,  1051,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1053,  1053,  1054,  1054,  1054,  1054,  1054,  1054,  1054,  1054,
    1054,  1054,  1054,  1054,  1054,  1054,  1055,  1056,  1056,  1057,
    1057,  1058,  1058,  1058,  1058,  1059,  1059,  1060,  1060,  1060,
    1060,  1060,  1061,  1062,  1062,  1063,  1063,  1063,  1063,  1063,
    1064,  1064,  1065,  1066,  1066,  1067,  1069,  1068,  1070,  1070,
    1071,  1071,  1072,  1072,  1072,  1072,  1073,  1073,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1075,  1075,  1075,  1075,  1076,  1076,
    1077,  1077,  1078,  1078,  1079,  1080,  1080,  1081,  1081,  1082,
    1082,  1083,  1083,  1083,  1083,  1083,  1084,  1085,  1085,  1085,
    1086,  1087,  1087,  1088,  1088,  1088,  1089,  1089,  1090,  1090,
    1091,  1091,  1091,  1092,  1092,  1093,  1093,  1094,  1094,  1094,
    1094,  1094,  1095,  1095,  1096,  1096,  1097,  1097,  1098,  1098,
    1098,  1099,  1099,  1100,  1100,  1101,  1101,  1102,  1103,  1104,
    1105,  1106,  1107,  1108,  1109,  1110,  1111,  1112,  1113,  1114,
    1115,  1116,  1117,  1118,  1119,  1120,  1121,  1122,  1123,  1124,
    1125,  1126,  1127,  1128,  1128,  1129,  1130,  1131,  1132,  1133,
    1134,  1135,  1135,  1136,  1137,  1138,  1139,  1140,  1141,  1142,
    1143,  1144,  1145,  1146,  1147,  1148,  1150,  1149,  1151,  1152,
    1153,  1154,  1155,  1156,  1157,  1158,  1159,  1159,  1160,  1161,
    1162,  1163,  1163,  1164,  1164,  1165,  1166,  1167,  1168,  1169,
    1170,  1171,  1172,  1173,  1174,  1175,  1176,  1177,  1178,  1179,
    1180,  1181,  1182,  1183,  1184,  1185,  1186,  1187,  1188,  1189,
    1190,  1191,  1192,  1192,  1193,  1193,  1194,  1195,  1196,  1197,
    1197,  1198,  1199,  1200,  1201,  1201,  1202,  1203,  1204,  1205,
    1205,  1206,  1207,  1208,  1208,  1209,  1209,  1210,  1210,  1211,
    1212,  1213,  1213,  1213,  1213,  1214,  1214,  1215,  1216,  1217,
    1218,  1219,  1220,  1221,  1222,  1223,  1224,  1224,  1225,  1226,
    1227,  1228,  1229,  1230,  1231,  1232,  1232,  1233,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,  1242,  1243,  1244,  1245,
    1246,  1247,  1247,  1247,  1248,  1249,  1250,  1251,  1252,  1253,
    1254,  1255,  1256,  1257,  1258,  1259,  1260,  1261,  1261,  1262,
    1263,  1264,  1264,  1265,  1266,  1267,  1268,  1269,  1270,  1271,
    1272,  1273,  1274,  1275,  1276,  1277,  1278,  1279,  1280,  1281,
    1282,  1283,  1284,  1285,  1285,  1286,  1287,  1287,  1287,  1287,
    1288,  1289,  1290,  1291,  1291,  1291,  1292,  1293,  1294,  1295,
    1296,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1303,  1303,
    1304,  1304,  1304,  1305,  1306,  1307,  1308,  1309,  1310,  1311,
    1312,  1313,  1314,  1315,  1316,  1317,  1318,  1319,  1320,  1321,
    1322,  1323,  1324,  1325,  1326,  1327,  1328,  1329,  1329,  1329,
    1330,  1331,  1331,  1331,  1332,  1332,  1333,  1334,  1335,  1335,
    1335,  1336,  1336,  1336,  1337,  1338,  1339,  1340,  1341,  1342,
    1343,  1344,  1345,  1346,  1347,  1348,  1349,  1350,  1351,  1352,
    1353,  1354,  1355,  1356,  1357,  1358,  1359,  1360,  1361,  1362,
    1363,  1364,  1365,  1366,  1366,  1367,  1368,  1369,  1370,  1371,
    1372,  1373,  1374,  1375,  1376,  1377,  1378,  1379,  1380,  1380,
    1380,  1380,  1380,  1380,  1380,  1381,  1382,  1383,  1384,  1385,
    1385,  1385,  1386,  1387,  1388,  1389,  1390,  1391,  1392,  1393,
    1394,  1394,  1394,  1395,  1396,  1397,  1398,  1399,  1400,  1401,
    1402,  1403,  1404,  1405,  1406,  1406,  1407,  1408,  1409,  1410,
    1411,  1412,  1413,  1414,  1415,  1416,  1417,  1418,  1419,  1420,
    1421,  1422,  1423,  1424,  1425,  1426,  1427,  1428,  1429,  1430,
    1431,  1432,  1433,  1434,  1435,  1435,  1436,  1437,  1438,  1439,
    1440,  1441,  1441,  1442,  1443,  1444,  1445,  1446,  1446,  1447,
    1447,  1448,  1449,  1450,  1451,  1452,  1453,  1454,  1455,  1456,
    1457,  1458,  1459,  1460,  1461,  1462,  1463,  1464,  1465,  1466,
    1467,  1468,  1469,  1470,  1471,  1472,  1473,  1474,  1475,  1476,
    1477,  1478,  1479,  1480,  1481,  1482,  1483,  1484,  1485,  1486,
    1487,  1488,  1489,  1490,  1491,  1491,  1492,  1493,  1494,  1495,
    1496,  1497,  1498,  1499,  1500,  1500,  1500,  1500,  1501,  1502,
    1503,  1504,  1505,  1506,  1507,  1508,  1509,  1510,  1511,  1512,
    1513,  1514,  1515,  1516,  1517,  1517,  1518,  1519,  1520,  1521,
    1522,  1523,  1524,  1525,  1526,  1527,  1528,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,  1535,  1536,  1537,  1538,  1539,  1540,
    1541,  1542,  1543,  1544,  1545,  1546,  1547,  1548,  1549,  1550,
    1551,  1552,  1553,  1554,  1555,  1556,  1557,  1558,  1559,  1560,
    1561,  1562,  1563,  1564,  1565,  1566,  1567,  1568,  1569,  1570,
    1571,  1572,  1573,  1574,  1575,  1576,  1577,  1578,  1579,  1580,
    1581,  1581,  1582,  1583,  1584,  1585,  1586,  1587,  1588,  1588,
    1589,  1589,  1590,  1591,  1591,  1592,  1592,  1592,  1592,  1593,
    1593,  1594,  1594,  1594,  1594,  1595,  1595,  1596,  1596,  1596,
    1596,  1597,  1597,  1598,  1598,  1599,  1599,  1600,  1600,  1601,
    1602,  1602,  1602,  1602,  1602,  1602,  1602,  1602,  1602,  1602,
    1602,  1602,  1602,  1602,  1602,  1602,  1602,  1602,  1602,  1602,
    1602,  1602,  1602,  1602,  1602,  1602
  };

  const signed char
  parser::yyr2_[] =
  {
       0,     2,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     4,     3,     0,     9,
       2,     3,     1,     3,     4,     2,     0,     9,     2,     3,
       1,     3,     4,     2,     3,     0,     9,     0,     9,     5,
       3,     1,     1,     1,     1,     5,     3,     1,     1,     1,
       1,     0,     6,     3,     1,     1,     1,     1,     1,     5,
       1,     3,     3,     0,     4,     3,     3,     3,     3,     3,
       3,     2,     3,     1,     3,     4,     2,     3,     4,     2,
       4,     5,     3,     3,     3,     3,     3,     3,     3,     2,
       3,     2,     3,     2,     3,     2,     3,     1,     3,     4,
       2,     3,     4,     2,     4,     5,     3,     2,     3,     1,
       3,     4,     2,     3,     4,     2,     4,     5,     3,     2,
       3,     1,     3,     4,     2,     3,     4,     2,     4,     5,
       3,     2,     3,     1,     3,     4,     2,     3,     4,     2,
       4,     5,     3,     2,     3,     1,     2,     3,     1,     3,
       4,     2,     6,     1,     1,     1,     1,     1,     2,     3,
       3,     4,     4,     3,     1,     1,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     6,     6,     0,     5,     8,     4,     8,
       4,     4,     1,     1,     1,     3,     0,     1,     5,     8,
       5,     5,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     5,     8,     2,     1,     4,     5,
       8,     2,     1,     7,     0,     6,     2,     1,     0,     5,
       5,     3,     1,     3,     3,     3,     3,     3,     0,     6,
       2,     3,     0,     6,     1,     2,     4,     1,     2,     3,
       3,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       5,     1,     5,     3,     3,     1,     0,     6,     0,     9,
       2,     2,     1,     1,     4,     2,     7,     5,     3,     1,
       3,     1,     3,     1,     2,     2,     2,     1,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     7,
       4,     4,     2,     2,     4,     4,     6,     8,     8,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     6,     6,     0,     5,     8,     4,     8,     4,
       4,     4,     1,     3,     5,     5,     8,     7,     8,    10,
      10,     2,     1,     1,     6,     5,     7,     7,     9,     2,
       1,     5,     8,     7,     2,     1,     9,     9,     0,     6,
       2,     1,     5,     3,     0,     0,    10,     2,     2,     6,
       5,     3,     1,     1,     1,     1,     2,     6,     7,     7,
       8,     2,     5,     3,     1,     1,     1,     1,     1,     1,
       1,     5,     3,     1,     1,     1,     1,     1,     5,     8,
       2,     1,     3,     2,     5,     4,     3,     1,     6,     5,
       4,     3,     3,     2,     1,     3,     1,     5,     3,     4,
       2,     3,     1,     2,     5,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     5,     3,     1,     1,
       1,     2,     5,     3,     1,     1,     1,     2,     5,     3,
       1,     1,     1,     2,     5,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     5,     3,     1,     1,     1,     2,     5,     3,
       1,     1,     1,     2,     5,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     5,     5,     3,     1,     1,     1,     2,     5,
       3,     1,     1,     1,     5,     3,     1,     1,     1,     1,
       1,     2,     5,     3,     6,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     1,     1,     1,     2,     2,
       1,     1,     1,     2,     2,     1,     2,     2,     1,     1,
       1,     1,     1,     5,     2,     1,     4,     2,     2,     1,
       4,     1,     3,     5,     9,     1,     5,     3,     5,     7,
       9,     5,     7,     8,     2,     1,     5,     7,     4,     5,
       2,     1,     7,     9,     6,     5,     2,     1,     6,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     5,
       5,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       5,     4,     3,     6,     8,     3,     1,     0,     8,     0,
      10,     0,     8,     0,    11,     0,    13,     0,    13,     0,
      15,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     3,     5,     6,     8,
       8,    10,     7,     9,    10,    12,    12,    14,     3,     1,
       1,     1,     1,     4,     3,     5,     6,     8,     8,    10,
       2,     5,     3,     6,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     3,     1,     3,     1,
       3,     1,     3,     1,     3,     5,     1,     3,     0,     4,
       2,     3,     1,     0,     4,     2,     3,     1,     5,     5,
       2,     1,     5,     5,     2,     1,     7,     3,     5,     4,
       6,     3,     5,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     5,     3,     6,     5,     6,     5,
       6,     5,     5,     2,     5,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     6,     1,     1,     1,     3,     1,
       1,     1,     3,     1,     4,     2,     5,     3,     6,     0,
       0,     5,     2,     5,     2,     5,     3,     6,     5,     2,
       1,     4,     4,     4,     4,     2,     2,     5,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     5,     6,     3,     1,     1,     1,
       1,     1,     1,     1,     2,     5,     3,     1,     1,     1,
       1,     1,     2,     5,     3,     6,     3,     1,     1,     2,
       5,     3,     6,     3,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     2,     5,
       2,     5,     2,     5,     2,     2,     5,     3,     6,     2,
       5,     3,     6,     2,     5,     3,     6,     2,     5,     3,
       6,     2,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     6,     1,     1,     1,     1,     3,     1,
       3,     6,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     2,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       2,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     2,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     2,     5,     3,     6,
       1,     1,     1,     1,     3,     1,     2,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     2,     5,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     2,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     2,     5,
       2,     5,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     5,     1,     2,     6,
       4,     2,     5,     3,     6,     1,     3,     1,     1,     1,
       1,     1,     5,     1,     3,     1,     1,     1,     1,     1,
       3,     8,     5,     1,     2,     9,     0,     6,     2,     1,
       4,     6,     2,     5,     3,     6,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     5,     7,     8,     3,     1,
       1,     1,     2,     1,     4,     5,     3,     2,     5,     3,
       1,     1,     1,     1,     1,     1,     2,     5,     1,     1,
       5,     1,     2,     6,     9,     9,     5,     8,     1,     2,
       6,     9,     9,     2,     5,     3,     1,     1,     1,     1,
       1,     1,     5,    10,     2,     1,     4,     4,     3,     2,
       1,     5,    10,     2,     1,     3,     4,     3,     3,     3,
       3,     1,     1,     1,     3,     3,     3,     3,     1,     1,
       1,     3,     5,     3,     3,     3,     3,     3,     3,     3,
       1,     3,     3,     1,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     1,     3,     3,
       3,     3,     3,     3,     3,     3,     0,     4,     3,     3,
       3,     3,     3,     1,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     1,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     3,     3,     3,     3,     1,     1,     1,     1,
       3,     3,     3,     3,     5,     3,     5,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     3,     5,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     1,     3,     5,
       5,     3,     1,     3,     3,     3,     3,     1,     3,     3,
       3,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     3,     3,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     3,     3,     1,
       1,     3,     3,     3,     3,     3,     3,     1,     3,     1,
       1,     1,     1,     3,     3,     3,     1,     3,     1,     1,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     1,     1,     3,
       3,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       1,     3,     3,     1,     1,     3,     5,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     5,     5,     5,     3,     3,     5,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     1,     5,     3,     3,
       3,     3,     3,     3,     3,     1,     1,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     5,     3,
       3,     3,     3,     3,     1,     1,     3,     1,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       1,     1,     3,     3,     3,     3,     3,     3,     5,     1,
       1,     3,     3,     1,     5,     3,     3,     3,     1,     3,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     1,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     1,
       3,     1,     3,     3,     3,     1,     3,     1,     1,     1,
       3,     3,     3,     3,     1,     3,     1,     3,     3,     3,
       1,     3,     1,     3,     3,     3,     3,     3,     1,     1,
       3,     3,     1,     1,     1,     1,     3,     5,     3,     3,
       5,     1,     3,     3,     1,     3,     3,     3,     1,     1,
       1,     3,     3,     3,     1,     1,     3,     3,     1,     1,
       3,     3,     1,     3,     3,     3,     1,     1,     1,     3,
       3,     3,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     3,     3,     3,     1,     1,     3,     3,     1,
       3,     1,     1,     1,     1,     3,     3,     1,     3,     1,
       3,     1,     1,     3,     3,     1,     3,     1,     1,     1,
       3,     3,     3,     1,     1,     1,     3,     3,     3,     3,
       3,     6,     1,     1,     3,     2,     3,     2,     3,     2,
       3,     2,     3,     2,     3,     2,     3,     2,     3,     2,
       3,     2,     3,     3,     1,     3,     1,     2,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1
  };


#if YYDEBUG || 1
  // YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
  // First, the terminals, then, starting at \a YYNTOKENS, nonterminals.
  const char*
  const parser::yytname_[] =
  {
  "\"end of file\"", "error", "\"invalid token\"", "AIM_SOLVER",
  "ANALYTIC_DERIVATION", "ANALYTIC_DERIVATION_MODE", "AR",
  "POSTERIOR_SAMPLING_METHOD", "BALANCED_GROWTH_TEST_TOL", "BAYESIAN_IRF",
  "BETA_PDF", "BLOCK", "USE_CALIBRATION", "SILENT_OPTIMIZER",
  "BVAR_DENSITY", "BVAR_FORECAST", "NODECOMPOSITION", "DR_DISPLAY_TOL",
  "HUGE_NUMBER", "FIG_NAME", "WRITE_XLS", "BVAR_PRIOR_DECAY",
  "BVAR_PRIOR_FLAT", "BVAR_PRIOR_LAMBDA", "INTERACTIVE", "SCREEN_SHOCKS",
  "STEADYSTATE", "BVAR_PRIOR_MU", "BVAR_PRIOR_OMEGA", "BVAR_PRIOR_TAU",
  "BVAR_PRIOR_TRAIN", "DETAIL_PLOT", "TYPE", "BVAR_REPLIC", "BYTECODE",
  "ALL_VALUES_REQUIRED", "PROPOSAL_DISTRIBUTION", "REALTIME", "VINTAGE",
  "CALIB_SMOOTHER", "CHANGE_TYPE", "CHECK", "CONDITIONAL_FORECAST",
  "CONDITIONAL_FORECAST_PATHS", "CONF_SIG", "CONSTANT",
  "CONTROLLED_VAREXO", "CORR", "CUTOFF", "CYCLE_REDUCTION",
  "LOGARITHMIC_REDUCTION", "COMMA", "CONSIDER_ALL_ENDOGENOUS",
  "CONSIDER_ALL_ENDOGENOUS_AND_AUXILIARY", "CONSIDER_ONLY_OBSERVED",
  "INITIAL_CONDITION_DECOMPOSITION", "DATAFILE", "FILE", "SERIES",
  "DOUBLING", "DR_CYCLE_REDUCTION_TOL", "DR_LOGARITHMIC_REDUCTION_TOL",
  "DR_LOGARITHMIC_REDUCTION_MAXITER", "DR_ALGO", "DROP", "DSAMPLE",
  "DYNASAVE", "DYNATYPE", "CALIBRATION", "DIFFERENTIATE_FORWARD_VARS",
  "END", "ENDVAL", "EQUAL", "ESTIMATION", "ESTIMATED_PARAMS",
  "ESTIMATED_PARAMS_BOUNDS", "ESTIMATED_PARAMS_INIT", "EXTENDED_PATH",
  "ENDOGENOUS_PRIOR", "EXPRESSION", "FILENAME", "DIRNAME",
  "FILTER_STEP_AHEAD", "FILTERED_VARS", "FIRST_OBS",
  "FIRST_SIMULATION_PERIOD", "LAST_OBS", "SET_TIME", "OSR_PARAMS_BOUNDS",
  "KEEP_KALMAN_ALGO_IF_SINGULARITY_IS_DETECTED", "FALSE", "FLOAT_NUMBER",
  "DATES", "DEFAULT", "FIXED_POINT", "FLIP", "OPT_ALGO",
  "COMPILATION_SETUP", "COMPILER", "ADD_FLAGS", "SUBSTITUTE_FLAGS",
  "ADD_LIBS", "SUBSTITUTE_LIBS", "FORECAST", "K_ORDER_SOLVER",
  "INSTRUMENTS", "SHIFT", "MEAN", "STDEV", "VARIANCE", "MODE", "INTERVAL",
  "SHAPE", "DOMAINN", "GAMMA_PDF", "GRAPH", "GRAPH_FORMAT",
  "CONDITIONAL_VARIANCE_DECOMPOSITION", "NOCHECK", "STD", "HISTVAL",
  "HISTVAL_FILE", "HOMOTOPY_SETUP", "HOMOTOPY_MODE", "HOMOTOPY_STEPS",
  "HOMOTOPY_FORCE_CONTINUE", "HP_FILTER", "HP_NGRID",
  "FILTERED_THEORETICAL_MOMENTS_GRID", "HYBRID", "ONE_SIDED_HP_FILTER",
  "IDENTIFICATION", "INF_CONSTANT", "INITVAL", "INITVAL_FILE", "BOUNDS",
  "JSCALE", "INIT", "INFILE", "INVARS", "INT_NUMBER", "INV_GAMMA_PDF",
  "INV_GAMMA1_PDF", "INV_GAMMA2_PDF", "IRF", "IRF_SHOCKS",
  "IRF_PLOT_THRESHOLD", "IRF_CALIBRATION", "FAST_KALMAN_FILTER",
  "KALMAN_ALGO", "KALMAN_TOL", "DIFFUSE_KALMAN_TOL", "SCHUR_VEC_TOL",
  "SUBSAMPLES", "OPTIONS", "TOLF", "TOLX", "PLOT_INIT_DATE",
  "PLOT_END_DATE", "LAPLACE", "LIK_ALGO", "LIK_INIT", "LINEAR",
  "LINEAR_DECOMPOSITION", "LOAD_IDENT_FILES", "LOAD_MH_FILE",
  "LOAD_RESULTS_AFTER_LOAD_MH", "LOAD_PARAMS_AND_STEADY_STATE",
  "LOGLINEAR", "LOGDATA", "LYAPUNOV", "LINEAR_APPROXIMATION",
  "LYAPUNOV_COMPLEX_THRESHOLD", "LYAPUNOV_FIXED_POINT_TOL",
  "LYAPUNOV_DOUBLING_TOL", "LOG_DEFLATOR", "LOG_TREND_VAR",
  "LOG_GROWTH_FACTOR", "MATCHED_MOMENTS", "MARKOWITZ", "MARGINAL_DENSITY",
  "MAX", "MAXIT", "MFS", "MH_CONF_SIG", "MH_DROP", "MH_INIT_SCALE",
  "MH_JSCALE", "MH_TUNE_JSCALE", "MH_TUNE_GUESS",
  "MH_POSTERIOR_MODE_ESTIMATION", "MH_NBLOCKS", "MH_REPLIC", "MH_RECOVER",
  "MH_INITIALIZE_FROM_PREVIOUS_MCMC",
  "MH_INITIALIZE_FROM_PREVIOUS_MCMC_DIRECTORY",
  "MH_INITIALIZE_FROM_PREVIOUS_MCMC_RECORD",
  "MH_INITIALIZE_FROM_PREVIOUS_MCMC_PRIOR",
  "POSTERIOR_MAX_SUBSAMPLE_DRAWS", "MIN", "MINIMAL_SOLVING_PERIODS",
  "MODE_CHECK", "MODE_CHECK_NEIGHBOURHOOD_SIZE",
  "MODE_CHECK_SYMMETRIC_PLOTS", "MODE_CHECK_NUMBER_OF_POINTS",
  "MODE_COMPUTE", "MODE_FILE", "MODEL", "MODEL_COMPARISON", "MODEL_INFO",
  "MSHOCKS", "ABS", "SIGN", "MODEL_DIAGNOSTICS", "MODIFIEDHARMONICMEAN",
  "MOMENTS_VARENDO", "CONTEMPORANEOUS_CORRELATION", "DIFFUSE_FILTER",
  "SUB_DRAWS", "TAPER_STEPS", "GEWEKE_INTERVAL", "RAFTERY_LEWIS_QRS",
  "RAFTERY_LEWIS_DIAGNOSTICS", "MCMC_JUMPING_COVARIANCE",
  "MOMENT_CALIBRATION", "NUMBER_OF_PARTICLES", "RESAMPLING", "SYSTEMATIC",
  "GENERIC", "RESAMPLING_THRESHOLD", "RESAMPLING_METHOD", "KITAGAWA",
  "STRATIFIED", "SMOOTH", "CPF_WEIGHTS", "AMISANOTRISTANI",
  "MURRAYJONESPARSLOW", "WRITE_EQUATION_TAGS", "FILTER_INITIAL_STATE",
  "NONLINEAR_FILTER_INITIALIZATION", "FILTER_ALGORITHM",
  "PROPOSAL_APPROXIMATION", "CUBATURE", "UNSCENTED", "MONTECARLO",
  "DISTRIBUTION_APPROXIMATION", "NAME",
  "USE_PENALIZED_OBJECTIVE_FOR_HESSIAN", "INIT_STATE", "FAST_REALTIME",
  "RESCALE_PREDICTION_ERROR_COVARIANCE", "GENERATE_IRFS", "NAN_CONSTANT",
  "NO_STATIC", "NOBS", "NOCONSTANT", "NODISPLAY", "NOCORR", "NODIAGNOSTIC",
  "NOFUNCTIONS", "NO_HOMOTOPY", "NOGRAPH", "POSTERIOR_NOGRAPH",
  "POSTERIOR_GRAPH", "NOMOMENTS", "NOPRINT", "NORMAL_PDF", "SAVE_DRAWS",
  "MODEL_NAME", "STDERR_MULTIPLES", "DIAGONAL_ONLY",
  "DETERMINISTIC_TRENDS", "OBSERVATION_TRENDS", "OPTIM", "OPTIM_WEIGHTS",
  "ORDER", "OSR", "OSR_PARAMS", "MAX_DIM_COVA_GROUP", "ADVANCED",
  "OUTFILE", "OUTVARS", "OVERWRITE", "DISCOUNT", "PARALLEL_LOCAL_FILES",
  "PARAMETERS", "PARAMETER_SET", "PARTIAL_INFORMATION", "PERIODS",
  "PERIOD", "PLANNER_OBJECTIVE", "PLOT_CONDITIONAL_FORECAST",
  "PLOT_PRIORS", "PREFILTER", "PRESAMPLE", "PERFECT_FORESIGHT_SETUP",
  "PERFECT_FORESIGHT_SOLVER", "NO_POSTERIOR_KERNEL_DENSITY", "FUNCTION",
  "PERFECT_FORESIGHT_WITH_EXPECTATION_ERRORS_SETUP",
  "PERFECT_FORESIGHT_WITH_EXPECTATION_ERRORS_SOLVER", "PRINT", "PRIOR_MC",
  "PRIOR_TRUNC", "PRIOR_MODE", "PRIOR_MEAN", "POSTERIOR_MODE",
  "POSTERIOR_MEAN", "POSTERIOR_MEDIAN", "MLE_MODE", "PRUNING",
  "PARTICLE_FILTER_OPTIONS", "QUOTED_STRING", "QZ_CRITERIUM",
  "QZ_ZERO_THRESHOLD", "DSGE_VAR", "DSGE_VARLAG", "DSGE_PRIOR_WEIGHT",
  "TRUNCATE", "PIPE_E", "PIPE_X", "PIPE_P", "RELATIVE_IRF", "REPLIC",
  "SIMUL_REPLIC", "RPLOT", "SAVE_PARAMS_AND_STEADY_STATE",
  "PARAMETER_UNCERTAINTY", "TARGETS", "SHOCKS", "HETEROSKEDASTIC_SHOCKS",
  "SHOCK_DECOMPOSITION", "SHOCK_GROUPS", "USE_SHOCK_GROUPS", "SIGMA_E",
  "SIMUL", "SIMUL_ALGO", "SIMUL_SEED", "ENDOGENOUS_TERMINAL_PERIOD",
  "SMOOTHER", "SMOOTHER2HISTVAL", "SQUARE_ROOT_SOLVER", "STACK_SOLVE_ALGO",
  "STEADY_STATE_MODEL", "SOLVE_ALGO", "SOLVER_PERIODS", "ROBUST_LIN_SOLVE",
  "STDERR", "STEADY", "STOCH_SIMUL", "SYLVESTER",
  "SYLVESTER_FIXED_POINT_TOL", "REGIMES", "REGIME",
  "REALTIME_SHOCK_DECOMPOSITION", "CONDITIONAL", "UNCONDITIONAL", "TEX",
  "RAMSEY_MODEL", "RAMSEY_POLICY", "RAMSEY_CONSTRAINTS",
  "PLANNER_DISCOUNT", "PLANNER_DISCOUNT_LATEX_NAME",
  "DISCRETIONARY_POLICY", "DISCRETIONARY_TOL",
  "EVALUATE_PLANNER_OBJECTIVE", "OCCBIN_SETUP", "OCCBIN_SOLVER",
  "OCCBIN_WRITE_REGIMES", "OCCBIN_GRAPH", "SIMUL_MAXIT",
  "LIKELIHOOD_MAXIT", "SMOOTHER_MAXIT", "SIMUL_PERIODS",
  "LIKELIHOOD_PERIODS", "SMOOTHER_PERIODS", "SIMUL_CURB_RETRENCH",
  "LIKELIHOOD_CURB_RETRENCH", "SMOOTHER_CURB_RETRENCH",
  "SIMUL_CHECK_AHEAD_PERIODS", "LIKELIHOOD_CHECK_AHEAD_PERIODS",
  "SMOOTHER_CHECK_AHEAD_PERIODS", "SIMUL_DEBUG", "SMOOTHER_DEBUG",
  "SIMUL_PERIODIC_SOLUTION", "LIKELIHOOD_PERIODIC_SOLUTION",
  "SMOOTHER_PERIODIC_SOLUTION", "LIKELIHOOD_INVERSION_FILTER",
  "SMOOTHER_INVERSION_FILTER", "FILTER_USE_RELEXATION",
  "LIKELIHOOD_PIECEWISE_KALMAN_FILTER", "SMOOTHER_PIECEWISE_KALMAN_FILTER",
  "LIKELIHOOD_MAX_KALMAN_ITERATIONS", "TEX_NAME", "TRUE", "BIND", "RELAX",
  "ERROR_BIND", "ERROR_RELAX", "UNIFORM_PDF", "UNIT_ROOT_VARS", "USE_DLL",
  "USEAUTOCORR", "GSA_SAMPLE_FILE",
  "USE_UNIVARIATE_FILTERS_IF_SINGULARITY_IS_DETECTED", "VALUES", "SCALES",
  "VAR", "VAREXO", "VAREXO_DET", "VARIABLE", "VAROBS", "VAREXOBS",
  "PREDETERMINED_VARIABLES", "VAR_EXPECTATION", "VAR_EXPECTATION_MODEL",
  "PLOT_SHOCK_DECOMPOSITION", "MODEL_LOCAL_VARIABLE",
  "WRITE_LATEX_DYNAMIC_MODEL", "WRITE_LATEX_STATIC_MODEL",
  "WRITE_LATEX_ORIGINAL_MODEL", "WRITE_LATEX_STEADY_STATE_MODEL",
  "XLS_SHEET", "XLS_RANGE", "LMMCP", "BANDPASS_FILTER", "COLORMAP",
  "VAR_MODEL", "PAC_MODEL", "QOQ", "YOY", "AOA", "PAC_EXPECTATION",
  "TREND_COMPONENT_MODEL", "EQUAL_EQUAL", "EXCLAMATION_EQUAL", "LESS",
  "GREATER", "LESS_EQUAL", "GREATER_EQUAL", "PLUS", "MINUS", "TIMES",
  "DIVIDE", "UNARY", "POWER", "EXP", "LOG", "LN", "LOG10", "SIN", "COS",
  "TAN", "ASIN", "ACOS", "ATAN", "ERF", "DIFF", "ADL",
  "AUXILIARY_MODEL_NAME", "SQRT", "CBRT", "NORMCDF", "NORMPDF",
  "STEADY_STATE", "EXPECTATION", "DYNARE_SENSITIVITY", "MORRIS", "STAB",
  "REDFORM", "PPRIOR", "PRIOR_RANGE", "PPOST", "ILPTAU", "MORRIS_NLIV",
  "MORRIS_NTRA", "NSAM", "LOAD_REDFORM", "LOAD_RMSE", "LOAD_STAB",
  "ALPHA2_STAB", "LOGTRANS_REDFORM", "THRESHOLD_REDFORM", "KSSTAT_REDFORM",
  "ALPHA2_REDFORM", "NAMENDO", "NAMLAGENDO", "NAMEXO", "RMSE", "LIK_ONLY",
  "VAR_RMSE", "PFILT_RMSE", "ISTART_RMSE", "ALPHA_RMSE", "ALPHA2_RMSE",
  "FREQ", "INITIAL_YEAR", "INITIAL_SUBPERIOD", "FINAL_YEAR",
  "FINAL_SUBPERIOD", "DATA", "VLIST", "VLISTLOG", "VLISTPER",
  "SPECTRAL_DENSITY", "INIT2SHOCKS", "RESTRICTION", "RESTRICTION_FNAME",
  "CROSS_RESTRICTIONS", "NLAGS", "CONTEMP_REDUCED_FORM",
  "REAL_PSEUDO_FORECAST", "DUMMY_OBS", "NSTATES", "INDXSCALESSTATES",
  "NO_BAYESIAN_PRIOR", "SPECIFICATION", "SIMS_ZHA", "ALPHA", "BETA",
  "ABAND", "NINV", "CMS", "NCMS", "CNUM", "GAMMA", "INV_GAMMA",
  "INV_GAMMA1", "INV_GAMMA2", "NORMAL", "UNIFORM", "EPS", "PDF", "FIG",
  "DR", "NONE", "PRIOR", "PRIOR_VARIANCE", "HESSIAN", "IDENTITY_MATRIX",
  "DIRICHLET", "DIAGONAL", "OPTIMAL", "GSIG2_LMDM", "Q_DIAG", "FLAT_PRIOR",
  "NCSK", "NSTD", "WEIBULL", "WEIBULL_PDF", "GMM", "SMM", "INDXPARR",
  "INDXOVR", "INDXAP", "APBAND", "INDXIMF", "INDXFORE", "FOREBAND",
  "INDXGFOREHAT", "INDXGIMFHAT", "INDXESTIMA", "INDXGDLS", "EQ_MS",
  "FILTER_COVARIANCE", "FILTER_DECOMPOSITION",
  "SMOOTHED_STATE_UNCERTAINTY", "SMOOTHER_REDUX", "EQ_CMS", "TLINDX",
  "TLNUMBER", "RESTRICTIONS", "POSTERIOR_SAMPLER_OPTIONS",
  "OUTPUT_FILE_TAG", "HORIZON", "SBVAR", "TREND_VAR", "DEFLATOR",
  "GROWTH_FACTOR", "MS_IRF", "MS_VARIANCE_DECOMPOSITION", "GROWTH",
  "MS_ESTIMATION", "MS_SIMULATION", "MS_COMPUTE_MDD",
  "MS_COMPUTE_PROBABILITIES", "MS_FORECAST", "SVAR_IDENTIFICATION",
  "EQUATION", "EXCLUSION", "LAG", "UPPER_CHOLESKY", "LOWER_CHOLESKY",
  "MONTHLY", "QUARTERLY", "MARKOV_SWITCHING", "CHAIN", "DURATION",
  "NUMBER_OF_REGIMES", "NUMBER_OF_LAGS", "EPILOGUE", "SVAR",
  "SVAR_GLOBAL_IDENTIFICATION_CHECK", "COEFF", "COEFFICIENTS", "VARIANCES",
  "CONSTANTS", "EQUATIONS", "EXTERNAL_FUNCTION", "EXT_FUNC_NAME",
  "EXT_FUNC_NARGS", "FIRST_DERIV_PROVIDED", "SECOND_DERIV_PROVIDED",
  "SELECTED_VARIABLES_ONLY", "COVA_COMPUTE", "SIMULATION_FILE_TAG",
  "FILE_TAG", "NO_ERROR_BANDS", "ERROR_BAND_PERCENTILES",
  "SHOCKS_PER_PARAMETER", "NO_CREATE_INIT", "SHOCK_DRAWS",
  "FREE_PARAMETERS", "MEDIAN", "DATA_OBS_NBR", "NEIGHBORHOOD_WIDTH",
  "PVALUE_KS", "PVALUE_CORR", "FILTERED_PROBABILITIES",
  "REAL_TIME_SMOOTHED", "PRIOR_FUNCTION", "POSTERIOR_FUNCTION",
  "SAMPLING_DRAWS", "PROPOSAL_TYPE", "PROPOSAL_UPPER_BOUND",
  "PROPOSAL_LOWER_BOUND", "PROPOSAL_DRAWS", "USE_MEAN_CENTER",
  "ADAPTIVE_MH_DRAWS", "THINNING_FACTOR",
  "COEFFICIENTS_PRIOR_HYPERPARAMETERS", "CONVERGENCE_STARTING_VALUE",
  "CONVERGENCE_ENDING_VALUE", "CONVERGENCE_INCREMENT_VALUE",
  "MAX_ITERATIONS_STARTING_VALUE", "MAX_ITERATIONS_INCREMENT_VALUE",
  "MAX_BLOCK_ITERATIONS", "MAX_REPEATED_OPTIMIZATION_RUNS",
  "FUNCTION_CONVERGENCE_CRITERION", "SAVE_REALTIME",
  "PARAMETER_CONVERGENCE_CRITERION", "NUMBER_OF_LARGE_PERTURBATIONS",
  "NUMBER_OF_SMALL_PERTURBATIONS",
  "NUMBER_OF_POSTERIOR_DRAWS_AFTER_PERTURBATION", "MAX_NUMBER_OF_STAGES",
  "RANDOM_FUNCTION_CONVERGENCE_CRITERION",
  "RANDOM_PARAMETER_CONVERGENCE_CRITERION",
  "NO_INIT_ESTIMATION_CHECK_FIRST_OBS", "HETEROSKEDASTIC_FILTER",
  "TIME_SHIFT", "STRUCTURAL", "TERMINAL_STEADY_STATE_AS_GUESS_VALUE",
  "SURPRISE", "OCCBIN_CONSTRAINTS", "METHOD_OF_MOMENTS", "MOM_METHOD",
  "BARTLETT_KERNEL_LAG", "WEIGHTING_MATRIX",
  "WEIGHTING_MATRIX_SCALING_FACTOR", "ANALYTIC_STANDARD_ERRORS",
  "ANALYTIC_JACOBIAN", "PENALIZED_ESTIMATOR", "VERBOSE",
  "SIMULATION_MULTIPLE", "MOM_SEED", "SEED", "BOUNDED_SHOCK_SUPPORT",
  "ADDITIONAL_OPTIMIZER_STEPS", "MOM_SE_TOLX", "SE_TOLX", "MOM_BURNIN",
  "BURNIN", "EQTAGS", "ANALYTICAL_GIRF", "IRF_IN_PERCENT", "EMAS_GIRF",
  "EMAS_DROP", "EMAS_TOLF", "EMAS_MAX_ITER", "NO_IDENTIFICATION_STRENGTH",
  "NO_IDENTIFICATION_REDUCEDFORM", "NO_IDENTIFICATION_MOMENTS",
  "NO_IDENTIFICATION_MINIMAL", "NO_IDENTIFICATION_SPECTRUM",
  "NORMALIZE_JACOBIANS", "GRID_NBR", "TOL_RANK", "TOL_DERIV", "TOL_SV",
  "CHECKS_VIA_SUBSETS", "MAX_DIM_SUBSETS_GROUPS", "ZERO_MOMENTS_TOLERANCE",
  "MAX_NROWS", "SQUEEZE_SHOCK_DECOMPOSITION", "WITH_EPILOGUE", "STATIC",
  "INCIDENCE", "SYMBOL_VEC", "';'", "'('", "')'", "'['", "']'", "'#'",
  "':'", "'.'", "$accept", "statement_list", "statement", "dsample",
  "rplot", "trend_var", "$@1", "trend_var_list", "log_trend_var", "$@2",
  "log_trend_var_list", "var", "$@3", "$@4", "var_model",
  "var_model_options_list", "var_model_options", "trend_component_model",
  "trend_component_model_options_list", "trend_component_model_options",
  "pac_model", "$@5", "pac_model_options_list", "pac_model_options",
  "var_expectation_model", "var_expectation_model_options_list",
  "var_expectation_model_option", "$@6", "nonstationary_var_list",
  "varexo", "varexo_det", "predetermined_variables", "parameters",
  "model_local_variable", "named_var_elem", "named_var_1", "named_var",
  "var_list", "varexo_list", "varexo_det_list", "parameter_list",
  "predetermined_variables_list", "model_local_variable_list",
  "change_type", "change_type_arg", "change_type_var_list", "periods",
  "init_param", "expression", "$@7", "comma_expression",
  "expression_or_empty", "initval", "histval_file", "initval_file",
  "h_options_list", "h_options", "endval", "initval_list", "initval_elem",
  "histval", "histval_list", "histval_elem", "epilogue", "$@8",
  "epilogue_equation_list", "epilogue_equation", "$@9",
  "compilation_setup", "compilation_setup_options_list",
  "compilation_setup_option", "matched_moments", "$@10",
  "matched_moments_list", "occbin_constraints", "$@11",
  "occbin_constraints_regimes_list", "occbin_constraints_regime",
  "occbin_constraints_regime_options_list",
  "occbin_constraints_regime_option", "model_options",
  "model_options_list", "model", "$@12", "$@13", "equation_list",
  "equation", "tags_list", "tag_pair", "hand_side", "$@14",
  "comma_hand_side", "pound_expression", "shocks", "shock_list",
  "shock_elem", "det_shock_elem", "surprise_shock_list",
  "heteroskedastic_shocks", "heteroskedastic_shock_list",
  "heteroskedastic_shock_elem", "svar_identification", "$@15",
  "svar_identification_list", "svar_identification_elem", "$@16", "$@17",
  "svar_equation_list", "svar_var_list", "restriction_expression",
  "restriction_expression_1", "restriction_elem_expression",
  "svar_global_identification_check", "markov_switching",
  "ms_options_list", "ms_options", "svar", "svar_options_list",
  "svar_options", "mshocks", "mshock_list", "period_list", "sigma_e",
  "value_list", "triangular_matrix", "triangular_row", "steady",
  "steady_options_list", "steady_options", "check", "check_options_list",
  "check_options", "model_info", "model_info_options_list",
  "model_info_options", "perfect_foresight_setup",
  "perfect_foresight_setup_options_list",
  "perfect_foresight_setup_options", "perfect_foresight_solver",
  "perfect_foresight_solver_options_list",
  "perfect_foresight_solver_options",
  "perfect_foresight_with_expectation_errors_setup",
  "perfect_foresight_with_expectation_errors_setup_options_list",
  "perfect_foresight_with_expectation_errors_setup_options",
  "perfect_foresight_with_expectation_errors_solver",
  "perfect_foresight_with_expectation_errors_solver_options_list",
  "perfect_foresight_with_expectation_errors_solver_options",
  "method_of_moments", "method_of_moments_options_list",
  "method_of_moments_option", "prior_function", "posterior_function",
  "prior_posterior_function_options_list",
  "prior_posterior_function_options", "simul", "simul_options_list",
  "simul_options", "external_function", "external_function_options_list",
  "external_function_options", "stoch_simul", "stoch_simul_options_list",
  "stoch_simul_primary_options", "stoch_simul_options", "symbol_list",
  "symbol_list_ext", "signed_integer", "non_negative_number",
  "signed_number", "signed_inf", "signed_number_w_inf", "boolean",
  "estimated_params", "estimated_list", "estimated_elem",
  "estimated_elem1", "estimated_elem2", "estimated_elem3",
  "estimated_params_init", "estimated_init_list", "estimated_init_elem",
  "estimated_params_bounds", "estimated_bounds_list",
  "estimated_bounds_elem", "osr_params_bounds", "osr_bounds_list",
  "osr_bounds_elem", "prior_distribution", "prior_pdf", "date_str",
  "date_expr", "set_time", "data", "data_options_list", "data_options",
  "subsamples", "subsamples_eq", "subsamples_eq_opt",
  "subsamples_name_list", "prior", "$@18", "$@19", "$@20", "$@21", "$@22",
  "$@23", "$@24", "prior_options_list", "prior_options",
  "joint_prior_options_list", "joint_prior_options", "prior_eq",
  "prior_eq_opt", "options", "options_options_list", "options_options",
  "options_eq", "options_eq_opt", "estimation", "estimation_options_list",
  "estimation_options", "name_value_pair", "name_value_pair_list",
  "name_value_pair_with_boolean", "name_value_pair_with_boolean_list",
  "name_value_pair_with_suboptions",
  "name_value_pair_with_suboptions_list", "varobs", "$@25", "varobs_list",
  "varexobs", "$@26", "varexobs_list", "deterministic_trends",
  "observation_trends", "trend_list", "trend_element",
  "filter_initial_state", "filter_initial_state_list",
  "filter_initial_state_element", "unit_root_vars", "optim_weights",
  "optim_weights_list", "osr_params", "osr_options_list", "osr_options",
  "osr", "dynatype", "dynasave", "load_params_and_steady_state",
  "save_params_and_steady_state", "identification",
  "identification_options_list", "identification_option",
  "model_comparison", "filename", "namespace_qualified_symbol",
  "namespace_qualified_filename", "parallel_local_filename_list",
  "mc_filename_list", "planner_objective", "$@27", "$@28", "ramsey_model",
  "ramsey_policy", "ramsey_constraints", "ramsey_constraints_list",
  "ramsey_constraint", "evaluate_planner_objective", "occbin_setup",
  "occbin_setup_options_list", "occbin_setup_option", "occbin_solver",
  "occbin_solver_options_list", "occbin_solver_option",
  "occbin_write_regimes", "occbin_write_regimes_options_list",
  "occbin_write_regimes_option", "occbin_graph",
  "occbin_graph_options_list", "occbin_graph_option",
  "discretionary_policy", "discretionary_policy_options_list",
  "discretionary_policy_options", "ramsey_model_options_list",
  "ramsey_model_options", "ramsey_policy_options_list",
  "ramsey_policy_options", "write_latex_dynamic_model",
  "write_latex_static_model", "write_latex_original_model",
  "write_latex_steady_state_model", "shock_decomposition",
  "realtime_shock_decomposition", "plot_shock_decomposition",
  "initial_condition_decomposition", "squeeze_shock_decomposition",
  "bvar_prior_option", "bvar_common_option", "bvar_density_options_list",
  "bvar_density", "bvar_forecast_option", "bvar_forecast_options_list",
  "bvar_forecast", "sbvar_option", "sbvar_options_list", "sbvar",
  "ms_variance_decomposition_option",
  "ms_variance_decomposition_options_list", "ms_variance_decomposition",
  "ms_forecast_option", "ms_forecast_options_list", "ms_forecast",
  "ms_irf_option", "ms_irf_options_list", "ms_irf",
  "ms_compute_probabilities_option",
  "ms_compute_probabilities_options_list", "ms_compute_probabilities",
  "ms_compute_mdd_option", "ms_compute_mdd_options_list", "ms_compute_mdd",
  "ms_simulation_option", "ms_simulation_options_list", "ms_simulation",
  "ms_estimation_option", "ms_estimation_options_list", "ms_estimation",
  "dynare_sensitivity", "dynare_sensitivity_options_list",
  "dynare_sensitivity_option", "shock_decomposition_options_list",
  "shock_decomposition_option",
  "realtime_shock_decomposition_options_list",
  "realtime_shock_decomposition_option",
  "plot_shock_decomposition_options_list",
  "plot_shock_decomposition_option",
  "initial_condition_decomposition_options_list",
  "initial_condition_decomposition_option", "homotopy_setup",
  "homotopy_list", "homotopy_item", "forecast", "forecast_options",
  "forecast_option", "conditional_forecast",
  "conditional_forecast_options", "conditional_forecast_option",
  "plot_conditional_forecast", "conditional_forecast_paths",
  "conditional_forecast_paths_shock_list",
  "conditional_forecast_paths_shock_elem", "steady_state_model", "$@29",
  "steady_state_equation_list", "steady_state_equation", "calib_smoother",
  "calib_smoother_options_list", "calib_smoother_option", "generate_irfs",
  "generate_irfs_options_list", "generate_irfs_option",
  "generate_irfs_element_list", "generate_irfs_element",
  "generate_irfs_exog_element_list", "extended_path",
  "extended_path_options_list", "extended_path_option",
  "model_diagnostics", "calibration_range", "moment_calibration",
  "moment_calibration_list", "moment_calibration_item", "irf_calibration",
  "irf_calibration_list", "irf_calibration_item", "smoother2histval",
  "smoother2histval_options_list", "smoother2histval_option",
  "shock_groups", "shock_group_list", "shock_group_element",
  "shock_name_list", "init2shocks", "init2shocks_list",
  "init2shocks_element", "o_dr_algo", "o_solve_algo", "o_simul_algo",
  "o_stack_solve_algo", "o_robust_lin_solve",
  "o_endogenous_terminal_period", "o_linear", "o_order", "o_replic",
  "o_drop", "o_ar", "o_nocorr", "o_nofunctions", "o_nomoments", "o_irf",
  "o_irf_shocks", "o_hp_filter", "o_hp_ngrid",
  "o_filtered_theoretical_moments_grid", "o_one_sided_hp_filter",
  "o_periods", "o_solver_periods", "o_extended_path_order", "o_hybrid",
  "o_steady_maxit", "o_simul_maxit", "o_bandpass_filter", "o_dp_maxit",
  "o_osr_maxit", "o_osr_tolf", "o_pf_tolf", "o_pf_tolx", "o_steady_tolf",
  "o_opt_algo", "o_cutoff", "o_markowitz", "o_minimal_solving_periods",
  "o_mfs", "o_simul", "o_simul_replic", "o_simul_seed", "o_qz_criterium",
  "o_qz_zero_threshold", "o_file", "o_pac_name", "o_pac_aux_model_name",
  "o_pac_discount", "o_pac_growth", "$@30", "o_var_name", "o_series",
  "o_datafile", "o_filename", "o_var_eq_tags", "o_var_structural",
  "o_dirname", "o_huge_number", "o_nobs", "o_trend_component_model_name",
  "o_trend_component_model_targets", "o_trend_component_model_eq_tags",
  "o_conditional_variance_decomposition", "o_est_first_obs",
  "o_posterior_sampling_method", "o_first_obs", "o_data_first_obs",
  "o_first_simulation_period", "o_date_first_simulation_period",
  "o_last_obs", "o_data_last_obs",
  "o_keep_kalman_algo_if_singularity_is_detected", "o_data_nobs",
  "o_shift", "o_shape", "o_mode", "o_mean", "o_mean_vec", "o_truncate",
  "o_stdev", "o_jscale", "o_init", "o_bounds", "o_domain", "o_interval",
  "o_variance", "o_variance_mat", "o_prefilter", "o_presample",
  "o_lik_algo", "o_lik_init", "o_nograph", "o_posterior_nograph",
  "o_psd_nograph", "o_shock_decomposition_nograph", "o_init_state",
  "o_forecast_type", "o_shock_decomposition_presample",
  "o_shock_decomposition_forecast", "o_save_realtime", "o_fast_realtime",
  "o_nodisplay", "o_icd_nodisplay", "o_psd_nodisplay", "o_psd_init2shocks",
  "o_icd_max_nrows", "o_psd_max_nrows", "o_graph_format",
  "o_icd_graph_format", "o_psd_graph_format",
  "o_shock_decomposition_with_epilogue", "o_icd_with_epilogue",
  "allowed_graph_formats", "list_allowed_graph_formats",
  "o_subsample_name", "o_bvar_conf_sig", "o_forecasts_conf_sig",
  "o_conditional_forecast_conf_sig", "o_mh_conf_sig", "o_mh_replic",
  "o_posterior_max_subsample_draws", "o_mh_drop", "o_mh_jscale",
  "o_mh_tune_jscale", "o_mh_tune_guess", "o_optim",
  "o_posterior_sampler_options", "o_proposal_distribution",
  "o_no_posterior_kernel_density", "o_mh_init_scale", "o_mode_file",
  "o_mode_compute", "o_mode_check", "o_mode_check_neighbourhood_size",
  "o_mode_check_number_of_points", "o_mode_check_symmetric_plots",
  "o_prior_trunc", "o_mh_posterior_mode_estimation", "o_mh_nblocks",
  "o_load_mh_file", "o_load_results_after_load_mh", "o_loglinear",
  "o_linear_approximation", "o_logdata", "o_nodiagnostic",
  "o_bayesian_irf", "o_dsge_var", "o_dsge_varlag", "o_tex", "o_forecast",
  "o_smoother", "o_moments_varendo", "o_contemporaneous_correlation",
  "o_filtered_vars", "o_relative_irf", "o_fast_kalman_filter",
  "o_kalman_algo", "o_kalman_tol", "o_diffuse_kalman_tol",
  "o_schur_vec_tol", "o_marginal_density", "o_print", "o_noprint",
  "o_xls_sheet", "o_xls_range", "o_filter_step_ahead", "o_taper_steps",
  "o_geweke_interval", "o_raftery_lewis_diagnostics",
  "o_raftery_lewis_qrs", "o_constant", "o_noconstant", "o_mh_recover",
  "o_mh_initialize_from_previous_mcmc",
  "o_mh_initialize_from_previous_mcmc_directory",
  "o_mh_initialize_from_previous_mcmc_record",
  "o_mh_initialize_from_previous_mcmc_prior", "o_diffuse_filter",
  "o_plot_priors", "o_aim_solver", "o_partial_information", "o_sub_draws",
  "o_planner_discount", "o_planner_discount_latex_name", "o_sylvester",
  "o_sylvester_fixed_point_tol", "o_lyapunov",
  "o_lyapunov_complex_threshold", "o_lyapunov_fixed_point_tol",
  "o_lyapunov_doubling_tol", "o_dr", "o_dr_cycle_reduction_tol",
  "o_dr_logarithmic_reduction_tol", "o_dr_logarithmic_reduction_maxiter",
  "o_psd_detail_plot", "o_icd_detail_plot", "o_psd_interactive",
  "o_psd_screen_shocks", "o_psd_steadystate", "o_icd_steadystate",
  "o_icd_fig_name", "o_psd_fig_name", "o_psd_type", "o_icd_type",
  "o_icd_plot_init_date", "o_icd_plot_end_date", "o_psd_plot_init_date",
  "o_psd_plot_end_date", "o_icd_write_xls", "o_psd_write_xls",
  "o_psd_realtime", "o_psd_vintage", "o_psd_diff", "o_icd_diff",
  "o_psd_flip", "o_icd_flip", "o_bvar_prior_tau", "o_bvar_prior_decay",
  "o_bvar_prior_lambda", "o_bvar_prior_mu", "o_bvar_prior_omega",
  "o_bvar_prior_flat", "o_bvar_prior_train", "o_bvar_replic",
  "o_stderr_multiples", "o_diagonal_only", "o_number_of_particles",
  "o_particle_filter_options", "o_resampling", "o_resampling_threshold",
  "o_resampling_method", "o_cpf_weights", "o_filter_algorithm",
  "o_nonlinear_filter_initialization", "o_proposal_approximation",
  "o_distribution_approximation", "o_gsa_identification", "o_gsa_morris",
  "o_gsa_stab", "o_gsa_redform", "o_gsa_pprior", "o_gsa_prior_range",
  "o_gsa_ppost", "o_gsa_ilptau", "o_gsa_morris_nliv", "o_gsa_morris_ntra",
  "o_gsa_nsam", "o_gsa_load_redform", "o_gsa_load_rmse", "o_gsa_load_stab",
  "o_gsa_alpha2_stab", "o_gsa_logtrans_redform", "o_gsa_threshold_redform",
  "o_gsa_ksstat_redform", "o_gsa_alpha2_redform", "o_gsa_namendo",
  "o_gsa_namlagendo", "o_gsa_namexo", "o_gsa_rmse", "o_gsa_lik_only",
  "o_gsa_var_rmse", "o_gsa_pfilt_rmse", "o_gsa_istart_rmse",
  "o_gsa_alpha_rmse", "o_gsa_alpha2_rmse", "o_gsa_sample_file",
  "o_gsa_neighborhood_width", "o_gsa_pvalue_ks", "o_gsa_pvalue_corr",
  "o_load_ident_files", "o_useautocorr", "o_prior_mc", "o_advanced",
  "o_max_dim_cova_group", "o_homotopy_mode", "o_homotopy_steps",
  "o_homotopy_force_continue", "o_nocheck", "o_controlled_varexo",
  "o_parameter_set", "o_nodecomposition", "o_spectral_density",
  "o_ms_drop", "o_ms_mh_replic", "o_freq", "o_initial_year",
  "o_initial_subperiod", "o_final_year", "o_final_subperiod", "o_data",
  "o_vlist", "o_vlistlog", "o_vlistper", "o_restriction_fname", "o_nlags",
  "o_cross_restrictions", "o_contemp_reduced_form",
  "o_real_pseudo_forecast", "o_no_bayesian_prior", "o_dummy_obs",
  "o_nstates", "o_indxscalesstates", "o_alpha", "o_beta", "o_gsig2_lmdm",
  "o_specification", "o_q_diag", "o_flat_prior", "o_ncsk", "o_nstd",
  "o_ninv", "o_indxparr", "o_indxovr", "o_aband", "o_indxap", "o_apband",
  "o_indximf", "o_indxfore", "o_foreband", "o_indxgforhat",
  "o_indxgimfhat", "o_indxestima", "o_indxgdls", "o_eq_ms", "o_cms",
  "o_ncms", "o_eq_cms", "o_tlindx", "o_tlnumber", "o_cnum",
  "o_k_order_solver", "o_pruning", "o_chain", "o_restrictions",
  "o_duration", "o_number_of_regimes", "o_number_of_lags", "o_parameters",
  "o_coefficients", "o_variances", "o_equations", "o_silent_optimizer",
  "o_instruments", "o_ext_func_name", "o_ext_func_nargs",
  "o_first_deriv_provided", "o_second_deriv_provided",
  "o_filter_covariance", "o_filter_decomposition",
  "o_smoothed_state_uncertainty", "o_smoother_redux",
  "o_selected_variables_only", "o_cova_compute", "o_output_file_tag",
  "o_file_tag", "o_no_create_init", "o_simulation_file_tag",
  "o_coefficients_prior_hyperparameters", "o_convergence_starting_value",
  "o_convergence_ending_value", "o_convergence_increment_value",
  "o_max_iterations_starting_value", "o_max_iterations_increment_value",
  "o_max_block_iterations", "o_max_repeated_optimization_runs",
  "o_function_convergence_criterion", "o_parameter_convergence_criterion",
  "o_number_of_large_perturbations", "o_number_of_small_perturbations",
  "o_number_of_posterior_draws_after_perturbation",
  "o_max_number_of_stages", "o_random_function_convergence_criterion",
  "o_random_parameter_convergence_criterion", "o_thinning_factor",
  "o_adaptive_mh_draws", "o_save_draws", "o_proposal_draws",
  "o_use_mean_center", "o_proposal_type", "o_proposal_lower_bound",
  "o_proposal_upper_bound", "o_parameter_uncertainty", "o_horizon",
  "o_filtered_probabilities", "o_real_time_smoothed", "o_no_error_bands",
  "o_error_band_percentiles", "o_shock_draws", "o_shocks_per_parameter",
  "o_free_parameters", "o_median", "o_regimes", "o_regime",
  "o_data_obs_nbr", "o_discretionary_tol", "o_analytic_derivation",
  "o_analytic_derivation_mode", "o_endogenous_prior",
  "o_use_univariate_filters_if_singularity_is_detected",
  "o_mcmc_jumping_covariance", "o_rescale_prediction_error_covariance",
  "o_use_penalized_objective_for_hessian", "o_irf_plot_threshold",
  "o_dr_display_tol", "o_consider_all_endogenous",
  "o_consider_all_endogenous_and_auxiliary", "o_consider_only_observed",
  "o_no_homotopy", "o_infile", "o_invars", "o_period", "o_outfile",
  "o_outvars", "o_lmmcp", "o_function", "o_sampling_draws",
  "o_use_shock_groups", "o_colormap", "o_icd_colormap",
  "o_no_init_estimation_check_first_obs", "o_heteroskedastic_filter",
  "o_pfwee_terminal_steady_state_as_guess_value", "o_bartlett_kernel_lag",
  "o_weighting_matrix", "o_weighting_matrix_scaling_factor",
  "o_analytic_standard_errors", "o_analytic_jacobian", "o_mom_method",
  "o_penalized_estimator", "o_verbose", "o_simulation_multiple",
  "o_mom_burnin", "o_bounded_shock_support", "o_mom_seed",
  "o_additional_optimizer_steps", "o_mom_se_tolx", "o_analytical_girf",
  "o_irf_in_percent", "o_emas_girf", "o_emas_drop", "o_emas_tolf",
  "o_emas_max_iter", "o_no_identification_strength",
  "o_no_identification_reducedform", "o_no_identification_moments",
  "o_no_identification_minimal", "o_no_identification_spectrum",
  "o_normalize_jacobians", "o_grid_nbr", "o_tol_rank", "o_tol_deriv",
  "o_tol_sv", "o_checks_via_subsets", "o_max_dim_subsets_groups",
  "o_zero_moments_tolerance", "o_static", "o_incidence",
  "o_occbin_simul_maxit", "o_occbin_simul_periods",
  "o_occbin_simul_curb_retrench", "o_occbin_simul_check_ahead_periods",
  "o_occbin_simul_debug", "o_occbin_simul_periodic_solution",
  "o_occbin_likelihood_inversion_filter",
  "o_occbin_likelihood_piecewise_kalman_filter",
  "o_occbin_likelihood_maxit", "o_occbin_likelihood_periods",
  "o_occbin_likelihood_curb_retrench",
  "o_occbin_likelihood_check_ahead_periods",
  "o_occbin_likelihood_periodic_solution",
  "o_occbin_likelihood_max_kalman_iterations",
  "o_occbin_smoother_inversion_filter",
  "o_occbin_smoother_piecewise_kalman_filter", "o_occbin_smoother_maxit",
  "o_occbin_smoother_periods", "o_occbin_smoother_curb_retrench",
  "o_occbin_smoother_check_ahead_periods", "o_occbin_smoother_debug",
  "o_occbin_smoother_periodic_solution", "o_occbin_filter_use_relaxation",
  "o_occbin_write_regimes_periods", "o_occbin_write_regimes_filename",
  "o_occbin_write_regimes_smoother", "o_occbin_write_regimes_simul",
  "o_occbin_graph_noconstant", "range", "integer_range",
  "integer_range_w_inf", "signed_integer_range", "vec_int_number",
  "vec_int_elem", "vec_int_1", "vec_int", "vec_str_1", "vec_str",
  "vec_value_1", "vec_value", "vec_value_list", "vec_of_vec_value",
  "vec_value_1_w_inf", "vec_value_w_inf", "symbol", YY_NULLPTR
  };
#endif


#if YYDEBUG
  const short
  parser::yyrline_[] =
  {
       0,   221,   221,   222,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   348,   350,   354,   356,   356,
     360,   362,   364,   366,   368,   370,   374,   374,   378,   380,
     382,   384,   386,   388,   392,   393,   393,   395,   395,   399,
     402,   403,   406,   407,   408,   411,   414,   415,   418,   419,
     420,   423,   423,   425,   426,   429,   430,   431,   432,   435,
     439,   440,   444,   446,   446,   451,   453,   455,   457,   459,
     461,   465,   467,   469,   471,   473,   475,   477,   479,   481,
     483,   485,   487,   491,   494,   496,   498,   501,   503,   506,
     508,   510,   515,   522,   523,   526,   528,   530,   532,   534,
     536,   538,   540,   542,   544,   546,   548,   552,   554,   556,
     558,   560,   562,   564,   566,   568,   570,   572,   574,   578,
     580,   582,   584,   586,   588,   590,   592,   594,   596,   598,
     600,   604,   606,   608,   610,   612,   614,   616,   618,   620,
     622,   624,   626,   630,   632,   634,   638,   640,   642,   644,
     646,   648,   652,   656,   658,   660,   662,   666,   668,   673,
     680,   682,   686,   688,   690,   692,   694,   696,   698,   700,
     702,   704,   706,   708,   710,   712,   714,   716,   718,   720,
     722,   724,   726,   728,   730,   732,   734,   736,   738,   740,
     742,   744,   746,   748,   750,   752,   752,   754,   756,   758,
     760,   762,   764,   766,   770,   772,   776,   778,   781,   783,
     787,   790,   793,   794,   797,   798,   799,   800,   801,   802,
     803,   804,   805,   806,   809,   811,   815,   816,   819,   821,
     823,   827,   828,   831,   833,   833,   837,   838,   841,   841,
     845,   847,   848,   851,   853,   855,   857,   859,   863,   863,
     867,   869,   876,   876,   881,   883,   890,   908,   910,   919,
     921,   923,   925,   929,   930,   931,   932,   933,   934,   935,
     936,   937,   938,   939,   942,   943,   946,   946,   948,   948,
     952,   953,   954,   955,   958,   960,   962,   964,   968,   969,
     972,   974,   978,   980,   982,   984,   986,   988,   990,   992,
     994,   996,   998,  1000,  1002,  1004,  1006,  1008,  1010,  1012,
    1014,  1016,  1018,  1020,  1022,  1024,  1026,  1028,  1030,  1032,
    1034,  1036,  1038,  1040,  1042,  1044,  1046,  1048,  1050,  1052,
    1054,  1056,  1058,  1060,  1062,  1062,  1064,  1066,  1068,  1070,
    1072,  1074,  1078,  1080,  1084,  1087,  1088,  1089,  1090,  1091,
    1092,  1095,  1096,  1099,  1100,  1102,  1104,  1106,  1110,  1114,
    1115,  1118,  1120,  1122,  1126,  1127,  1130,  1132,  1136,  1136,
    1140,  1141,  1144,  1146,  1149,  1151,  1148,  1153,  1155,  1159,
    1161,  1165,  1167,  1171,  1172,  1175,  1176,  1179,  1181,  1183,
    1185,  1189,  1193,  1197,  1198,  1201,  1202,  1203,  1204,  1205,
    1206,  1209,  1213,  1214,  1217,  1218,  1219,  1220,  1223,  1224,
    1227,  1228,  1231,  1237,  1243,  1251,  1259,  1266,  1273,  1275,
    1280,  1285,  1287,  1294,  1301,  1309,  1311,  1315,  1317,  1319,
    1321,  1323,  1325,  1329,  1331,  1335,  1336,  1339,  1340,  1341,
    1342,  1343,  1344,  1345,  1346,  1349,  1351,  1355,  1356,  1359,
    1360,  1363,  1365,  1369,  1370,  1373,  1374,  1377,  1379,  1383,
    1384,  1387,  1388,  1391,  1393,  1397,  1398,  1401,  1402,  1403,
    1404,  1405,  1406,  1407,  1408,  1409,  1410,  1411,  1412,  1413,
    1414,  1417,  1419,  1423,  1424,  1427,  1428,  1431,  1433,  1437,
    1438,  1441,  1442,  1445,  1447,  1451,  1452,  1455,  1456,  1457,
    1458,  1459,  1460,  1461,  1462,  1463,  1464,  1465,  1466,  1467,
    1468,  1469,  1470,  1471,  1472,  1473,  1474,  1475,  1476,  1477,
    1478,  1479,  1480,  1481,  1482,  1483,  1484,  1485,  1486,  1487,
    1488,  1489,  1490,  1491,  1492,  1493,  1494,  1495,  1496,  1497,
    1498,  1499,  1500,  1501,  1502,  1503,  1504,  1505,  1506,  1507,
    1508,  1509,  1512,  1516,  1520,  1521,  1524,  1525,  1528,  1530,
    1534,  1535,  1538,  1539,  1542,  1546,  1547,  1550,  1551,  1552,
    1553,  1556,  1558,  1560,  1562,  1566,  1567,  1570,  1571,  1572,
    1573,  1574,  1575,  1576,  1577,  1578,  1579,  1580,  1581,  1582,
    1583,  1584,  1585,  1586,  1587,  1588,  1589,  1590,  1591,  1592,
    1593,  1594,  1595,  1596,  1597,  1598,  1599,  1600,  1601,  1602,
    1603,  1604,  1605,  1606,  1607,  1608,  1609,  1610,  1611,  1612,
    1613,  1614,  1615,  1616,  1617,  1618,  1619,  1622,  1623,  1624,
    1625,  1626,  1627,  1630,  1632,  1634,  1638,  1639,  1643,  1645,
    1650,  1653,  1654,  1657,  1659,  1664,  1667,  1669,  1671,  1675,
    1676,  1679,  1680,  1683,  1685,  1687,  1691,  1692,  1694,  1699,
    1704,  1710,  1717,  1721,  1726,  1733,  1737,  1745,  1750,  1756,
    1763,  1773,  1775,  1777,  1781,  1783,  1787,  1793,  1800,  1808,
    1811,  1813,  1817,  1824,  1832,  1841,  1844,  1846,  1850,  1858,
    1860,  1862,  1864,  1866,  1868,  1870,  1872,  1874,  1878,  1880,
    1882,  1884,  1886,  1888,  1890,  1892,  1896,  1898,  1899,  1903,
    1907,  1911,  1912,  1915,  1916,  1917,  1918,  1919,  1920,  1921,
    1924,  1928,  1932,  1934,  1936,  1940,  1941,  1944,  1944,  1946,
    1946,  1948,  1948,  1950,  1950,  1952,  1952,  1954,  1954,  1956,
    1956,  1960,  1961,  1964,  1965,  1966,  1967,  1968,  1969,  1970,
    1971,  1972,  1973,  1976,  1977,  1980,  1981,  1982,  1983,  1984,
    1985,  1986,  1987,  1988,  1989,  1992,  1997,  1999,  2001,  2003,
    2005,  2007,  2011,  2013,  2015,  2017,  2019,  2021,  2025,  2026,
    2029,  2030,  2031,  2034,  2039,  2041,  2043,  2045,  2047,  2049,
    2053,  2055,  2057,  2059,  2063,  2064,  2067,  2068,  2069,  2070,
    2071,  2072,  2073,  2074,  2075,  2076,  2077,  2078,  2079,  2080,
    2081,  2082,  2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,
    2091,  2092,  2093,  2094,  2095,  2096,  2097,  2098,  2099,  2100,
    2101,  2102,  2103,  2104,  2105,  2106,  2107,  2108,  2109,  2110,
    2111,  2112,  2113,  2114,  2115,  2116,  2117,  2118,  2119,  2120,
    2121,  2122,  2123,  2124,  2125,  2126,  2127,  2128,  2129,  2130,
    2131,  2132,  2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,
    2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,
    2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,
    2161,  2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,  2170,
    2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,  2179,  2180,
    2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,  2190,
    2191,  2192,  2193,  2194,  2195,  2198,  2200,  2204,  2205,  2209,
    2210,  2214,  2215,  2220,  2221,  2232,  2236,  2237,  2241,  2241,
    2243,  2245,  2247,  2251,  2251,  2253,  2255,  2257,  2261,  2262,
    2264,  2265,  2268,  2270,  2272,  2273,  2276,  2278,  2280,  2282,
    2284,  2286,  2288,  2292,  2295,  2296,  2299,  2300,  2301,  2302,
    2303,  2304,  2305,  2308,  2310,  2312,  2314,  2318,  2320,  2324,
    2326,  2330,  2334,  2338,  2340,  2344,  2345,  2348,  2349,  2350,
    2351,  2352,  2353,  2354,  2355,  2356,  2357,  2358,  2359,  2360,
    2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,  2369,  2370,
    2371,  2372,  2373,  2374,  2375,  2376,  2377,  2378,  2379,  2380,
    2381,  2382,  2383,  2386,  2388,  2392,  2393,  2396,  2397,  2401,
    2402,  2405,  2407,  2411,  2413,  2415,  2417,  2419,  2421,  2425,
    2426,  2425,  2428,  2430,  2434,  2436,  2438,  2440,  2444,  2448,
    2449,  2452,  2454,  2456,  2458,  2462,  2466,  2468,  2471,  2472,
    2475,  2476,  2477,  2478,  2479,  2480,  2481,  2482,  2483,  2484,
    2485,  2486,  2487,  2488,  2489,  2490,  2491,  2492,  2493,  2494,
    2495,  2496,  2497,  2500,  2502,  2504,  2507,  2508,  2511,  2512,
    2513,  2514,  2515,  2516,  2519,  2521,  2524,  2525,  2528,  2529,
    2530,  2531,  2534,  2536,  2538,  2540,  2544,  2545,  2548,  2550,
    2552,  2554,  2556,  2560,  2561,  2564,  2565,  2566,  2569,  2570,
    2573,  2574,  2575,  2578,  2579,  2582,  2583,  2584,  2587,  2589,
    2593,  2595,  2599,  2601,  2605,  2609,  2611,  2613,  2615,  2619,
    2621,  2623,  2625,  2629,  2631,  2633,  2635,  2639,  2641,  2643,
    2645,  2649,  2651,  2655,  2656,  2657,  2658,  2659,  2660,  2661,
    2664,  2665,  2666,  2667,  2668,  2669,  2670,  2671,  2672,  2673,
    2676,  2677,  2680,  2682,  2686,  2687,  2688,  2689,  2692,  2693,
    2696,  2698,  2702,  2703,  2704,  2705,  2706,  2707,  2708,  2709,
    2710,  2711,  2712,  2713,  2714,  2715,  2716,  2717,  2718,  2719,
    2720,  2721,  2722,  2723,  2724,  2725,  2726,  2727,  2728,  2729,
    2730,  2731,  2732,  2733,  2734,  2735,  2736,  2737,  2738,  2739,
    2740,  2741,  2742,  2743,  2744,  2745,  2746,  2747,  2748,  2749,
    2752,  2753,  2756,  2758,  2762,  2763,  2764,  2765,  2766,  2767,
    2768,  2769,  2770,  2771,  2772,  2773,  2774,  2775,  2778,  2779,
    2782,  2784,  2788,  2789,  2790,  2791,  2792,  2793,  2794,  2795,
    2796,  2797,  2798,  2799,  2800,  2801,  2804,  2805,  2808,  2810,
    2814,  2815,  2816,  2817,  2818,  2819,  2820,  2821,  2822,  2823,
    2824,  2825,  2826,  2827,  2830,  2831,  2834,  2836,  2838,  2840,
    2844,  2845,  2846,  2847,  2850,  2851,  2854,  2856,  2860,  2861,
    2862,  2863,  2864,  2865,  2866,  2867,  2870,  2871,  2874,  2876,
    2880,  2881,  2882,  2883,  2884,  2885,  2886,  2889,  2890,  2893,
    2895,  2899,  2900,  2901,  2902,  2903,  2904,  2905,  2906,  2907,
    2908,  2909,  2910,  2911,  2912,  2913,  2914,  2915,  2916,  2917,
    2918,  2919,  2920,  2921,  2922,  2923,  2924,  2925,  2926,  2927,
    2928,  2929,  2930,  2931,  2932,  2933,  2936,  2937,  2940,  2942,
    2946,  2948,  2952,  2953,  2956,  2957,  2958,  2959,  2960,  2961,
    2962,  2963,  2964,  2965,  2966,  2967,  2968,  2969,  2970,  2971,
    2972,  2973,  2974,  2975,  2976,  2977,  2978,  2979,  2980,  2981,
    2982,  2983,  2984,  2985,  2986,  2987,  2988,  2989,  2990,  2991,
    2992,  2993,  2994,  2995,  2996,  2997,  2998,  2999,  3000,  3001,
    3002,  3003,  3004,  3005,  3006,  3007,  3010,  3011,  3014,  3015,
    3016,  3017,  3018,  3019,  3020,  3021,  3022,  3023,  3024,  3025,
    3026,  3027,  3028,  3029,  3032,  3033,  3036,  3037,  3038,  3039,
    3040,  3041,  3042,  3043,  3044,  3045,  3046,  3047,  3050,  3051,
    3054,  3055,  3056,  3057,  3058,  3059,  3060,  3061,  3062,  3063,
    3064,  3065,  3066,  3067,  3068,  3069,  3070,  3071,  3072,  3073,
    3076,  3077,  3080,  3081,  3082,  3083,  3084,  3085,  3086,  3087,
    3088,  3089,  3090,  3091,  3092,  3093,  3096,  3099,  3100,  3103,
    3105,  3109,  3110,  3111,  3112,  3115,  3116,  3119,  3120,  3121,
    3122,  3123,  3126,  3130,  3131,  3134,  3135,  3136,  3137,  3138,
    3141,  3143,  3147,  3151,  3152,  3155,  3159,  3159,  3163,  3164,
    3167,  3169,  3173,  3175,  3177,  3179,  3183,  3184,  3187,  3188,
    3189,  3190,  3191,  3192,  3193,  3194,  3195,  3196,  3197,  3198,
    3199,  3200,  3201,  3202,  3205,  3207,  3209,  3211,  3215,  3216,
    3219,  3220,  3223,  3224,  3227,  3231,  3233,  3237,  3239,  3243,
    3244,  3247,  3248,  3249,  3250,  3251,  3254,  3258,  3260,  3262,
    3266,  3270,  3271,  3274,  3276,  3278,  3282,  3284,  3288,  3289,
    3292,  3294,  3296,  3300,  3302,  3306,  3307,  3310,  3311,  3312,
    3313,  3314,  3317,  3319,  3323,  3324,  3327,  3328,  3331,  3332,
    3333,  3336,  3338,  3342,  3343,  3346,  3347,  3350,  3356,  3357,
    3363,  3364,  3365,  3366,  3367,  3368,  3369,  3370,  3371,  3372,
    3373,  3374,  3375,  3376,  3377,  3381,  3382,  3383,  3384,  3385,
    3386,  3387,  3388,  3389,  3390,  3396,  3397,  3398,  3399,  3400,
    3401,  3402,  3403,  3405,  3406,  3407,  3408,  3409,  3410,  3411,
    3412,  3413,  3414,  3415,  3416,  3417,  3418,  3418,  3419,  3420,
    3421,  3422,  3423,  3424,  3425,  3426,  3427,  3429,  3432,  3433,
    3434,  3435,  3437,  3440,  3442,  3445,  3447,  3448,  3449,  3450,
    3451,  3452,  3453,  3454,  3455,  3456,  3457,  3458,  3459,  3460,
    3461,  3462,  3463,  3464,  3465,  3466,  3467,  3468,  3469,  3470,
    3471,  3472,  3473,  3475,  3478,  3480,  3483,  3484,  3485,  3486,
    3488,  3490,  3491,  3492,  3493,  3495,  3498,  3499,  3500,  3501,
    3502,  3504,  3505,  3506,  3508,  3511,  3513,  3516,  3518,  3521,
    3522,  3523,  3525,  3527,  3529,  3532,  3533,  3536,  3539,  3540,
    3541,  3542,  3543,  3544,  3545,  3546,  3547,  3549,  3550,  3551,
    3552,  3553,  3554,  3557,  3558,  3559,  3560,  3561,  3562,  3563,
    3564,  3565,  3566,  3567,  3568,  3569,  3570,  3571,  3572,  3573,
    3574,  3575,  3577,  3579,  3582,  3583,  3584,  3585,  3586,  3587,
    3588,  3589,  3590,  3591,  3592,  3593,  3594,  3595,  3597,  3600,
    3601,  3602,  3603,  3605,  3606,  3607,  3608,  3609,  3610,  3611,
    3612,  3613,  3614,  3615,  3616,  3617,  3618,  3619,  3620,  3621,
    3622,  3623,  3624,  3625,  3626,  3627,  3628,  3629,  3630,  3631,
    3632,  3633,  3634,  3635,  3636,  3637,  3638,  3639,  3640,  3641,
    3642,  3643,  3644,  3645,  3646,  3647,  3648,  3649,  3651,  3653,
    3656,  3658,  3660,  3663,  3664,  3665,  3666,  3667,  3668,  3669,
    3670,  3671,  3672,  3673,  3674,  3675,  3676,  3677,  3678,  3679,
    3680,  3681,  3682,  3683,  3684,  3685,  3686,  3687,  3688,  3689,
    3690,  3691,  3692,  3693,  3694,  3695,  3696,  3697,  3698,  3699,
    3700,  3701,  3702,  3703,  3704,  3705,  3706,  3707,  3708,  3709,
    3710,  3711,  3712,  3713,  3714,  3715,  3716,  3717,  3718,  3719,
    3720,  3721,  3722,  3723,  3724,  3725,  3726,  3727,  3728,  3729,
    3730,  3731,  3732,  3733,  3735,  3738,  3739,  3740,  3741,  3742,
    3743,  3744,  3745,  3747,  3748,  3749,  3750,  3752,  3753,  3755,
    3757,  3759,  3761,  3763,  3765,  3768,  3769,  3770,  3771,  3772,
    3774,  3776,  3779,  3780,  3781,  3782,  3783,  3784,  3785,  3786,
    3787,  3792,  3797,  3803,  3804,  3805,  3806,  3807,  3808,  3809,
    3810,  3811,  3812,  3813,  3814,  3816,  3819,  3820,  3821,  3822,
    3823,  3824,  3825,  3826,  3827,  3828,  3829,  3830,  3831,  3832,
    3833,  3834,  3835,  3836,  3837,  3838,  3839,  3840,  3841,  3842,
    3843,  3844,  3845,  3846,  3849,  3851,  3854,  3855,  3856,  3857,
    3858,  3859,  3861,  3864,  3865,  3867,  3868,  3869,  3871,  3874,
    3876,  3879,  3882,  3885,  3888,  3891,  3894,  3897,  3898,  3899,
    3900,  3901,  3903,  3905,  3907,  3909,  3911,  3913,  3915,  3917,
    3919,  3921,  3923,  3925,  3927,  3929,  3931,  3933,  3934,  3935,
    3936,  3937,  3938,  3939,  3940,  3941,  3942,  3943,  3944,  3945,
    3946,  3947,  3948,  3949,  3950,  3951,  3952,  3953,  3954,  3955,
    3956,  3957,  3958,  3959,  3960,  3961,  3963,  3965,  3968,  3969,
    3970,  3971,  3972,  3973,  3974,  3975,  3977,  3978,  3979,  3980,
    3981,  3982,  3983,  3984,  3985,  3986,  3988,  3989,  3990,  3991,
    3992,  3995,  3997,  3999,  4001,  4003,  4005,  4007,  4010,  4011,
    4013,  4014,  4015,  4016,  4017,  4019,  4021,  4022,  4023,  4024,
    4025,  4026,  4029,  4030,  4031,  4032,  4033,  4034,  4035,  4036,
    4037,  4038,  4039,  4040,  4041,  4042,  4043,  4047,  4048,  4049,
    4050,  4051,  4052,  4055,  4056,  4057,  4058,  4059,  4060,  4061,
    4062,  4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,  4071,
    4074,  4076,  4078,  4079,  4080,  4083,  4085,  4088,  4091,  4093,
    4097,  4099,  4102,  4106,  4107,  4115,  4117,  4119,  4124,  4131,
    4132,  4135,  4137,  4139,  4144,  4151,  4152,  4155,  4157,  4159,
    4161,  4165,  4167,  4171,  4173,  4176,  4178,  4181,  4183,  4187,
    4190,  4191,  4192,  4193,  4194,  4195,  4196,  4197,  4198,  4199,
    4200,  4201,  4202,  4203,  4204,  4205,  4206,  4207,  4208,  4209,
    4210,  4211,  4212,  4213,  4214,  4215
  };

  void
  parser::yy_stack_print_ () const
  {
    *yycdebug_ << "Stack now";
    for (stack_type::const_iterator
           i = yystack_.begin (),
           i_end = yystack_.end ();
         i != i_end; ++i)
      *yycdebug_ << ' ' << int (i->state);
    *yycdebug_ << '\n';
  }

  void
  parser::yy_reduce_print_ (int yyrule) const
  {
    int yylno = yyrline_[yyrule];
    int yynrhs = yyr2_[yyrule];
    // Print the symbols being reduced, and their result.
    *yycdebug_ << "Reducing stack by rule " << yyrule - 1
               << " (line " << yylno << "):\n";
    // The symbols being reduced.
    for (int yyi = 0; yyi < yynrhs; yyi++)
      YY_SYMBOL_PRINT ("   $" << yyi + 1 << " =",
                       yystack_[(yynrhs) - (yyi + 1)]);
  }
#endif // YYDEBUG

  parser::symbol_kind_type
  parser::yytranslate_ (int t)
  {
    // YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to
    // TOKEN-NUM as returned by yylex.
    static
    const short
    translate_table[] =
    {
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,   713,     2,     2,     2,     2,
     709,   710,     2,     2,     2,     2,   715,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   714,   708,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   711,     2,   712,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707
    };
    // Last valid token kind.
    const int code_max = 962;

    if (t <= 0)
      return symbol_kind::S_YYEOF;
    else if (t <= code_max)
      return YY_CAST (symbol_kind_type, translate_table[t]);
    else
      return symbol_kind::S_YYUNDEF;
  }

#line 25 "DynareBison.yy"
} // Dynare
#line 16239 "DynareBison.cc"

#line 4218 "DynareBison.yy"


void
Dynare::parser::error(const Dynare::parser::location_type &l,
                      const string &m)
{
  driver.error(l, m);
}
